


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'BgpBfdStateEnum' : _MetaInfoEnum('BgpBfdStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-bfd-state-not-configured':'bgp_bfd_state_not_configured',
            'bgp-bfd-state-admin-down':'bgp_bfd_state_admin_down',
            'bgp-bfd-state-not-supported':'bgp_bfd_state_not_supported',
            'bgp-bfd-state-not-created':'bgp_bfd_state_not_created',
            'bgp-bfd-state-created':'bgp_bfd_state_created',
            'bgp-bfd-state-up':'bgp_bfd_state_up',
            'bgp-bfd-state-down':'bgp_bfd_state_down',
            'bgp-bfd-state-nbr-not-configured':'bgp_bfd_state_nbr_not_configured',
            'bgp-bfd-state-none':'bgp_bfd_state_none',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpEntitiesEnum' : _MetaInfoEnum('BgpEntitiesEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'af-group':'af_group',
            'session-group':'session_group',
            'neighbor-group':'neighbor_group',
            'neighbor':'neighbor',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpSrpolicyTunReqStateEnum' : _MetaInfoEnum('BgpSrpolicyTunReqStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'tunnel-state-request-pending':'tunnel_state_request_pending',
            'tunnel-state-requested':'tunnel_state_requested',
            'tunnel-state-notified-up':'tunnel_state_notified_up',
            'tunnel-state-notified-down':'tunnel_state_notified_down',
            'tunnel-state-marked-stale':'tunnel_state_marked_stale',
            'tunnel-state-marked-disable':'tunnel_state_marked_disable',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpGwAddrLenEnum' : _MetaInfoEnum('BgpGwAddrLenEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'gwnone':'gwnone',
            'gwipv4':'gwipv4',
            'gwipv6':'gwipv6',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpNhValidateEnum' : _MetaInfoEnum('BgpNhValidateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-nh-validate-sync':'bgp_nh_validate_sync',
            'bgp-nh-validate-async':'bgp_nh_validate_async',
            'bgp-nh-validate-none':'bgp_nh_validate_none',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpDsConnStateEnum' : _MetaInfoEnum('BgpDsConnStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'none':'none',
            'connect-init':'connect_init',
            'connect-fail':'connect_fail',
            'connect-estb':'connect_estb',
            'disconnect-init':'disconnect_init',
            'disconnect-fail':'disconnect_fail',
            'disconnect-done':'disconnect_done',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRpkiStateEnum' : _MetaInfoEnum('BgpRpkiStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'idle':'idle',
            'attempt-connect':'attempt_connect',
            'connected':'connected',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpPeerResetReasonIndexEnum' : _MetaInfoEnum('BgpPeerResetReasonIndexEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-read-remote-closed':'bgp_read_remote_closed',
            'bgp-read-failed':'bgp_read_failed',
            'bgp-write-failed':'bgp_write_failed',
            'bgp-sock-disconnected':'bgp_sock_disconnected',
            'bgp-sock-select-failed':'bgp_sock_select_failed',
            'bgp-peer-reset-reason-none':'bgp_peer_reset_reason_none',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpScopedSyncStateEnum' : _MetaInfoEnum('BgpScopedSyncStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-scope-sync-state-none':'bgp_scope_sync_state_none',
            'bgp-scope-sync-state-not-nsr-ready':'bgp_scope_sync_state_not_nsr_ready',
            'bgp-scope-sync-state-timer-start':'bgp_scope_sync_state_timer_start',
            'bgp-scope-sync-state-add-list':'bgp_scope_sync_state_add_list',
            'bgp-scope-sync-state-batch-acitve':'bgp_scope_sync_state_batch_acitve',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpteTunnelEnum' : _MetaInfoEnum('BgpteTunnelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'attrset':'attrset',
            'srpolicy':'srpolicy',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpEbgpSendDmzEnableModeEnum' : _MetaInfoEnum('BgpEbgpSendDmzEnableModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-ebgp-send-dmz-disable':'bgp_ebgp_send_dmz_disable',
            'bgp-ebgp-send-dmz-dflt':'bgp_ebgp_send_dmz_dflt',
            'bgp-ebgp-send-dmz-cumulative':'bgp_ebgp_send_dmz_cumulative',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRpkiPstateEnum' : _MetaInfoEnum('BgpRpkiPstateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'not-started':'not_started',
            'reset':'reset',
            'refresh':'refresh',
            'reset-query-sent':'reset_query_sent',
            'serial-query-sent':'serial_query_sent',
            'data-start':'data_start',
            'data-end':'data_end',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRoute1Enum' : _MetaInfoEnum('BgpRoute1Enum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-route-type-used':'bgp_route_type_used',
            'bgp-route-type-rcvd-only':'bgp_route_type_rcvd_only',
            'bgp-route-type-safi-label-ed-ucast-used':'bgp_route_type_safi_label_ed_ucast_used',
            'bgp-route-type-safi-label-ed-ucast-rcvd-only':'bgp_route_type_safi_label_ed_ucast_rcvd_only',
            'bgp-route-type-rib':'bgp_route_type_rib',
            'bgp-route-type-aggregate':'bgp_route_type_aggregate',
            'bgp-route-type-max':'bgp_route_type_max',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpOpenCheckErrEnum' : _MetaInfoEnum('BgpOpenCheckErrEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'none':'none',
            'neighbor-down':'neighbor_down',
            'no-update-group-set':'no_update_group_set',
            'no-af-config':'no_af_config',
            'update-group-pending':'update_group_pending',
            'low-memory':'low_memory',
            'neighbor-shutdown':'neighbor_shutdown',
            'ebgp-neighbor-remote':'ebgp_neighbor_remote',
            'update-source-interface-null':'update_source_interface_null',
            'no-ipv6-address':'no_ipv6_address',
            'first-hop-interface-null':'first_hop_interface_null',
            'no-ipv6ll-address':'no_ipv6ll_address',
            'no-update-source-config':'no_update_source_config',
            'no-router-id':'no_router_id',
            'update-source-interface-get-failed':'update_source_interface_get_failed',
            'update-source-interface-state-get-failed':'update_source_interface_state_get_failed',
            'update-source-interface-down':'update_source_interface_down',
            'update-source-interface-ll-get-failed':'update_source_interface_ll_get_failed',
            'update-source-interface-address-get-failed':'update_source_interface_address_get_failed',
            'source-address-af-invalid':'source_address_af_invalid',
            'no-update-source-ll-peering':'no_update_source_ll_peering',
            'local-address-get-failed':'local_address_get_failed',
            'no-best-local-address':'no_best_local_address',
            'neighbor-address-equals-local-address':'neighbor_address_equals_local_address',
            'neighbor-closing':'neighbor_closing',
            'neighbor-pending-reset':'neighbor_pending_reset',
            'out-interface-set-failed':'out_interface_set_failed',
            'local-address-mismatch':'local_address_mismatch',
            'neighbor-active-only':'neighbor_active_only',
            'socket-init-failed':'socket_init_failed',
            'socket-operation-failed':'socket_operation_failed',
            'local-neighbor':'local_neighbor',
            'multi-hop-neighbor':'multi_hop_neighbor',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRpkiEdmAfEnum' : _MetaInfoEnum('BgpRpkiEdmAfEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpBpStageEnum' : _MetaInfoEnum('BgpBpStageEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-bp-comp-not-compared':'bgp_bp_comp_not_compared',
            'bgp-bp-comp-imulti-path':'bgp_bp_comp_imulti_path',
            'bgp-bp-comp-emulti-path':'bgp_bp_comp_emulti_path',
            'bgp-bp-comp-eimulti-path':'bgp_bp_comp_eimulti_path',
            'bgp-bp-invalid-path':'bgp_bp_invalid_path',
            'bgp-bp-comp-pre-cost-comm':'bgp_bp_comp_pre_cost_comm',
            'bgp-bp-comp-weight':'bgp_bp_comp_weight',
            'bgp-bp-comp-locpref':'bgp_bp_comp_locpref',
            'bgp-bp-comp-rpki':'bgp_bp_comp_rpki',
            'bgp-bp-comp-aigp':'bgp_bp_comp_aigp',
            'bgp-bp-comp-local':'bgp_bp_comp_local',
            'bgp-bp-comp-local-rib':'bgp_bp_comp_local_rib',
            'bgp-bp-comp-as-path-len':'bgp_bp_comp_as_path_len',
            'bgp-bp-comp-origin':'bgp_bp_comp_origin',
            'bgp-bp-comp-med':'bgp_bp_comp_med',
            'bgp-bp-comp-ebgp':'bgp_bp_comp_ebgp',
            'bgp-bp-comp-ao':'bgp_bp_comp_ao',
            'bgp-bp-comp-igp-metric':'bgp_bp_comp_igp_metric',
            'bgp-bp-comp-igp-cost-comm':'bgp_bp_comp_igp_cost_comm',
            'bgp-bp-comp-rtr-id':'bgp_bp_comp_rtr_id',
            'bgp-bp-comp-clstr-len':'bgp_bp_comp_clstr_len',
            'bgp-bp-comp-nbr-addr':'bgp_bp_comp_nbr_addr',
            'bgp-bp-comp-suppressed':'bgp_bp_comp_suppressed',
            'bgp-bp-comp-mismatch':'bgp_bp_comp_mismatch',
            'bgp-bp-comp-persistence':'bgp_bp_comp_persistence',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpNhEventEnum' : _MetaInfoEnum('BgpNhEventEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-nh-event-crit-not-f':'bgp_nh_event_crit_not_f',
            'bgp-nh-event-non-crit-not-f':'bgp_nh_event_non_crit_not_f',
            'bgp-nh-event-registration':'bgp_nh_event_registration',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpNhUpdateEnum' : _MetaInfoEnum('BgpNhUpdateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-nh-update-none':'bgp_nh_update_none',
            'bgp-nh-update-crit-not-f':'bgp_nh_update_crit_not_f',
            'bgp-nh-update-crit-sync':'bgp_nh_update_crit_sync',
            'bgp-nh-update-crit-rib-conv':'bgp_nh_update_crit_rib_conv',
            'bgp-nh-update-crit-table-down':'bgp_nh_update_crit_table_down',
            'bgp-nh-update-non-crit-not-f':'bgp_nh_update_non_crit_not_f',
            'bgp-nh-update-non-crit-sync':'bgp_nh_update_non_crit_sync',
            'bgp-nh-update-non-crit-rib-conv':'bgp_nh_update_non_crit_rib_conv',
            'bgp-nh-update-non-crit-table-down':'bgp_nh_update_non_crit_table_down',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRpkiPerrorEnum' : _MetaInfoEnum('BgpRpkiPerrorEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'none':'none',
            'message-version':'message_version',
            'message-type':'message_type',
            'message-length':'message_length',
            'nonce-mismatch':'nonce_mismatch',
            'bad-prefix':'bad_prefix',
            'fsm':'fsm',
            'no-response':'no_response',
            'error-report':'error_report',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpBfdEnableModeEnum' : _MetaInfoEnum('BgpBfdEnableModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-bfd-enable-mode-disable':'bgp_bfd_enable_mode_disable',
            'bgp-bfd-enable-mode-def':'bgp_bfd_enable_mode_def',
            'bgp-bfd-enable-mode-strict':'bgp_bfd_enable_mode_strict',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpTeInfraTunnelEnum' : _MetaInfoEnum('BgpTeInfraTunnelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-te-infra-default-tunnel-type':'bgp_te_infra_default_tunnel_type',
            'bgp-te-infra-attr-set-tunnel-type':'bgp_te_infra_attr_set_tunnel_type',
            'bgp-te-infra-multi-path-exp-tunnel-type':'bgp_te_infra_multi_path_exp_tunnel_type',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRnhAddrLenEnum' : _MetaInfoEnum('BgpRnhAddrLenEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'none':'none',
            'v4':'v4',
            'mac':'mac',
            'v6':'v6',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpTcpModeEnum' : _MetaInfoEnum('BgpTcpModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-tcp-mode-type-either':'bgp_tcp_mode_type_either',
            'bgp-tcp-mode-type-active-only':'bgp_tcp_mode_type_active_only',
            'bgp-tcp-mode-type-passive-only':'bgp_tcp_mode_type_passive_only',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpBmpStateEnum' : _MetaInfoEnum('BgpBmpStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'none':'none',
            'connecting':'connecting',
            'established':'established',
            'closing':'closing',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpIsmConnStateEnum' : _MetaInfoEnum('BgpIsmConnStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'none':'none',
            'connect-done':'connect_done',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpBagUpdFilterActionEnum' : _MetaInfoEnum('BgpBagUpdFilterActionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'none':'none',
            'withdraw':'withdraw',
            'attribute-discard':'attribute_discard',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpBmpUpdModeEnum' : _MetaInfoEnum('BgpBmpUpdModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-bmp-upd-n-either':'bgp_bmp_upd_n_either',
            'bgp-bmp-upd-route-mon':'bgp_bmp_upd_route_mon',
            'bgp-bmp-upd-route-mirr':'bgp_bmp_upd_route_mirr',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRouteEnum' : _MetaInfoEnum('BgpRouteEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'used':'used',
            'received-only':'received_only',
            'safi-labeled-unicast-used':'safi_labeled_unicast_used',
            'safi-labeled-unicast-received-only':'safi_labeled_unicast_received_only',
            'rib':'rib',
            'aggregate':'aggregate',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpConnStateEnum' : _MetaInfoEnum('BgpConnStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-st-dont-care':'bgp_st_dont_care',
            'bgp-st-idle':'bgp_st_idle',
            'bgp-st-connect':'bgp_st_connect',
            'bgp-st-active':'bgp_st_active',
            'bgp-st-open-sent':'bgp_st_open_sent',
            'bgp-st-open-confirm':'bgp_st_open_confirm',
            'bgp-st-estab':'bgp_st_estab',
            'bgp-st-closing':'bgp_st_closing',
            'bgp-st-closing-sync':'bgp_st_closing_sync',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpEntityEnum' : _MetaInfoEnum('BgpEntityEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'af-group':'af_group',
            'session-group':'session_group',
            'neighbor-group':'neighbor_group',
            'neighbor':'neighbor',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRpkiCreasonEnum' : _MetaInfoEnum('BgpRpkiCreasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'no-close-reason':'no_close_reason',
            'read-error':'read_error',
            'write-error':'write_error',
            'proto-error':'proto_error',
            'config-shutdown':'config_shutdown',
            'config-removed':'config_removed',
            'config-changed':'config_changed',
            'nsr-disabled':'nsr_disabled',
            'user-clear':'user_clear',
            'ssh-died':'ssh_died',
            'tcp-died':'tcp_died',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpSyncNbrNsrStateEnum' : _MetaInfoEnum('BgpSyncNbrNsrStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-nbr-nsr-st-none':'bgp_nbr_nsr_st_none',
            'bgp-nbr-nsr-st-oper-down':'bgp_nbr_nsr_st_oper_down',
            'bgp-nbr-nsr-st-tcp-init-sync':'bgp_nbr_nsr_st_tcp_init_sync',
            'bgp-nbr-nsr-st-tcp-phase-two':'bgp_nbr_nsr_st_tcp_phase_two',
            'bgp-nbr-nsr-st-bgp-init-sync':'bgp_nbr_nsr_st_bgp_init_sync',
            'bgp-nbr-nsr-st-nsr-ready':'bgp_nbr_nsr_st_nsr_ready',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpAfiEnum' : _MetaInfoEnum('BgpAfiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'ipv4':'ipv4',
            'ipv4-multicast':'ipv4_multicast',
            'ipv4-labeled':'ipv4_labeled',
            'ipv4-tunnel':'ipv4_tunnel',
            'vp-nv4':'vp_nv4',
            'ipv6':'ipv6',
            'ipv6-multicast':'ipv6_multicast',
            'ipv6-labeled':'ipv6_labeled',
            'vp-nv6':'vp_nv6',
            'ipv4mdt':'ipv4mdt',
            'l2vpn-vpls':'l2vpn_vpls',
            'rt-constraint':'rt_constraint',
            'ipv4mvpn':'ipv4mvpn',
            'ipv6mvpn':'ipv6mvpn',
            'l2vpn-evpn':'l2vpn_evpn',
            'ls-ls':'ls_ls',
            'vp-nv4-multicast':'vp_nv4_multicast',
            'vp-nv6-multicast':'vp_nv6_multicast',
            'ipv4-flowspec':'ipv4_flowspec',
            'ipv6-flowspec':'ipv6_flowspec',
            'vp-nv4-flowspec':'vp_nv4_flowspec',
            'vp-nv6-flowspec':'vp_nv6_flowspec',
            'l2vpn-mspw':'l2vpn_mspw',
            'ipv4sr-policy':'ipv4sr_policy',
            'ipv6sr-policy':'ipv6sr_policy',
            'no-address-family':'no_address_family',
            'all-address-families':'all_address_families',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpBindingSidEnum' : _MetaInfoEnum('BgpBindingSidEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'none':'none',
            'label':'label',
            'v6':'v6',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRpkiAfEnum' : _MetaInfoEnum('BgpRpkiAfEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpResetReasonIndexEnum' : _MetaInfoEnum('BgpResetReasonIndexEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-none':'bgp_none',
            'bgp-init':'bgp_init',
            'bgp-no-memory':'bgp_no_memory',
            'not-received':'not_received',
            'not-sent':'not_sent',
            'conn-collision':'conn_collision',
            'peer-closed':'peer_closed',
            'max-prefix-exceeded':'max_prefix_exceeded',
            'interface-flap':'interface_flap',
            'neighbor-deleted':'neighbor_deleted',
            'admin-shutdown':'admin_shutdown',
            'af-activated':'af_activated',
            'af-deactivated':'af_deactivated',
            'protocol-error':'protocol_error',
            'listen-closed':'listen_closed',
            'rib-failed':'rib_failed',
            'user-clear':'user_clear',
            'user-clear-gr':'user_clear_gr',
            'router-id-changed':'router_id_changed',
            'remote-as-changed':'remote_as_changed',
            'orf-changed':'orf_changed',
            'rr-client-changed':'rr_client_changed',
            'legacy-pe-rt-changed':'legacy_pe_rt_changed',
            'softre-config-changed':'softre_config_changed',
            'local-as-changed':'local_as_changed',
            'low-memory':'low_memory',
            'bfd-down':'bfd_down',
            'allow-as-in-changed':'allow_as_in_changed',
            'recv-dmz-cfg':'recv_dmz_cfg',
            'cap-4byteas-changed':'cap_4byteas_changed',
            'tcp-oper-down':'tcp_oper_down',
            'scoped-sync-retry':'scoped_sync_retry',
            'cluster-id-changed':'cluster_id_changed',
            'rr-disable-changed':'rr_disable_changed',
            'aigp-changed':'aigp_changed',
            'signalling-changed':'signalling_changed',
            'open-check-s-failed':'open_check_s_failed',
            'ao-changed':'ao_changed',
            'llgr-staletime-changed':'llgr_staletime_changed',
            'llgr-capable-changed':'llgr_capable_changed',
            'nbr-local-addr-changed':'nbr_local_addr_changed',
            'internal-vpn-client-changed':'internal_vpn_client_changed',
            'cap-suppress-all-changed':'cap_suppress_all_changed',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpRtrStateEnum' : _MetaInfoEnum('BgpRtrStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-router-read-only':'bgp_router_read_only',
            'bgp-router-do-best-path':'bgp_router_do_best_path',
            'bgp-router-do-tunnel-update':'bgp_router_do_tunnel_update',
            'bgp-router-do-import':'bgp_router_do_import',
            'bgp-router-do-label-alloc':'bgp_router_do_label_alloc',
            'bgp-router-do-ribupd':'bgp_router_do_ribupd',
            'bgp-router-read-write':'bgp_router_read_write',
            'bgp-router-mode-count':'bgp_router_mode_count',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpLabelRpfInstallEnum' : _MetaInfoEnum('BgpLabelRpfInstallEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-label-rpf-install-rib':'bgp_label_rpf_install_rib',
            'bgp-label-rpf-install-lsd':'bgp_label_rpf_install_lsd',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'BgpBagUpdErrActionEnum' : _MetaInfoEnum('BgpBagUpdErrActionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper',
        {
            'bgp-bag-upd-err-action-none':'bgp_bag_upd_err_action_none',
            'bgp-bag-upd-err-action-discard-msg':'bgp_bag_upd_err_action_discard_msg',
            'bgp-bag-upd-err-action-reset':'bgp_bag_upd_err_action_reset',
            'bgp-bag-upd-err-action-wdr-or-reset':'bgp_bag_upd_err_action_wdr_or_reset',
            'bgp-bag-upd-err-action-wdr':'bgp_bag_upd_err_action_wdr',
            'bgp-bag-upd-err-action-discard-attr':'bgp_bag_upd_err_action_discard_attr',
            'bgp-bag-upd-err-action-local-repair':'bgp_bag_upd_err_action_local_repair',
            'bgp-bag-upd-err-action-max':'bgp_bag_upd_err_action_max',
        }, 'Cisco-IOS-XR-ipv4-bgp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper']),
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'remote-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'speaker-id-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'min-advertisement-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'description-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ebgp-hop-count-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcpmss-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-servers-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keychain-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'password-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'receive-buffer-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-buffer-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'shutdown-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'timers-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-address-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-in-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-out-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-source-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dmz-link-bandwidth-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ebgp-recv-dmz-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ebgp-send-dmz-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ttl-security-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'suppress4-bbyte-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'session-open-mode-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bfd-mininterval-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bfd-multiplier-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tos-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-disabled-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-restart-disabled-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nbr-restart-time-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nbr-stale-path-time-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nbr-enforce-first-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster-id-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ignore-connected-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'internal-vpn-client-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'addpath-send-capability-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'addpath-receive-capability-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'egress-peer-engineering-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-handling-no-reset-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-validation-disable-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-validation-use-validit-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-validation-allow-invalid-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-validation-signal-ibgp-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-update-filter-exists-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-update-filter-message-buffer-count-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-update-filter-syslog-disable-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-update-filter-attribute-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-shutdown-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-shutdown-loc-pref-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-shutdown-as-prepends-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-shutdown-activate-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'capability-negotiation-suppressed-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-remote-as-list-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'max-peers-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'idle-watch-time-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig',
            False, 
            [
            _MetaInfoClassMember('addpath-receive-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates if addpath receive capability is
                enabled or disabled
                ''',
                'addpath_receive_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-capability-info', REFERENCE_CLASS, 'AddpathReceiveCapabilityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo', 
                [], [], 
                '''                Addpath receive capability info
                ''',
                'addpath_receive_capability_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates if addpath send capability is enabled
                or disabled
                ''',
                'addpath_send_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-capability-info', REFERENCE_CLASS, 'AddpathSendCapabilityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo', 
                [], [], 
                '''                Addpath send capability info
                ''',
                'addpath_send_capability_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('adminstrative-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Administrative shutdown
                ''',
                'adminstrative_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bestpath-use-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bestpath Use Origin-AS Va
                ''',
                'bestpath_use_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fast failure detection using BFD
                ''',
                'bfd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-info', REFERENCE_CLASS, 'BfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo', 
                [], [], 
                '''                BFD item info
                ''',
                'bfd_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-mininterval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Minimum Interval
                ''',
                'bfd_mininterval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-mininterval-info', REFERENCE_CLASS, 'BfdMinintervalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo', 
                [], [], 
                '''                BFD Mininterval item info
                ''',
                'bfd_mininterval_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplier-info', REFERENCE_CLASS, 'BfdMultiplierInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo', 
                [], [], 
                '''                BFD Multiplier item info
                ''',
                'bfd_multiplier_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-buffer-receive-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP receive buffer size
                ''',
                'bgp_buffer_receive_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-buffer-send-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP send buffer size
                ''',
                'bgp_buffer_send_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BMP Servers activated
                ''',
                'bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-servers-info', REFERENCE_CLASS, 'BmpServersInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo', 
                [], [], 
                '''                BMP Servers Configuredinfo
                ''',
                'bmp_servers_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('capability-negotiation-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Capability negotiation is suppressed
                ''',
                'capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('capability-negotiation-suppressed-info', REFERENCE_CLASS, 'CapabilityNegotiationSuppressedInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo', 
                [], [], 
                '''                Capability negotiation suppressed info
                ''',
                'capability_negotiation_suppressed_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-info', REFERENCE_CLASS, 'ClusterIdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo', 
                [], [], 
                '''                Cluster ID item info
                ''',
                'cluster_id_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured speaker ID
                ''',
                'configured_speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description-info', REFERENCE_CLASS, 'DescriptionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo', 
                [], [], 
                '''                Description item info
                ''',
                'description_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth-info', REFERENCE_CLASS, 'DmzLinkBandwidthInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo', 
                [], [], 
                '''                DMZ link bandwidth item 
                ''',
                'dmz_link_bandwidth_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EBGP neighbors hop count
                ''',
                'ebgp_hop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-hop-count-info', REFERENCE_CLASS, 'EbgpHopCountInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo', 
                [], [], 
                '''                EBGP neighbors hop count item info
                ''',
                'ebgp_hop_count_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz-info', REFERENCE_CLASS, 'EbgpRecvDmzInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo', 
                [], [], 
                '''                EBGP receive DMZ link bandwidth item info
                ''',
                'ebgp_recv_dmz_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-info', REFERENCE_CLASS, 'EbgpSendDmzInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo', 
                [], [], 
                '''                EBGP send DMZ link bandwidth item info
                ''',
                'ebgp_send_dmz_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Send DMZ link bandwidthto ebgp peer
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates egress peer engineering is enabled
                ''',
                'egress_peer_engineering',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-info', REFERENCE_CLASS, 'EgressPeerEngineeringInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo', 
                [], [], 
                '''                Egress Peer Engineering info
                ''',
                'egress_peer_engineering_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-disabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Support for graceful-restart
                ''',
                'graceful_restart_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-disabled-info', REFERENCE_CLASS, 'GracefulRestartDisabledInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo', 
                [], [], 
                '''                Graceful-restart item info
                ''',
                'graceful_restart_disabled_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-activate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Shutdown state is activated
                ''',
                'graceful_shutdown_activate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-activate-info', REFERENCE_CLASS, 'GracefulShutdownActivateInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo', 
                [], [], 
                '''                GracefulShutdownAcivate info
                ''',
                'graceful_shutdown_activate_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-as-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend the local AS this many times to the AS
                path of routes advertised during Graceful
                Shutdown
                ''',
                'graceful_shutdown_as_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-as-prepends-info', REFERENCE_CLASS, 'GracefulShutdownAsPrependsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo', 
                [], [], 
                '''                GracefulShutdownASPrepends info
                ''',
                'graceful_shutdown_as_prepends_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-exists', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                re-advertise all routes to and from this
                neighbor with the GSHUT community during
                Shutdown or bring-up
                ''',
                'graceful_shutdown_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-info', REFERENCE_CLASS, 'GracefulShutdownInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo', 
                [], [], 
                '''                GracefulShutdown info
                ''',
                'graceful_shutdown_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-loc-pref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Preference to advertise routes with during
                Graceful Shutdown to IBGP. Default=No Touch
                ''',
                'graceful_shutdown_loc_pref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-loc-pref-info', REFERENCE_CLASS, 'GracefulShutdownLocPrefInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo', 
                [], [], 
                '''                GracefulShutdownLocPref info
                ''',
                'graceful_shutdown_loc_pref_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Holdtime
                ''',
                'hold_time_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Idle Watch time(in seconds)
                ''',
                'idle_watch_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-time-info', REFERENCE_CLASS, 'IdleWatchTimeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo', 
                [], [], 
                '''                Idle Watch time item info
                ''',
                'idle_watch_time_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected-check', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'ignore_connected_check',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected-info', REFERENCE_CLASS, 'IgnoreConnectedInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo', 
                [], [], 
                '''                Ignore Connected Info
                ''',
                'ignore_connected_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan iBGP CE peer
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client-info', REFERENCE_CLASS, 'InternalVpnClientInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo', 
                [], [], 
                '''                Internal VPN Client Info
                ''',
                'internal_vpn_client_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Keepalive interval
                ''',
                'keepalive_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keychain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor keychain Name
                ''',
                'keychain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keychain-info', REFERENCE_CLASS, 'KeychainInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo', 
                [], [], 
                '''                Neighbor Keychain item info
                ''',
                'keychain_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-address-info', REFERENCE_CLASS, 'LocalAddressInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo', 
                [], [], 
                '''                Local address item info
                ''',
                'local_address_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-info', REFERENCE_CLASS, 'LocalAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo', 
                [], [], 
                '''                Local AS number item info
                ''',
                'local_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS no-prepend option
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-number-xx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First half of Local ASN
                ''',
                'local_as_number_xx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-number-yy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second half of Local ASN
                ''',
                'local_as_number_yy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-ip-address', REFERENCE_CLASS, 'LocalIpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress', 
                [], [], 
                '''                Local ipv4 or ipv6 address for neighbor
                connection
                ''',
                'local_ip_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum dynamic nbrs in range
                ''',
                'max_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-peers-info', REFERENCE_CLASS, 'MaxPeersInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo', 
                [], [], 
                '''                Max dynamic nbrs in range info
                ''',
                'max_peers_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-acc-hold-time-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Min acceptable holdtimefrom neighbor
                ''',
                'min_acc_hold_time_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertisement-info', REFERENCE_CLASS, 'MinAdvertisementInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo', 
                [], [], 
                '''                Minimum advertisement interval item info
                ''',
                'min_advertisement_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertisement_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertisement-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertisement_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in-buf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message Log Inbound buffer count
                ''',
                'msg_log_in_buf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in-info', REFERENCE_CLASS, 'MsgLogInInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo', 
                [], [], 
                '''                Message Log Inbound item info
                ''',
                'msg_log_in_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out-buf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message Log Outbound buffer count
                ''',
                'msg_log_out_buf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out-info', REFERENCE_CLASS, 'MsgLogOutInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo', 
                [], [], 
                '''                Message Log Outbound item info
                ''',
                'msg_log_out_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID value
                ''',
                'nbr_cluster_id_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id-type-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID Type
                ''',
                'nbr_cluster_id_type_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as-info', REFERENCE_CLASS, 'NbrEnforceFirstAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo', 
                [], [], 
                '''                Neighbor enforce first AS info
                ''',
                'nbr_enforce_first_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS status
                ''',
                'nbr_enforce_first_as_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time (in seconds)
                ''',
                'nbr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-restart-time-info', REFERENCE_CLASS, 'NbrRestartTimeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo', 
                [], [], 
                '''                Restart time item info
                ''',
                'nbr_restart_time_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale-path time(in seconds)
                ''',
                'nbr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-stale-path-time-info', REFERENCE_CLASS, 'NbrStalePathTimeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo', 
                [], [], 
                '''                Stale-path time item info
                ''',
                'nbr_stale_path_time_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-remote-as-list-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Range remote-as-list group name
                ''',
                'neighbor_remote_as_list_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-remote-as-list-info', REFERENCE_CLASS, 'NeighborRemoteAsListInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo', 
                [], [], 
                '''                Neighbor range  remote-as-list group info
                ''',
                'neighbor_remote_as_list_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-attribute-filter-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor filter attribute-filter group name
                ''',
                'neighbor_update_filter_attribute_filter_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-attribute-info', REFERENCE_CLASS, 'NeighborUpdateFilterAttributeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo', 
                [], [], 
                '''                Neighbor update filter attribute-filter group
                info
                ''',
                'neighbor_update_filter_attribute_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if neighbor filter configuration
                exists
                ''',
                'neighbor_update_filter_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-exists-info', REFERENCE_CLASS, 'NeighborUpdateFilterExistsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo', 
                [], [], 
                '''                Neighbor update filter configuration info
                ''',
                'neighbor_update_filter_exists_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-logging-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if neighbor filter logging is disabled
                ''',
                'neighbor_update_filter_logging_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbor filter message buffers
                ''',
                'neighbor_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-message-buffer-count-info', REFERENCE_CLASS, 'NeighborUpdateFilterMessageBufferCountInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo', 
                [], [], 
                '''                Neighbor update filter message buffer count info
                ''',
                'neighbor_update_filter_message_buffer_count_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-message-buffer-is-non-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if neighbor update filter message
                buffer is circular or not
                ''',
                'neighbor_update_filter_message_buffer_is_non_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-syslog-disable-info', REFERENCE_CLASS, 'NeighborUpdateFilterSyslogDisableInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo', 
                [], [], 
                '''                Neighbor update filter syslog disable info
                ''',
                'neighbor_update_filter_syslog_disable_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-disabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Support for NSR
                ''',
                'nsr_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-disabled-info', REFERENCE_CLASS, 'NsrDisabledInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo', 
                [], [], 
                '''                NSR item info
                ''',
                'nsr_disabled_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor password
                ''',
                'password',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('password-info', REFERENCE_CLASS, 'PasswordInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo', 
                [], [], 
                '''                Neighbor password item info
                ''',
                'password_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-allow-invalid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix vallidation allow invalid
                ''',
                'prefix_validation_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-allow-invalid-info', REFERENCE_CLASS, 'PrefixValidationAllowInvalidInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo', 
                [], [], 
                '''                RPKI allow invalid info
                ''',
                'prefix_validation_allow_invalid_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-disable', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix validation disable
                ''',
                'prefix_validation_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-disable-info', REFERENCE_CLASS, 'PrefixValidationDisableInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo', 
                [], [], 
                '''                RPKI disable info
                ''',
                'prefix_validation_disable_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-signal-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix validation signal ibgp
                ''',
                'prefix_validation_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-signal-ibgp-info', REFERENCE_CLASS, 'PrefixValidationSignalIbgpInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo', 
                [], [], 
                '''                RPKI signal ibgp info
                ''',
                'prefix_validation_signal_ibgp_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-use-validit-info', REFERENCE_CLASS, 'PrefixValidationUseValiditInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo', 
                [], [], 
                '''                RPKI use validity
                ''',
                'prefix_validation_use_validit_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('receive-buffer-info', REFERENCE_CLASS, 'ReceiveBufferInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo', 
                [], [], 
                '''                Receive buffer sizes item info
                ''',
                'receive_buffer_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-info', REFERENCE_CLASS, 'RemoteAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo', 
                [], [], 
                '''                Remote AS number item info
                ''',
                'remote_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number-xx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First half of Remote ASN
                ''',
                'remote_as_number_xx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number-yy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second half of Remote ASN
                ''',
                'remote_as_number_yy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-updates-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source of routing updates
                ''',
                'route_updates_source',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-buffer-info', REFERENCE_CLASS, 'SendBufferInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo', 
                [], [], 
                '''                Send buffer sizes item info
                ''',
                'send_buffer_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                TCP open mode to be used 
                ''',
                'session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('session-open-mode-info', REFERENCE_CLASS, 'SessionOpenModeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo', 
                [], [], 
                '''                TCP conn open mode info
                ''',
                'session_open_mode_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('shutdown-info', REFERENCE_CLASS, 'ShutdownInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo', 
                [], [], 
                '''                Shutdown item info
                ''',
                'shutdown_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-buffer-receive-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket receive buffer size
                ''',
                'socket_buffer_receive_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-buffer-send-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket send buffer size
                ''',
                'socket_buffer_send_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id-info', REFERENCE_CLASS, 'SpeakerIdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo', 
                [], [], 
                '''                Configured speaker ID item info
                ''',
                'speaker_id_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-bbyte-as-info', REFERENCE_CLASS, 'Suppress4BbyteAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo', 
                [], [], 
                '''                BGP suppress 4byte-as item info
                ''',
                'suppress4_bbyte_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Suppress BGP 4byteas Cap
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-mss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Segment Size
                ''',
                'tcp_mss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss-info', REFERENCE_CLASS, 'TcpmssInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo', 
                [], [], 
                '''                TCP Maximum Segment Size item info
                ''',
                'tcpmss_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('timers-info', REFERENCE_CLASS, 'TimersInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo', 
                [], [], 
                '''                Timers item info
                ''',
                'timers_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-info', REFERENCE_CLASS, 'TosInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo', 
                [], [], 
                '''                TOS item info
                ''',
                'tos_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Enable BGP TTL Security
                ''',
                'ttl_security',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-info', REFERENCE_CLASS, 'TtlSecurityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo', 
                [], [], 
                '''                BGP TTL Security item info
                ''',
                'ttl_security_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-no-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates if avoid-reset behavior is enabled
                during update error-handling
                ''',
                'update_error_handling_no_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-no-reset-info', REFERENCE_CLASS, 'UpdateErrorHandlingNoResetInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo', 
                [], [], 
                '''                Error-handling avoid-reset config info
                ''',
                'update_error_handling_no_reset_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-info', REFERENCE_CLASS, 'UpdateSourceInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo', 
                [], [], 
                '''                Update source item info
                ''',
                'update_source_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-independent-config',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'orr-root-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'orf-capability-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'default-originate-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'max-prefixes-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'orr-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-self-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-unchanged-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-policy-in-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-policy-out-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filter-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'remove-private-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'remove-private-as-in-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-reflector-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'legacy-pe-rt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-enabled-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-community-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-graceful-shutdown-community-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-extended-community-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'soft-reconfig-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'so-o-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'weight-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'allowas-in-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-long-lived-graceful-start-stale-time-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-long-lived-graceful-start-capable-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'as-override-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'aigp-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'aigp-cost-community-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'aigp-med',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'accept-own-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'multipath-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'fspec-valid-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-unchanged-mpath-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'permanent-network-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-mcast-attr-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-v4-afi-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-v6-afi-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-l2vpnevpn-afi-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-dis-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-def-vrf-imp-disable-afi-v4-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-def-vrf-imp-disable-afi-v6-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-vrf-re-imp-disable-afi-v4-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-vrf-re-imp-disable-afi-v6-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-encapsulation-type-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'import-afi-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-local-labeled-route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig',
            False, 
            [
            _MetaInfoClassMember('accept-own', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-info', REFERENCE_CLASS, 'AcceptOwnInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo', 
                [], [], 
                '''                Accept-Own info
                ''',
                'accept_own_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-route-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                accept-legacy-pe RT route
                ''',
                'accept_route_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-def-vrf-imp-disable-afi-v4-info', REFERENCE_CLASS, 'AdvertiseDefVrfImpDisableAfiV4Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_def_vrf_imp_disable_afi_v4_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-def-vrf-imp-disable-afi-v6-info', REFERENCE_CLASS, 'AdvertiseDefVrfImpDisableAfiV6Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_def_vrf_imp_disable_afi_v6_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-def-vrf-imp-disable-v4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_def_vrf_imp_disable_v4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-def-vrf-imp-disable-v6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_def_vrf_imp_disable_v6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-dis-info', REFERENCE_CLASS, 'AdvertiseDisInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_dis_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-disable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-l2vpnevpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_l2vpnevpn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-l2vpnevpn-afi-info', REFERENCE_CLASS, 'AdvertiseL2VpnevpnAfiInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_l2vpnevpn_afi_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise routes with local-label
                ''',
                'advertise_local_labeled_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-info', REFERENCE_CLASS, 'AdvertiseLocalLabeledRouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo', 
                [], [], 
                '''                Advertise routes with local-label
                ''',
                'advertise_local_labeled_route_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_v4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-afi-info', REFERENCE_CLASS, 'AdvertiseV4AfiInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_v4_afi_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_v6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-afi-info', REFERENCE_CLASS, 'AdvertiseV6AfiInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_v6_afi_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-vrf-re-imp-disable-afi-v4-info', REFERENCE_CLASS, 'AdvertiseVrfReImpDisableAfiV4Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_vrf_re_imp_disable_afi_v4_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-vrf-re-imp-disable-afi-v6-info', REFERENCE_CLASS, 'AdvertiseVrfReImpDisableAfiV6Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_vrf_re_imp_disable_afi_v6_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-vrf-re-imp-disable-v4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_vrf_re_imp_disable_v4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-vrf-re-imp-disable-v6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_vrf_re_imp_disable_v6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-enabled-info', REFERENCE_CLASS, 'AfEnabledInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo', 
                [], [], 
                '''                Address family activate item info
                ''',
                'af_enabled_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-encapsulation-type-info', REFERENCE_CLASS, 'AfEncapsulationTypeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo', 
                [], [], 
                '''                Encapsulation type Info 
                ''',
                'af_encapsulation_type_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-restart-capable', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart capable
                ''',
                'af_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maxmimum acceptable long-lived stale time
                acceptable from neighbor
                ''',
                'af_long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-restart-stale-time-send', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time to be sent in long-lived
                graceful-restart capability
                ''',
                'af_long_lived_graceful_restart_stale_time_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-start-capable-info', REFERENCE_CLASS, 'AfLongLivedGracefulStartCapableInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo', 
                [], [], 
                '''                Long-lived-time item info
                ''',
                'af_long_lived_graceful_start_capable_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-start-stale-time-info', REFERENCE_CLASS, 'AfLongLivedGracefulStartStaleTimeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo', 
                [], [], 
                '''                Long-lived-time item info
                ''',
                'af_long_lived_graceful_start_stale_time_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-cost-community-info', REFERENCE_CLASS, 'AigpCostCommunityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo', 
                [], [], 
                '''                AIGP Cost Community info 
                ''',
                'aigp_cost_community_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-cost-community-poi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point of insertion for AIGP cost community
                ''',
                'aigp_cost_community_poi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-info', REFERENCE_CLASS, 'AigpInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo', 
                [], [], 
                '''                AIGP info 
                ''',
                'aigp_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-med', REFERENCE_CLASS, 'AigpMed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed', 
                [], [], 
                '''                AIGP MED info 
                ''',
                'aigp_med',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allowas-in-info', REFERENCE_CLASS, 'AllowasInInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo', 
                [], [], 
                '''                Allowas-in item info
                ''',
                'allowas_in_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('alway-use-soft-reconfig', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Always use soft reconfig
                ''',
                'alway_use_soft_reconfig',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-override-info', REFERENCE_CLASS, 'AsOverrideInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo', 
                [], [], 
                '''                As-override info 
                ''',
                'as_override_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('client-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route-reflector client
                ''',
                'client_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-allowas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default allowas_in count
                ''',
                'default_allowas',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-info', REFERENCE_CLASS, 'DefaultOriginateInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo', 
                [], [], 
                '''                Default-originate item info
                ''',
                'default_originate_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-route-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'default_originate_route_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default weight
                ''',
                'default_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entire-aspath-in', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound private-AS removal if the entire AS Path
                has private ASes
                ''',
                'entire_aspath_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entire-aspath-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound private-AS removalif the entire AS Path
                hasprivate ASes
                ''',
                'entire_aspath_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-valid-info', REFERENCE_CLASS, 'FspecValidInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo', 
                [], [], 
                '''                FSPEC Valid info
                ''',
                'fspec_valid_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-orf-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORF capability
                ''',
                'has_orf_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import
                ''',
                'import_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-afi-info', REFERENCE_CLASS, 'ImportAfiInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo', 
                [], [], 
                '''                Import Afi Info 
                ''',
                'import_afi_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import reoriginate
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import reoriginate stitching RTs
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import stitching RTs
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-af-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entity is activated for this address family
                ''',
                'is_af_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP cost community enabled
                ''',
                'is_aigp_cost_community_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AIGP cost community ID
                ''',
                'is_aigp_cost_community_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-transitive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AIGP cost community ID is transitive
                ''',
                'is_aigp_cost_community_transitive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP enabled
                ''',
                'is_aigp_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP to MED enabled
                ''',
                'is_aigp_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable as override
                ''',
                'is_as_override_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-not-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if default-originate is not disabled
                ''',
                'is_default_originate_not_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-fspec-valid-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FSPEC VALID enabled
                ''',
                'is_fspec_valid_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths
                ''',
                'is_max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-max-prefix-warn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning messages only
                ''',
                'is_max_prefix_warn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-next-hop-self-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable next-hop calc
                ''',
                'is_next_hop_self_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-next-hop-unchanged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Don't change next-hop
                ''',
                'is_next_hop_unchanged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-next-hop-unchanged-mpath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Don't change mpath next-hop
                ''',
                'is_next_hop_unchanged_mpath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send mcast attr enabled
                ''',
                'is_send_mcast_attr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('legacy-pe-rt-info', REFERENCE_CLASS, 'LegacyPeRtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo', 
                [], [], 
                '''                Accept-legacy-pe-RT item info
                ''',
                'legacy_pe_rt_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time Value
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-warn-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Warning message threshhold
                ''',
                'max_prefix_warn_threshold',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum prefixes to accept
                ''',
                'max_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefixes-info', REFERENCE_CLASS, 'MaxPrefixesInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo', 
                [], [], 
                '''                Maximum prefixes to accept item info
                ''',
                'max_prefixes_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                multipath
                ''',
                'multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-info', REFERENCE_CLASS, 'MultipathInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo', 
                [], [], 
                '''                Multipath info
                ''',
                'multipath_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-self-info', REFERENCE_CLASS, 'NextHopSelfInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo', 
                [], [], 
                '''                Next hop self item info
                ''',
                'next_hop_self_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-unchanged-info', REFERENCE_CLASS, 'NextHopUnchangedInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo', 
                [], [], 
                '''                Next hop unchanged info
                ''',
                'next_hop_unchanged_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-unchanged-mpath-info', REFERENCE_CLASS, 'NextHopUnchangedMpathInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo', 
                [], [], 
                '''                Next hop unchanged mpath info
                ''',
                'next_hop_unchanged_mpath_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-capability-info', REFERENCE_CLASS, 'OrfCapabilityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo', 
                [], [], 
                '''                ORF capability item info
                ''',
                'orf_capability_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-info', REFERENCE_CLASS, 'OrrInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo', 
                [], [], 
                '''                Orr item info
                ''',
                'orr_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-root-address', REFERENCE_CLASS, 'OrrRootAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress', 
                [], [], 
                '''                ORR Root Address
                ''',
                'orr_root_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('permanent-network-info', REFERENCE_CLASS, 'PermanentNetworkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo', 
                [], [], 
                '''                Permanent network Info 
                ''',
                'permanent_network_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-filter-info', REFERENCE_CLASS, 'PrefixFilterInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo', 
                [], [], 
                '''                Inbound prefix based filter item info
                ''',
                'prefix_filter_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-orf-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inbound prefix based filter
                ''',
                'prefix_orf_filter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-in-info', REFERENCE_CLASS, 'RemovePrivateAsInInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo', 
                [], [], 
                '''                Inbound private-AS removal item info
                ''',
                'remove_private_as_in_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-info', REFERENCE_CLASS, 'RemovePrivateAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo', 
                [], [], 
                '''                Outbound private-AS removal item info
                ''',
                'remove_private_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound private-AS removal
                ''',
                'remove_private_as_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-asin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound private-AS removal
                ''',
                'remove_private_asin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inbound route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in-info', REFERENCE_CLASS, 'RoutePolicyInInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo', 
                [], [], 
                '''                Inbound route policy item info
                ''',
                'route_policy_in_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outbound route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out-info', REFERENCE_CLASS, 'RoutePolicyOutInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo', 
                [], [], 
                '''                Outbound route policy item info
                ''',
                'route_policy_out_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflector-info', REFERENCE_CLASS, 'RouteReflectorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo', 
                [], [], 
                '''                Route-reflector client item info
                ''',
                'route_reflector_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-community-attribute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send community attribute
                ''',
                'send_community_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-community-info', REFERENCE_CLASS, 'SendCommunityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo', 
                [], [], 
                '''                Send community attribute item info
                ''',
                'send_community_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-extended-community-attribute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send extended community attribute
                ''',
                'send_extended_community_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-extended-community-info', REFERENCE_CLASS, 'SendExtendedCommunityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo', 
                [], [], 
                '''                Send extended community  item info
                ''',
                'send_extended_community_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-graceful-shut-community-attributes', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Graceful shutdown related community
                attributes
                ''',
                'send_graceful_shut_community_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-graceful-shutdown-community-info', REFERENCE_CLASS, 'SendGracefulShutdownCommunityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo', 
                [], [], 
                '''                Send Graceful shutdown related community
                attribute item info
                ''',
                'send_graceful_shutdown_community_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-mcast-attr-info', REFERENCE_CLASS, 'SendMcastAttrInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo', 
                [], [], 
                '''                Send mcast attr info
                ''',
                'send_mcast_attr_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('site-of-origin', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site of Origin
                ''',
                'site_of_origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('so-o-info', REFERENCE_CLASS, 'SoOInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo', 
                [], [], 
                '''                BGP Site-of-Origin info
                ''',
                'so_o_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soft-reconfig-info', REFERENCE_CLASS, 'SoftReconfigInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo', 
                [], [], 
                '''                Soft reconf item info
                ''',
                'soft_reconfig_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soft-reconfig-not-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if soft reconf is not disabled
                ''',
                'soft_reconfig_not_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight-info', REFERENCE_CLASS, 'WeightInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo', 
                [], [], 
                '''                Default weight item info
                ''',
                'weight_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-dependent-config',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                AF identifier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-dependent-config', REFERENCE_LIST, 'AfDependentConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig', 
                [], [], 
                '''                Af-dependent config
                ''',
                'af_dependent_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('af-independent-config', REFERENCE_CLASS, 'AfIndependentConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig', 
                [], [], 
                '''                AF-independent config
                ''',
                'af_independent_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Entity name
                ''',
                'entity_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-type', REFERENCE_ENUM_CLASS, 'BgpEntityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntityEnum', 
                [], [], 
                '''                Entity type
                ''',
                'entity_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Entity/group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'entity-configuration',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations',
            False, 
            [
            _MetaInfoClassMember('entity-configuration', REFERENCE_LIST, 'EntityConfiguration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration', 
                [], [], 
                '''                A BGP Entity Configuration table entry
                ''',
                'entity_configuration',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'entity-configurations',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-independent-relatives',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-dependent-relative',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                AF identifier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-dependent-relative', REFERENCE_LIST, 'AfDependentRelative' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative', 
                [], [], 
                '''                AF-dependent relatives
                ''',
                'af_dependent_relative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('af-independent-relatives', REFERENCE_CLASS, 'AfIndependentRelatives' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives', 
                [], [], 
                '''                AF-independent relatives
                ''',
                'af_independent_relatives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Entity name
                ''',
                'entity_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-type', REFERENCE_ENUM_CLASS, 'BgpEntityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntityEnum', 
                [], [], 
                '''                Entity type
                ''',
                'entity_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Entity/group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'configuration-user',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers',
            False, 
            [
            _MetaInfoClassMember('configuration-user', REFERENCE_LIST, 'ConfigurationUser' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser', 
                [], [], 
                '''                A BGP configuration user table entry
                ''',
                'configuration_user',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'configuration-users',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-independent-relatives',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-dependent-relative',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                AF identifier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-dependent-relative', REFERENCE_LIST, 'AfDependentRelative' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative', 
                [], [], 
                '''                AF-dependent relatives
                ''',
                'af_dependent_relative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('af-independent-relatives', REFERENCE_CLASS, 'AfIndependentRelatives' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives', 
                [], [], 
                '''                AF-independent relatives
                ''',
                'af_independent_relatives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Entity name
                ''',
                'entity_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-type', REFERENCE_ENUM_CLASS, 'BgpEntityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntityEnum', 
                [], [], 
                '''                Entity type
                ''',
                'entity_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Entity/group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'configuration-inheritance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances',
            False, 
            [
            _MetaInfoClassMember('configuration-inheritance', REFERENCE_LIST, 'ConfigurationInheritance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance', 
                [], [], 
                '''                A BGP configuration inheritance table entry
                ''',
                'configuration_inheritance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'configuration-inheritances',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf',
            False, 
            [
            _MetaInfoClassMember('configuration-inheritances', REFERENCE_CLASS, 'ConfigurationInheritances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances', 
                [], [], 
                '''                The BGP configurataion inheritance table
                ''',
                'configuration_inheritances',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-users', REFERENCE_CLASS, 'ConfigurationUsers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers', 
                [], [], 
                '''                The BGP configuration users table
                ''',
                'configuration_users',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-configurations', REFERENCE_CLASS, 'EntityConfigurations' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations', 
                [], [], 
                '''                The BGP Entity Configuration table
                ''',
                'entity_configurations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'config-instance-default-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-ip-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'remote-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'speaker-id-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'min-advertisement-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'description-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ebgp-hop-count-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcpmss-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-servers-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keychain-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'password-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'receive-buffer-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-buffer-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'shutdown-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'timers-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-address-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-in-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-out-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-source-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dmz-link-bandwidth-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ebgp-recv-dmz-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ebgp-send-dmz-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ttl-security-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'suppress4-bbyte-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'session-open-mode-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bfd-mininterval-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bfd-multiplier-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tos-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-disabled-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-restart-disabled-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nbr-restart-time-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nbr-stale-path-time-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nbr-enforce-first-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster-id-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ignore-connected-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'internal-vpn-client-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'addpath-send-capability-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'addpath-receive-capability-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'egress-peer-engineering-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-handling-no-reset-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-validation-disable-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-validation-use-validit-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-validation-allow-invalid-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-validation-signal-ibgp-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-update-filter-exists-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-update-filter-message-buffer-count-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-update-filter-syslog-disable-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-update-filter-attribute-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-shutdown-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-shutdown-loc-pref-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-shutdown-as-prepends-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-shutdown-activate-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'capability-negotiation-suppressed-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-remote-as-list-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'max-peers-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'idle-watch-time-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig',
            False, 
            [
            _MetaInfoClassMember('addpath-receive-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates if addpath receive capability is
                enabled or disabled
                ''',
                'addpath_receive_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-capability-info', REFERENCE_CLASS, 'AddpathReceiveCapabilityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo', 
                [], [], 
                '''                Addpath receive capability info
                ''',
                'addpath_receive_capability_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates if addpath send capability is enabled
                or disabled
                ''',
                'addpath_send_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-capability-info', REFERENCE_CLASS, 'AddpathSendCapabilityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo', 
                [], [], 
                '''                Addpath send capability info
                ''',
                'addpath_send_capability_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('adminstrative-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Administrative shutdown
                ''',
                'adminstrative_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bestpath-use-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bestpath Use Origin-AS Va
                ''',
                'bestpath_use_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fast failure detection using BFD
                ''',
                'bfd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-info', REFERENCE_CLASS, 'BfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo', 
                [], [], 
                '''                BFD item info
                ''',
                'bfd_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-mininterval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Minimum Interval
                ''',
                'bfd_mininterval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-mininterval-info', REFERENCE_CLASS, 'BfdMinintervalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo', 
                [], [], 
                '''                BFD Mininterval item info
                ''',
                'bfd_mininterval_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplier-info', REFERENCE_CLASS, 'BfdMultiplierInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo', 
                [], [], 
                '''                BFD Multiplier item info
                ''',
                'bfd_multiplier_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-buffer-receive-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP receive buffer size
                ''',
                'bgp_buffer_receive_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-buffer-send-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP send buffer size
                ''',
                'bgp_buffer_send_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BMP Servers activated
                ''',
                'bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-servers-info', REFERENCE_CLASS, 'BmpServersInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo', 
                [], [], 
                '''                BMP Servers Configuredinfo
                ''',
                'bmp_servers_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('capability-negotiation-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Capability negotiation is suppressed
                ''',
                'capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('capability-negotiation-suppressed-info', REFERENCE_CLASS, 'CapabilityNegotiationSuppressedInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo', 
                [], [], 
                '''                Capability negotiation suppressed info
                ''',
                'capability_negotiation_suppressed_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-info', REFERENCE_CLASS, 'ClusterIdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo', 
                [], [], 
                '''                Cluster ID item info
                ''',
                'cluster_id_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured speaker ID
                ''',
                'configured_speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description-info', REFERENCE_CLASS, 'DescriptionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo', 
                [], [], 
                '''                Description item info
                ''',
                'description_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Propagate the DMZ link bandwidth
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth-info', REFERENCE_CLASS, 'DmzLinkBandwidthInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo', 
                [], [], 
                '''                DMZ link bandwidth item 
                ''',
                'dmz_link_bandwidth_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EBGP neighbors hop count
                ''',
                'ebgp_hop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-hop-count-info', REFERENCE_CLASS, 'EbgpHopCountInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo', 
                [], [], 
                '''                EBGP neighbors hop count item info
                ''',
                'ebgp_hop_count_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz-info', REFERENCE_CLASS, 'EbgpRecvDmzInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo', 
                [], [], 
                '''                EBGP receive DMZ link bandwidth item info
                ''',
                'ebgp_recv_dmz_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-info', REFERENCE_CLASS, 'EbgpSendDmzInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo', 
                [], [], 
                '''                EBGP send DMZ link bandwidth item info
                ''',
                'ebgp_send_dmz_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Send DMZ link bandwidthto ebgp peer
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates egress peer engineering is enabled
                ''',
                'egress_peer_engineering',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-info', REFERENCE_CLASS, 'EgressPeerEngineeringInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo', 
                [], [], 
                '''                Egress Peer Engineering info
                ''',
                'egress_peer_engineering_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-disabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Support for graceful-restart
                ''',
                'graceful_restart_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-disabled-info', REFERENCE_CLASS, 'GracefulRestartDisabledInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo', 
                [], [], 
                '''                Graceful-restart item info
                ''',
                'graceful_restart_disabled_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-activate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Shutdown state is activated
                ''',
                'graceful_shutdown_activate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-activate-info', REFERENCE_CLASS, 'GracefulShutdownActivateInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo', 
                [], [], 
                '''                GracefulShutdownAcivate info
                ''',
                'graceful_shutdown_activate_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-as-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend the local AS this many times to the AS
                path of routes advertised during Graceful
                Shutdown
                ''',
                'graceful_shutdown_as_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-as-prepends-info', REFERENCE_CLASS, 'GracefulShutdownAsPrependsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo', 
                [], [], 
                '''                GracefulShutdownASPrepends info
                ''',
                'graceful_shutdown_as_prepends_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-exists', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                re-advertise all routes to and from this
                neighbor with the GSHUT community during
                Shutdown or bring-up
                ''',
                'graceful_shutdown_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-info', REFERENCE_CLASS, 'GracefulShutdownInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo', 
                [], [], 
                '''                GracefulShutdown info
                ''',
                'graceful_shutdown_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-loc-pref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Preference to advertise routes with during
                Graceful Shutdown to IBGP. Default=No Touch
                ''',
                'graceful_shutdown_loc_pref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown-loc-pref-info', REFERENCE_CLASS, 'GracefulShutdownLocPrefInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo', 
                [], [], 
                '''                GracefulShutdownLocPref info
                ''',
                'graceful_shutdown_loc_pref_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Holdtime
                ''',
                'hold_time_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Idle Watch time(in seconds)
                ''',
                'idle_watch_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-time-info', REFERENCE_CLASS, 'IdleWatchTimeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo', 
                [], [], 
                '''                Idle Watch time item info
                ''',
                'idle_watch_time_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected-check', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'ignore_connected_check',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected-info', REFERENCE_CLASS, 'IgnoreConnectedInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo', 
                [], [], 
                '''                Ignore Connected Info
                ''',
                'ignore_connected_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan iBGP CE peer
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client-info', REFERENCE_CLASS, 'InternalVpnClientInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo', 
                [], [], 
                '''                Internal VPN Client Info
                ''',
                'internal_vpn_client_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Keepalive interval
                ''',
                'keepalive_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keychain', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor keychain Name
                ''',
                'keychain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keychain-info', REFERENCE_CLASS, 'KeychainInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo', 
                [], [], 
                '''                Neighbor Keychain item info
                ''',
                'keychain_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-address-info', REFERENCE_CLASS, 'LocalAddressInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo', 
                [], [], 
                '''                Local address item info
                ''',
                'local_address_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-info', REFERENCE_CLASS, 'LocalAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo', 
                [], [], 
                '''                Local AS number item info
                ''',
                'local_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS no-prepend option
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-number-xx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First half of Local ASN
                ''',
                'local_as_number_xx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-number-yy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second half of Local ASN
                ''',
                'local_as_number_yy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-ip-address', REFERENCE_CLASS, 'LocalIpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress', 
                [], [], 
                '''                Local ipv4 or ipv6 address for neighbor
                connection
                ''',
                'local_ip_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum dynamic nbrs in range
                ''',
                'max_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-peers-info', REFERENCE_CLASS, 'MaxPeersInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo', 
                [], [], 
                '''                Max dynamic nbrs in range info
                ''',
                'max_peers_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-acc-hold-time-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Min acceptable holdtimefrom neighbor
                ''',
                'min_acc_hold_time_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertisement-info', REFERENCE_CLASS, 'MinAdvertisementInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo', 
                [], [], 
                '''                Minimum advertisement interval item info
                ''',
                'min_advertisement_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertisement_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertisement-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertisement_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in-buf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message Log Inbound buffer count
                ''',
                'msg_log_in_buf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in-info', REFERENCE_CLASS, 'MsgLogInInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo', 
                [], [], 
                '''                Message Log Inbound item info
                ''',
                'msg_log_in_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out-buf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message Log Outbound buffer count
                ''',
                'msg_log_out_buf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out-info', REFERENCE_CLASS, 'MsgLogOutInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo', 
                [], [], 
                '''                Message Log Outbound item info
                ''',
                'msg_log_out_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID value
                ''',
                'nbr_cluster_id_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id-type-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID Type
                ''',
                'nbr_cluster_id_type_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as-info', REFERENCE_CLASS, 'NbrEnforceFirstAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo', 
                [], [], 
                '''                Neighbor enforce first AS info
                ''',
                'nbr_enforce_first_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS status
                ''',
                'nbr_enforce_first_as_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time (in seconds)
                ''',
                'nbr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-restart-time-info', REFERENCE_CLASS, 'NbrRestartTimeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo', 
                [], [], 
                '''                Restart time item info
                ''',
                'nbr_restart_time_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale-path time(in seconds)
                ''',
                'nbr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-stale-path-time-info', REFERENCE_CLASS, 'NbrStalePathTimeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo', 
                [], [], 
                '''                Stale-path time item info
                ''',
                'nbr_stale_path_time_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-remote-as-list-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Range remote-as-list group name
                ''',
                'neighbor_remote_as_list_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-remote-as-list-info', REFERENCE_CLASS, 'NeighborRemoteAsListInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo', 
                [], [], 
                '''                Neighbor range  remote-as-list group info
                ''',
                'neighbor_remote_as_list_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-attribute-filter-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor filter attribute-filter group name
                ''',
                'neighbor_update_filter_attribute_filter_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-attribute-info', REFERENCE_CLASS, 'NeighborUpdateFilterAttributeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo', 
                [], [], 
                '''                Neighbor update filter attribute-filter group
                info
                ''',
                'neighbor_update_filter_attribute_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if neighbor filter configuration
                exists
                ''',
                'neighbor_update_filter_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-exists-info', REFERENCE_CLASS, 'NeighborUpdateFilterExistsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo', 
                [], [], 
                '''                Neighbor update filter configuration info
                ''',
                'neighbor_update_filter_exists_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-logging-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if neighbor filter logging is disabled
                ''',
                'neighbor_update_filter_logging_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbor filter message buffers
                ''',
                'neighbor_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-message-buffer-count-info', REFERENCE_CLASS, 'NeighborUpdateFilterMessageBufferCountInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo', 
                [], [], 
                '''                Neighbor update filter message buffer count info
                ''',
                'neighbor_update_filter_message_buffer_count_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-message-buffer-is-non-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if neighbor update filter message
                buffer is circular or not
                ''',
                'neighbor_update_filter_message_buffer_is_non_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-update-filter-syslog-disable-info', REFERENCE_CLASS, 'NeighborUpdateFilterSyslogDisableInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo', 
                [], [], 
                '''                Neighbor update filter syslog disable info
                ''',
                'neighbor_update_filter_syslog_disable_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-disabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Support for NSR
                ''',
                'nsr_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-disabled-info', REFERENCE_CLASS, 'NsrDisabledInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo', 
                [], [], 
                '''                NSR item info
                ''',
                'nsr_disabled_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor password
                ''',
                'password',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('password-info', REFERENCE_CLASS, 'PasswordInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo', 
                [], [], 
                '''                Neighbor password item info
                ''',
                'password_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-allow-invalid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix vallidation allow invalid
                ''',
                'prefix_validation_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-allow-invalid-info', REFERENCE_CLASS, 'PrefixValidationAllowInvalidInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo', 
                [], [], 
                '''                RPKI allow invalid info
                ''',
                'prefix_validation_allow_invalid_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-disable', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix validation disable
                ''',
                'prefix_validation_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-disable-info', REFERENCE_CLASS, 'PrefixValidationDisableInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo', 
                [], [], 
                '''                RPKI disable info
                ''',
                'prefix_validation_disable_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-signal-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix validation signal ibgp
                ''',
                'prefix_validation_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-signal-ibgp-info', REFERENCE_CLASS, 'PrefixValidationSignalIbgpInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo', 
                [], [], 
                '''                RPKI signal ibgp info
                ''',
                'prefix_validation_signal_ibgp_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-validation-use-validit-info', REFERENCE_CLASS, 'PrefixValidationUseValiditInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo', 
                [], [], 
                '''                RPKI use validity
                ''',
                'prefix_validation_use_validit_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('receive-buffer-info', REFERENCE_CLASS, 'ReceiveBufferInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo', 
                [], [], 
                '''                Receive buffer sizes item info
                ''',
                'receive_buffer_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-info', REFERENCE_CLASS, 'RemoteAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo', 
                [], [], 
                '''                Remote AS number item info
                ''',
                'remote_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number-xx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First half of Remote ASN
                ''',
                'remote_as_number_xx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number-yy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second half of Remote ASN
                ''',
                'remote_as_number_yy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-updates-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source of routing updates
                ''',
                'route_updates_source',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-buffer-info', REFERENCE_CLASS, 'SendBufferInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo', 
                [], [], 
                '''                Send buffer sizes item info
                ''',
                'send_buffer_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                TCP open mode to be used 
                ''',
                'session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('session-open-mode-info', REFERENCE_CLASS, 'SessionOpenModeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo', 
                [], [], 
                '''                TCP conn open mode info
                ''',
                'session_open_mode_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('shutdown-info', REFERENCE_CLASS, 'ShutdownInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo', 
                [], [], 
                '''                Shutdown item info
                ''',
                'shutdown_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-buffer-receive-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket receive buffer size
                ''',
                'socket_buffer_receive_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-buffer-send-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket send buffer size
                ''',
                'socket_buffer_send_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id-info', REFERENCE_CLASS, 'SpeakerIdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo', 
                [], [], 
                '''                Configured speaker ID item info
                ''',
                'speaker_id_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-bbyte-as-info', REFERENCE_CLASS, 'Suppress4BbyteAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo', 
                [], [], 
                '''                BGP suppress 4byte-as item info
                ''',
                'suppress4_bbyte_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Suppress BGP 4byteas Cap
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-mss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Segment Size
                ''',
                'tcp_mss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss-info', REFERENCE_CLASS, 'TcpmssInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo', 
                [], [], 
                '''                TCP Maximum Segment Size item info
                ''',
                'tcpmss_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('timers-info', REFERENCE_CLASS, 'TimersInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo', 
                [], [], 
                '''                Timers item info
                ''',
                'timers_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-info', REFERENCE_CLASS, 'TosInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo', 
                [], [], 
                '''                TOS item info
                ''',
                'tos_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Enable BGP TTL Security
                ''',
                'ttl_security',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-info', REFERENCE_CLASS, 'TtlSecurityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo', 
                [], [], 
                '''                BGP TTL Security item info
                ''',
                'ttl_security_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-no-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates if avoid-reset behavior is enabled
                during update error-handling
                ''',
                'update_error_handling_no_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-no-reset-info', REFERENCE_CLASS, 'UpdateErrorHandlingNoResetInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo', 
                [], [], 
                '''                Error-handling avoid-reset config info
                ''',
                'update_error_handling_no_reset_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-info', REFERENCE_CLASS, 'UpdateSourceInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo', 
                [], [], 
                '''                Update source item info
                ''',
                'update_source_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-independent-config',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'orr-root-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'orf-capability-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'default-originate-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'max-prefixes-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'orr-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-self-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-unchanged-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-policy-in-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-policy-out-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filter-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'remove-private-as-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'remove-private-as-in-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-reflector-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'legacy-pe-rt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-enabled-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-community-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-graceful-shutdown-community-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-extended-community-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'soft-reconfig-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'so-o-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'weight-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'allowas-in-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-long-lived-graceful-start-stale-time-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-long-lived-graceful-start-capable-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'as-override-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'aigp-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'aigp-cost-community-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'aigp-med',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'accept-own-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'multipath-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'fspec-valid-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-unchanged-mpath-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'permanent-network-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-mcast-attr-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-v4-afi-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-v6-afi-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-l2vpnevpn-afi-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-dis-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-def-vrf-imp-disable-afi-v4-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-def-vrf-imp-disable-afi-v6-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-vrf-re-imp-disable-afi-v4-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-vrf-re-imp-disable-afi-v6-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-encapsulation-type-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'import-afi-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'inheritance-chain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo',
            False, 
            [
            _MetaInfoClassMember('inheritance-chain', REFERENCE_CLASS, 'InheritanceChain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain', 
                [], [], 
                '''                Pointer to the inheritance chain
                ''',
                'inheritance_chain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-item-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the item value is a configured value
                different from the default
                ''',
                'is_item_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertise-local-labeled-route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig',
            False, 
            [
            _MetaInfoClassMember('accept-own', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-info', REFERENCE_CLASS, 'AcceptOwnInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo', 
                [], [], 
                '''                Accept-Own info
                ''',
                'accept_own_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-route-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                accept-legacy-pe RT route
                ''',
                'accept_route_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-def-vrf-imp-disable-afi-v4-info', REFERENCE_CLASS, 'AdvertiseDefVrfImpDisableAfiV4Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_def_vrf_imp_disable_afi_v4_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-def-vrf-imp-disable-afi-v6-info', REFERENCE_CLASS, 'AdvertiseDefVrfImpDisableAfiV6Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_def_vrf_imp_disable_afi_v6_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-def-vrf-imp-disable-v4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_def_vrf_imp_disable_v4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-def-vrf-imp-disable-v6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_def_vrf_imp_disable_v6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-dis-info', REFERENCE_CLASS, 'AdvertiseDisInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_dis_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-disable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-l2vpnevpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_l2vpnevpn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-l2vpnevpn-afi-info', REFERENCE_CLASS, 'AdvertiseL2VpnevpnAfiInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_l2vpnevpn_afi_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise routes with local-label
                ''',
                'advertise_local_labeled_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-info', REFERENCE_CLASS, 'AdvertiseLocalLabeledRouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo', 
                [], [], 
                '''                Advertise routes with local-label
                ''',
                'advertise_local_labeled_route_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_v4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-afi-info', REFERENCE_CLASS, 'AdvertiseV4AfiInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_v4_afi_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_v6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-afi-info', REFERENCE_CLASS, 'AdvertiseV6AfiInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_v6_afi_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-vrf-re-imp-disable-afi-v4-info', REFERENCE_CLASS, 'AdvertiseVrfReImpDisableAfiV4Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_vrf_re_imp_disable_afi_v4_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-vrf-re-imp-disable-afi-v6-info', REFERENCE_CLASS, 'AdvertiseVrfReImpDisableAfiV6Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info', 
                [], [], 
                '''                Advertise Afi Info 
                ''',
                'advertise_vrf_re_imp_disable_afi_v6_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-vrf-re-imp-disable-v4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_vrf_re_imp_disable_v4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-vrf-re-imp-disable-v6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise afi
                ''',
                'advertise_vrf_re_imp_disable_v6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-enabled-info', REFERENCE_CLASS, 'AfEnabledInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo', 
                [], [], 
                '''                Address family activate item info
                ''',
                'af_enabled_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-encapsulation-type-info', REFERENCE_CLASS, 'AfEncapsulationTypeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo', 
                [], [], 
                '''                Encapsulation type Info 
                ''',
                'af_encapsulation_type_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-restart-capable', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart capable
                ''',
                'af_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maxmimum acceptable long-lived stale time
                acceptable from neighbor
                ''',
                'af_long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-restart-stale-time-send', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time to be sent in long-lived
                graceful-restart capability
                ''',
                'af_long_lived_graceful_restart_stale_time_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-start-capable-info', REFERENCE_CLASS, 'AfLongLivedGracefulStartCapableInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo', 
                [], [], 
                '''                Long-lived-time item info
                ''',
                'af_long_lived_graceful_start_capable_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-long-lived-graceful-start-stale-time-info', REFERENCE_CLASS, 'AfLongLivedGracefulStartStaleTimeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo', 
                [], [], 
                '''                Long-lived-time item info
                ''',
                'af_long_lived_graceful_start_stale_time_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-cost-community-info', REFERENCE_CLASS, 'AigpCostCommunityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo', 
                [], [], 
                '''                AIGP Cost Community info 
                ''',
                'aigp_cost_community_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-cost-community-poi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point of insertion for AIGP cost community
                ''',
                'aigp_cost_community_poi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-info', REFERENCE_CLASS, 'AigpInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo', 
                [], [], 
                '''                AIGP info 
                ''',
                'aigp_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-med', REFERENCE_CLASS, 'AigpMed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed', 
                [], [], 
                '''                AIGP MED info 
                ''',
                'aigp_med',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allowas-in-info', REFERENCE_CLASS, 'AllowasInInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo', 
                [], [], 
                '''                Allowas-in item info
                ''',
                'allowas_in_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('alway-use-soft-reconfig', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Always use soft reconfig
                ''',
                'alway_use_soft_reconfig',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-override-info', REFERENCE_CLASS, 'AsOverrideInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo', 
                [], [], 
                '''                As-override info 
                ''',
                'as_override_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('client-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route-reflector client
                ''',
                'client_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-allowas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default allowas_in count
                ''',
                'default_allowas',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-info', REFERENCE_CLASS, 'DefaultOriginateInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo', 
                [], [], 
                '''                Default-originate item info
                ''',
                'default_originate_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-route-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'default_originate_route_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default weight
                ''',
                'default_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entire-aspath-in', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound private-AS removal if the entire AS Path
                has private ASes
                ''',
                'entire_aspath_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entire-aspath-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound private-AS removalif the entire AS Path
                hasprivate ASes
                ''',
                'entire_aspath_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-valid-info', REFERENCE_CLASS, 'FspecValidInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo', 
                [], [], 
                '''                FSPEC Valid info
                ''',
                'fspec_valid_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-orf-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORF capability
                ''',
                'has_orf_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import
                ''',
                'import_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-afi-info', REFERENCE_CLASS, 'ImportAfiInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo', 
                [], [], 
                '''                Import Afi Info 
                ''',
                'import_afi_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import reoriginate
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import reoriginate stitching RTs
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import stitching RTs
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-af-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entity is activated for this address family
                ''',
                'is_af_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP cost community enabled
                ''',
                'is_aigp_cost_community_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AIGP cost community ID
                ''',
                'is_aigp_cost_community_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-transitive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AIGP cost community ID is transitive
                ''',
                'is_aigp_cost_community_transitive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP enabled
                ''',
                'is_aigp_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP to MED enabled
                ''',
                'is_aigp_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable as override
                ''',
                'is_as_override_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-not-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if default-originate is not disabled
                ''',
                'is_default_originate_not_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-fspec-valid-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FSPEC VALID enabled
                ''',
                'is_fspec_valid_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths
                ''',
                'is_max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-max-prefix-warn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning messages only
                ''',
                'is_max_prefix_warn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-next-hop-self-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable next-hop calc
                ''',
                'is_next_hop_self_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-next-hop-unchanged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Don't change next-hop
                ''',
                'is_next_hop_unchanged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-next-hop-unchanged-mpath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Don't change mpath next-hop
                ''',
                'is_next_hop_unchanged_mpath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send mcast attr enabled
                ''',
                'is_send_mcast_attr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('legacy-pe-rt-info', REFERENCE_CLASS, 'LegacyPeRtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo', 
                [], [], 
                '''                Accept-legacy-pe-RT item info
                ''',
                'legacy_pe_rt_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time Value
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-warn-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Warning message threshhold
                ''',
                'max_prefix_warn_threshold',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum prefixes to accept
                ''',
                'max_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefixes-info', REFERENCE_CLASS, 'MaxPrefixesInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo', 
                [], [], 
                '''                Maximum prefixes to accept item info
                ''',
                'max_prefixes_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                multipath
                ''',
                'multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-info', REFERENCE_CLASS, 'MultipathInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo', 
                [], [], 
                '''                Multipath info
                ''',
                'multipath_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-self-info', REFERENCE_CLASS, 'NextHopSelfInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo', 
                [], [], 
                '''                Next hop self item info
                ''',
                'next_hop_self_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-unchanged-info', REFERENCE_CLASS, 'NextHopUnchangedInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo', 
                [], [], 
                '''                Next hop unchanged info
                ''',
                'next_hop_unchanged_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-unchanged-mpath-info', REFERENCE_CLASS, 'NextHopUnchangedMpathInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo', 
                [], [], 
                '''                Next hop unchanged mpath info
                ''',
                'next_hop_unchanged_mpath_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-capability-info', REFERENCE_CLASS, 'OrfCapabilityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo', 
                [], [], 
                '''                ORF capability item info
                ''',
                'orf_capability_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-info', REFERENCE_CLASS, 'OrrInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo', 
                [], [], 
                '''                Orr item info
                ''',
                'orr_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-root-address', REFERENCE_CLASS, 'OrrRootAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress', 
                [], [], 
                '''                ORR Root Address
                ''',
                'orr_root_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('permanent-network-info', REFERENCE_CLASS, 'PermanentNetworkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo', 
                [], [], 
                '''                Permanent network Info 
                ''',
                'permanent_network_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-filter-info', REFERENCE_CLASS, 'PrefixFilterInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo', 
                [], [], 
                '''                Inbound prefix based filter item info
                ''',
                'prefix_filter_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-orf-filter', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inbound prefix based filter
                ''',
                'prefix_orf_filter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-in-info', REFERENCE_CLASS, 'RemovePrivateAsInInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo', 
                [], [], 
                '''                Inbound private-AS removal item info
                ''',
                'remove_private_as_in_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-info', REFERENCE_CLASS, 'RemovePrivateAsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo', 
                [], [], 
                '''                Outbound private-AS removal item info
                ''',
                'remove_private_as_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound private-AS removal
                ''',
                'remove_private_as_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-asin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound private-AS removal
                ''',
                'remove_private_asin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inbound route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in-info', REFERENCE_CLASS, 'RoutePolicyInInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo', 
                [], [], 
                '''                Inbound route policy item info
                ''',
                'route_policy_in_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outbound route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out-info', REFERENCE_CLASS, 'RoutePolicyOutInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo', 
                [], [], 
                '''                Outbound route policy item info
                ''',
                'route_policy_out_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflector-info', REFERENCE_CLASS, 'RouteReflectorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo', 
                [], [], 
                '''                Route-reflector client item info
                ''',
                'route_reflector_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-community-attribute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send community attribute
                ''',
                'send_community_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-community-info', REFERENCE_CLASS, 'SendCommunityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo', 
                [], [], 
                '''                Send community attribute item info
                ''',
                'send_community_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-extended-community-attribute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send extended community attribute
                ''',
                'send_extended_community_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-extended-community-info', REFERENCE_CLASS, 'SendExtendedCommunityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo', 
                [], [], 
                '''                Send extended community  item info
                ''',
                'send_extended_community_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-graceful-shut-community-attributes', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Graceful shutdown related community
                attributes
                ''',
                'send_graceful_shut_community_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-graceful-shutdown-community-info', REFERENCE_CLASS, 'SendGracefulShutdownCommunityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo', 
                [], [], 
                '''                Send Graceful shutdown related community
                attribute item info
                ''',
                'send_graceful_shutdown_community_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-mcast-attr-info', REFERENCE_CLASS, 'SendMcastAttrInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo', 
                [], [], 
                '''                Send mcast attr info
                ''',
                'send_mcast_attr_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('site-of-origin', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Site of Origin
                ''',
                'site_of_origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('so-o-info', REFERENCE_CLASS, 'SoOInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo', 
                [], [], 
                '''                BGP Site-of-Origin info
                ''',
                'so_o_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soft-reconfig-info', REFERENCE_CLASS, 'SoftReconfigInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo', 
                [], [], 
                '''                Soft reconf item info
                ''',
                'soft_reconfig_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soft-reconfig-not-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if soft reconf is not disabled
                ''',
                'soft_reconfig_not_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight-info', REFERENCE_CLASS, 'WeightInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo', 
                [], [], 
                '''                Default weight item info
                ''',
                'weight_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-dependent-config',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                AF identifier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-dependent-config', REFERENCE_LIST, 'AfDependentConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig', 
                [], [], 
                '''                Af-dependent config
                ''',
                'af_dependent_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('af-independent-config', REFERENCE_CLASS, 'AfIndependentConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig', 
                [], [], 
                '''                AF-independent config
                ''',
                'af_independent_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Entity name
                ''',
                'entity_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-type', REFERENCE_ENUM_CLASS, 'BgpEntityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntityEnum', 
                [], [], 
                '''                Entity type
                ''',
                'entity_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Entity/group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'entity-configuration',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations',
            False, 
            [
            _MetaInfoClassMember('entity-configuration', REFERENCE_LIST, 'EntityConfiguration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration', 
                [], [], 
                '''                A BGP Entity Configuration table entry
                ''',
                'entity_configuration',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'entity-configurations',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-independent-relatives',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-dependent-relative',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                AF identifier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-dependent-relative', REFERENCE_LIST, 'AfDependentRelative' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative', 
                [], [], 
                '''                AF-dependent relatives
                ''',
                'af_dependent_relative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('af-independent-relatives', REFERENCE_CLASS, 'AfIndependentRelatives' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives', 
                [], [], 
                '''                AF-independent relatives
                ''',
                'af_independent_relatives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Entity name
                ''',
                'entity_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-type', REFERENCE_ENUM_CLASS, 'BgpEntityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntityEnum', 
                [], [], 
                '''                Entity type
                ''',
                'entity_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Entity/group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'configuration-user',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers',
            False, 
            [
            _MetaInfoClassMember('configuration-user', REFERENCE_LIST, 'ConfigurationUser' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser', 
                [], [], 
                '''                A BGP configuration user table entry
                ''',
                'configuration_user',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'configuration-users',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-independent-relatives',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Address family identfier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-config-entid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative',
            False, 
            [
            _MetaInfoClassMember('bgp-config-entid', REFERENCE_LIST, 'BgpConfigEntid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid', 
                [], [], 
                '''                bgp config entid
                ''',
                'bgp_config_entid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-dependent-relative',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance',
            False, 
            [
            _MetaInfoClassMember('address-family-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                AF identifier
                ''',
                'address_family_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-dependent-relative', REFERENCE_LIST, 'AfDependentRelative' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative', 
                [], [], 
                '''                AF-dependent relatives
                ''',
                'af_dependent_relative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('af-independent-relatives', REFERENCE_CLASS, 'AfIndependentRelatives' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives', 
                [], [], 
                '''                AF-independent relatives
                ''',
                'af_independent_relatives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-type', REFERENCE_ENUM_CLASS, 'BgpEntitiesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntitiesEnum', 
                [], [], 
                '''                Entity type
                ''',
                'configuration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Entity name
                ''',
                'entity_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-type', REFERENCE_ENUM_CLASS, 'BgpEntityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEntityEnum', 
                [], [], 
                '''                Entity type
                ''',
                'entity_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Entity/group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'configuration-inheritance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances',
            False, 
            [
            _MetaInfoClassMember('configuration-inheritance', REFERENCE_LIST, 'ConfigurationInheritance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance', 
                [], [], 
                '''                A BGP configuration inheritance table entry
                ''',
                'configuration_inheritance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'configuration-inheritances',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('configuration-inheritances', REFERENCE_CLASS, 'ConfigurationInheritances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances', 
                [], [], 
                '''                The BGP configurataion inheritance table
                ''',
                'configuration_inheritances',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-users', REFERENCE_CLASS, 'ConfigurationUsers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers', 
                [], [], 
                '''                The BGP configuration users table
                ''',
                'configuration_users',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('entity-configurations', REFERENCE_CLASS, 'EntityConfigurations' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations', 
                [], [], 
                '''                The BGP Entity Configuration table
                ''',
                'entity_configurations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'config-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance.ConfigVrfs',
            False, 
            [
            _MetaInfoClassMember('config-vrf', REFERENCE_LIST, 'ConfigVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf', 
                [], [], 
                '''                Configuration data for a particular VRF
                ''',
                'config_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'config-vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances.ConfigInstance' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances.ConfigInstance',
            False, 
            [
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the BGP instance
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('config-instance-default-vrf', REFERENCE_CLASS, 'ConfigInstanceDefaultVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf', 
                [], [], 
                '''                Default VRF related configuration data
                ''',
                'config_instance_default_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('config-vrfs', REFERENCE_CLASS, 'ConfigVrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance.ConfigVrfs', 
                [], [], 
                '''                VRF related configuration data
                ''',
                'config_vrfs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'config-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.ConfigInstances' : {
        'meta_info' : _MetaInfoClass('Bgp.ConfigInstances',
            False, 
            [
            _MetaInfoClassMember('config-instance', REFERENCE_LIST, 'ConfigInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances.ConfigInstance', 
                [], [], 
                '''                Instance specific BGP data
                ''',
                'config_instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'config-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.LabelEntries.LabelEntry.Entry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.LabelEntries.LabelEntry.Entry',
            False, 
            [
            _MetaInfoClassMember('inactive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                inactive
                ''',
                'inactive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('info', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ip
                ''',
                'ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ip6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ip6
                ''',
                'ip6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('masklen', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                masklen
                ''',
                'masklen',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rds', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                rds
                ''',
                'rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                refcount
                ''',
                'refcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpc-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rpc set id
                ''',
                'rpc_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ts-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ts sec
                ''',
                'ts_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ts-ssec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ts ssec
                ''',
                'ts_ssec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.LabelEntries.LabelEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.LabelEntries.LabelEntry',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Label index
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('entry', REFERENCE_CLASS, 'Entry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.LabelEntries.LabelEntry.Entry', 
                [], [], 
                '''                entry
                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.LabelEntries' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.LabelEntries',
            False, 
            [
            _MetaInfoClassMember('label-entry', REFERENCE_LIST, 'LabelEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.LabelEntries.LabelEntry', 
                [], [], 
                '''                BGP Label Entry
                ''',
                'label_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.LabelSummary.Stats' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.LabelSummary.Stats',
            False, 
            [
            _MetaInfoClassMember('bgp-label-rpf-lists', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bgp label rpf lists
                ''',
                'bgp_label_rpf_lists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-label-rpf-nodes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bgp label rpf nodes
                ''',
                'bgp_label_rpf_nodes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-asbr-nh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE ASBR NH
                ''',
                'nbgp_label_alloc_type_asbr_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-ce-ipv4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE CE IPv4
                ''',
                'nbgp_label_alloc_type_ce_ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-ce-ipv6', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE CE IPv6
                ''',
                'nbgp_label_alloc_type_ce_ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-gbl-ipv4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE GBL IPv4
                ''',
                'nbgp_label_alloc_type_gbl_ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-gbl-ipv6', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE GBL IPv6
                ''',
                'nbgp_label_alloc_type_gbl_ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-tbl-ipv4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE TBL IPv4
                ''',
                'nbgp_label_alloc_type_tbl_ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-tbl-ipv6', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE TBL IPv6
                ''',
                'nbgp_label_alloc_type_tbl_ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-vpn-ipv4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE VPN IPv4
                ''',
                'nbgp_label_alloc_type_vpn_ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-vpn-ipv6', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE VPN IPv6
                ''',
                'nbgp_label_alloc_type_vpn_ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-vrf-ipv4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE VRF IPv4
                ''',
                'nbgp_label_alloc_type_vrf_ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-label-alloc-type-vrf-ipv6', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABEL ALLOC TYPE VRF IPv6
                ''',
                'nbgp_label_alloc_type_vrf_ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbgp-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nBGP LABELS
                ''',
                'nbgp_labels',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.LabelSummary' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.LabelSummary',
            False, 
            [
            _MetaInfoClassMember('stats', REFERENCE_CLASS, 'Stats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.LabelSummary.Stats', 
                [], [], 
                '''                stats
                ''',
                'stats',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry.Rpf.Rpf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry.Rpf.Rpf_',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ip', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ip
                ''',
                'ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ip6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                ip6
                ''',
                'ip6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry.Rpf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry.Rpf',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('install', REFERENCE_ENUM_CLASS, 'BgpLabelRpfInstallEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpLabelRpfInstallEnum', 
                [], [], 
                '''                install
                ''',
                'install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpf', REFERENCE_LIST, 'Rpf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry.Rpf.Rpf_', 
                [], [], 
                '''                rpf
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Label index
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('rpf', REFERENCE_CLASS, 'Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry.Rpf', 
                [], [], 
                '''                rpf
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-rpf-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.LabelRpfEntries' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.LabelRpfEntries',
            False, 
            [
            _MetaInfoClassMember('label-rpf-entry', REFERENCE_LIST, 'LabelRpfEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry', 
                [], [], 
                '''                BGP Label RPF Entry
                ''',
                'label_rpf_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-rpf-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateAddressFamily',
            False, 
            [
            _MetaInfoClassMember('current-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current AF update limit
                ''',
                'current_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group count
                ''',
                'update_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-process', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Process update limit
                ''',
                'configured_update_limit_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-process', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Process update limit
                ''',
                'current_update_limit_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-address-family', REFERENCE_LIST, 'UpdateAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateAddressFamily', 
                [], [], 
                '''                List of address-families
                ''',
                'update_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-logging', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable syslog messages for update generation
                events
                ''',
                'update_out_logging',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs.RpkiRefreshAf.RefreshEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs.RpkiRefreshAf.RefreshEntry',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpRpkiAfEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiAfEnum', 
                [], [], 
                '''                Address Family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP paths were dropped
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP paths modified or dropped
                ''',
                'paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Policy
                ''',
                'policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'refresh-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs.RpkiRefreshAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs.RpkiRefreshAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpRpkiEdmAfEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiEdmAfEnum', 
                [], [], 
                '''                Adress family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('refresh-entry', REFERENCE_LIST, 'RefreshEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs.RpkiRefreshAf.RefreshEntry', 
                [], [], 
                '''                Array of refresh entries
                ''',
                'refresh_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-refresh-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs',
            False, 
            [
            _MetaInfoClassMember('rpki-refresh-af', REFERENCE_LIST, 'RpkiRefreshAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs.RpkiRefreshAf', 
                [], [], 
                '''                RPKI Refresh List
                ''',
                'rpki_refresh_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-refresh-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorVrf',
            False, 
            [
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed messages received
                event (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received malformed
                messages
                ''',
                'update_malformed_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd',
            False, 
            [
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds',
            False, 
            [
            _MetaInfoClassMember('network-lookup-rd', REFERENCE_LIST, 'NetworkLookupRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network_lookup_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd',
            False, 
            [
            _MetaInfoClassMember('network-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network 
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network 
                        ''',
                        'network_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network 
                        ''',
                        'network_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('network-lookup-rds', REFERENCE_CLASS, 'NetworkLookupRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_lookup_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-all-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds',
            False, 
            [
            _MetaInfoClassMember('network-lookup-all-rd', REFERENCE_LIST, 'NetworkLookupAllRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_lookup_all_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-all-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-out', REFERENCE_CLASS, 'AttributesAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut', 
                [], [], 
                '''                Attributes after outbound policy
                ''',
                'attributes_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists All 'sp_path_in' fields except
                'sp_path_in->bag_prefix' are invalid.  All
                'sp_path_out' fields are invalid.
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-in', REFERENCE_CLASS, 'PathInfoAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn', 
                [], [], 
                '''                Path information after inbound policy
                ''',
                'path_info_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-out', REFERENCE_CLASS, 'PathInfoAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut', 
                [], [], 
                '''                Path information after outbound policy
                ''',
                'path_info_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy', 
                [], [], 
                '''                A BGP Policy table entry
                ''',
                'policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'policies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Convergence' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Convergence',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('are-write-queues-empty', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All neighbor write queues are empty
                ''',
                'are_write_queues_empty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Convergence has been reached
                ''',
                'has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-start-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-rib',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-import',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'install-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall',
            False, 
            [
            _MetaInfoClassMember('install-time', REFERENCE_CLASS, 'InstallTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime', 
                [], [], 
                '''                RIB install time
                ''',
                'install_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('installed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Installed routes
                ''',
                'installed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('modified-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Modified routes
                ''',
                'modified_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start version
                ''',
                'start_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version
                ''',
                'target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-time', REFERENCE_CLASS, 'UpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime', 
                [], [], 
                '''                RIB update time
                ''',
                'update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('withdrawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdrawn routes
                ''',
                'withdrawn_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rib-install',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('freed-rd-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of RDs freed
                ''',
                'freed_rd_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when Import thread is last triggered
                ''',
                'import_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Import thread is last triggered
                ''',
                'import_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Import thread triggers
                ''',
                'import_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by import thread
                ''',
                'import_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total imported paths memory
                ''',
                'imported_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total impoorted paths 
                ''',
                'imported_paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when label thread is last triggered
                ''',
                'label_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Label thread is last triggered
                ''',
                'label_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label thread triggers
                ''',
                'label_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by label thread
                ''',
                'label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-import-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Import thread version when last triggered
                ''',
                'last_import_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label thread version when last triggered
                ''',
                'last_label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB thread version when last triggered
                ''',
                'last_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks freed
                ''',
                'local_networks_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks malloced
                ''',
                'local_networks_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks memory
                ''',
                'local_networks_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks
                ''',
                'local_networks_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths freed
                ''',
                'local_paths_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths malloced
                ''',
                'local_paths_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths memory
                ''',
                'local_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths
                ''',
                'local_paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-rd-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of RDs malloced
                ''',
                'malloced_rd_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-active-pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Active Pelem Version
                ''',
                'max_active_pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('merged-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merged Table Version
                ''',
                'merged_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath network entries
                ''',
                'multipath_network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-network-entry-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used bymultipath network
                entries
                ''',
                'multipath_network_entry_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath paths
                ''',
                'multipath_paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used bymultimpath paths
                ''',
                'multipath_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks freed
                ''',
                'networks_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks malloced
                ''',
                'networks_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks memory
                ''',
                'networks_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of networks
                ''',
                'networks_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-init-sync-pfx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of prefix synced during Initsync
                ''',
                'num_init_sync_pfx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems freed
                ''',
                'path_elems_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems malloced
                ''',
                'path_elems_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems memory
                ''',
                'path_elems_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of path-elems
                ''',
                'path_elems_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths freed
                ''',
                'paths_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths malloced
                ''',
                'paths_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths memory
                ''',
                'paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of paths
                ''',
                'paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by RD data
                ''',
                'rd_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-ack-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack requests
                ''',
                'rib_ack_requests',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acked-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version acked by RIB
                ''',
                'rib_acked_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack received
                ''',
                'rib_acks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-brib-received-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version received from 
                ''',
                'rib_brib_received_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-install', REFERENCE_CLASS, 'RibInstall' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall', 
                [], [], 
                '''                RIB install info
                ''',
                'rib_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when RIB thread is last triggered
                ''',
                'rib_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-slow-acks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for slow RIB acks
                ''',
                'rib_slow_acks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB thread triggers
                ''',
                'rib_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribbgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when RIB thread is last triggered
                ''',
                'ribbgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-download-go-active-done-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Download Go Active Done Pending
                ''',
                'route_download_go_active_done_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-state', REFERENCE_ENUM_CLASS, 'BgpRtrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRtrStateEnum', 
                [], [], 
                '''                Router state
                ''',
                'router_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version for sending updates to peers
                ''',
                'send_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by sync thread
                ''',
                'standby_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version sent to RIB/bRIB
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP table version
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of RDs
                ''',
                'total_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-remote-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of remote RDs
                ''',
                'total_remote_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-same-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of same RDs
                ''',
                'total_same_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-import', REFERENCE_CLASS, 'TriggerImport' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport', 
                [], [], 
                '''                Trigger import
                ''',
                'trigger_import',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-label', REFERENCE_CLASS, 'TriggerLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel', 
                [], [], 
                '''                Trigger label
                ''',
                'trigger_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-rib', REFERENCE_CLASS, 'TriggerRib' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib', 
                [], [], 
                '''                Trigger RIB
                ''',
                'trigger_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-update', REFERENCE_CLASS, 'TriggerUpdate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate', 
                [], [], 
                '''                Trigger update
                ''',
                'trigger_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-gen-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when Update generation thread is
                last triggered
                ''',
                'update_gen_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-gen-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Update generation thread is last
                triggered
                ''',
                'update_gen_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update thread triggers
                ''',
                'update_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-wait-install-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update wait-install enabled
                ''',
                'update_wait_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-done-time-spec', REFERENCE_CLASS, 'VersionWrapDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec', 
                [], [], 
                '''                Version Wrap handle Done timestamp
                ''',
                'version_wrap_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-start-time-spec', REFERENCE_CLASS, 'VersionWrapStartTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec', 
                [], [], 
                '''                Version Wrap handle start timestamp
                ''',
                'version_wrap_start_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-time-spec', REFERENCE_CLASS, 'VersionWrapTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec', 
                [], [], 
                '''                Version Wrap timestamp
                ''',
                'version_wrap_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrapped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times Version Wrap happened
                ''',
                'version_wrapped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrapped-tid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version Wrapped trigger tid
                ''',
                'version_wrapped_tid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Vrf_',
            False, 
            [
            _MetaInfoClassMember('add-path-install-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Additional paths installation is disabled
                ''',
                'add_path_install_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-install-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Additional paths installation is enabled
                ''',
                'add_path_install_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('any-ebgp-neighbor-missing-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is there any neighbor which is missing either
                inbound or outbound or both routing policy for
                this address family?
                ''',
                'any_ebgp_neighbor_missing_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('asbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Router is an ASBR for this AF
                ''',
                'asbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-download', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute download is 
                ''',
                'attribute_download',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best External is enabled
                ''',
                'best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-external-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best External is enabled
                ''',
                'best_external_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BMP net entries
                ''',
                'bmp_network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by path data
                ''',
                'bmp_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Number of BMP paths
                ''',
                'bmp_paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-prefix-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by prefix data
                ''',
                'bmp_prefix_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('damped-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of dampened paths
                ''',
                'damped_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of paths freed
                ''',
                'freed_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-path-elem-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of pathelems freed
                ''',
                'freed_path_elem_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-prefix-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of prefixes freed
                ''',
                'freed_prefix_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('history-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of history paths (for dampening)
                ''',
                'history_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-nexthop-self-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of iBGP sessions configured with nh-self
                ''',
                'ibgp_nexthop_self_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by imported paths
                ''',
                'imported_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths
                ''',
                'imported_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Router is an RR for this AF
                ''',
                'is_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-retain', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label retention is enabled
                ''',
                'label_retain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-retainvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label retention value enabled
                ''',
                'label_retainvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by local paths
                ''',
                'local_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of local paths
                ''',
                'local_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of paths malloced
                ''',
                'malloced_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-path-elem-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of path elems malloced
                ''',
                'malloced_path_elem_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-prefix-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of prefixes malloced
                ''',
                'malloced_prefix_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of network entries
                ''',
                'network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elem-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by pathelem data
                ''',
                'path_elem_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path elems
                ''',
                'path_elems_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by path data
                ''',
                'path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by prefix data
                ''',
                'prefix_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of (unused) received paths for inbound
                soft reconfiguration
                ''',
                'received_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('retain-rt-all', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retain-RT-All enabled
                ''',
                'retain_rt_all',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-target-download', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Target download is enabled
                ''',
                'route_target_download',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tbl-bitf-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bitfield size on table
                ''',
                'tbl_bitf_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tbl-chunk-bitf-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Chunk Bitfield size on table
                ''',
                'tbl_chunk_bitf_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-igpsr-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use IGP SR label for resolution
                ''',
                'use_igpsr_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-install-add',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-install-del',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-add',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-del',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-add-local',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-del-local',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_',
            False, 
            [
            _MetaInfoClassMember('first-nbr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when first peer came up (seconds since Jan
                1 1970)
                ''',
                'first_nbr_up_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if process has converged
                ''',
                'has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mode-enter-time', REFERENCE_LIST, 'ModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-add', REFERENCE_LIST, 'TotalPimCallbackAdd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd', 
                [], [], 
                '''                Total number of Pim callbacks for add
                ''',
                'total_pim_callback_add',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-add-local', REFERENCE_LIST, 'TotalPimCallbackAddLocal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal', 
                [], [], 
                '''                Total number of Pim callbacks for local add
                ''',
                'total_pim_callback_add_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-batch', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pim callback batches
                ''',
                'total_pim_callback_batch',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-callback-del', REFERENCE_LIST, 'TotalPimCallbackDel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel', 
                [], [], 
                '''                Total number of Pim callbacks for del
                ''',
                'total_pim_callback_del',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-del-local', REFERENCE_LIST, 'TotalPimCallbackDelLocal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal', 
                [], [], 
                '''                Total number of Pim callbacks for Local del
                ''',
                'total_pim_callback_del_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callbacks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of PIM callbacks
                ''',
                'total_pim_callbacks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-install', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of install to PIM
                ''',
                'total_pim_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-install-add', REFERENCE_LIST, 'TotalPimInstallAdd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd', 
                [], [], 
                '''                Total number of install to PIM for add
                ''',
                'total_pim_install_add',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-install-del', REFERENCE_LIST, 'TotalPimInstallDel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel', 
                [], [], 
                '''                Total number of install to PIM for del
                ''',
                'total_pim_install_del',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibCoverged' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibCoverged',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-rib-coverged',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibDown' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibDown',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-rib-down',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableFullTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableFullTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-table-full-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableFullTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableFullTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-table-full-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableHasSpaceTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableHasSpaceTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-table-has-space-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableHasSpaceTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableHasSpaceTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-table-has-space-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeLabelRetain' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeLabelRetain',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-label-retain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_',
            False, 
            [
            _MetaInfoClassMember('attributes-recover-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes recovered from RIB
                ''',
                'attributes_recover_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes withdrawn from RIB
                ''',
                'attributes_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes sent to RIB
                ''',
                'attributes_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-full-timestamp', REFERENCE_CLASS, 'FirstRibTableFullTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableFullTimestamp', 
                [], [], 
                '''                Timestamp when RIB table was full for the first
                time
                ''',
                'first_rib_table_full_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table was full for the first
                time
                ''',
                'first_rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-has-space-timestamp', REFERENCE_CLASS, 'FirstRibTableHasSpaceTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableHasSpaceTimestamp', 
                [], [], 
                '''                Timestamp when RIB table had space for the first
                time
                ''',
                'first_rib_table_has_space_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-has-space-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table had space for the first
                time
                ''',
                'first_rib_table_has_space_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-added-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths added
                ''',
                'import_added_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of calls to import processing function
                ''',
                'import_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-dest-net-processed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of destination nets processed
                ''',
                'import_dest_net_processed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-removed-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths removed
                ''',
                'import_removed_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-replaced-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths 
                ''',
                'import_replaced_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-src-net-processed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of source nets processed
                ''',
                'import_src_net_processed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent in import processing (milliseconds)
                Note time accounted against source nets.
                ''',
                'import_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-table-full', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if RIB table is in prefix-limit state
                ''',
                'is_rib_table_full',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-added-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels requested
                ''',
                'label_added_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to label allocation processing
                function
                ''',
                'label_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-release-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels released
                ''',
                'label_release_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-rewrite-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of label rewrites created
                ''',
                'label_rewrite_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent running label processing
                (milliseconds)
                ''',
                'label_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since RIB table was full for the last time
                (in seconds)
                ''',
                'last_rib_table_full_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-timestamp', REFERENCE_CLASS, 'LastRibTableFullTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableFullTimestamp', 
                [], [], 
                '''                Timestamp when RIB table was full for the last
                time
                ''',
                'last_rib_table_full_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table was full for the last
                time
                ''',
                'last_rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Times since RIB table had space for the last
                time (in seconds)
                ''',
                'last_rib_table_has_space_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-timestamp', REFERENCE_CLASS, 'LastRibTableHasSpaceTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableHasSpaceTimestamp', 
                [], [], 
                '''                Timestamp when RIB table had space for the last
                time
                ''',
                'last_rib_table_has_space_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table had space for the last
                time
                ''',
                'last_rib_table_has_space_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn from RIB
                ''',
                'prefixes_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-resent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes re-sent to RIB
                ''',
                'prefixes_resent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes sent to RIB
                ''',
                'prefixes_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table became full (from
                non-full)
                ''',
                'rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-del-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped on account of table
                delete
                ''',
                'rib_tbl_del_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-invalid-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of  rib update skipped due to table invalid
                ''',
                'rib_tbl_invalid_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped. due to no local label
                ''',
                'rib_tbl_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-retry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of table rib retires.
                ''',
                'rib_tbl_retry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-skip-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped
                ''',
                'rib_tbl_skip_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-trigger', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rib trigger enabled
                ''',
                'rib_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-update-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to RIB update function
                ''',
                'rib_update_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending RIB updates (milliseconds)
                ''',
                'rib_update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-runs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                # of times scanner has run
                ''',
                'scanner_runs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent running scanner (milliseconds)
                ''',
                'scanner_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update subgroup
                ''',
                'subgroup_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-label-retain', REFERENCE_CLASS, 'TimeLabelRetain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeLabelRetain', 
                [], [], 
                '''                Time last label retentiontriggered 
                ''',
                'time_label_retain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-update-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time last update was sent (seconds since Jan 1
                1970)
                ''',
                'time_last_update_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-rib-coverged', REFERENCE_CLASS, 'TimeRibCoverged' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibCoverged', 
                [], [], 
                '''                Time last RIB ack was sent 
                ''',
                'time_rib_coverged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-rib-down', REFERENCE_CLASS, 'TimeRibDown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibDown', 
                [], [], 
                '''                Time last RIB down wassent. This field is
                deprecated
                ''',
                'time_rib_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-be-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of be prefixes updates generated for
                ''',
                'update_generation_be_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to update generation function
                ''',
                'update_generation_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages generated
                ''',
                'update_generation_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes updates generated for
                ''',
                'update_generation_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating updates (milliseconds)
                ''',
                'update_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update group
                ''',
                'update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF flags for debug display
                ''',
                'vrf_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family id
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ID for the BGP process instance
                ''',
                'process_instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-totals', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                per VRF information aggregated across all VRFs
                ''',
                'vrf_totals',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-used-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet',
            False, 
            [
            _MetaInfoClassMember('rpc-set-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Nexthop set index
                ''',
                'rpc_set_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label assigned to the RPCnext-hop set
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_LIST, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop', 
                [], [], 
                '''                List of multipath next-hops
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath next-hops
                ''',
                'next_hop_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ref-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcount
                ''',
                'ref_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpc-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets',
            False, 
            [
            _MetaInfoClassMember('rpc-set', REFERENCE_LIST, 'RpcSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet', 
                [], [], 
                '''                A BGP next-hop set
                ''',
                'rpc_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpc-sets',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'install-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall',
            False, 
            [
            _MetaInfoClassMember('install-time', REFERENCE_CLASS, 'InstallTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime', 
                [], [], 
                '''                RIB install time
                ''',
                'install_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('installed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Installed routes
                ''',
                'installed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('modified-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Modified routes
                ''',
                'modified_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start version
                ''',
                'start_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version
                ''',
                'target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-time', REFERENCE_CLASS, 'UpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime', 
                [], [], 
                '''                RIB update time
                ''',
                'update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('withdrawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdrawn routes
                ''',
                'withdrawn_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rib-install',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'syncgrp-version',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('gblafrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'gblafrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'gblafrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'gblafrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'gblafrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-mcast-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global table mcast enabled
                ''',
                'global_mcast_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inter-as-install-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is inter-AS install to pim on ASBR enabled
                ''',
                'inter_as_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-perm-net-cfg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network Enabled
                ''',
                'is_perm_net_cfg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-tunnel-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Tunnel Version
                ''',
                'nh_tunnel_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-nbr-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of neighbors configured with perm net
                ''',
                'perm_nbr_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-del-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of removed perm paths
                ''',
                'perm_net_del_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-existing-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of existing perm paths
                ''',
                'perm_net_existing_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-insert-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of inserted perm paths
                ''',
                'perm_net_insert_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-rpl-process-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm nets processed in RPL
                ''',
                'perm_net_rpl_process_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-rpl-query-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm nets given by RPL
                ''',
                'perm_net_rpl_query_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-stale-del-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of stale perm paths
                ''',
                'perm_net_stale_del_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-stale-mark-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of stale marked perm paths
                ''',
                'perm_net_stale_mark_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-path-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm paths refreshed
                ''',
                'perm_path_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-all-bump-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of bumped perm pelems
                ''',
                'perm_pelem_all_bump_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-bump-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of bumped perm pelems
                ''',
                'perm_pelem_bump_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-free-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of freed perm pelems
                ''',
                'perm_pelem_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-ack-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack requests
                ''',
                'rib_ack_requests',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack received
                ''',
                'rib_acks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-install', REFERENCE_CLASS, 'RibInstall' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall', 
                [], [], 
                '''                RIB install info
                ''',
                'rib_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-path-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_path_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-path-not-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_path_not_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-pelem-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_pelem_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-pelem-not-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_pelem_not_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-reg-path-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_reg_path_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-slow-acks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for slow RIB acks
                ''',
                'rib_slow_acks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total prefixes of address-family scanned
                ''',
                'scan_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-segment-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes scanned in a segment of
                address-family
                ''',
                'scan_segment_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-segments', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of segments to scan all prefixes of
                address-family
                ''',
                'scan_segments',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Period (in seconds) of address-family scanner
                runs
                ''',
                'scanner_period',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('segmented-mcast-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is segmented mcast enabled
                ''',
                'segmented_mcast_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('syncgrp-version', REFERENCE_LIST, 'SyncgrpVersion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion', 
                [], [], 
                '''                Sync-group Version
                ''',
                'syncgrp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=2),
            _MetaInfoClassMember('update-wait-install-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update wait-install enabled
                ''',
                'update_wait_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Vrf_',
            False, 
            [
            _MetaInfoClassMember('aggregates-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dist for aggregate routes (local)
                ''',
                'aggregates_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('client-reflection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Client reflection enabled
                ''',
                'client_reflection_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampening-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dampening enabled
                ''',
                'dampening_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update generation enabled for MED change
                ''',
                'dynamic_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Delay in update generation after a MED change
                (in minutes)
                ''',
                'dynamic_med_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-periodic-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic MED periodic timer running
                ''',
                'dynamic_med_periodic_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-periodic-timer-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dynamic MED periodic timer value (in seconds)
                left on the timer
                ''',
                'dynamic_med_periodic_timer_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic MED timer running
                ''',
                'dynamic_med_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-timer-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dynamic MED timer value (in seconds) left on the
                timer
                ''',
                'dynamic_med_timer_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Distance for eBGP routes (external)
                ''',
                'ebgp_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Distance for iBGP routes (internal)
                ''',
                'ibgp_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-table-full', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if RIB table is in prefix-limit state
                ''',
                'is_rib_table_full',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-resolution-minimum-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop resoultion minimum prefix-length
                ''',
                'nexthop_resolution_minimum_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-resolution-minimum-prefix-length-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is nexthop resoultion minimum prefix-length
                configured ?
                ''',
                'nexthop_resolution_minimum_prefix_length_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-conv-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR conv version
                ''',
                'nsr_conv_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-is-conv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NSR is converged
                ''',
                'nsr_is_conv',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RD version
                ''',
                'rd_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acked-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version acked by RIB
                ''',
                'rib_acked_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-convergence-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last convergence version received from RIB
                ''',
                'rib_convergence_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received convergence notification from RIB
                ''',
                'rib_has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table became full (from
                non-full)
                ''',
                'rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version synced to RIB
                ''',
                'rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-ebgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective eBGP multipath isenabled
                ''',
                'selective_ebgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-eibgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective eiBGP multipath isenabled
                ''',
                'selective_eibgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-ibgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective iBGP multipath isenabled
                ''',
                'selective_ibgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table state is active
                ''',
                'table_is_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family id
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-stop routing enabled
                ''',
                'is_nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global-af-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix',
            False, 
            [
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network prefix
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes',
            False, 
            [
            _MetaInfoClassMember('network-prefix', REFERENCE_LIST, 'NetworkPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix', 
                [], [], 
                '''                A BGP Network Lookup prefix entry
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr',
            False, 
            [
            _MetaInfoClassMember('advertised-path', REFERENCE_LIST, 'AdvertisedPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath', 
                [], [], 
                '''                A BGP Advertised path table entry (bestpath)
                ''',
                'advertised_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork',
            False, 
            [
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-backdoor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if net is a backdoor route
                ''',
                'is_backdoor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sourced-prefix', REFERENCE_CLASS, 'SourcedPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix', 
                [], [], 
                '''                Prefix length
                ''',
                'sourced_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks',
            False, 
            [
            _MetaInfoClassMember('sourced-network', REFERENCE_LIST, 'SourcedNetwork' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork', 
                [], [], 
                '''                A BGP network command table entry
                ''',
                'sourced_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-networks',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('update-generation-be-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of be prefixes updates generated for
                ''',
                'update_generation_be_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to update generation function
                ''',
                'update_generation_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages generated
                ''',
                'update_generation_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes updates generated for
                ''',
                'update_generation_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating updates (milliseconds)
                ''',
                'update_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-process-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer processed for updgrp
                ''',
                'updgen_timer_process_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer started for updgrp
                ''',
                'updgen_timer_start_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-stop-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer stopped for updgrp
                ''',
                'updgen_timer_stop_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup',
            False, 
            [
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-advertised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertised to filtergroup in
                last update walk
                ''',
                'fgroup_advertised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-created-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems created for filtergroup
                ''',
                'fgroup_created_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-deleted-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems deleted
                ''',
                'fgroup_deleted_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags per filter group
                ''',
                'fgroup_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Nbrs per filter group
                ''',
                'fgroup_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-queued-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems queued
                ''',
                'fgroup_queued_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-skipped-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes skipped for filtergroup in
                last update walk
                ''',
                'fgroup_skipped_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-suppressed-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes suppressed for filtergroup in
                last update walk
                ''',
                'fgroup_suppressed_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-advertised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertised to filtergroup in
                all update walk
                ''',
                'fgroup_total_advertised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-non-optimised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes  non-optm from filtergroupin
                all update walk
                ''',
                'fgroup_total_non_optimised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes withdrawn f`rom filtergroupin
                all update walk
                ''',
                'fgroup_total_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes withdrawn f`rom filtergroupin
                last update walk
                ''',
                'fgroup_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this update sub-group
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT count per filter group
                ''',
                'rts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update sub-group index
                ''',
                'update_filter_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup',
            False, 
            [
            _MetaInfoClassMember('filter-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Update sub-group fgrp-num
                ''',
                'filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this subgrp not in any filtergrp
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group', REFERENCE_LIST, 'UpdateFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup', 
                [], [], 
                '''                Update f-group list
                ''',
                'update_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update sub-group index
                ''',
                'update_sub_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('wait-for-eo-rs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Wait for  RT Nbr EoRs
                ''',
                'wait_for_eo_rs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('accepts-legacy-pe-rt-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                accept-legacy-pe-RT route
                ''',
                'accepts_legacy_pe_rt_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS Override option
                ''',
                'as_override',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('desync-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the update has been
                desynchronized
                ''',
                'desync_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-def-vrf-imp-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising default VRF  imported routes
                ''',
                'disable_def_vrf_imp_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-native-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising native routes
                ''',
                'disable_native_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-vrf-re-imp-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising VRF re-imported routes
                ''',
                'disable_vrf_re_imp_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ext-nh-encoding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding cap received
                ''',
                'ext_nh_encoding',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter group index
                ''',
                'filter_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT active
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GSHUT local preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT local preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                GSHUT AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-orf-receive-capability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORF receive capability
                ''',
                'has_orf_receive_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AS capable peers
                ''',
                'is4_byte_as_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Add-path capable peers
                ''',
                'is_addpath_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send tranlsated paths
                ''',
                'is_adv_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-perm-net-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent-Net capable peers
                ''',
                'is_adv_perm_net_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-reorg-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Re-orig paths
                ''',
                'is_adv_reorg_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP capable peers
                ''',
                'is_aigp_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send AIGP cost community to peers
                ''',
                'is_aigp_cost_community_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-med-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send AIGP cost in MED
                ''',
                'is_aigp_med_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-client-reflection-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if client-to-client reflection is disabled 
                ''',
                'is_client_reflection_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-common-admin-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Common admin peers
                ''',
                'is_common_admin_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-directly-connected-ebgp-v6-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Directly connected EBGP v6 peers
                ''',
                'is_directly_connected_ebgp_v6_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal peers
                ''',
                'is_internal_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-labeled-afi-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update group has labeled AFI enabled
                ''',
                'is_labeled_afi_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-llgr-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Long-lived Stale paths
                ''',
                'is_llgr_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route-reflector client
                ''',
                'is_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send mcast attribute enabled
                ''',
                'is_send_mcast_attr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-unlabeled-afi-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update group has unlabeled AFI enabled
                ''',
                'is_unlabeled_afi_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum-advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'minimum_advertisement_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum-advertisement-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'minimum_advertisement_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this update group which are not in
                any sub-group
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-subgrp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current count of refresh subgroups
                ''',
                'refresh_subgrp_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outbound route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('session-af-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor session Address family
                ''',
                'session_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-remove-private-a-ss', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Remove private AS numbers
                ''',
                'should_remove_private_a_ss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-remove-private-as-ent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Remove private AS numbersif the entire path
                consistsof private ASes
                ''',
                'should_remove_private_as_ent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-communities', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send communities
                ''',
                'should_send_communities',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-ext-communities', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Extended communities
                ''',
                'should_send_ext_communities',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-gshut-community', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send GSHUT community
                ''',
                'should_send_gshut_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-stitching-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Stitching RT
                ''',
                'should_send_stitching_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Site-of-origin option
                ''',
                'soo',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soo-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Site-of-origin value
                ''',
                'soo_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Split horizon check
                ''',
                'split_horizon',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgrp-merge-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times sub-groups have been merged
                ''',
                'subgrp_merge_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family for update group
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update group index
                ''',
                'update_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group', REFERENCE_LIST, 'UpdateSubGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup', 
                [], [], 
                '''                Update sub-group list
                ''',
                'update_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updates-formatted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of updates formatted
                ''',
                'updates_formatted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updates-replicated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of updates replicated
                ''',
                'updates_replicated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgrp-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID (populated ifclient-to-client
                reflectionis disabled)
                ''',
                'updgrp_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgrp-cluster-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID type:undefined/number/Ip address
                ''',
                'updgrp_cluster_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-next-hop-self', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop self
                ''',
                'use_next_hop_self',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-next-hop-unchanged-mpath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next-hop-unchanged multipath
                ''',
                'use_next_hop_unchanged_mpath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups',
            False, 
            [
            _MetaInfoClassMember('update-group', REFERENCE_LIST, 'UpdateGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup', 
                [], [], 
                '''                A BGP Update group table entry
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'creation-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-merge-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-walk-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-walk-end-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-walk-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-walk-end-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-sub-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured update limit
                ''',
                'configured_update_limit_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('creation-timestamp', REFERENCE_CLASS, 'CreationTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp', 
                [], [], 
                '''                Creation time
                ''',
                'creation_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-sub-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current update limit
                ''',
                'current_update_limit_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-attempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Sending EoR has been attempted
                ''',
                'eo_r_attempted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-walk-end-timestamp', REFERENCE_CLASS, 'FirstUpdateWalkEndTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp', 
                [], [], 
                '''                First update walk end time
                ''',
                'first_update_walk_end_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-walk-start-timestamp', REFERENCE_CLASS, 'FirstUpdateWalkStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp', 
                [], [], 
                '''                First update walk start time
                ''',
                'first_update_walk_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-event-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IO write event pending
                ''',
                'io_write_event_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-merge-timestamp', REFERENCE_CLASS, 'LastMergeTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp', 
                [], [], 
                '''                Last merge time
                ''',
                'last_merge_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-merged-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last merged sub-group index
                ''',
                'last_merged_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update queued event (in seconds)
                ''',
                'last_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-timestamp', REFERENCE_CLASS, 'LastUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp', 
                [], [], 
                '''                Last update queued time
                ''',
                'last_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-end-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update walk end event
                ''',
                'last_update_walk_end_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-end-timestamp', REFERENCE_CLASS, 'LastUpdateWalkEndTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp', 
                [], [], 
                '''                Last update walk end time
                ''',
                'last_update_walk_end_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-start-timestamp', REFERENCE_CLASS, 'LastUpdateWalkStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp', 
                [], [], 
                '''                Last update walk start time
                ''',
                'last_update_walk_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('merge-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge count
                ''',
                'merge_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next resume version
                ''',
                'next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group identifier
                ''',
                'parent_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group index
                ''',
                'parent_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending target version
                ''',
                'pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-default-route-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default route sent
                ''',
                'update_default_route_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh target version
                ''',
                'update_refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-sub-group', REFERENCE_LIST, 'UpdateGenerationSubGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup', 
                [], [], 
                '''                Update generation for sub-group
                ''',
                'update_generation_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-sub-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('critical-notf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of critical event notifications from RIB
                ''',
                'critical_notf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notf-bestpath-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath changes due to last
                notification
                ''',
                'last_notf_bestpath_changes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notf-bestpath-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath deletes due to last
                notification
                ''',
                'last_notf_bestpath_deletes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops withdrawn from RIB
                ''',
                'nexthops_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-resent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops re-sent to RIB
                ''',
                'nexthops_resent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops sent to RIB
                ''',
                'nexthops_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-batch-finish-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH batch finish calls
                ''',
                'nh_batch_finish_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-flush-timer-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH flush timer calls
                ''',
                'nh_flush_timer_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-a-sync-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last async Register TS
                ''',
                'nh_last_a_sync_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-a-sync-un-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last async UnRegister TS
                ''',
                'nh_last_a_sync_un_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-batch-finish-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last batch finish TS
                ''',
                'nh_last_batch_finish_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-flush-timer-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last flush timer TS
                ''',
                'nh_last_flush_timer_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-sync-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last sync Register TS
                ''',
                'nh_last_sync_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-peak-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Registration List Count Peak
                ''',
                'nh_peak_registrations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-pending-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Registration List Count
                ''',
                'nh_pending_registrations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-sync-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH sync register calls
                ''',
                'nh_sync_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nha-sync-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH async register calls
                ''',
                'nha_sync_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nha-sync-un-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH async unregister calls
                ''',
                'nha_sync_un_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhrib-update-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to RIB update function
                ''',
                'nhrib_update_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhrib-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending RIB updates (milliseconds)
                ''',
                'nhrib_update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('noncritical-notf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of non-critical event notifications from
                RIB
                ''',
                'noncritical_notf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-sync-registers-failed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sync registers with RIB that failed
                ''',
                'rib_sync_registers_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('riba-sync-registers-failed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of async registers with RIB that failed
                ''',
                'riba_sync_registers_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribnh-reg-failed-for-no-rib-conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nh registers failed because of no rib
                conn
                ''',
                'ribnh_reg_failed_for_no_rib_conn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribnh-reg-failed-for-no-tbl-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nh registers failed because of no tbl-id
                ''',
                'ribnh_reg_failed_for_no_tbl_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-backup-creates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times backup tid created during tunnel
                walk
                ''',
                'tunnel_walk_backup_creates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-gw-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times gw was not found during tunnel walk
                ''',
                'tunnel_walk_gw_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-nh-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times nexthop was not found during tunnel
                walk
                ''',
                'tunnel_walk_nh_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('critical-trigger-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Trigger delay for critical event processing
                ''',
                'critical_trigger_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-downloaded-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table downloaded
                ''',
                'epe_downloaded_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE label walk
                ''',
                'epe_label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-standby-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table processed by sync
                thread
                ''',
                'epe_standby_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table
                ''',
                'epe_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gwaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                GW Address family identifier
                ''',
                'gwaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-nexthop-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH version for gw_ctx
                ''',
                'nh_nexthop_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-rib-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the VRF is active
                ''',
                'nh_rib_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version for gw_ctx
                ''',
                'nh_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway context table id
                ''',
                'nh_table_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('non-critical-trigger-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Trigger delay for non-critical event processing
                ''',
                'non_critical_trigger_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the VRF is active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of nexthops
                ''',
                'total_nexthops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-af-vrf-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-metrice',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-refcount',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo',
            False, 
            [
            _MetaInfoClassMember('gateway-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway flags
                ''',
                'gateway_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('registration-since', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since registration
                ''',
                'registration_since',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('registration-type', REFERENCE_ENUM_CLASS, 'BgpNhValidateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhValidateEnum', 
                [], [], 
                '''                Nexthop registration type
                ''',
                'registration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-gateway-internal-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo',
            False, 
            [
            _MetaInfoClassMember('gateway-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway flags
                ''',
                'gateway_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-address', REFERENCE_CLASS, 'NexthopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress', 
                [], [], 
                '''                Nexthop address
                ''',
                'nexthop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-af-user-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bitmask indicating the AFs which share the
                nexthop
                ''',
                'nexthop_af_user_bits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop flags
                ''',
                'nexthop_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-internal-info', REFERENCE_LIST, 'NexthopGatewayInternalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo', 
                [], [], 
                '''                Internal nexthop Gateway info
                ''',
                'nexthop_gateway_internal_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Comm librray ID
                ''',
                'nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop ifhandle
                ''',
                'nexthop_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop label
                ''',
                'nexthop_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-metrice', REFERENCE_LIST, 'NexthopMetrice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice', 
                [], [], 
                '''                Nexthop metrices
                ''',
                'nexthop_metrice',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-refcount', REFERENCE_LIST, 'NexthopRefcount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount', 
                [], [], 
                '''                Nexthop refcounts
                ''',
                'nexthop_refcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version
                ''',
                'nexthop_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-internal-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo',
            False, 
            [
            _MetaInfoClassMember('critical-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of critical events received from RIB
                ''',
                'critical_events',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-event-since', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last event sent to or received
                from RIB
                ''',
                'last_event_since',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-event-type', REFERENCE_ENUM_CLASS, 'BgpNhEventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhEventEnum', 
                [], [], 
                '''                Last nexthop event type
                ''',
                'last_event_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_rib_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-type', REFERENCE_ENUM_CLASS, 'BgpNhUpdateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhUpdateEnum', 
                [], [], 
                '''                Last nexthop update type
                ''',
                'last_update_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-af-invalid-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bitmask indicating the AFs which have been
                invalidated for the nexthop
                ''',
                'nexthop_af_invalid_bits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric for nexthop
                ''',
                'nexthop_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if MPLS is configured for IAS/CsC
                application
                ''',
                'nexthop_mpls_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces on which MPLS is enabled
                ''',
                'nexthop_mpls_interfaces',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label allocated for IAS/CsC application
                ''',
                'nexthop_mpls_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route', REFERENCE_CLASS, 'NexthopRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute', 
                [], [], 
                '''                Route resolving the nethop
                ''',
                'nexthop_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-path', REFERENCE_LIST, 'NexthopRoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath', 
                [], [], 
                '''                Nexthops of the resolving route
                ''',
                'nexthop_route_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths in the resolving route
                ''',
                'nexthop_route_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length of the route resolving the nexthop
                ''',
                'nexthop_route_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-protocol', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protocol that resolves the route to the nexthop
                ''',
                'nexthop_route_protocol',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Nexthop status
                ''',
                'nexthop_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-tableid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Nexthop Table id
                ''',
                'nexthop_tableid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('non-critical-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of non-critical events received from RIB
                ''',
                'non_critical_events',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-gateway-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-set', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Attribute Set Name
                ''',
                'attribute_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_LIST, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress', 
                [], [], 
                '''                Neighbor Address List
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Next hop address
                        ''',
                        'next_hop_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Next hop address
                        ''',
                        'next_hop_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('nexthop-address', REFERENCE_CLASS, 'NexthopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress', 
                [], [], 
                '''                Nexthop address
                ''',
                'nexthop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AIGP metrice of nexthop
                ''',
                'nexthop_aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-info', REFERENCE_LIST, 'NexthopGatewayInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo', 
                [], [], 
                '''                Gateway related info, includingOptimal Route
                Reflector Gateways
                ''',
                'nexthop_gateway_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-prefix-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Gateway resolved through Connected route ?
                ''',
                'nexthop_gateway_prefix_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway prefix length
                ''',
                'nexthop_gateway_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Gateway reachable ?
                ''',
                'nexthop_gateway_reachable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-internal-info', REFERENCE_CLASS, 'NexthopInternalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo', 
                [], [], 
                '''                Internal nexthop info
                ''',
                'nexthop_internal_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-pending-registration', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Nexthop registration is pending
                ''',
                'nexthop_pending_registration',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors/prefixes referencing this
                nexthop
                ''',
                'nexthop_reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-first-hop-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                First-hop interface handle
                ''',
                'nh_first_hop_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-reference-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors/prefixes referencing this
                nexthop (AFs)
                ''',
                'nh_reference_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-nexthop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB Nexthop Id
                ''',
                'rib_nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs',
            False, 
            [
            _MetaInfoClassMember('next-hop-af', REFERENCE_LIST, 'NextHopAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf', 
                [], [], 
                '''                A BGP Next hop entry
                ''',
                'next_hop_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily',
            False, 
            [
            _MetaInfoClassMember('next-hop-af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'next_hop_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('next-hop-af-vrf-af', REFERENCE_CLASS, 'NextHopAfVrfAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf', 
                [], [], 
                '''                A BGP Next-hop VRF AF table entry
                ''',
                'next_hop_af_vrf_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-afs', REFERENCE_CLASS, 'NextHopAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs', 
                [], [], 
                '''                The BGP Next-hop table
                ''',
                'next_hop_afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies',
            False, 
            [
            _MetaInfoClassMember('next-hop-address-family', REFERENCE_LIST, 'NextHopAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily', 
                [], [], 
                '''                Nexthop Address family
                ''',
                'next_hop_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-address-families',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet',
            False, 
            [
            _MetaInfoClassMember('rt-set', REFERENCE_LIST, 'RtSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet', 
                [], [], 
                '''                Set of route targets
                ''',
                'rt_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier of the rtset
                ''',
                'rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length in bytes of set of route targets
                ''',
                'rt_set_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-net-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of nets with paths with the rtset
                ''',
                'rt_set_net_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-target-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter',
            False, 
            [
            _MetaInfoClassMember('rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RTSet ID
                ''',
                'rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('route-target-set', REFERENCE_CLASS, 'RouteTargetSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet', 
                [], [], 
                '''                Route Target set
                ''',
                'route_target_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters',
            False, 
            [
            _MetaInfoClassMember('rt-set-counter', REFERENCE_LIST, 'RtSetCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter', 
                [], [], 
                '''                One RT-set counter table entry
                ''',
                'rt_set_counter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_',
            False, 
            [
            _MetaInfoClassMember('bmp-nbr-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Paths Nbr bmp bit map
                ''',
                'bmp_nbr_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-adv-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path's Adv bit map
                ''',
                'bmp_path_adv_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with path
                ''',
                'bmp_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-snd-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path's pending snd bit map
                ''',
                'bmp_path_snd_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bpath-pointer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP Path pointer
                ''',
                'bpath_pointer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path originated locally?
                ''',
                'local_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label received from peer
                ''',
                'received_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with net
                ''',
                'bmp_net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-net-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net's version
                ''',
                'bmp_net_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path', REFERENCE_LIST, 'BmpPath_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_', 
                [], [], 
                '''                List of paths under the BMP net
                ''',
                'bmp_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for the net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionAge', 
                [], [], 
                '''                Net Version bump age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp', 
                [], [], 
                '''                Net Version bump timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths',
            False, 
            [
            _MetaInfoClassMember('bmp-path', REFERENCE_LIST, 'BmpPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath', 
                [], [], 
                '''                A BMP path table entry
                ''',
                'bmp_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-stop-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-expiry-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-remaining-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-delay-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent UG check
                ''',
                'is_permanent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update timer running
                ''',
                'is_update_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-delay-value', REFERENCE_CLASS, 'LastUpdateTimerDelayValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue', 
                [], [], 
                '''                Last update timer delay value
                ''',
                'last_update_timer_delay_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-expiry-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update timer expiry event
                ''',
                'last_update_timer_expiry_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-expiry-timestamp', REFERENCE_CLASS, 'LastUpdateTimerExpiryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp', 
                [], [], 
                '''                Last update timer expiry time
                ''',
                'last_update_timer_expiry_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-remaining-value', REFERENCE_CLASS, 'LastUpdateTimerRemainingValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue', 
                [], [], 
                '''                Update timer remaining time
                ''',
                'last_update_timer_remaining_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-start-timestamp', REFERENCE_CLASS, 'LastUpdateTimerStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp', 
                [], [], 
                '''                Last update timer start time
                ''',
                'last_update_timer_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-stop-timestamp', REFERENCE_CLASS, 'LastUpdateTimerStopTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp', 
                [], [], 
                '''                Last update timer stop time
                ''',
                'last_update_timer_stop_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-leaving-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors leaving the update-group
                ''',
                'neighbor_leaving_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-session-af-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor session address family
                ''',
                'neighbor_session_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems allowed by updgen
                ''',
                'perm_pelem_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-encountered', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems seen by updgen
                ''',
                'perm_pelem_encountered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-exp-wdr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems explicitly wdrn by updgen
                ''',
                'perm_pelem_exp_wdr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-not-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems not allowed by updgen
                ''',
                'perm_pelem_not_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-spur-wdr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems Spurious withdraws by
                updgen
                ''',
                'perm_pelem_spur_wdr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-recovery-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update generation recovery pending
                ''',
                'update_generation_recovery_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-flags2', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group internal flags2
                ''',
                'update_group_flags2',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-update-group', REFERENCE_LIST, 'UpdateGenerationUpdateGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup', 
                [], [], 
                '''                Update generation for update-group
                ''',
                'update_generation_update_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-update-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup',
            False, 
            [
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter-group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Filter-group index
                ''',
                'parent_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group identifier
                ''',
                'parent_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group index
                ''',
                'parent_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group identifier
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group index
                ''',
                'update_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-filter-group', REFERENCE_LIST, 'UpdateGenerationFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup', 
                [], [], 
                '''                Update generation for filter-group
                ''',
                'update_generation_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-filter-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network',
            False, 
            [
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks',
            False, 
            [
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'networks',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeKey' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeKey',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-key',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.NexthopId' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.NexthopId',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.Ifhandle' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.Ifhandle',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ifhandle',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe',
            False, 
            [
            _MetaInfoClassMember('epe-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EPE object's flags
                ''',
                'epe_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key', REFERENCE_LIST, 'EpeKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeKey', 
                [], [], 
                '''                Key of EPE object
                ''',
                'epe_key',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Epe Key Length
                ''',
                'epe_key_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EPE key length in bits
                ''',
                'epe_key_length_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-address', REFERENCE_CLASS, 'EpeLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress', 
                [], [], 
                '''                Local address
                ''',
                'epe_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS Number
                ''',
                'epe_local_asn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local router id
                ''',
                'epe_local_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-next-hop', REFERENCE_CLASS, 'EpeNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop', 
                [], [], 
                '''                Nexthop address
                ''',
                'epe_next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-remote-asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS Number
                ''',
                'epe_remote_asn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-remote-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote router id
                ''',
                'epe_remote_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-set-key', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Epe Set Key
                ''',
                'epe_set_key',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EPE object's version
                ''',
                'epe_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-hop', REFERENCE_LIST, 'FirstHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop', 
                [], [], 
                '''                List of firsthops of EPE
                ''',
                'first_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ifhandle', REFERENCE_LIST, 'Ifhandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.Ifhandle', 
                [], [], 
                '''                List of ifhandle of EPE
                ''',
                'ifhandle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label assigned to the RPCnext-hop set
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-id', REFERENCE_LIST, 'NexthopId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.NexthopId', 
                [], [], 
                '''                List of nexthop ID of EPE
                ''',
                'nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ref-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcount
                ''',
                'ref_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes',
            False, 
            [
            _MetaInfoClassMember('epe', REFERENCE_LIST, 'Epe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe', 
                [], [], 
                '''                A BGP Egress Engineering table entry
                ''',
                'epe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('max-prefix-advertisedcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertsied to neighbor
                ''',
                'max_prefix_advertisedcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts',
            False, 
            [
            _MetaInfoClassMember('advertised-path-count', REFERENCE_LIST, 'AdvertisedPathCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount', 
                [], [], 
                '''                The BGP Advertised path table Count
                (bestpath)
                ''',
                'advertised_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-labeled-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-out', REFERENCE_CLASS, 'AttributesAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut', 
                [], [], 
                '''                Attributes after outbound policy
                ''',
                'attributes_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists All 'sp_path_in' fields except
                'sp_path_in->bag_prefix' are invalid.  All
                'sp_path_out' fields are invalid.
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-in', REFERENCE_CLASS, 'PathInfoAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn', 
                [], [], 
                '''                Path information after inbound policy
                ''',
                'path_info_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-out', REFERENCE_CLASS, 'PathInfoAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut', 
                [], [], 
                '''                Path information after outbound policy
                ''',
                'path_info_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'adv-path-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath',
            False, 
            [
            _MetaInfoClassMember('adv-path-info', REFERENCE_LIST, 'AdvPathInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo', 
                [], [], 
                '''                Net Advertized Paths
                ''',
                'adv_path_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor 
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor 
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor 
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network in hex string bytes format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths', 
                [], [], 
                '''                paths
                ''',
                'paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths',
            False, 
            [
            _MetaInfoClassMember('advertised-path', REFERENCE_LIST, 'AdvertisedPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath', 
                [], [], 
                '''                A BGP Advertised paths table entry
                (add-paths)
                ''',
                'advertised_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'received-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('active-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Active connections for this
                neighbor due to collision 
                ''',
                'active_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Active opens for this neighbor
                ''',
                'actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-read-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger read
                thread
                ''',
                'control_to_read_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-write-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger write
                thread
                ''',
                'control_to_write_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of data bytes written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('failed-post-actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Active Opens that failed in the Post
                Active State for this neighbor
                ''',
                'failed_post_actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of socket reads after nbr crossed high
                threshold
                ''',
                'high_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing inbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (milliseconds)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (milliseconds)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-nsr-scoped-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last time NSR scoped syncwas done for the
                neighbor
                ''',
                'last_nsr_scoped_sync',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sent-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seq No of the last sent byte
                ''',
                'last_sent_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num socket reads after nbrs crossed low
                threshold
                ''',
                'low_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-read-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of largest socket (milliseconds)
                ''',
                'maximum_read_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-fd', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary FD, per nbr
                ''',
                'nbr_fd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr flags, per thread
                ''',
                'nbr_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket status, TRUE if socket closed
                ''',
                'network_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-oper-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times NSR scoped sync has been done
                ''',
                'nsr_oper_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passive-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Remote opens for this
                neighborneighbor due to collision 
                ''',
                'passive_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Passive opens for this
                neighbor
                ''',
                'passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rejected-passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rejected Passive opens for this
                neighbor
                ''',
                'rejected_passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reset flags, per thread
                ''',
                'reset_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reset Retries, per nbr
                ''',
                'reset_retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list 
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sync flags, per nbr
                ''',
                'sync_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read after being
                throttled
                ''',
                'time_since_last_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (milliseconds)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process sub-group
                message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group msgs processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'open',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive', 
                [], [], 
                '''                Keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification', 
                [], [], 
                '''                Notification
                ''',
                'notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open', REFERENCE_CLASS, 'Open' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open', 
                [], [], 
                '''                Open
                ''',
                'open',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refresh', REFERENCE_CLASS, 'RouteRefresh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh', 
                [], [], 
                '''                Route refresh
                ''',
                'route_refresh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total', 
                [], [], 
                '''                Total
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update', 
                [], [], 
                '''                Update
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-phase-two-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('processed-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages processed from the neighbor's
                write queue
                ''',
                'processed_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent from the neighbor's
                write queue
                ''',
                'sent_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_update_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_update_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_withdraw_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_withdraw_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-pending-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sub-group messages waiting to be sent out
                on this neighbor -- DEPRECATED -- 
                ''',
                'sub_group_pending_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo
                ''',
                'acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of default VRF import disable
                ''',
                'advertise_afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-eo-r-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EoR Can be sent for Advertise AFI
                ''',
                'advertise_afi_eo_r_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of VRF re-import disable
                ''',
                'advertise_afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 default VRF import disable
                ''',
                'advertise_evp_nv4afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 VRF re-import disable
                ''',
                'advertise_evp_nv4afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 default VRF import disable
                ''',
                'advertise_evp_nv6afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 VRF re-import disable
                ''',
                'advertise_evp_nv6afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-received-in-read-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                An EoR was received while in read-only mode
                ''',
                'eo_r_received_in_read_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default origination update sent
                ''',
                'is_default_originate_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding capability received
                ''',
                'is_ext_nh_encoding_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexhop encoding capability Sent
                ''',
                'is_ext_nh_encoding_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-leaving', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr leaving update-groupto another
                ''',
                'is_update_leaving',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Updates Throttled becausewrite limit is reached
                ''',
                'is_update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-performance-statistics', REFERENCE_CLASS, 'NeighborAfPerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics', 
                [], [], 
                '''                Neighbor AF statistics
                ''',
                'neighbor_af_performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor version
                ''',
                'neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-best-externalpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of best-external paths from this neighbor
                ''',
                'number_of_best_externalpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bestpaths from this neighbor
                ''',
                'number_of_bestpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes accepted
                ''',
                'prefixes_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes advertised
                ''',
                'prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-be-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No BE prefixes advertised
                ''',
                'prefixes_be_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied
                ''',
                'prefixes_denied',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-no-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because there was no
                inbound policy
                ''',
                'prefixes_denied_no_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-non-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes exactly denied (non cumulative)
                ''',
                'prefixes_denied_non_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-orf-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by prefix based ORF
                policy
                ''',
                'prefixes_denied_orf_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by inbound policy
                ''',
                'prefixes_denied_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-rt-permit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because RT extended
                community is not imported
                ''',
                'prefixes_denied_rt_permit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes suppressed
                ''',
                'prefixes_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-synced', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes synced to standby
                ''',
                'prefixes_synced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn
                ''',
                'prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn but not found
                ''',
                'prefixes_withdrawn_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version acked by the peer for refresh updates
                sent
                ''',
                'refresh_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version for refresh update generation
                ''',
                'refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version till which refresh updates have been
                generated
                ''',
                'refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests received
                ''',
                'route_refreshes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests sent
                ''',
                'route_refreshes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'synced_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write
                ''',
                'actual_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write before reset
                ''',
                'actual_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write
                ''',
                'actual_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write before reset
                ''',
                'actual_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attempted-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write
                ''',
                'attempted_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write before reset
                ''',
                'attempted_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write
                ''',
                'attempted_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write before reset
                ''',
                'attempted_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-created-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_created_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-state-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp since when nbr is in this bfd state
                ''',
                'bfd_state_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes read
                ''',
                'bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes written by write thread
                ''',
                'bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connect-retry-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time (in secs) for connect retry timer
                ''',
                'connect_retry_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-admin-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative status of connection
                ''',
                'connection_admin_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times connection was dropped
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-established-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) that the connection has been
                established
                ''',
                'connection_established_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local port for the connection
                ''',
                'connection_local_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote port for the connection
                ''',
                'connection_remote_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the connection was established
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('count-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-data-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining discard data (bytes) on Standby
                ''',
                'discard_data_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic neighbor
                ''',
                'dynamic_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications received on the
                connection
                ''',
                'error_notifies_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications sent on the
                connection
                ''',
                'error_notifies_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fpbsn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby PDU boundary SeqNo offset
                ''',
                'fpbsn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fssn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby SeqNo offset
                ''',
                'fssn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) negotiated for this
                connection
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for io
                control
                ''',
                'io_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability received
                ''',
                'is4_byte_as_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability Snt
                ''',
                'is4_byte_as_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation suppressed
                ''',
                'is_capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-as-league', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer belongs to AS League
                ''',
                'is_ebgp_peer_as_league',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-common-admin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer with common administation
                ''',
                'is_ebgp_peer_common_admin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-external-neighbor-not-directly-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                External neighbor not directly connected
                ''',
                'is_external_neighbor_not_directly_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-gr-aware', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GR awareness received
                ''',
                'is_gr_aware',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down during a SEVERE low memory
                condition
                ''',
                'is_out_of_memory_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-read-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket read isdisabled
                ''',
                'is_read_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh capability received
                ''',
                'is_route_refresh_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-old-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh old capability received
                ''',
                'is_route_refresh_old_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) negotiated for this
                connection
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-ackd-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SeqNo of the last Ackd byte
                ''',
                'last_ackd_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aerror-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that an error
                was encountered after KA expiry
                ''',
                'last_k_aerror_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last KA timer expiry before
                reset
                ''',
                'last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-anotsent-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that KA was
                not sent before reset
                ''',
                'last_k_anotsent_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the last KA timer start
                before reset
                ''',
                'last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Code for the last error notification seen on the
                connection
                ''',
                'last_notify_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode of the last error notification
                seen on the connection
                ''',
                'last_notify_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write thread event
                ''',
                'last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-statistics', REFERENCE_CLASS, 'MessageStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics', 
                [], [], 
                '''                Message statistics
                ''',
                'message_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages received
                ''',
                'messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent
                ''',
                'messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multi-protocol-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multi-protocol capability has been received
                ''',
                'multi_protocol_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('negotiated-protocol-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Negotiated protocol version
                ''',
                'negotiated_protocol_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Handle of Neighbor
                ''',
                'neighbor_interface_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open-check-error-code', REFERENCE_ENUM_CLASS, 'BgpOpenCheckErrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpOpenCheckErrEnum', 
                [], [], 
                '''                Open check error code
                ''',
                'open_check_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If peer closed, error received from transport
                ''',
                'peer_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-reset-reason', REFERENCE_ENUM_CLASS, 'BgpPeerResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpPeerResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last peer close event
                ''',
                'peer_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('previous-connection-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Previous state of connection
                ''',
                'previous_connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for read
                ''',
                'read_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-notification-info', REFERENCE_CLASS, 'ReceivedNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo', 
                [], [], 
                '''                Information on the last notification received
                ''',
                'received_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-notification-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification was sent during last reset
                ''',
                'reset_notification_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last connection reset
                ''',
                'reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the neighbor
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last KA timer expiry
                before reset
                ''',
                'second_last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the second last KA timer
                start before reset
                ''',
                'second_last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last write thread
                event
                ''',
                'second_last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-notification-info', REFERENCE_CLASS, 'SendNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo', 
                [], [], 
                '''                Information on the last notification sent
                ''',
                'send_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total read bytes value insocket-lib
                ''',
                'socket_read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-done-time-spec', REFERENCE_CLASS, 'TcpInitSyncDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Done
                ''',
                'tcp_init_sync_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-phase-two-time-spec', REFERENCE_CLASS, 'TcpInitSyncPhaseTwoTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Phase
                Two
                ''',
                'tcp_init_sync_phase_two_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-time-spec', REFERENCE_CLASS, 'TcpInitSyncTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec', 
                [], [], 
                '''                Time When neighbor entered TCP Init Sync
                ''',
                'tcp_init_sync_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CB
                ''',
                'time_last_cb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last CB before reset
                ''',
                'time_last_cb_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-fb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FB
                ''',
                'time_last_fb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-connection-last-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the connection last went down
                (seconds)
                ''',
                'time_since_connection_last_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read
                ''',
                'time_since_last_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read before last reset
                ''',
                'time_since_last_read_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last update message was
                received
                ''',
                'time_since_last_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write
                ''',
                'time_since_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second  last write
                ''',
                'time_since_second_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_second_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update bytes read
                ''',
                'update_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update msgs received
                ''',
                'update_messages_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for write
                ''',
                'write_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor', 
                [], [], 
                '''                A BGP Neighbor table entry
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd',
            False, 
            [
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds',
            False, 
            [
            _MetaInfoClassMember('network-rd', REFERENCE_LIST, 'NetworkRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd',
            False, 
            [
            _MetaInfoClassMember('network-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format (address
                part)
                ''',
                'network_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network in prefix/length format (address
                        part)
                        ''',
                        'network_addr',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network in prefix/length format (address
                        part)
                        ''',
                        'network_addr',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Network in prefix/length format (prefix
                part)
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('network-rds', REFERENCE_CLASS, 'NetworkRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-all-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds',
            False, 
            [
            _MetaInfoClassMember('network-all-rd', REFERENCE_LIST, 'NetworkAllRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_all_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-all-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-sub-group-add-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-sub-group-remove-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-filter-group-add-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-filter-group-remove-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-default-originate-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-default-originate-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-group-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-group-expiry-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-refresh-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-refresh-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor',
            False, 
            [
            _MetaInfoClassMember('ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack version
                ''',
                'ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Current Update-group address-family identifier
                ''',
                'current_update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-internal-context', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Default-origination context
                ''',
                'default_originate_internal_context',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Default-origination state
                ''',
                'default_originate_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter-group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-default-originate-timestamp', REFERENCE_CLASS, 'FirstDefaultOriginateTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp', 
                [], [], 
                '''                First default-origination time
                ''',
                'first_default_originate_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-queued-timestamp', REFERENCE_CLASS, 'FirstUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp', 
                [], [], 
                '''                First update queued time
                ''',
                'first_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-write-timestamp', REFERENCE_CLASS, 'FirstUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp', 
                [], [], 
                '''                First update write time
                ''',
                'first_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Inbound count
                ''',
                'inbound_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-eor-outstanding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Number of EORs outstanding
                ''',
                'is_eor_outstanding',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-group-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update-group timer running
                ''',
                'is_update_group_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-default-originate-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last default-origination event (in
                seconds)
                ''',
                'last_default_originate_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-default-originate-timestamp', REFERENCE_CLASS, 'LastDefaultOriginateTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp', 
                [], [], 
                '''                Last default-origination time
                ''',
                'last_default_originate_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-filter-group-add-timestamp', REFERENCE_CLASS, 'LastFilterGroupAddTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp', 
                [], [], 
                '''                Last added time
                ''',
                'last_filter_group_add_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-filter-group-remove-timestamp', REFERENCE_CLASS, 'LastFilterGroupRemoveTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp', 
                [], [], 
                '''                Last removed time
                ''',
                'last_filter_group_remove_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last refresh update queued event (in
                seconds)
                ''',
                'last_refresh_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-queued-timestamp', REFERENCE_CLASS, 'LastRefreshUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp', 
                [], [], 
                '''                Last refresh update queued time
                ''',
                'last_refresh_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-write-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last refresh update write event (in
                seconds)
                ''',
                'last_refresh_update_write_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-write-timestamp', REFERENCE_CLASS, 'LastRefreshUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp', 
                [], [], 
                '''                Last refresh update write time
                ''',
                'last_refresh_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sub-group-add-timestamp', REFERENCE_CLASS, 'LastSubGroupAddTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp', 
                [], [], 
                '''                Last added time
                ''',
                'last_sub_group_add_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sub-group-remove-timestamp', REFERENCE_CLASS, 'LastSubGroupRemoveTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp', 
                [], [], 
                '''                Last removed time
                ''',
                'last_sub_group_remove_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Last Update-group address-family identifier
                ''',
                'last_update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-expiry-timestamp', REFERENCE_CLASS, 'LastUpdateGroupExpiryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp', 
                [], [], 
                '''                Last update-group timer expiry
                ''',
                'last_update_group_expiry_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-start-timestamp', REFERENCE_CLASS, 'LastUpdateGroupStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp', 
                [], [], 
                '''                Last update-group timer start
                ''',
                'last_update_group_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update queued event (in seconds)
                ''',
                'last_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-timestamp', REFERENCE_CLASS, 'LastUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp', 
                [], [], 
                '''                Last update queued time
                ''',
                'last_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-write-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update write event (in seconds)
                ''',
                'last_update_write_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-write-timestamp', REFERENCE_CLASS, 'LastUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp', 
                [], [], 
                '''                Last update write time
                ''',
                'last_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resume version
                ''',
                'next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outbound-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Outbound count
                ''',
                'outbound_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outstanding version count
                ''',
                'outstanding_version_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending target version
                ''',
                'pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Ack version
                ''',
                'refresh_ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Filter-group index
                ''',
                'refresh_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh resume version
                ''',
                'refresh_next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending refresh target version
                ''',
                'refresh_pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-requested-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Requested refresh target version
                ''',
                'refresh_requested_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group ID
                ''',
                'refresh_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Sub-group index
                ''',
                'refresh_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh OutQueue messages
                ''',
                'refresh_update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh OutQueue size
                ''',
                'refresh_update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Synced ack version
                ''',
                'synced_ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group index
                ''',
                'update_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group messages
                ''',
                'update_filter_group_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh target version
                ''',
                'update_refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh version
                ''',
                'update_refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-generation-neighbor', REFERENCE_LIST, 'UpdateGenerationNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor', 
                [], [], 
                '''                Update generation for neighbor
                ''',
                'update_generation_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured AF update limit
                ''',
                'configured_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-update-limit-sub-group-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured IBGP sub-group update limit
                ''',
                'configured_update_limit_sub_group_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-update-limit-subgrp-ebgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured EBGP sub-group update limit
                ''',
                'configured_update_limit_subgrp_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current AF update limit
                ''',
                'current_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-sub-group-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current IBGP sub-group update limit
                ''',
                'current_update_limit_sub_group_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-subgrp-ebgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current EBGP sub-group update limit
                ''',
                'current_update_limit_subgrp_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table neighbor count
                ''',
                'table_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table refresh sub-group count
                ''',
                'table_refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table throttled refresh sub-group count
                ''',
                'table_refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table throttled sub-group count
                ''',
                'table_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table update-group count
                ''',
                'table_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-min-neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum Neighbor version
                ''',
                'update_min_neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messsages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'update_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics', 
                [], [], 
                '''                Upate statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table filter-group count
                ''',
                'update_table_filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table sub-group count
                ''',
                'update_table_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_table_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group count
                ''',
                'update_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-rd-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RD Version
                ''',
                'update_vrf_rd_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrfaf-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Address family identifier
                ''',
                'update_vrfaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Reuse array index
                ''',
                'reuse',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Version number
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings',
            False, 
            [
            _MetaInfoClassMember('dampening', REFERENCE_LIST, 'Dampening' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening', 
                [], [], 
                '''                A BGP Dampening table entry
                ''',
                'dampening',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dampenings',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst',
            False, 
            [
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-grant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE = permit, FALSE = deny
                ''',
                'is_prefix_grant',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum prefix length
                ''',
                'max_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minimum prefix length
                ''',
                'min_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-pfxlst',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo',
            False, 
            [
            _MetaInfoClassMember('bgp-pfxlst', REFERENCE_LIST, 'BgpPfxlst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst', 
                [], [], 
                '''                bgp pfxlst
                ''',
                'bgp_pfxlst',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-list-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identfier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-list-info', REFERENCE_CLASS, 'PrefixListInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo', 
                [], [], 
                '''                Prefix list
                ''',
                'prefix_list_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters',
            False, 
            [
            _MetaInfoClassMember('prefix-filter', REFERENCE_LIST, 'PrefixFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter', 
                [], [], 
                '''                A BGP prefix filter table entry
                ''',
                'prefix_filter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute',
            False, 
            [
            _MetaInfoClassMember('attribute-cache-bucket', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache bucket
                ''',
                'attribute_cache_bucket',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-cache-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache ID
                ''',
                'attribute_cache_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-iid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute IID
                ''',
                'attribute_iid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-info', REFERENCE_CLASS, 'AttributeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo', 
                [], [], 
                '''                Attributes
                ''',
                'attribute_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Instance ID
                ''',
                'attribute_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-hash-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hash value for attribute structure
                ''',
                'attribute_structure_hash_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ID of attribute structure
                ''',
                'attribute_structure_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths which use this attribute
                structure
                ''',
                'reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_LIST, 'Attribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute', 
                [], [], 
                '''                A BGP Attribute table entry
                ''',
                'attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('advertised-path-counts', REFERENCE_CLASS, 'AdvertisedPathCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts', 
                [], [], 
                '''                The BGP Advertised paths table (bestpath)
                ''',
                'advertised_path_counts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertised-path-xr', REFERENCE_CLASS, 'AdvertisedPathXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr', 
                [], [], 
                '''                The BGP Advertised path table (bestpath)
                ''',
                'advertised_path_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertised-paths', REFERENCE_CLASS, 'AdvertisedPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths', 
                [], [], 
                '''                The BGP Advertised paths table (add-paths)
                ''',
                'advertised_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-process-info', REFERENCE_CLASS, 'AfProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo', 
                [], [], 
                '''                A BGP Process address family table entry
                ''',
                'af_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes', 
                [], [], 
                '''                The BGP Attribute table
                ''',
                'attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-paths', REFERENCE_CLASS, 'BmpPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths', 
                [], [], 
                '''                The paths in BMP Table
                ''',
                'bmp_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('convergence', REFERENCE_CLASS, 'Convergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Convergence', 
                [], [], 
                '''                A BGP Convergence table entry
                ''',
                'convergence',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampenings', REFERENCE_CLASS, 'Dampenings' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings', 
                [], [], 
                '''                The BGP Dampening table
                ''',
                'dampenings',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epes', REFERENCE_CLASS, 'Epes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes', 
                [], [], 
                '''                The BGP Egress Engineering table
                ''',
                'epes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-af-process-info', REFERENCE_CLASS, 'GlobalAfProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo', 
                [], [], 
                '''                The Global Address Family Process information
                table
                ''',
                'global_af_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-table', REFERENCE_CLASS, 'NeighborAfTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable', 
                [], [], 
                '''                The BGP Neighbor AF table
                ''',
                'neighbor_af_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-all-rds', REFERENCE_CLASS, 'NetworkAllRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds', 
                [], [], 
                '''                The BGP Network Lookup Table
                ''',
                'network_all_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-lookup-all-rds', REFERENCE_CLASS, 'NetworkLookupAllRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds', 
                [], [], 
                '''                The BGP Network Lookup Table
                ''',
                'network_lookup_all_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-prefixes', REFERENCE_CLASS, 'NetworkPrefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks', REFERENCE_CLASS, 'Networks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks', 
                [], [], 
                '''                The BGP Network Table
                ''',
                'networks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-address-families', REFERENCE_CLASS, 'NextHopAddressFamilies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies', 
                [], [], 
                '''                Address family of nexthop table
                ''',
                'next_hop_address_families',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-labeled-table', REFERENCE_CLASS, 'PathLabeledTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable', 
                [], [], 
                '''                The BGP Path Labeled Table
                ''',
                'path_labeled_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table', REFERENCE_CLASS, 'PathTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable', 
                [], [], 
                '''                The BGP Path Table
                ''',
                'path_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-used-table', REFERENCE_CLASS, 'PathUsedTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable', 
                [], [], 
                '''                The BGP Path Used Table
                ''',
                'path_used_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('policies', REFERENCE_CLASS, 'Policies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies', 
                [], [], 
                '''                The BGP Policy Table
                ''',
                'policies',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-filters', REFERENCE_CLASS, 'PrefixFilters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters', 
                [], [], 
                '''                The BGP Prefix Filter table
                ''',
                'prefix_filters',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpc-sets', REFERENCE_CLASS, 'RpcSets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets', 
                [], [], 
                '''                BGP next-hop set table
                ''',
                'rpc_sets',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-counters', REFERENCE_CLASS, 'RtSetCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters', 
                [], [], 
                '''                The RT-set counter table
                ''',
                'rt_set_counters',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sourced-networks', REFERENCE_CLASS, 'SourcedNetworks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks', 
                [], [], 
                '''                The BGP Convergence table
                ''',
                'sourced_networks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-address-family', REFERENCE_CLASS, 'UpdateGenerationAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily', 
                [], [], 
                '''                Update generation for address-family
                ''',
                'update_generation_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-filter-groups', REFERENCE_CLASS, 'UpdateGenerationFilterGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups', 
                [], [], 
                '''                Update generation for all filter-groups under
                a sub-group
                ''',
                'update_generation_filter_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-neighbors', REFERENCE_CLASS, 'UpdateGenerationNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors', 
                [], [], 
                '''                Update generation for all neighbors
                ''',
                'update_generation_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-sub-groups', REFERENCE_CLASS, 'UpdateGenerationSubGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups', 
                [], [], 
                '''                Update generation for all sub-groups
                ''',
                'update_generation_sub_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-update-groups', REFERENCE_CLASS, 'UpdateGenerationUpdateGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups', 
                [], [], 
                '''                Update generation for all update-groups
                ''',
                'update_generation_update_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-groups', REFERENCE_CLASS, 'UpdateGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups', 
                [], [], 
                '''                The BGP Update group table
                ''',
                'update_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_LIST, 'Af' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af', 
                [], [], 
                '''                A particular address family
                ''',
                'af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Information' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Information',
            False, 
            [
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterVrf',
            False, 
            [
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered messages received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last Filtered messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received filtered
                messages
                ''',
                'update_filtered_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbors-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborAf',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo',
            False, 
            [
            _MetaInfoClassMember('peer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Peer ID
                ''',
                'peer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Postit Afi
                ''',
                'postit_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Postit Direction
                ''',
                'postit_direction',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Postit Flags
                ''',
                'postit_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit ID
                ''',
                'postit_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-notification', REFERENCE_CLASS, 'PostitNotification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification', 
                [], [], 
                '''                Postit notification
                ''',
                'postit_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy
                ''',
                'postit_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-reset', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reset
                ''',
                'postit_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-subtype', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit Subtype
                ''',
                'postit_subtype',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Postit TS
                ''',
                'postit_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit Type
                ''',
                'postit_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('connect-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                State
                ''',
                'connect_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af', REFERENCE_LIST, 'NeighborAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborAf', 
                [], [], 
                '''                Neighbor Afi
                ''',
                'neighbor_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25, min_elements=25),
            _MetaInfoClassMember('neighbors-address', REFERENCE_CLASS, 'NeighborsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress', 
                [], [], 
                '''                Neighbor Addr
                ''',
                'neighbors_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-info', REFERENCE_LIST, 'PostitInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo', 
                [], [], 
                '''                Postit Info
                ''',
                'postit_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                StartTime
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits',
            False, 
            [
            _MetaInfoClassMember('postit', REFERENCE_LIST, 'Postit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit', 
                [], [], 
                '''                A BGP Postit table entry
                ''',
                'postit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postits',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Global_.ClusterIdEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Global_.ClusterIdEntry',
            False, 
            [
            _MetaInfoClassMember('cluster-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID type: number or IPv4 address
                ''',
                'cluster_id_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID 
                ''',
                'cluster_id_val',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster-id-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('asn-format', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP AS Number Format
                ''',
                'asn_format',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-current-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current value for BMP buffer 
                ''',
                'bmp_current_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-default-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Default value for BMP buffer limit when a value
                is not configured
                ''',
                'bmp_default_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-maximum-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum limit user can configure for
                max-buffer-size command under bmp-server
                ''',
                'bmp_maximum_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID
                ''',
                'cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-entry', REFERENCE_LIST, 'ClusterIdEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Global_.ClusterIdEntry', 
                [], [], 
                '''                All configured Cluster IDs
                ''',
                'cluster_id_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('confederation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Confederation ID
                ''',
                'confederation_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured cluster ID
                ''',
                'configured_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('generic-scan-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Period (in seconds) of generic scanner runs
                ''',
                'generic_scan_period',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maint-all-nbrs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance also for neighbors without
                GM configuration
                ''',
                'graceful_maint_all_nbrs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maint-retain-routes', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retaining routes in RIB when BGP process stops
                while in Graceful Maintenance
                ''',
                'graceful_maint_retain_routes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-standalone-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standalone or Distributed mode
                ''',
                'in_standalone_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of BGP instance
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-cluster-id-specified-as-ip', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Cluster ID specified as an IP address
                ''',
                'is_cluster_id_specified_as_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local autonomous system number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-rlimit', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Platform RLIMIT max for the process
                ''',
                'process_rlimit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No of times BGP has started
                ''',
                'restart_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-end', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In use Segment-routing Global Block end value
                ''',
                'srgb_end',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-end-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured segment-routing Global Block end
                value
                ''',
                'srgb_end_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In use segment-routing Global Block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-start-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured segment-routing Global Block start
                value
                ''',
                'srgb_start_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update delay timeout time (in seconds)
                ''',
                'update_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Vrf_',
            False, 
            [
            _MetaInfoClassMember('configured-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured router ID
                ''',
                'configured_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default local preference
                ''',
                'default_local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default metric
                ''',
                'default_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default hold timer (seconds)
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-aigp-ignore-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Ignore AIGP unless both paths have
                AIGP attribute
                ''',
                'is_bestpath_aigp_ignore_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-always-compare-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Always compare MED
                ''',
                'is_bestpath_always_compare_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-as-path-mpath-relax-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Relax AS path for mpath
                ''',
                'is_bestpath_as_path_mpath_relax_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-compare-med-from-confed-peer-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Compare MED from confed peer
                ''',
                'is_bestpath_compare_med_from_confed_peer_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-compare-router-id-for-ebgp-peers-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Compare routerID for eBGP peers
                ''',
                'is_bestpath_compare_router_id_for_ebgp_peers_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-ignore-as-path-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Ignore AS path
                ''',
                'is_bestpath_ignore_as_path_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-missing-med-is-worst-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Treat missing MED as worst
                ''',
                'is_bestpath_missing_med_is_worst_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default metric configured
                ''',
                'is_default_metric_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default route originate configured
                ''',
                'is_default_originate_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-enforce-first-as-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enforce first AS
                ''',
                'is_enforce_first_as_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-fast-external-fallover-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast external fallover enabled
                ''',
                'is_fast_external_fallover_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful restart enabled
                ''',
                'is_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-multipath-as-path-ignore-onwards-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multipath: Ignore everything AS path onwards for
                mpath
                ''',
                'is_multipath_as_path_ignore_onwards_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-logging', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor logging enabled
                ''',
                'is_neighbor_logging',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-nsr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-stop routing enabled
                ''',
                'is_nsr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-redistribute-ibgp-to-ig-ps-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Redistribute iBGP into IGPs enabled
                ''',
                'is_redistribute_ibgp_to_ig_ps_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default keepalive timer (seconds)
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-acceptable-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default min acceptable hold time from
                neighbor(seconds)
                ''',
                'min_acceptable_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time (in seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the VRF
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF state
                ''',
                'vrf_is_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrfid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrfid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-error-handling-reset-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-error-handling-reset-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'establishment-action-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData',
            False, 
            [
            _MetaInfoClassMember('update-error-reset-notification-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Notification code
                ''',
                'update_error_reset_notification_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Notification data
                ''',
                'update_error_reset_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Notification data length
                ''',
                'update_error_reset_notification_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Notification sub code
                ''',
                'update_error_reset_notification_sub_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reset Reason
                ''',
                'update_error_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-reset-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement',
            False, 
            [
            _MetaInfoClassMember('update-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute code [RFC4271: BGP4]
                ''',
                'update_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Flags [RFC4271: BGP4]
                ''',
                'update_attribute_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Attribute Length [RFC4271: BGP4]
                ''',
                'update_attribute_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdErrActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdErrActionEnum', 
                [], [], 
                '''                Error action
                ''',
                'update_error_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Error data
                ''',
                'update_error_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Error data length
                ''',
                'update_error_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage',
            False, 
            [
            _MetaInfoClassMember('update-attribute-discard-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discarded attribute count
                ''',
                'update_attribute_discard_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-element', REFERENCE_LIST, 'UpdateErrorElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement', 
                [], [], 
                '''                Error element list
                ''',
                'update_error_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=3),
            _MetaInfoClassMember('update-error-final-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdErrActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdErrActionEnum', 
                [], [], 
                '''                Error final action
                ''',
                'update_error_final_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-address-family', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                NLRI address-family
                ''',
                'update_error_nlri_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                List of NLRIs in string format
                ''',
                'update_error_nlri_string',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-string-truncated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether NLRI string was truncated due
                to lack of space
                ''',
                'update_error_nlri_string_truncated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-data', REFERENCE_LIST, 'UpdateMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'update_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-reset-data', REFERENCE_CLASS, 'UpdateMessageResetData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData', 
                [], [], 
                '''                Reset data
                ''',
                'update_message_reset_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-timestamp', REFERENCE_CLASS, 'UpdateMessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp', 
                [], [], 
                '''                Message timestamp: time elapsed since 00:00:00
                UTC, January 1, 1970
                ''',
                'update_message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('establishment-action-count', REFERENCE_LIST, 'EstablishmentActionCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount', 
                [], [], 
                '''                Number of occurence of each action type since
                
                session establishment
                ''',
                'establishment_action_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('establishment-total-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count since session
                establishment
                ''',
                'establishment_total_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-error-handling-reset-timestamp', REFERENCE_CLASS, 'FirstUpdateErrorHandlingResetTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp', 
                [], [], 
                '''                First error-handling reset time: time elapsed
                since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_error_handling_reset_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-malformed-timestamp', REFERENCE_CLASS, 'FirstUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp', 
                [], [], 
                '''                First malformed message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'FirstUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                First memory allocation failure time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-error-handling-reset-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last error-handling reset event (in
                seconds)
                ''',
                'last_error_handling_reset_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-error-handling-reset-timestamp', REFERENCE_CLASS, 'LastErrorHandlingResetTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp', 
                [], [], 
                '''                Last error-handling reset time: time elapsed
                since 00:00:00 UTC, January 1, 1970
                ''',
                'last_error_handling_reset_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed message received event
                (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Last memory allocation failure time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count
                ''',
                'total_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-discard-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discarded attribute count
                ''',
                'update_attribute_discard_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-avoid-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure error-handling to avoid resets
                ''',
                'update_error_handling_avoid_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error-handling reset count
                ''',
                'update_error_handling_reset_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-message', REFERENCE_LIST, 'UpdateErrorMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage', 
                [], [], 
                '''                List of malformed messages
                ''',
                'update_error_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-message-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages list count
                ''',
                'update_error_message_list_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-inbound-error-neighbor', REFERENCE_LIST, 'UpdateInboundErrorNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor', 
                [], [], 
                '''                Update inbound error information for neighbor
                ''',
                'update_inbound_error_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filter-match-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes',
            False, 
            [
            _MetaInfoClassMember('establishment-update-filter-match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter match counter since last session
                establishment
                ''',
                'establishment_update_filter_match_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filter-match-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since this attribute was last filtered (in
                seconds)
                ''',
                'last_update_filter_match_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filter-match-timestamp', REFERENCE_CLASS, 'LastUpdateFilterMatchTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp', 
                [], [], 
                '''                Last attribute filtered time: time elapsed since
                00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filter_match_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering action
                ''',
                'update_filter_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter match counter
                ''',
                'update_filter_match_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-internal-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Internal attribute code [RFC4271: BGP4]
                ''',
                'update_internal_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-attribute-filter-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement',
            False, 
            [
            _MetaInfoClassMember('update-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute code [RFC4271: BGP4]
                ''',
                'update_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Flags [RFC4271: BGP4]
                ''',
                'update_attribute_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering action
                ''',
                'update_filter_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage',
            False, 
            [
            _MetaInfoClassMember('update-filter-element', REFERENCE_LIST, 'UpdateFilterElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement', 
                [], [], 
                '''                Filtering element list
                ''',
                'update_filter_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=3),
            _MetaInfoClassMember('update-filter-final-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering final action
                ''',
                'update_filter_final_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-data', REFERENCE_LIST, 'UpdateFilterMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'update_filter_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-timestamp', REFERENCE_CLASS, 'UpdateFilterMessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp', 
                [], [], 
                '''                Message timestamp: time elapsed since 00:00:00
                UTC, January 1, 1970
                ''',
                'update_filter_message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-address-family', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                NLRI address-family
                ''',
                'update_filter_nlri_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                List of NLRIs in string format
                ''',
                'update_filter_nlri_string',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-string-truncated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether NLRI string was truncated due
                to lack of space
                ''',
                'update_filter_nlri_string_truncated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-attribute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered attributes count
                ''',
                'update_filtered_attribute_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('configured-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Filtered message buffer count
                ''',
                'configured_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('establishment-total-filter-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count since session
                establishment
                ''',
                'establishment_total_filter_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('establishment-update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count since session
                establishment
                ''',
                'establishment_update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-filtered-timestamp', REFERENCE_CLASS, 'FirstUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp', 
                [], [], 
                '''                First filtered message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered message received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last filtered message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-update-attribute-filtering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute filtering is enabled for the current
                message being parsed
                ''',
                'message_update_attribute_filtering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('operational-update-attribute-filtering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute filtering is enabled
                ''',
                'operational_update_attribute_filtering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('operational-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Operational Filtered messages buffer count
                ''',
                'operational_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-filter-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count
                ''',
                'total_filter_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-filter-attributes', REFERENCE_LIST, 'UpdateAttributeFilterAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes', 
                [], [], 
                '''                List of attributes that can be filtered
                ''',
                'update_attribute_filter_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-filter-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Update attribute-filter group name
                ''',
                'update_attribute_filter_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Logging is enabled
                ''',
                'update_filter_logging_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message', REFERENCE_LIST, 'UpdateFilterMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage', 
                [], [], 
                '''                List of filtered messages
                ''',
                'update_filter_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-buffer-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the message buffers are circular
                ''',
                'update_filter_message_buffer_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages list count
                ''',
                'update_filter_message_list_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-inbound-filter-neighbor', REFERENCE_LIST, 'UpdateInboundFilterNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor', 
                [], [], 
                '''                Update inbound filtering information for
                neighbor
                ''',
                'update_inbound_filter_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-state-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-state-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-last-discon-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-send-version',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary',
            False, 
            [
            _MetaInfoClassMember('server-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                BMP Server ID
                ''',
                'server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('bmp-bytes-written-tcp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bytes sent to TCP
                ''',
                'bmp_bytes_written_tcp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-init-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Initiation Msgs sent by this BMP
                Server
                ''',
                'bmp_init_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-messages-wdraw-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ wdraw msgs discarded because of peer
                down
                ''',
                'bmp_messages_wdraw_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-drop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of messages dropped
                ''',
                'bmp_peer_msg_drop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bmpQ msgs pending
                ''',
                'bmp_peer_msg_pending_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count-hwts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bmpQ msgs pending max time
                ''',
                'bmp_peer_msg_pending_count_hwts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ msgs pending max
                ''',
                'bmp_peer_msg_pending_count_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-per-peer-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of per peer messages sent
                ''',
                'bmp_per_peer_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-per-peer-msg-route-mon-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of per peer route mon messages sent
                ''',
                'bmp_per_peer_msg_route_mon_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-pfx-wdraw-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ wdraw pfxes discarded because of peer
                down
                ''',
                'bmp_pfx_wdraw_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-send-version', REFERENCE_LIST, 'BmpSendVersion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion', 
                [], [], 
                '''                Table Version that this BMP server has caught
                
                upto
                ''',
                'bmp_send_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BMP Server Hostname
                ''',
                'bmp_server_host_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Server ID
                ''',
                'bmp_server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-is-flapping', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connection to the BMP server Flapping
                ''',
                'bmp_server_is_flapping',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-last-discon-time', REFERENCE_CLASS, 'BmpServerLastDisconTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime', 
                [], [], 
                '''                Timespec of Last Disconnect event received from
                BMP server
                ''',
                'bmp_server_last_discon_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-nbr-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count for the BMP Server
                ''',
                'bmp_server_nbr_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BMP Server Port Number
                ''',
                'bmp_server_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state', REFERENCE_ENUM_CLASS, 'BgpBmpStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBmpStateEnum', 
                [], [], 
                '''                Connection state of the BMP server
                ''',
                'bmp_server_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state-age', REFERENCE_CLASS, 'BmpServerStateAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge', 
                [], [], 
                '''                Age of current state of BMP Server
                ''',
                'bmp_server_state_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state-time-spec', REFERENCE_CLASS, 'BmpServerStateTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec', 
                [], [], 
                '''                Timespec of current state of BMP Server
                ''',
                'bmp_server_state_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-status-report-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Status ReportMessages sent by this BMP
                Server
                ''',
                'bmp_status_report_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-termination-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Termination Messages sent by this BMP
                Server
                ''',
                'bmp_termination_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-update-mode', REFERENCE_ENUM_CLASS, 'BgpBmpUpdModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBmpUpdModeEnum', 
                [], [], 
                '''                Update sending mode configured for this BMP
                server
                ''',
                'bmp_update_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID for the vrf name configured
                ''',
                'bmp_vrf_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name configured
                ''',
                'bmp_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-all-write-pulse-sent-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse Sent for all BMP servers 
                ''',
                'bmpq_last_all_write_pulse_sent_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-write-pulse-cb-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse callback time
                ''',
                'bmpq_last_write_pulse_cb_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-write-pulse-sent-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse Sent time
                ''',
                'bmpq_last_write_pulse_sent_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-upd-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ update msgs 
                ''',
                'bmpr_mon_upd_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-update-gen-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent in update generation(milliseconds)
                ''',
                'bmpr_mon_update_gen_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-wdraw-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ withdraw msgs 
                ''',
                'bmpr_mon_wdraw_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update sent 
                ''',
                'path_update_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-update-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update drop 
                ''',
                'path_update_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-withdraw-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw sent
                ''',
                'path_withdraw_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-withdraw-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw drop 
                ''',
                'path_withdraw_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-keep-alive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCP Keep alive interval configured
                ''',
                'tcp_keep_alive_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-cb-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last TCP Write CB time
                ''',
                'tcp_last_write_cb_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-result', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last TCP Socket write status
                ''',
                'tcp_last_write_result',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last TCP Write time
                ''',
                'tcp_last_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-maximum-segment-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCP Maximum Segments size configured
                ''',
                'tcp_maximum_segment_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-write-cb-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Are we waiting for TCP write callback ?
                ''',
                'tcp_write_cb_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sending msg to
                TCP(milliseconds)
                ''',
                'tcp_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence (0) or DSCP (1) type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-address', REFERENCE_CLASS, 'UpdateSourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress', 
                [], [], 
                '''                Address of Interface configured as Update Source
                ''',
                'update_source_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface configured as Update Source
                ''',
                'update_source_interface_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID of interface configured as Update Source
                ''',
                'update_source_vrf_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries',
            False, 
            [
            _MetaInfoClassMember('server-summary', REFERENCE_LIST, 'ServerSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary', 
                [], [], 
                '''                Summary Information about BMP server
                ''',
                'server_summary',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('bmp-neighbor-address', REFERENCE_CLASS, 'BmpNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress', 
                [], [], 
                '''                Address of Nbr that logs to BMP server
                ''',
                'bmp_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-msg-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages dropped sent from this
                neighbor
                ''',
                'bmp_neighbor_msg_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-msg-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages pending to be sent to BMP
                Server from this Neighbor
                ''',
                'bmp_neighbor_msg_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-update-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update drop 
                ''',
                'bmp_neighbor_path_update_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-update-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Path UpdateMessages sent
                ''',
                'bmp_neighbor_path_update_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-withdraw-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw drop 
                ''',
                'bmp_neighbor_path_withdraw_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-withdraw-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Path WithdrawMessages sent
                ''',
                'bmp_neighbor_path_withdraw_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-peer-down-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Peer DOWN Messages sent from this
                neighbor
                ''',
                'bmp_neighbor_peer_down_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-peer-up-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Peer UP Messages sent from this
                neighbor
                ''',
                'bmp_neighbor_peer_up_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-route-monitor-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Route Monitor Messages sent
                ''',
                'bmp_neighbor_route_monitor_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-upd-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of update message sent
                ''',
                'bmp_neighbor_upd_msg_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-wdraw-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of withdraw message sent
                ''',
                'bmp_neighbor_wdraw_msg_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'monitored-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors',
            False, 
            [
            _MetaInfoClassMember('monitored-neighbor', REFERENCE_LIST, 'MonitoredNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor', 
                [], [], 
                '''                Information about a neighbor monitored by
                BMP server
                ''',
                'monitored_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'monitored-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor',
            False, 
            [
            _MetaInfoClassMember('server-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BMP Server ID
                ''',
                'server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('monitored-neighbors', REFERENCE_CLASS, 'MonitoredNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors', 
                [], [], 
                '''                List of Neighbors under which BMP Server is
                confgiured
                ''',
                'monitored_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors',
            False, 
            [
            _MetaInfoClassMember('server-neighbor', REFERENCE_LIST, 'ServerNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor', 
                [], [], 
                '''                BMP Server under which neighbor info are
                needed
                ''',
                'server_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp',
            False, 
            [
            _MetaInfoClassMember('server-neighbors', REFERENCE_CLASS, 'ServerNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors', 
                [], [], 
                '''                Table of Neighbors for a BMP Server
                ''',
                'server_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('server-summaries', REFERENCE_CLASS, 'ServerSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries', 
                [], [], 
                '''                Table of BMP Servers
                ''',
                'server_summaries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('as-path-entries-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by AS-path entries
                ''',
                'as_path_entries_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AS-path entries
                ''',
                'as_path_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attr-set-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of ATTRSET entries
                ''',
                'attr_set_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attr-set-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by ATTRSET entries
                ''',
                'attr_set_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-pool-alloc-count', REFERENCE_LIST, 'BmpPoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolAllocCount', 
                [], [], 
                '''                bmp pool alloc count
                ''',
                'bmp_pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('bmp-pool-free-count', REFERENCE_LIST, 'BmpPoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolFreeCount', 
                [], [], 
                '''                bmp pool free count
                ''',
                'bmp_pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('bmp-pool-size', REFERENCE_LIST, 'BmpPoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolSize', 
                [], [], 
                '''                bmp pool size
                ''',
                'bmp_pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('community-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of community entries
                ''',
                'community_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by community entries
                ''',
                'community_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('established-neighbors-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total umber of established neighbors
                ''',
                'established_neighbors_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended community entries
                ''',
                'extended_community_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by extended community
                entries
                ''',
                'extended_community_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lindex-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LINDEX entries
                ''',
                'lindex_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lindex-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by LINDEX entries
                ''',
                'lindex_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local autonomous system number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsattr-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LASATTR entries
                ''',
                'lsattr_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsattr-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by LSATTR entries
                ''',
                'lsattr_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-pool-alloc-count', REFERENCE_LIST, 'MsgLogPoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolAllocCount', 
                [], [], 
                '''                msg log pool alloc count
                ''',
                'msg_log_pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('msg-log-pool-free-count', REFERENCE_LIST, 'MsgLogPoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolFreeCount', 
                [], [], 
                '''                msg log pool free count
                ''',
                'msg_log_pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('msg-log-pool-size', REFERENCE_LIST, 'MsgLogPoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolSize', 
                [], [], 
                '''                msg log pool size
                ''',
                'msg_log_pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('neighbors-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of neighbors
                ''',
                'neighbors_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nexthop attribute info entries
                ''',
                'nexthop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by nexthop attribute info
                entries
                ''',
                'nexthop_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-attribute-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (bytes) used by path attribute entries
                ''',
                'path_attribute_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-attributes-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of path attribute entries
                ''',
                'path_attributes_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PE distinguisher label entries
                ''',
                'pe_distinguisher_label_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PE distinguisher
                labels entries
                ''',
                'pe_distinguisher_label_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pool-alloc-count', REFERENCE_LIST, 'PoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolAllocCount', 
                [], [], 
                '''                pool alloc count
                ''',
                'pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('pool-free-count', REFERENCE_LIST, 'PoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolFreeCount', 
                [], [], 
                '''                pool free count
                ''',
                'pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('pool-size', REFERENCE_LIST, 'PoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolSize', 
                [], [], 
                '''                pool size
                ''',
                'pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('ppmp-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PPMP entries
                ''',
                'ppmp_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppmp-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PPMP entries
                ''',
                'ppmp_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-node', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Node the process instance is on
                ''',
                'process_instance_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pta-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PTA entries
                ''',
                'pta_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pta-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PTA entries
                ''',
                'pta_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times BGP has started
                ''',
                'restart_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIBRNH entries
                ''',
                'ribrnh_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by RIBRNH entries
                ''',
                'ribrnh_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflector-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by route reflector info
                entries
                ''',
                'route_reflector_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflectors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route reflector info entries
                ''',
                'route_reflectors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-num-non-dflt-vrf-nbrs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sn num non dflt vrf nbrs
                ''',
                'sn_num_non_dflt_vrf_nbrs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-num-non-dflt-vrf-nbrs-estab', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sn num non dflt vrf nbrs estab
                ''',
                'sn_num_non_dflt_vrf_nbrs_estab',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-vrf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                total vrf count
                ''',
                'total_vrf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Tunnel encap entries
                ''',
                'tunnel_encap_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by tunnel encap entries
                ''',
                'tunnel_encap_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Vrf_',
            False, 
            [
            _MetaInfoClassMember('established-neighbors-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of established neighbors
                ''',
                'established_neighbors_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbors-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors
                ''',
                'neighbors_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of networks
                ''',
                'network_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notifications-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of notifications received
                ''',
                'notifications_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notifications-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of notifications sent
                ''',
                'notifications_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of update messages received
                ''',
                'update_messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer',
            False, 
            [
            _MetaInfoClassMember('first-rib-connection-down-timestamp', REFERENCE_CLASS, 'FirstRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp', 
                [], [], 
                '''                First RIB connection Down event timestamp
                ''',
                'first_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-connection-up-timestamp', REFERENCE_CLASS, 'FirstRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp', 
                [], [], 
                '''                First RIB connection Up event timestamp
                ''',
                'first_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RIB Connection Up?
                ''',
                'is_rib_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Down event (in
                seconds)
                ''',
                'last_rib_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-timestamp', REFERENCE_CLASS, 'LastRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp', 
                [], [], 
                '''                Last RIB connection Down event timestamp
                ''',
                'last_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Up event (in
                seconds)
                ''',
                'last_rib_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-timestamp', REFERENCE_CLASS, 'LastRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp', 
                [], [], 
                '''                Last RIB connection Up event timestamp
                ''',
                'last_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Down events
                ''',
                'rib_connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Up events
                ''',
                'rib_connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4rib-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer',
            False, 
            [
            _MetaInfoClassMember('first-rib-connection-down-timestamp', REFERENCE_CLASS, 'FirstRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp', 
                [], [], 
                '''                First RIB connection Down event timestamp
                ''',
                'first_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-connection-up-timestamp', REFERENCE_CLASS, 'FirstRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp', 
                [], [], 
                '''                First RIB connection Up event timestamp
                ''',
                'first_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RIB Connection Up?
                ''',
                'is_rib_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Down event (in
                seconds)
                ''',
                'last_rib_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-timestamp', REFERENCE_CLASS, 'LastRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp', 
                [], [], 
                '''                Last RIB connection Down event timestamp
                ''',
                'last_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Up event (in
                seconds)
                ''',
                'last_rib_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-timestamp', REFERENCE_CLASS, 'LastRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp', 
                [], [], 
                '''                Last RIB connection Up event timestamp
                ''',
                'last_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Down events
                ''',
                'rib_connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Up events
                ''',
                'rib_connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6rib-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection',
            False, 
            [
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection down events
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection Up events
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-down-timestamp', REFERENCE_CLASS, 'FirstConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp', 
                [], [], 
                '''                First connection Down event timestamp
                ''',
                'first_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-up-timestamp', REFERENCE_CLASS, 'FirstConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp', 
                [], [], 
                '''                First connection Up event timestamp
                ''',
                'first_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connection Up?
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Down event (in
                seconds)
                ''',
                'last_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-timestamp', REFERENCE_CLASS, 'LastConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp', 
                [], [], 
                '''                Last connection Down event timestamp
                ''',
                'last_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Up event (in seconds)
                ''',
                'last_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-timestamp', REFERENCE_CLASS, 'LastConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp', 
                [], [], 
                '''                Last connection Up event timestamp
                ''',
                'last_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'te-connection',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection',
            False, 
            [
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection down events
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection Up events
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-down-timestamp', REFERENCE_CLASS, 'FirstConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp', 
                [], [], 
                '''                First connection Down event timestamp
                ''',
                'first_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-up-timestamp', REFERENCE_CLASS, 'FirstConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp', 
                [], [], 
                '''                First connection Up event timestamp
                ''',
                'first_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connection Up?
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Down event (in
                seconds)
                ''',
                'last_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-timestamp', REFERENCE_CLASS, 'LastConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp', 
                [], [], 
                '''                Last connection Down event timestamp
                ''',
                'last_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Up event (in seconds)
                ''',
                'last_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-timestamp', REFERENCE_CLASS, 'LastConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp', 
                [], [], 
                '''                Last connection Up event timestamp
                ''',
                'last_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'lsd-connection',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-sent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-recv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-pl-send-drop-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-send-drop-array', REFERENCE_LIST, 'NsrPlSendDropArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray', 
                [], [], 
                '''                nsr pl send drop array
                ''',
                'nsr_pl_send_drop_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-sent-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-pl-recv-drop-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-recv-drop-array', REFERENCE_LIST, 'NsrPlRecvDropArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray', 
                [], [], 
                '''                nsr pl recv drop array
                ''',
                'nsr_pl_recv_drop_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-recv-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic',
            False, 
            [
            _MetaInfoClassMember('num-recv', REFERENCE_LIST, 'NumRecv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv', 
                [], [], 
                '''                Total recvd
                ''',
                'num_recv',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=6),
            _MetaInfoClassMember('num-recv-drop', REFERENCE_LIST, 'NumRecvDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop', 
                [], [], 
                '''                Recv Errors/drops
                ''',
                'num_recv_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=6),
            _MetaInfoClassMember('num-sent', REFERENCE_LIST, 'NumSent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent', 
                [], [], 
                '''                Total sent
                ''',
                'num_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('num-sent-drop', REFERENCE_LIST, 'NumSentDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop', 
                [], [], 
                '''                Sent Error/drops
                ''',
                'num_sent_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'npl-priority-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'endpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint',
            False, 
            [
            _MetaInfoClassMember('endpoint', REFERENCE_LIST, 'Endpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint', 
                [], [], 
                '''                NCD endpoint bytestream
                ''',
                'endpoint',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-active-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Endpoint active flag
                ''',
                'endpoint_active_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                NCD endpoint handle
                ''',
                'endpoint_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-issu-role', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Endpoint's ISSU Role. Values are 'Primary',
                'Secondary' and 'Tertiary'
                ''',
                'endpoint_issu_role',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Endpoint name
                ''',
                'endpoint_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-stale-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Endpoint stale flag
                ''',
                'endpoint_stale_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('expected-sequence-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expected sequence number
                ''',
                'expected_sequence_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message size for this entity
                ''',
                'msg_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Syncgroup associated with this endpoint
                ''',
                'sync_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('wheel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wheel ID for this endpoint
                ''',
                'wheel_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'npl-endpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl',
            False, 
            [
            _MetaInfoClassMember('dir-service-conn-state', REFERENCE_ENUM_CLASS, 'BgpDsConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpDsConnStateEnum', 
                [], [], 
                '''                Current Directory Service connectionstate
                ''',
                'dir_service_conn_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dsissu-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DS ISSU status flag
                ''',
                'dsissu_status_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-mgr-conn-state', REFERENCE_ENUM_CLASS, 'BgpIsmConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpIsmConnStateEnum', 
                [], [], 
                '''                Current ISSU Mgr connection state
                ''',
                'issu_mgr_conn_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-phase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Current ISSU Phase
                ''',
                'issu_phase',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-type-ng', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ISSU type is Next Gen
                ''',
                'issu_type_ng',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issuha-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Current ISSU HA option
                ''',
                'issuha_option',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-ds-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Local Directory Service handle
                ''',
                'local_ds_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('npl-endpoint', REFERENCE_LIST, 'NplEndpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint', 
                [], [], 
                '''                NPL endpoint information
                ''',
                'npl_endpoint',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('npl-priority-statistic', REFERENCE_LIST, 'NplPriorityStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic', 
                [], [], 
                '''                NPL priority statistics
                ''',
                'npl_priority_statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=2),
            _MetaInfoClassMember('service-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Local DS service name
                ''',
                'service_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ds-npl',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-nsr-mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'standby-nsr-mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-nsrfo-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of the number of postits for this nbr
                ''',
                'postit_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-count-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone',
            False, 
            [
            _MetaInfoClassMember('milestone-met-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Milestone met timestamp
                ''',
                'milestone_met_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('milestone-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Milestone name
                ''',
                'milestone_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('milestone-start-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Milestone start timestamp
                ''',
                'milestone_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'issu-milestone',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_',
            False, 
            [
            _MetaInfoClassMember('active-nsr-mode-enter-time', REFERENCE_LIST, 'ActiveNsrModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'active_nsr_mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=26),
            _MetaInfoClassMember('active-nsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Active BGP nsrstate
                ''',
                'active_nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-nsrfo-time', REFERENCE_LIST, 'ActiveNsrfoTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime', 
                [], [], 
                '''                Time that each thread isdone with its
                
                go-activeprocessing (seconds since Jan 1 1970)
                ''',
                'active_nsrfo_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=10),
            _MetaInfoClassMember('active-nsrtcp-phase-two-enter-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time that NSR TCP Init Sync Phase Two entered on
                active (seconds since Jan 1 1970)
                ''',
                'active_nsrtcp_phase_two_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-te-infra-tunnel-type', REFERENCE_ENUM_CLASS, 'BgpTeInfraTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTeInfraTunnelEnum', 
                [], [], 
                '''                BGP TE infra tunnel type
                ''',
                'bgp_te_infra_tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input bytes
                ''',
                'brib_api_input_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input messages
                ''',
                'brib_api_input_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-prefixes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input advertised prefixes received
                ''',
                'brib_api_input_prefixes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing input from bRIB API
                (milliseconds)
                ''',
                'brib_api_input_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input withdrawn prefixes received
                ''',
                'brib_api_input_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-bytes-generated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output bytes generated
                ''',
                'brib_api_output_bytes_generated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output bytes sent
                ''',
                'brib_api_output_bytes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API calls to generate output
                ''',
                'brib_api_output_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating output for bRIB API
                (milliseconds)
                ''',
                'brib_api_output_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output messages sent
                ''',
                'brib_api_output_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output prefixes advertised
                ''',
                'brib_api_output_prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output prefixes withdrawn
                ''',
                'brib_api_output_prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-sending-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending output to bRIB API (ms)
                ''',
                'brib_api_output_sending_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-items-processed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of config items processed
                ''',
                'configuration_items_processed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing config (milliseconds)
                ''',
                'configuration_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-clock-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current time
                ''',
                'current_clock_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ds-npl', REFERENCE_CLASS, 'DsNpl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl', 
                [], [], 
                '''                NSR related DS and NPL information
                ''',
                'ds_npl',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('edm-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing EDM requests (ms)
                ''',
                'edm_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('edm-requests-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of EDM requests processed
                ''',
                'edm_requests_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach  calls for input
                ''',
                'in_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-out-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach calls for input
                ''',
                'in_out_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('initial-sync-sessions-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, BGP has at least one established
                session when NSR initial synchronization is
                started
                ''',
                'initial_sync_sessions_added',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-node-role', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node role - active/passive
                ''',
                'instance_node_role',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-handler-tm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when IO timer handler got called
                ''',
                'io_handler_tm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-timer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IO master timer ID
                ''',
                'io_timer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-tree-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time as per tree->mtexptime
                ''',
                'io_tree_timer_expiry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-tree-timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time left before the QNX timer would expire
                ''',
                'io_tree_timer_left',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4rib-server', REFERENCE_CLASS, 'Ipv4RibServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer', 
                [], [], 
                '''                IPv4 RIB server global info
                ''',
                'ipv4rib_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6rib-server', REFERENCE_CLASS, 'Ipv6RibServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer', 
                [], [], 
                '''                IPv6 RIB server global info
                ''',
                'ipv6rib_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-milestone', REFERENCE_LIST, 'IssuMilestone' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone', 
                [], [], 
                '''                ISSU Milestones
                ''',
                'issu_milestone',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('issu-milestone-packed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate ISSU Milestones packed
                ''',
                'issu_milestone_packed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsd-connection', REFERENCE_CLASS, 'LsdConnection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection', 
                [], [], 
                '''                MPLS LSD server connection info
                ''',
                'lsd_connection',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-last-reset-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reason for last nsr state  machine reset
                ''',
                'nsr_last_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('out-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach  calls for output
                ''',
                'out_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-count-info', REFERENCE_LIST, 'PostitCountInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo', 
                [], [], 
                '''                List of neighbors and their postit counts
                ''',
                'postit_count_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proc-scoped-sync-state', REFERENCE_ENUM_CLASS, 'BgpScopedSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpScopedSyncStateEnum', 
                [], [], 
                '''                BGP scoped sync state
                ''',
                'proc_scoped_sync_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-ac-ks-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack failure on QAD 
                ''',
                'qad_ac_ks_failure',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-ac-ks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Acks received on QAD 
                ''',
                'qad_ac_ks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-init-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped on standby during initialization
                ''',
                'qad_init_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages received on QAD 
                ''',
                'qad_messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages sent on QAD 
                ''',
                'qad_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-processed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages processed
                ''',
                'qad_processed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-recv-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received packet dropped due to null peer 
                ''',
                'qad_recv_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-resumes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                QAD send resume 
                ''',
                'qad_resumes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-send-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send packets dropped due to null peer 
                ''',
                'qad_send_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-send-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send failure on QAD 
                ''',
                'qad_send_failure',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-suspends', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                QAD send suspend
                ''',
                'qad_suspends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-timeout-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timeouts received on QAD 
                ''',
                'qad_timeout_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-timeout-recvd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of packet send timeouts 
                ''',
                'qad_timeout_recvd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qadack-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Acks sent on QAD 
                ''',
                'qadack_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qadoos-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to  out of sequence
                packetreceived
                ''',
                'qadoos_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('redcon-nsr-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NSR state conveyed to Redcon  by bgp - nsr
                ready/unready
                ''',
                'redcon_nsr_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('redcon-state-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when nsr state wasconveyed to Redcon last
                ''',
                'redcon_state_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sec-active-nsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sec Active BGP nsrstate
                ''',
                'sec_active_nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sec-active-nsrtcp-phase-two-enter-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time that NSR TCP Init Sync Phase Two entered on
                active (seconds since Jan 1 1970)
                ''',
                'sec_active_nsrtcp_phase_two_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-nsr-mode-enter-time', REFERENCE_LIST, 'StandbyNsrModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'standby_nsr_mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('te-connection', REFERENCE_CLASS, 'TeConnection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection', 
                [], [], 
                '''                MPLS TE server connection info
                ''',
                'te_connection',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tep2p-auto-tunnel-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE support for P2P auto tunnel
                ''',
                'tep2p_auto_tunnel_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-neighbors-with-pending-postits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total nbrs with pending postits
                ''',
                'total_neighbors_with_pending_postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-outstanding-postits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total outstanding postits across all neighbors
                ''',
                'total_outstanding_postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-handler-tm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when updgen timer handler got called
                ''',
                'updgen_handler_tm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Updgen master timer ID
                ''',
                'updgen_timer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-tree-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time as per tree->mtexptime
                ''',
                'updgen_tree_timer_expiry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-tree-timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time left before the QNX timer would expire
                ''',
                'updgen_tree_timer_left',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Vrf_',
            False, 
            [
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bytes of data written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of socket reads for nbrs above high
                threshold
                ''',
                'high_throttled_read_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing imbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (ms)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (ms)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of socket reads for nbrs above low
                threshold
                ''',
                'low_throttled_read_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lpts-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times LPTS socket opt set up
                ''',
                'lpts_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lpts-set-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent setting up LPTS socket opt (ms)
                ''',
                'lpts_set_up_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (ms)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to to funvction to process
                sub-group message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group messages processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ID for the BGP process instance
                ''',
                'process_instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-totals', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                per VRF counts aggregated across all VRFs
                ''',
                'vrf_totals',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr has postits pending
                ''',
                'postit_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions',
            False, 
            [
            _MetaInfoClassMember('session', REFERENCE_LIST, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session', 
                [], [], 
                '''                A BGP session table entry
                ''',
                'session',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sessions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'received-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('active-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Active connections for this
                neighbor due to collision 
                ''',
                'active_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Active opens for this neighbor
                ''',
                'actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-read-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger read
                thread
                ''',
                'control_to_read_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-write-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger write
                thread
                ''',
                'control_to_write_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of data bytes written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('failed-post-actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Active Opens that failed in the Post
                Active State for this neighbor
                ''',
                'failed_post_actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of socket reads after nbr crossed high
                threshold
                ''',
                'high_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing inbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (milliseconds)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (milliseconds)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-nsr-scoped-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last time NSR scoped syncwas done for the
                neighbor
                ''',
                'last_nsr_scoped_sync',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sent-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seq No of the last sent byte
                ''',
                'last_sent_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num socket reads after nbrs crossed low
                threshold
                ''',
                'low_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-read-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of largest socket (milliseconds)
                ''',
                'maximum_read_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-fd', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary FD, per nbr
                ''',
                'nbr_fd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr flags, per thread
                ''',
                'nbr_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket status, TRUE if socket closed
                ''',
                'network_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-oper-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times NSR scoped sync has been done
                ''',
                'nsr_oper_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passive-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Remote opens for this
                neighborneighbor due to collision 
                ''',
                'passive_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Passive opens for this
                neighbor
                ''',
                'passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rejected-passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rejected Passive opens for this
                neighbor
                ''',
                'rejected_passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reset flags, per thread
                ''',
                'reset_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reset Retries, per nbr
                ''',
                'reset_retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list 
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sync flags, per nbr
                ''',
                'sync_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read after being
                throttled
                ''',
                'time_since_last_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (milliseconds)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process sub-group
                message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group msgs processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'open',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive', 
                [], [], 
                '''                Keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification', 
                [], [], 
                '''                Notification
                ''',
                'notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open', REFERENCE_CLASS, 'Open' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open', 
                [], [], 
                '''                Open
                ''',
                'open',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refresh', REFERENCE_CLASS, 'RouteRefresh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh', 
                [], [], 
                '''                Route refresh
                ''',
                'route_refresh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total', 
                [], [], 
                '''                Total
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update', 
                [], [], 
                '''                Update
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-phase-two-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('processed-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages processed from the neighbor's
                write queue
                ''',
                'processed_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent from the neighbor's
                write queue
                ''',
                'sent_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_update_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_update_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_withdraw_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_withdraw_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-pending-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sub-group messages waiting to be sent out
                on this neighbor -- DEPRECATED -- 
                ''',
                'sub_group_pending_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo
                ''',
                'acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of default VRF import disable
                ''',
                'advertise_afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-eo-r-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EoR Can be sent for Advertise AFI
                ''',
                'advertise_afi_eo_r_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of VRF re-import disable
                ''',
                'advertise_afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 default VRF import disable
                ''',
                'advertise_evp_nv4afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 VRF re-import disable
                ''',
                'advertise_evp_nv4afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 default VRF import disable
                ''',
                'advertise_evp_nv6afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 VRF re-import disable
                ''',
                'advertise_evp_nv6afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-received-in-read-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                An EoR was received while in read-only mode
                ''',
                'eo_r_received_in_read_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default origination update sent
                ''',
                'is_default_originate_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding capability received
                ''',
                'is_ext_nh_encoding_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexhop encoding capability Sent
                ''',
                'is_ext_nh_encoding_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-leaving', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr leaving update-groupto another
                ''',
                'is_update_leaving',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Updates Throttled becausewrite limit is reached
                ''',
                'is_update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-performance-statistics', REFERENCE_CLASS, 'NeighborAfPerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics', 
                [], [], 
                '''                Neighbor AF statistics
                ''',
                'neighbor_af_performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor version
                ''',
                'neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-best-externalpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of best-external paths from this neighbor
                ''',
                'number_of_best_externalpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bestpaths from this neighbor
                ''',
                'number_of_bestpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes accepted
                ''',
                'prefixes_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes advertised
                ''',
                'prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-be-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No BE prefixes advertised
                ''',
                'prefixes_be_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied
                ''',
                'prefixes_denied',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-no-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because there was no
                inbound policy
                ''',
                'prefixes_denied_no_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-non-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes exactly denied (non cumulative)
                ''',
                'prefixes_denied_non_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-orf-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by prefix based ORF
                policy
                ''',
                'prefixes_denied_orf_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by inbound policy
                ''',
                'prefixes_denied_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-rt-permit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because RT extended
                community is not imported
                ''',
                'prefixes_denied_rt_permit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes suppressed
                ''',
                'prefixes_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-synced', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes synced to standby
                ''',
                'prefixes_synced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn
                ''',
                'prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn but not found
                ''',
                'prefixes_withdrawn_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version acked by the peer for refresh updates
                sent
                ''',
                'refresh_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version for refresh update generation
                ''',
                'refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version till which refresh updates have been
                generated
                ''',
                'refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests received
                ''',
                'route_refreshes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests sent
                ''',
                'route_refreshes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'synced_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write
                ''',
                'actual_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write before reset
                ''',
                'actual_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write
                ''',
                'actual_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write before reset
                ''',
                'actual_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attempted-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write
                ''',
                'attempted_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write before reset
                ''',
                'attempted_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write
                ''',
                'attempted_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write before reset
                ''',
                'attempted_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-created-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_created_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-state-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp since when nbr is in this bfd state
                ''',
                'bfd_state_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes read
                ''',
                'bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes written by write thread
                ''',
                'bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connect-retry-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time (in secs) for connect retry timer
                ''',
                'connect_retry_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-admin-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative status of connection
                ''',
                'connection_admin_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times connection was dropped
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-established-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) that the connection has been
                established
                ''',
                'connection_established_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local port for the connection
                ''',
                'connection_local_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote port for the connection
                ''',
                'connection_remote_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the connection was established
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('count-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-data-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining discard data (bytes) on Standby
                ''',
                'discard_data_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic neighbor
                ''',
                'dynamic_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications received on the
                connection
                ''',
                'error_notifies_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications sent on the
                connection
                ''',
                'error_notifies_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fpbsn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby PDU boundary SeqNo offset
                ''',
                'fpbsn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fssn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby SeqNo offset
                ''',
                'fssn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) negotiated for this
                connection
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for io
                control
                ''',
                'io_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability received
                ''',
                'is4_byte_as_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability Snt
                ''',
                'is4_byte_as_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation suppressed
                ''',
                'is_capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-as-league', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer belongs to AS League
                ''',
                'is_ebgp_peer_as_league',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-common-admin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer with common administation
                ''',
                'is_ebgp_peer_common_admin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-external-neighbor-not-directly-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                External neighbor not directly connected
                ''',
                'is_external_neighbor_not_directly_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-gr-aware', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GR awareness received
                ''',
                'is_gr_aware',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down during a SEVERE low memory
                condition
                ''',
                'is_out_of_memory_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-read-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket read isdisabled
                ''',
                'is_read_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh capability received
                ''',
                'is_route_refresh_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-old-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh old capability received
                ''',
                'is_route_refresh_old_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) negotiated for this
                connection
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-ackd-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SeqNo of the last Ackd byte
                ''',
                'last_ackd_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aerror-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that an error
                was encountered after KA expiry
                ''',
                'last_k_aerror_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last KA timer expiry before
                reset
                ''',
                'last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-anotsent-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that KA was
                not sent before reset
                ''',
                'last_k_anotsent_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the last KA timer start
                before reset
                ''',
                'last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Code for the last error notification seen on the
                connection
                ''',
                'last_notify_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode of the last error notification
                seen on the connection
                ''',
                'last_notify_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write thread event
                ''',
                'last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-statistics', REFERENCE_CLASS, 'MessageStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics', 
                [], [], 
                '''                Message statistics
                ''',
                'message_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages received
                ''',
                'messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent
                ''',
                'messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multi-protocol-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multi-protocol capability has been received
                ''',
                'multi_protocol_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('negotiated-protocol-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Negotiated protocol version
                ''',
                'negotiated_protocol_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Handle of Neighbor
                ''',
                'neighbor_interface_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open-check-error-code', REFERENCE_ENUM_CLASS, 'BgpOpenCheckErrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpOpenCheckErrEnum', 
                [], [], 
                '''                Open check error code
                ''',
                'open_check_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If peer closed, error received from transport
                ''',
                'peer_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-reset-reason', REFERENCE_ENUM_CLASS, 'BgpPeerResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpPeerResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last peer close event
                ''',
                'peer_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('previous-connection-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Previous state of connection
                ''',
                'previous_connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for read
                ''',
                'read_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-notification-info', REFERENCE_CLASS, 'ReceivedNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo', 
                [], [], 
                '''                Information on the last notification received
                ''',
                'received_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-notification-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification was sent during last reset
                ''',
                'reset_notification_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last connection reset
                ''',
                'reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the neighbor
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last KA timer expiry
                before reset
                ''',
                'second_last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the second last KA timer
                start before reset
                ''',
                'second_last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last write thread
                event
                ''',
                'second_last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-notification-info', REFERENCE_CLASS, 'SendNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo', 
                [], [], 
                '''                Information on the last notification sent
                ''',
                'send_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total read bytes value insocket-lib
                ''',
                'socket_read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-done-time-spec', REFERENCE_CLASS, 'TcpInitSyncDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Done
                ''',
                'tcp_init_sync_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-phase-two-time-spec', REFERENCE_CLASS, 'TcpInitSyncPhaseTwoTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Phase
                Two
                ''',
                'tcp_init_sync_phase_two_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-time-spec', REFERENCE_CLASS, 'TcpInitSyncTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncTimeSpec', 
                [], [], 
                '''                Time When neighbor entered TCP Init Sync
                ''',
                'tcp_init_sync_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CB
                ''',
                'time_last_cb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last CB before reset
                ''',
                'time_last_cb_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-fb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FB
                ''',
                'time_last_fb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-connection-last-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the connection last went down
                (seconds)
                ''',
                'time_since_connection_last_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read
                ''',
                'time_since_last_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read before last reset
                ''',
                'time_since_last_read_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last update message was
                received
                ''',
                'time_since_last_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write
                ''',
                'time_since_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second  last write
                ''',
                'time_since_second_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_second_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update bytes read
                ''',
                'update_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update msgs received
                ''',
                'update_messages_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for write
                ''',
                'write_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor', 
                [], [], 
                '''                A BGP Neighbor table entry
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NextHopVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NextHopVrf',
            False, 
            [
            _MetaInfoClassMember('last-notification-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Processing time for the last notification
                ''',
                'last_notification_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notificationication-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was received
                ''',
                'last_notificationication_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-notification-bestpath-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath changes caused by
                notification which resulted in maximum
                processing
                ''',
                'max_notification_bestpath_changes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-notification-bestpath-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath deletes caused by
                notification which resulted in maximum
                processing
                ''',
                'max_notification_bestpath_deletes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-proc-notification-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                How long since the maximum processing time
                notifcation was received
                ''',
                'max_proc_notification_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum time spent procesing a single batch
                notification
                ''',
                'maximum_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total time spent in processing
                ''',
                'total_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cfg-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                router does not change next-hop
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'idle-watch-timer-remaining-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_',
            False, 
            [
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-timer-remaining-value', REFERENCE_CLASS, 'IdleWatchTimerRemainingValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue', 
                [], [], 
                '''                Idle watch timer remaining time
                ''',
                'idle_watch_timer_remaining_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-idle-watch-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is idle watch timer running
                ''',
                'is_idle_watch_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress', 
                [], [], 
                '''                Dynamic Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-age', REFERENCE_CLASS, 'NeighborAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAge', 
                [], [], 
                '''                Neighbor age
                ''',
                'neighbor_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange',
            False, 
            [
            _MetaInfoClassMember('neighbor-range-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor Range prefix
                ''',
                'neighbor_range_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-range-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Neighbor Range prefix
                        ''',
                        'neighbor_range_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-range-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Neighbor Range prefix
                        ''',
                        'neighbor_range_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive Disabled
                ''',
                'addpath_receive_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive enable
                ''',
                'addpath_receive_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send Disabled
                ''',
                'addpath_send_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send enabled
                ''',
                'addpath_send_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attrf-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attrf Group Name
                ''',
                'attrf_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cfg-local-address', REFERENCE_CLASS, 'CfgLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress', 
                [], [], 
                '''                Configured local address
                ''',
                'cfg_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Dynamic nbrs in range
                ''',
                'current_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dynamic Neighbor idle-watch time (in seconds)
                ''',
                'idle_watch_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_', 
                [], [], 
                '''                Dynamic Neighbor Instance List
                ''',
                'instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('islocal-address-cfg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured
                ''',
                'islocal_address_cfg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max Dynamic nbrs in range
                ''',
                'max_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-buf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message Buf Count
                ''',
                'msg_buf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-bug-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Message Buf Circular
                ''',
                'msg_bug_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-rcv-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr Receive Size
                ''',
                'nbr_rcv_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-send-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr Send Size
                ''',
                'nbr_send_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-range-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor Range Prefix Length
                ''',
                'neighbor_range_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('oper-attrf-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Oper attrf Enable
                ''',
                'oper_attrf_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-inst-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error during instance creation
                ''',
                'range_inst_error',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-max-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                open drop due to max peers
                ''',
                'range_max_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-open-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                open accepted
                ''',
                'range_open_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-open-match', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Passive open matching range
                ''',
                'range_open_match',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote AS List Name
                ''',
                'remote_as_list_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('syslog-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                syslog enable
                ''',
                'syslog_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('upd-errh-noreset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update errh noreset
                ''',
                'upd_errh_noreset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Update Source
                ''',
                'update_source',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges',
            False, 
            [
            _MetaInfoClassMember('neighbor-range', REFERENCE_LIST, 'NeighborRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange', 
                [], [], 
                '''                A BGP Neighbor Range table entry
                ''',
                'neighbor_range',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'logged-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage',
            False, 
            [
            _MetaInfoClassMember('logged-message-data', REFERENCE_LIST, 'LoggedMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'logged_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Message data length
                ''',
                'message_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-timestamp', REFERENCE_CLASS, 'MessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp', 
                [], [], 
                '''                message received time: time elapsed since 00:00
                :00 UTC, January 1, 1970
                ''',
                'message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-type-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of messages Received
                ''',
                'message_type_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-logged-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total logged messages count
                ''',
                'total_logged_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog',
            False, 
            [
            _MetaInfoClassMember('direction', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Direction
                ''',
                'direction',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-message', REFERENCE_LIST, 'NeighborMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage', 
                [], [], 
                '''                Array of Neighbor Messages in one direction
                ''',
                'neighbor_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-log',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs',
            False, 
            [
            _MetaInfoClassMember('message-log', REFERENCE_LIST, 'MessageLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog', 
                [], [], 
                '''                A BGP Message log entry
                ''',
                'message_log',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-logs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('afs', REFERENCE_CLASS, 'Afs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs', 
                [], [], 
                '''                BGP address family table
                ''',
                'afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp', REFERENCE_CLASS, 'Bmp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp', 
                [], [], 
                '''                BMP related Operational Data
                ''',
                'bmp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-process-info', REFERENCE_CLASS, 'GlobalProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo', 
                [], [], 
                '''                The Global Process information table
                ''',
                'global_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Information', 
                [], [], 
                '''                Meta data for VRF
                ''',
                'information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-logs', REFERENCE_CLASS, 'MessageLogs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs', 
                [], [], 
                '''                The BGP Neighbor Message table
                ''',
                'message_logs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-ranges', REFERENCE_CLASS, 'NeighborRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges', 
                [], [], 
                '''                The BGP Dynamic Neighbor Range table
                ''',
                'neighbor_ranges',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors', 
                [], [], 
                '''                The BGP Neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-vrf', REFERENCE_CLASS, 'NextHopVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NextHopVrf', 
                [], [], 
                '''                A BGP Next-hop VRF table entry
                ''',
                'next_hop_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postits', REFERENCE_CLASS, 'Postits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits', 
                [], [], 
                '''                The BGP Neighbor table
                ''',
                'postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-info', REFERENCE_CLASS, 'ProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo', 
                [], [], 
                '''                A Process instance table entry
                ''',
                'process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sessions', REFERENCE_CLASS, 'Sessions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions', 
                [], [], 
                '''                The BGP session table
                ''',
                'sessions',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-neighbors', REFERENCE_CLASS, 'UpdateInboundErrorNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors', 
                [], [], 
                '''                Update inbound error information for all
                neighbors
                ''',
                'update_inbound_error_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-vrf', REFERENCE_CLASS, 'UpdateInboundErrorVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorVrf', 
                [], [], 
                '''                Update inbound error information for the VRF
                ''',
                'update_inbound_error_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-neighbors', REFERENCE_CLASS, 'UpdateInboundFilterNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors', 
                [], [], 
                '''                Update inbound filtering information for all
                neighbors
                ''',
                'update_inbound_filter_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-vrf', REFERENCE_CLASS, 'UpdateInboundFilterVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterVrf', 
                [], [], 
                '''                Update inbound filtering information for the VRF
                ''',
                'update_inbound_filter_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Vrfs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf', 
                [], [], 
                '''                Operational data for a particular VRF
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorVrf',
            False, 
            [
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed messages received
                event (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received malformed
                messages
                ''',
                'update_malformed_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd',
            False, 
            [
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds',
            False, 
            [
            _MetaInfoClassMember('network-lookup-rd', REFERENCE_LIST, 'NetworkLookupRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network_lookup_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd',
            False, 
            [
            _MetaInfoClassMember('network-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network 
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network 
                        ''',
                        'network_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network 
                        ''',
                        'network_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('network-lookup-rds', REFERENCE_CLASS, 'NetworkLookupRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_lookup_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-all-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds',
            False, 
            [
            _MetaInfoClassMember('network-lookup-all-rd', REFERENCE_LIST, 'NetworkLookupAllRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_lookup_all_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-all-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-out', REFERENCE_CLASS, 'AttributesAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut', 
                [], [], 
                '''                Attributes after outbound policy
                ''',
                'attributes_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists All 'sp_path_in' fields except
                'sp_path_in->bag_prefix' are invalid.  All
                'sp_path_out' fields are invalid.
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-in', REFERENCE_CLASS, 'PathInfoAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn', 
                [], [], 
                '''                Path information after inbound policy
                ''',
                'path_info_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-out', REFERENCE_CLASS, 'PathInfoAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut', 
                [], [], 
                '''                Path information after outbound policy
                ''',
                'path_info_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy', 
                [], [], 
                '''                A BGP Policy table entry
                ''',
                'policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'policies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Convergence' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Convergence',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('are-write-queues-empty', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All neighbor write queues are empty
                ''',
                'are_write_queues_empty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Convergence has been reached
                ''',
                'has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-start-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-rib',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-import',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'install-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall',
            False, 
            [
            _MetaInfoClassMember('install-time', REFERENCE_CLASS, 'InstallTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime', 
                [], [], 
                '''                RIB install time
                ''',
                'install_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('installed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Installed routes
                ''',
                'installed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('modified-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Modified routes
                ''',
                'modified_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start version
                ''',
                'start_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version
                ''',
                'target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-time', REFERENCE_CLASS, 'UpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime', 
                [], [], 
                '''                RIB update time
                ''',
                'update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('withdrawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdrawn routes
                ''',
                'withdrawn_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rib-install',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('freed-rd-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of RDs freed
                ''',
                'freed_rd_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when Import thread is last triggered
                ''',
                'import_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Import thread is last triggered
                ''',
                'import_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Import thread triggers
                ''',
                'import_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by import thread
                ''',
                'import_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total imported paths memory
                ''',
                'imported_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total impoorted paths 
                ''',
                'imported_paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when label thread is last triggered
                ''',
                'label_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Label thread is last triggered
                ''',
                'label_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label thread triggers
                ''',
                'label_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by label thread
                ''',
                'label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-import-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Import thread version when last triggered
                ''',
                'last_import_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label thread version when last triggered
                ''',
                'last_label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB thread version when last triggered
                ''',
                'last_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks freed
                ''',
                'local_networks_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks malloced
                ''',
                'local_networks_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks memory
                ''',
                'local_networks_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks
                ''',
                'local_networks_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths freed
                ''',
                'local_paths_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths malloced
                ''',
                'local_paths_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths memory
                ''',
                'local_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths
                ''',
                'local_paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-rd-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of RDs malloced
                ''',
                'malloced_rd_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-active-pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Active Pelem Version
                ''',
                'max_active_pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('merged-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merged Table Version
                ''',
                'merged_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath network entries
                ''',
                'multipath_network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-network-entry-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used bymultipath network
                entries
                ''',
                'multipath_network_entry_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath paths
                ''',
                'multipath_paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used bymultimpath paths
                ''',
                'multipath_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks freed
                ''',
                'networks_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks malloced
                ''',
                'networks_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks memory
                ''',
                'networks_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of networks
                ''',
                'networks_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-init-sync-pfx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of prefix synced during Initsync
                ''',
                'num_init_sync_pfx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems freed
                ''',
                'path_elems_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems malloced
                ''',
                'path_elems_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems memory
                ''',
                'path_elems_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of path-elems
                ''',
                'path_elems_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths freed
                ''',
                'paths_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths malloced
                ''',
                'paths_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths memory
                ''',
                'paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of paths
                ''',
                'paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by RD data
                ''',
                'rd_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-ack-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack requests
                ''',
                'rib_ack_requests',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acked-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version acked by RIB
                ''',
                'rib_acked_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack received
                ''',
                'rib_acks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-brib-received-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version received from 
                ''',
                'rib_brib_received_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-install', REFERENCE_CLASS, 'RibInstall' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall', 
                [], [], 
                '''                RIB install info
                ''',
                'rib_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when RIB thread is last triggered
                ''',
                'rib_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-slow-acks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for slow RIB acks
                ''',
                'rib_slow_acks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB thread triggers
                ''',
                'rib_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribbgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when RIB thread is last triggered
                ''',
                'ribbgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-download-go-active-done-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Download Go Active Done Pending
                ''',
                'route_download_go_active_done_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-state', REFERENCE_ENUM_CLASS, 'BgpRtrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRtrStateEnum', 
                [], [], 
                '''                Router state
                ''',
                'router_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version for sending updates to peers
                ''',
                'send_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by sync thread
                ''',
                'standby_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version sent to RIB/bRIB
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP table version
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of RDs
                ''',
                'total_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-remote-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of remote RDs
                ''',
                'total_remote_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-same-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of same RDs
                ''',
                'total_same_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-import', REFERENCE_CLASS, 'TriggerImport' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport', 
                [], [], 
                '''                Trigger import
                ''',
                'trigger_import',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-label', REFERENCE_CLASS, 'TriggerLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel', 
                [], [], 
                '''                Trigger label
                ''',
                'trigger_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-rib', REFERENCE_CLASS, 'TriggerRib' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib', 
                [], [], 
                '''                Trigger RIB
                ''',
                'trigger_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-update', REFERENCE_CLASS, 'TriggerUpdate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate', 
                [], [], 
                '''                Trigger update
                ''',
                'trigger_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-gen-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when Update generation thread is
                last triggered
                ''',
                'update_gen_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-gen-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Update generation thread is last
                triggered
                ''',
                'update_gen_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update thread triggers
                ''',
                'update_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-wait-install-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update wait-install enabled
                ''',
                'update_wait_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-done-time-spec', REFERENCE_CLASS, 'VersionWrapDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec', 
                [], [], 
                '''                Version Wrap handle Done timestamp
                ''',
                'version_wrap_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-start-time-spec', REFERENCE_CLASS, 'VersionWrapStartTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec', 
                [], [], 
                '''                Version Wrap handle start timestamp
                ''',
                'version_wrap_start_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-time-spec', REFERENCE_CLASS, 'VersionWrapTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec', 
                [], [], 
                '''                Version Wrap timestamp
                ''',
                'version_wrap_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrapped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times Version Wrap happened
                ''',
                'version_wrapped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrapped-tid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version Wrapped trigger tid
                ''',
                'version_wrapped_tid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Vrf',
            False, 
            [
            _MetaInfoClassMember('add-path-install-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Additional paths installation is disabled
                ''',
                'add_path_install_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-install-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Additional paths installation is enabled
                ''',
                'add_path_install_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('any-ebgp-neighbor-missing-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is there any neighbor which is missing either
                inbound or outbound or both routing policy for
                this address family?
                ''',
                'any_ebgp_neighbor_missing_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('asbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Router is an ASBR for this AF
                ''',
                'asbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-download', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute download is 
                ''',
                'attribute_download',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best External is enabled
                ''',
                'best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-external-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best External is enabled
                ''',
                'best_external_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BMP net entries
                ''',
                'bmp_network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by path data
                ''',
                'bmp_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Number of BMP paths
                ''',
                'bmp_paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-prefix-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by prefix data
                ''',
                'bmp_prefix_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('damped-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of dampened paths
                ''',
                'damped_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of paths freed
                ''',
                'freed_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-path-elem-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of pathelems freed
                ''',
                'freed_path_elem_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-prefix-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of prefixes freed
                ''',
                'freed_prefix_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('history-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of history paths (for dampening)
                ''',
                'history_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-nexthop-self-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of iBGP sessions configured with nh-self
                ''',
                'ibgp_nexthop_self_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by imported paths
                ''',
                'imported_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths
                ''',
                'imported_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Router is an RR for this AF
                ''',
                'is_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-retain', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label retention is enabled
                ''',
                'label_retain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-retainvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label retention value enabled
                ''',
                'label_retainvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by local paths
                ''',
                'local_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of local paths
                ''',
                'local_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of paths malloced
                ''',
                'malloced_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-path-elem-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of path elems malloced
                ''',
                'malloced_path_elem_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-prefix-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of prefixes malloced
                ''',
                'malloced_prefix_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of network entries
                ''',
                'network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elem-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by pathelem data
                ''',
                'path_elem_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path elems
                ''',
                'path_elems_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by path data
                ''',
                'path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by prefix data
                ''',
                'prefix_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of (unused) received paths for inbound
                soft reconfiguration
                ''',
                'received_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('retain-rt-all', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retain-RT-All enabled
                ''',
                'retain_rt_all',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-target-download', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Target download is enabled
                ''',
                'route_target_download',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tbl-bitf-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bitfield size on table
                ''',
                'tbl_bitf_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tbl-chunk-bitf-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Chunk Bitfield size on table
                ''',
                'tbl_chunk_bitf_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-igpsr-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use IGP SR label for resolution
                ''',
                'use_igpsr_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-install-add',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-install-del',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-add',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-del',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-add-local',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-del-local',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_',
            False, 
            [
            _MetaInfoClassMember('first-nbr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when first peer came up (seconds since Jan
                1 1970)
                ''',
                'first_nbr_up_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if process has converged
                ''',
                'has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mode-enter-time', REFERENCE_LIST, 'ModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-add', REFERENCE_LIST, 'TotalPimCallbackAdd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd', 
                [], [], 
                '''                Total number of Pim callbacks for add
                ''',
                'total_pim_callback_add',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-add-local', REFERENCE_LIST, 'TotalPimCallbackAddLocal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal', 
                [], [], 
                '''                Total number of Pim callbacks for local add
                ''',
                'total_pim_callback_add_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-batch', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pim callback batches
                ''',
                'total_pim_callback_batch',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-callback-del', REFERENCE_LIST, 'TotalPimCallbackDel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel', 
                [], [], 
                '''                Total number of Pim callbacks for del
                ''',
                'total_pim_callback_del',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-del-local', REFERENCE_LIST, 'TotalPimCallbackDelLocal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal', 
                [], [], 
                '''                Total number of Pim callbacks for Local del
                ''',
                'total_pim_callback_del_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callbacks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of PIM callbacks
                ''',
                'total_pim_callbacks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-install', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of install to PIM
                ''',
                'total_pim_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-install-add', REFERENCE_LIST, 'TotalPimInstallAdd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd', 
                [], [], 
                '''                Total number of install to PIM for add
                ''',
                'total_pim_install_add',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-install-del', REFERENCE_LIST, 'TotalPimInstallDel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel', 
                [], [], 
                '''                Total number of install to PIM for del
                ''',
                'total_pim_install_del',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibCoverged' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibCoverged',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-rib-coverged',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibDown' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibDown',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-rib-down',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableFullTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableFullTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-table-full-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableFullTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableFullTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-table-full-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableHasSpaceTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableHasSpaceTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-table-has-space-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableHasSpaceTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableHasSpaceTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-table-has-space-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeLabelRetain' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeLabelRetain',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-label-retain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf',
            False, 
            [
            _MetaInfoClassMember('attributes-recover-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes recovered from RIB
                ''',
                'attributes_recover_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes withdrawn from RIB
                ''',
                'attributes_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes sent to RIB
                ''',
                'attributes_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-full-timestamp', REFERENCE_CLASS, 'FirstRibTableFullTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableFullTimestamp', 
                [], [], 
                '''                Timestamp when RIB table was full for the first
                time
                ''',
                'first_rib_table_full_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table was full for the first
                time
                ''',
                'first_rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-has-space-timestamp', REFERENCE_CLASS, 'FirstRibTableHasSpaceTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableHasSpaceTimestamp', 
                [], [], 
                '''                Timestamp when RIB table had space for the first
                time
                ''',
                'first_rib_table_has_space_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-has-space-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table had space for the first
                time
                ''',
                'first_rib_table_has_space_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-added-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths added
                ''',
                'import_added_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of calls to import processing function
                ''',
                'import_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-dest-net-processed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of destination nets processed
                ''',
                'import_dest_net_processed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-removed-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths removed
                ''',
                'import_removed_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-replaced-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths 
                ''',
                'import_replaced_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-src-net-processed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of source nets processed
                ''',
                'import_src_net_processed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent in import processing (milliseconds)
                Note time accounted against source nets.
                ''',
                'import_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-table-full', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if RIB table is in prefix-limit state
                ''',
                'is_rib_table_full',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-added-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels requested
                ''',
                'label_added_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to label allocation processing
                function
                ''',
                'label_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-release-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels released
                ''',
                'label_release_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-rewrite-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of label rewrites created
                ''',
                'label_rewrite_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent running label processing
                (milliseconds)
                ''',
                'label_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since RIB table was full for the last time
                (in seconds)
                ''',
                'last_rib_table_full_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-timestamp', REFERENCE_CLASS, 'LastRibTableFullTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableFullTimestamp', 
                [], [], 
                '''                Timestamp when RIB table was full for the last
                time
                ''',
                'last_rib_table_full_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table was full for the last
                time
                ''',
                'last_rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Times since RIB table had space for the last
                time (in seconds)
                ''',
                'last_rib_table_has_space_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-timestamp', REFERENCE_CLASS, 'LastRibTableHasSpaceTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableHasSpaceTimestamp', 
                [], [], 
                '''                Timestamp when RIB table had space for the last
                time
                ''',
                'last_rib_table_has_space_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table had space for the last
                time
                ''',
                'last_rib_table_has_space_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn from RIB
                ''',
                'prefixes_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-resent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes re-sent to RIB
                ''',
                'prefixes_resent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes sent to RIB
                ''',
                'prefixes_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table became full (from
                non-full)
                ''',
                'rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-del-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped on account of table
                delete
                ''',
                'rib_tbl_del_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-invalid-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of  rib update skipped due to table invalid
                ''',
                'rib_tbl_invalid_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped. due to no local label
                ''',
                'rib_tbl_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-retry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of table rib retires.
                ''',
                'rib_tbl_retry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-skip-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped
                ''',
                'rib_tbl_skip_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-trigger', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rib trigger enabled
                ''',
                'rib_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-update-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to RIB update function
                ''',
                'rib_update_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending RIB updates (milliseconds)
                ''',
                'rib_update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-runs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                # of times scanner has run
                ''',
                'scanner_runs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent running scanner (milliseconds)
                ''',
                'scanner_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update subgroup
                ''',
                'subgroup_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-label-retain', REFERENCE_CLASS, 'TimeLabelRetain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeLabelRetain', 
                [], [], 
                '''                Time last label retentiontriggered 
                ''',
                'time_label_retain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-update-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time last update was sent (seconds since Jan 1
                1970)
                ''',
                'time_last_update_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-rib-coverged', REFERENCE_CLASS, 'TimeRibCoverged' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibCoverged', 
                [], [], 
                '''                Time last RIB ack was sent 
                ''',
                'time_rib_coverged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-rib-down', REFERENCE_CLASS, 'TimeRibDown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibDown', 
                [], [], 
                '''                Time last RIB down wassent. This field is
                deprecated
                ''',
                'time_rib_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-be-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of be prefixes updates generated for
                ''',
                'update_generation_be_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to update generation function
                ''',
                'update_generation_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages generated
                ''',
                'update_generation_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes updates generated for
                ''',
                'update_generation_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating updates (milliseconds)
                ''',
                'update_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update group
                ''',
                'update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF flags for debug display
                ''',
                'vrf_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family id
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ID for the BGP process instance
                ''',
                'process_instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-totals', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                per VRF information aggregated across all VRFs
                ''',
                'vrf_totals',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-used-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet',
            False, 
            [
            _MetaInfoClassMember('rpc-set-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Nexthop set index
                ''',
                'rpc_set_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label assigned to the RPCnext-hop set
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_LIST, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop', 
                [], [], 
                '''                List of multipath next-hops
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath next-hops
                ''',
                'next_hop_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ref-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcount
                ''',
                'ref_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpc-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets',
            False, 
            [
            _MetaInfoClassMember('rpc-set', REFERENCE_LIST, 'RpcSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet', 
                [], [], 
                '''                A BGP next-hop set
                ''',
                'rpc_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpc-sets',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'install-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall',
            False, 
            [
            _MetaInfoClassMember('install-time', REFERENCE_CLASS, 'InstallTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime', 
                [], [], 
                '''                RIB install time
                ''',
                'install_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('installed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Installed routes
                ''',
                'installed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('modified-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Modified routes
                ''',
                'modified_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start version
                ''',
                'start_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version
                ''',
                'target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-time', REFERENCE_CLASS, 'UpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime', 
                [], [], 
                '''                RIB update time
                ''',
                'update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('withdrawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdrawn routes
                ''',
                'withdrawn_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rib-install',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'syncgrp-version',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('gblafrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'gblafrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'gblafrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'gblafrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'gblafrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-mcast-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global table mcast enabled
                ''',
                'global_mcast_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inter-as-install-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is inter-AS install to pim on ASBR enabled
                ''',
                'inter_as_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-perm-net-cfg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network Enabled
                ''',
                'is_perm_net_cfg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-tunnel-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Tunnel Version
                ''',
                'nh_tunnel_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-nbr-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of neighbors configured with perm net
                ''',
                'perm_nbr_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-del-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of removed perm paths
                ''',
                'perm_net_del_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-existing-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of existing perm paths
                ''',
                'perm_net_existing_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-insert-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of inserted perm paths
                ''',
                'perm_net_insert_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-rpl-process-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm nets processed in RPL
                ''',
                'perm_net_rpl_process_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-rpl-query-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm nets given by RPL
                ''',
                'perm_net_rpl_query_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-stale-del-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of stale perm paths
                ''',
                'perm_net_stale_del_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-stale-mark-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of stale marked perm paths
                ''',
                'perm_net_stale_mark_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-path-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm paths refreshed
                ''',
                'perm_path_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-all-bump-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of bumped perm pelems
                ''',
                'perm_pelem_all_bump_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-bump-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of bumped perm pelems
                ''',
                'perm_pelem_bump_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-free-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of freed perm pelems
                ''',
                'perm_pelem_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-ack-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack requests
                ''',
                'rib_ack_requests',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack received
                ''',
                'rib_acks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-install', REFERENCE_CLASS, 'RibInstall' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall', 
                [], [], 
                '''                RIB install info
                ''',
                'rib_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-path-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_path_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-path-not-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_path_not_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-pelem-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_pelem_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-pelem-not-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_pelem_not_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-reg-path-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_reg_path_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-slow-acks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for slow RIB acks
                ''',
                'rib_slow_acks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total prefixes of address-family scanned
                ''',
                'scan_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-segment-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes scanned in a segment of
                address-family
                ''',
                'scan_segment_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-segments', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of segments to scan all prefixes of
                address-family
                ''',
                'scan_segments',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Period (in seconds) of address-family scanner
                runs
                ''',
                'scanner_period',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('segmented-mcast-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is segmented mcast enabled
                ''',
                'segmented_mcast_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('syncgrp-version', REFERENCE_LIST, 'SyncgrpVersion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion', 
                [], [], 
                '''                Sync-group Version
                ''',
                'syncgrp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=2),
            _MetaInfoClassMember('update-wait-install-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update wait-install enabled
                ''',
                'update_wait_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Vrf',
            False, 
            [
            _MetaInfoClassMember('aggregates-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dist for aggregate routes (local)
                ''',
                'aggregates_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('client-reflection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Client reflection enabled
                ''',
                'client_reflection_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampening-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dampening enabled
                ''',
                'dampening_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update generation enabled for MED change
                ''',
                'dynamic_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Delay in update generation after a MED change
                (in minutes)
                ''',
                'dynamic_med_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-periodic-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic MED periodic timer running
                ''',
                'dynamic_med_periodic_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-periodic-timer-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dynamic MED periodic timer value (in seconds)
                left on the timer
                ''',
                'dynamic_med_periodic_timer_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic MED timer running
                ''',
                'dynamic_med_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-timer-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dynamic MED timer value (in seconds) left on the
                timer
                ''',
                'dynamic_med_timer_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Distance for eBGP routes (external)
                ''',
                'ebgp_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Distance for iBGP routes (internal)
                ''',
                'ibgp_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-table-full', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if RIB table is in prefix-limit state
                ''',
                'is_rib_table_full',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-resolution-minimum-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop resoultion minimum prefix-length
                ''',
                'nexthop_resolution_minimum_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-resolution-minimum-prefix-length-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is nexthop resoultion minimum prefix-length
                configured ?
                ''',
                'nexthop_resolution_minimum_prefix_length_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-conv-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR conv version
                ''',
                'nsr_conv_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-is-conv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NSR is converged
                ''',
                'nsr_is_conv',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RD version
                ''',
                'rd_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acked-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version acked by RIB
                ''',
                'rib_acked_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-convergence-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last convergence version received from RIB
                ''',
                'rib_convergence_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received convergence notification from RIB
                ''',
                'rib_has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table became full (from
                non-full)
                ''',
                'rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version synced to RIB
                ''',
                'rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-ebgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective eBGP multipath isenabled
                ''',
                'selective_ebgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-eibgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective eiBGP multipath isenabled
                ''',
                'selective_eibgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-ibgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective iBGP multipath isenabled
                ''',
                'selective_ibgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table state is active
                ''',
                'table_is_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family id
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-stop routing enabled
                ''',
                'is_nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global-af-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix',
            False, 
            [
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network prefix
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes',
            False, 
            [
            _MetaInfoClassMember('network-prefix', REFERENCE_LIST, 'NetworkPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix', 
                [], [], 
                '''                A BGP Network Lookup prefix entry
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr',
            False, 
            [
            _MetaInfoClassMember('advertised-path', REFERENCE_LIST, 'AdvertisedPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath', 
                [], [], 
                '''                A BGP Advertised path table entry (bestpath)
                ''',
                'advertised_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork',
            False, 
            [
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-backdoor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if net is a backdoor route
                ''',
                'is_backdoor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sourced-prefix', REFERENCE_CLASS, 'SourcedPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix', 
                [], [], 
                '''                Prefix length
                ''',
                'sourced_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks',
            False, 
            [
            _MetaInfoClassMember('sourced-network', REFERENCE_LIST, 'SourcedNetwork' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork', 
                [], [], 
                '''                A BGP network command table entry
                ''',
                'sourced_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-networks',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('update-generation-be-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of be prefixes updates generated for
                ''',
                'update_generation_be_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to update generation function
                ''',
                'update_generation_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages generated
                ''',
                'update_generation_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes updates generated for
                ''',
                'update_generation_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating updates (milliseconds)
                ''',
                'update_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-process-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer processed for updgrp
                ''',
                'updgen_timer_process_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer started for updgrp
                ''',
                'updgen_timer_start_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-stop-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer stopped for updgrp
                ''',
                'updgen_timer_stop_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup',
            False, 
            [
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-advertised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertised to filtergroup in
                last update walk
                ''',
                'fgroup_advertised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-created-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems created for filtergroup
                ''',
                'fgroup_created_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-deleted-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems deleted
                ''',
                'fgroup_deleted_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags per filter group
                ''',
                'fgroup_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Nbrs per filter group
                ''',
                'fgroup_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-queued-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems queued
                ''',
                'fgroup_queued_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-skipped-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes skipped for filtergroup in
                last update walk
                ''',
                'fgroup_skipped_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-suppressed-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes suppressed for filtergroup in
                last update walk
                ''',
                'fgroup_suppressed_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-advertised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertised to filtergroup in
                all update walk
                ''',
                'fgroup_total_advertised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-non-optimised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes  non-optm from filtergroupin
                all update walk
                ''',
                'fgroup_total_non_optimised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes withdrawn f`rom filtergroupin
                all update walk
                ''',
                'fgroup_total_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes withdrawn f`rom filtergroupin
                last update walk
                ''',
                'fgroup_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this update sub-group
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT count per filter group
                ''',
                'rts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update sub-group index
                ''',
                'update_filter_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup',
            False, 
            [
            _MetaInfoClassMember('filter-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Update sub-group fgrp-num
                ''',
                'filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this subgrp not in any filtergrp
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group', REFERENCE_LIST, 'UpdateFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup', 
                [], [], 
                '''                Update f-group list
                ''',
                'update_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update sub-group index
                ''',
                'update_sub_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('wait-for-eo-rs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Wait for  RT Nbr EoRs
                ''',
                'wait_for_eo_rs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('accepts-legacy-pe-rt-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                accept-legacy-pe-RT route
                ''',
                'accepts_legacy_pe_rt_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS Override option
                ''',
                'as_override',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('desync-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the update has been
                desynchronized
                ''',
                'desync_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-def-vrf-imp-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising default VRF  imported routes
                ''',
                'disable_def_vrf_imp_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-native-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising native routes
                ''',
                'disable_native_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-vrf-re-imp-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising VRF re-imported routes
                ''',
                'disable_vrf_re_imp_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ext-nh-encoding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding cap received
                ''',
                'ext_nh_encoding',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter group index
                ''',
                'filter_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT active
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GSHUT local preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT local preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                GSHUT AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-orf-receive-capability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORF receive capability
                ''',
                'has_orf_receive_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AS capable peers
                ''',
                'is4_byte_as_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Add-path capable peers
                ''',
                'is_addpath_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send tranlsated paths
                ''',
                'is_adv_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-perm-net-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent-Net capable peers
                ''',
                'is_adv_perm_net_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-reorg-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Re-orig paths
                ''',
                'is_adv_reorg_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP capable peers
                ''',
                'is_aigp_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send AIGP cost community to peers
                ''',
                'is_aigp_cost_community_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-med-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send AIGP cost in MED
                ''',
                'is_aigp_med_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-client-reflection-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if client-to-client reflection is disabled 
                ''',
                'is_client_reflection_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-common-admin-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Common admin peers
                ''',
                'is_common_admin_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-directly-connected-ebgp-v6-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Directly connected EBGP v6 peers
                ''',
                'is_directly_connected_ebgp_v6_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal peers
                ''',
                'is_internal_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-labeled-afi-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update group has labeled AFI enabled
                ''',
                'is_labeled_afi_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-llgr-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Long-lived Stale paths
                ''',
                'is_llgr_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route-reflector client
                ''',
                'is_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send mcast attribute enabled
                ''',
                'is_send_mcast_attr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-unlabeled-afi-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update group has unlabeled AFI enabled
                ''',
                'is_unlabeled_afi_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum-advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'minimum_advertisement_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum-advertisement-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'minimum_advertisement_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this update group which are not in
                any sub-group
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-subgrp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current count of refresh subgroups
                ''',
                'refresh_subgrp_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outbound route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('session-af-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor session Address family
                ''',
                'session_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-remove-private-a-ss', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Remove private AS numbers
                ''',
                'should_remove_private_a_ss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-remove-private-as-ent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Remove private AS numbersif the entire path
                consistsof private ASes
                ''',
                'should_remove_private_as_ent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-communities', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send communities
                ''',
                'should_send_communities',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-ext-communities', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Extended communities
                ''',
                'should_send_ext_communities',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-gshut-community', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send GSHUT community
                ''',
                'should_send_gshut_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-stitching-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Stitching RT
                ''',
                'should_send_stitching_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Site-of-origin option
                ''',
                'soo',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soo-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Site-of-origin value
                ''',
                'soo_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Split horizon check
                ''',
                'split_horizon',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgrp-merge-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times sub-groups have been merged
                ''',
                'subgrp_merge_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family for update group
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update group index
                ''',
                'update_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group', REFERENCE_LIST, 'UpdateSubGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup', 
                [], [], 
                '''                Update sub-group list
                ''',
                'update_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updates-formatted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of updates formatted
                ''',
                'updates_formatted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updates-replicated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of updates replicated
                ''',
                'updates_replicated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgrp-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID (populated ifclient-to-client
                reflectionis disabled)
                ''',
                'updgrp_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgrp-cluster-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID type:undefined/number/Ip address
                ''',
                'updgrp_cluster_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-next-hop-self', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop self
                ''',
                'use_next_hop_self',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-next-hop-unchanged-mpath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next-hop-unchanged multipath
                ''',
                'use_next_hop_unchanged_mpath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups',
            False, 
            [
            _MetaInfoClassMember('update-group', REFERENCE_LIST, 'UpdateGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup', 
                [], [], 
                '''                A BGP Update group table entry
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'creation-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-merge-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-walk-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-walk-end-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-walk-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-walk-end-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-sub-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured update limit
                ''',
                'configured_update_limit_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('creation-timestamp', REFERENCE_CLASS, 'CreationTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp', 
                [], [], 
                '''                Creation time
                ''',
                'creation_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-sub-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current update limit
                ''',
                'current_update_limit_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-attempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Sending EoR has been attempted
                ''',
                'eo_r_attempted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-walk-end-timestamp', REFERENCE_CLASS, 'FirstUpdateWalkEndTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp', 
                [], [], 
                '''                First update walk end time
                ''',
                'first_update_walk_end_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-walk-start-timestamp', REFERENCE_CLASS, 'FirstUpdateWalkStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp', 
                [], [], 
                '''                First update walk start time
                ''',
                'first_update_walk_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-event-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IO write event pending
                ''',
                'io_write_event_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-merge-timestamp', REFERENCE_CLASS, 'LastMergeTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp', 
                [], [], 
                '''                Last merge time
                ''',
                'last_merge_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-merged-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last merged sub-group index
                ''',
                'last_merged_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update queued event (in seconds)
                ''',
                'last_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-timestamp', REFERENCE_CLASS, 'LastUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp', 
                [], [], 
                '''                Last update queued time
                ''',
                'last_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-end-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update walk end event
                ''',
                'last_update_walk_end_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-end-timestamp', REFERENCE_CLASS, 'LastUpdateWalkEndTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp', 
                [], [], 
                '''                Last update walk end time
                ''',
                'last_update_walk_end_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-start-timestamp', REFERENCE_CLASS, 'LastUpdateWalkStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp', 
                [], [], 
                '''                Last update walk start time
                ''',
                'last_update_walk_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('merge-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge count
                ''',
                'merge_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next resume version
                ''',
                'next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group identifier
                ''',
                'parent_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group index
                ''',
                'parent_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending target version
                ''',
                'pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-default-route-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default route sent
                ''',
                'update_default_route_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh target version
                ''',
                'update_refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-sub-group', REFERENCE_LIST, 'UpdateGenerationSubGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup', 
                [], [], 
                '''                Update generation for sub-group
                ''',
                'update_generation_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-sub-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('critical-notf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of critical event notifications from RIB
                ''',
                'critical_notf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notf-bestpath-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath changes due to last
                notification
                ''',
                'last_notf_bestpath_changes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notf-bestpath-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath deletes due to last
                notification
                ''',
                'last_notf_bestpath_deletes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops withdrawn from RIB
                ''',
                'nexthops_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-resent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops re-sent to RIB
                ''',
                'nexthops_resent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops sent to RIB
                ''',
                'nexthops_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-batch-finish-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH batch finish calls
                ''',
                'nh_batch_finish_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-flush-timer-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH flush timer calls
                ''',
                'nh_flush_timer_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-a-sync-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last async Register TS
                ''',
                'nh_last_a_sync_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-a-sync-un-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last async UnRegister TS
                ''',
                'nh_last_a_sync_un_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-batch-finish-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last batch finish TS
                ''',
                'nh_last_batch_finish_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-flush-timer-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last flush timer TS
                ''',
                'nh_last_flush_timer_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-sync-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last sync Register TS
                ''',
                'nh_last_sync_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-peak-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Registration List Count Peak
                ''',
                'nh_peak_registrations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-pending-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Registration List Count
                ''',
                'nh_pending_registrations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-sync-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH sync register calls
                ''',
                'nh_sync_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nha-sync-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH async register calls
                ''',
                'nha_sync_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nha-sync-un-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH async unregister calls
                ''',
                'nha_sync_un_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhrib-update-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to RIB update function
                ''',
                'nhrib_update_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhrib-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending RIB updates (milliseconds)
                ''',
                'nhrib_update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('noncritical-notf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of non-critical event notifications from
                RIB
                ''',
                'noncritical_notf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-sync-registers-failed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sync registers with RIB that failed
                ''',
                'rib_sync_registers_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('riba-sync-registers-failed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of async registers with RIB that failed
                ''',
                'riba_sync_registers_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribnh-reg-failed-for-no-rib-conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nh registers failed because of no rib
                conn
                ''',
                'ribnh_reg_failed_for_no_rib_conn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribnh-reg-failed-for-no-tbl-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nh registers failed because of no tbl-id
                ''',
                'ribnh_reg_failed_for_no_tbl_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-backup-creates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times backup tid created during tunnel
                walk
                ''',
                'tunnel_walk_backup_creates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-gw-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times gw was not found during tunnel walk
                ''',
                'tunnel_walk_gw_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-nh-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times nexthop was not found during tunnel
                walk
                ''',
                'tunnel_walk_nh_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('critical-trigger-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Trigger delay for critical event processing
                ''',
                'critical_trigger_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-downloaded-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table downloaded
                ''',
                'epe_downloaded_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE label walk
                ''',
                'epe_label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-standby-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table processed by sync
                thread
                ''',
                'epe_standby_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table
                ''',
                'epe_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gwaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                GW Address family identifier
                ''',
                'gwaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-nexthop-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH version for gw_ctx
                ''',
                'nh_nexthop_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-rib-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the VRF is active
                ''',
                'nh_rib_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version for gw_ctx
                ''',
                'nh_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway context table id
                ''',
                'nh_table_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('non-critical-trigger-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Trigger delay for non-critical event processing
                ''',
                'non_critical_trigger_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the VRF is active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of nexthops
                ''',
                'total_nexthops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-af-vrf-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-metrice',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-refcount',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo',
            False, 
            [
            _MetaInfoClassMember('gateway-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway flags
                ''',
                'gateway_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('registration-since', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since registration
                ''',
                'registration_since',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('registration-type', REFERENCE_ENUM_CLASS, 'BgpNhValidateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhValidateEnum', 
                [], [], 
                '''                Nexthop registration type
                ''',
                'registration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-gateway-internal-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo',
            False, 
            [
            _MetaInfoClassMember('gateway-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway flags
                ''',
                'gateway_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-address', REFERENCE_CLASS, 'NexthopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress', 
                [], [], 
                '''                Nexthop address
                ''',
                'nexthop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-af-user-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bitmask indicating the AFs which share the
                nexthop
                ''',
                'nexthop_af_user_bits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop flags
                ''',
                'nexthop_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-internal-info', REFERENCE_LIST, 'NexthopGatewayInternalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo', 
                [], [], 
                '''                Internal nexthop Gateway info
                ''',
                'nexthop_gateway_internal_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Comm librray ID
                ''',
                'nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop ifhandle
                ''',
                'nexthop_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop label
                ''',
                'nexthop_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-metrice', REFERENCE_LIST, 'NexthopMetrice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice', 
                [], [], 
                '''                Nexthop metrices
                ''',
                'nexthop_metrice',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-refcount', REFERENCE_LIST, 'NexthopRefcount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount', 
                [], [], 
                '''                Nexthop refcounts
                ''',
                'nexthop_refcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version
                ''',
                'nexthop_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-internal-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo',
            False, 
            [
            _MetaInfoClassMember('critical-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of critical events received from RIB
                ''',
                'critical_events',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-event-since', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last event sent to or received
                from RIB
                ''',
                'last_event_since',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-event-type', REFERENCE_ENUM_CLASS, 'BgpNhEventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhEventEnum', 
                [], [], 
                '''                Last nexthop event type
                ''',
                'last_event_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_rib_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-type', REFERENCE_ENUM_CLASS, 'BgpNhUpdateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhUpdateEnum', 
                [], [], 
                '''                Last nexthop update type
                ''',
                'last_update_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-af-invalid-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bitmask indicating the AFs which have been
                invalidated for the nexthop
                ''',
                'nexthop_af_invalid_bits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric for nexthop
                ''',
                'nexthop_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if MPLS is configured for IAS/CsC
                application
                ''',
                'nexthop_mpls_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces on which MPLS is enabled
                ''',
                'nexthop_mpls_interfaces',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label allocated for IAS/CsC application
                ''',
                'nexthop_mpls_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route', REFERENCE_CLASS, 'NexthopRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute', 
                [], [], 
                '''                Route resolving the nethop
                ''',
                'nexthop_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-path', REFERENCE_LIST, 'NexthopRoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath', 
                [], [], 
                '''                Nexthops of the resolving route
                ''',
                'nexthop_route_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths in the resolving route
                ''',
                'nexthop_route_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length of the route resolving the nexthop
                ''',
                'nexthop_route_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-protocol', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protocol that resolves the route to the nexthop
                ''',
                'nexthop_route_protocol',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Nexthop status
                ''',
                'nexthop_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-tableid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Nexthop Table id
                ''',
                'nexthop_tableid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('non-critical-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of non-critical events received from RIB
                ''',
                'non_critical_events',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-gateway-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-set', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Attribute Set Name
                ''',
                'attribute_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_LIST, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress', 
                [], [], 
                '''                Neighbor Address List
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Next hop address
                        ''',
                        'next_hop_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Next hop address
                        ''',
                        'next_hop_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('nexthop-address', REFERENCE_CLASS, 'NexthopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress', 
                [], [], 
                '''                Nexthop address
                ''',
                'nexthop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AIGP metrice of nexthop
                ''',
                'nexthop_aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-info', REFERENCE_LIST, 'NexthopGatewayInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo', 
                [], [], 
                '''                Gateway related info, includingOptimal Route
                Reflector Gateways
                ''',
                'nexthop_gateway_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-prefix-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Gateway resolved through Connected route ?
                ''',
                'nexthop_gateway_prefix_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway prefix length
                ''',
                'nexthop_gateway_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Gateway reachable ?
                ''',
                'nexthop_gateway_reachable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-internal-info', REFERENCE_CLASS, 'NexthopInternalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo', 
                [], [], 
                '''                Internal nexthop info
                ''',
                'nexthop_internal_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-pending-registration', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Nexthop registration is pending
                ''',
                'nexthop_pending_registration',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors/prefixes referencing this
                nexthop
                ''',
                'nexthop_reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-first-hop-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                First-hop interface handle
                ''',
                'nh_first_hop_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-reference-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors/prefixes referencing this
                nexthop (AFs)
                ''',
                'nh_reference_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-nexthop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB Nexthop Id
                ''',
                'rib_nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs',
            False, 
            [
            _MetaInfoClassMember('next-hop-af', REFERENCE_LIST, 'NextHopAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf', 
                [], [], 
                '''                A BGP Next hop entry
                ''',
                'next_hop_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily',
            False, 
            [
            _MetaInfoClassMember('next-hop-af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'next_hop_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('next-hop-af-vrf-af', REFERENCE_CLASS, 'NextHopAfVrfAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf', 
                [], [], 
                '''                A BGP Next-hop VRF AF table entry
                ''',
                'next_hop_af_vrf_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-afs', REFERENCE_CLASS, 'NextHopAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs', 
                [], [], 
                '''                The BGP Next-hop table
                ''',
                'next_hop_afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies',
            False, 
            [
            _MetaInfoClassMember('next-hop-address-family', REFERENCE_LIST, 'NextHopAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily', 
                [], [], 
                '''                Nexthop Address family
                ''',
                'next_hop_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-address-families',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet',
            False, 
            [
            _MetaInfoClassMember('rt-set', REFERENCE_LIST, 'RtSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet', 
                [], [], 
                '''                Set of route targets
                ''',
                'rt_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier of the rtset
                ''',
                'rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length in bytes of set of route targets
                ''',
                'rt_set_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-net-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of nets with paths with the rtset
                ''',
                'rt_set_net_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-target-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter',
            False, 
            [
            _MetaInfoClassMember('rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RTSet ID
                ''',
                'rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('route-target-set', REFERENCE_CLASS, 'RouteTargetSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet', 
                [], [], 
                '''                Route Target set
                ''',
                'route_target_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters',
            False, 
            [
            _MetaInfoClassMember('rt-set-counter', REFERENCE_LIST, 'RtSetCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter', 
                [], [], 
                '''                One RT-set counter table entry
                ''',
                'rt_set_counter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_',
            False, 
            [
            _MetaInfoClassMember('bmp-nbr-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Paths Nbr bmp bit map
                ''',
                'bmp_nbr_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-adv-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path's Adv bit map
                ''',
                'bmp_path_adv_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with path
                ''',
                'bmp_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-snd-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path's pending snd bit map
                ''',
                'bmp_path_snd_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bpath-pointer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP Path pointer
                ''',
                'bpath_pointer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path originated locally?
                ''',
                'local_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label received from peer
                ''',
                'received_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with net
                ''',
                'bmp_net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-net-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net's version
                ''',
                'bmp_net_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path', REFERENCE_LIST, 'BmpPath_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_', 
                [], [], 
                '''                List of paths under the BMP net
                ''',
                'bmp_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for the net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionAge', 
                [], [], 
                '''                Net Version bump age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp', 
                [], [], 
                '''                Net Version bump timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths',
            False, 
            [
            _MetaInfoClassMember('bmp-path', REFERENCE_LIST, 'BmpPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath', 
                [], [], 
                '''                A BMP path table entry
                ''',
                'bmp_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-stop-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-expiry-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-remaining-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-delay-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent UG check
                ''',
                'is_permanent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update timer running
                ''',
                'is_update_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-delay-value', REFERENCE_CLASS, 'LastUpdateTimerDelayValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue', 
                [], [], 
                '''                Last update timer delay value
                ''',
                'last_update_timer_delay_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-expiry-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update timer expiry event
                ''',
                'last_update_timer_expiry_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-expiry-timestamp', REFERENCE_CLASS, 'LastUpdateTimerExpiryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp', 
                [], [], 
                '''                Last update timer expiry time
                ''',
                'last_update_timer_expiry_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-remaining-value', REFERENCE_CLASS, 'LastUpdateTimerRemainingValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue', 
                [], [], 
                '''                Update timer remaining time
                ''',
                'last_update_timer_remaining_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-start-timestamp', REFERENCE_CLASS, 'LastUpdateTimerStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp', 
                [], [], 
                '''                Last update timer start time
                ''',
                'last_update_timer_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-stop-timestamp', REFERENCE_CLASS, 'LastUpdateTimerStopTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp', 
                [], [], 
                '''                Last update timer stop time
                ''',
                'last_update_timer_stop_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-leaving-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors leaving the update-group
                ''',
                'neighbor_leaving_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-session-af-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor session address family
                ''',
                'neighbor_session_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems allowed by updgen
                ''',
                'perm_pelem_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-encountered', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems seen by updgen
                ''',
                'perm_pelem_encountered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-exp-wdr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems explicitly wdrn by updgen
                ''',
                'perm_pelem_exp_wdr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-not-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems not allowed by updgen
                ''',
                'perm_pelem_not_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-spur-wdr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems Spurious withdraws by
                updgen
                ''',
                'perm_pelem_spur_wdr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-recovery-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update generation recovery pending
                ''',
                'update_generation_recovery_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-flags2', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group internal flags2
                ''',
                'update_group_flags2',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-update-group', REFERENCE_LIST, 'UpdateGenerationUpdateGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup', 
                [], [], 
                '''                Update generation for update-group
                ''',
                'update_generation_update_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-update-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup',
            False, 
            [
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter-group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Filter-group index
                ''',
                'parent_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group identifier
                ''',
                'parent_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group index
                ''',
                'parent_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group identifier
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group index
                ''',
                'update_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-filter-group', REFERENCE_LIST, 'UpdateGenerationFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup', 
                [], [], 
                '''                Update generation for filter-group
                ''',
                'update_generation_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-filter-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network',
            False, 
            [
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks',
            False, 
            [
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'networks',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeKey' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeKey',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-key',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.NexthopId' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.NexthopId',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.Ifhandle' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.Ifhandle',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ifhandle',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe',
            False, 
            [
            _MetaInfoClassMember('epe-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EPE object's flags
                ''',
                'epe_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key', REFERENCE_LIST, 'EpeKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeKey', 
                [], [], 
                '''                Key of EPE object
                ''',
                'epe_key',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Epe Key Length
                ''',
                'epe_key_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EPE key length in bits
                ''',
                'epe_key_length_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-address', REFERENCE_CLASS, 'EpeLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress', 
                [], [], 
                '''                Local address
                ''',
                'epe_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS Number
                ''',
                'epe_local_asn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local router id
                ''',
                'epe_local_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-next-hop', REFERENCE_CLASS, 'EpeNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop', 
                [], [], 
                '''                Nexthop address
                ''',
                'epe_next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-remote-asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS Number
                ''',
                'epe_remote_asn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-remote-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote router id
                ''',
                'epe_remote_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-set-key', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Epe Set Key
                ''',
                'epe_set_key',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EPE object's version
                ''',
                'epe_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-hop', REFERENCE_LIST, 'FirstHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop', 
                [], [], 
                '''                List of firsthops of EPE
                ''',
                'first_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ifhandle', REFERENCE_LIST, 'Ifhandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.Ifhandle', 
                [], [], 
                '''                List of ifhandle of EPE
                ''',
                'ifhandle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label assigned to the RPCnext-hop set
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-id', REFERENCE_LIST, 'NexthopId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.NexthopId', 
                [], [], 
                '''                List of nexthop ID of EPE
                ''',
                'nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ref-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcount
                ''',
                'ref_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes',
            False, 
            [
            _MetaInfoClassMember('epe', REFERENCE_LIST, 'Epe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe', 
                [], [], 
                '''                A BGP Egress Engineering table entry
                ''',
                'epe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('max-prefix-advertisedcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertsied to neighbor
                ''',
                'max_prefix_advertisedcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathCounts' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathCounts',
            False, 
            [
            _MetaInfoClassMember('advertised-path-count', REFERENCE_LIST, 'AdvertisedPathCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount', 
                [], [], 
                '''                The BGP Advertised path table Count
                (bestpath)
                ''',
                'advertised_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-labeled-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-out', REFERENCE_CLASS, 'AttributesAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut', 
                [], [], 
                '''                Attributes after outbound policy
                ''',
                'attributes_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists All 'sp_path_in' fields except
                'sp_path_in->bag_prefix' are invalid.  All
                'sp_path_out' fields are invalid.
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-in', REFERENCE_CLASS, 'PathInfoAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn', 
                [], [], 
                '''                Path information after inbound policy
                ''',
                'path_info_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-out', REFERENCE_CLASS, 'PathInfoAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut', 
                [], [], 
                '''                Path information after outbound policy
                ''',
                'path_info_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'adv-path-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath',
            False, 
            [
            _MetaInfoClassMember('adv-path-info', REFERENCE_LIST, 'AdvPathInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo', 
                [], [], 
                '''                Net Advertized Paths
                ''',
                'adv_path_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor 
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor 
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor 
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network in hex string bytes format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths', 
                [], [], 
                '''                paths
                ''',
                'paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths',
            False, 
            [
            _MetaInfoClassMember('advertised-path', REFERENCE_LIST, 'AdvertisedPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath', 
                [], [], 
                '''                A BGP Advertised paths table entry
                (add-paths)
                ''',
                'advertised_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'received-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('active-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Active connections for this
                neighbor due to collision 
                ''',
                'active_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Active opens for this neighbor
                ''',
                'actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-read-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger read
                thread
                ''',
                'control_to_read_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-write-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger write
                thread
                ''',
                'control_to_write_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of data bytes written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('failed-post-actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Active Opens that failed in the Post
                Active State for this neighbor
                ''',
                'failed_post_actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of socket reads after nbr crossed high
                threshold
                ''',
                'high_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing inbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (milliseconds)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (milliseconds)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-nsr-scoped-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last time NSR scoped syncwas done for the
                neighbor
                ''',
                'last_nsr_scoped_sync',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sent-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seq No of the last sent byte
                ''',
                'last_sent_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num socket reads after nbrs crossed low
                threshold
                ''',
                'low_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-read-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of largest socket (milliseconds)
                ''',
                'maximum_read_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-fd', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary FD, per nbr
                ''',
                'nbr_fd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr flags, per thread
                ''',
                'nbr_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket status, TRUE if socket closed
                ''',
                'network_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-oper-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times NSR scoped sync has been done
                ''',
                'nsr_oper_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passive-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Remote opens for this
                neighborneighbor due to collision 
                ''',
                'passive_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Passive opens for this
                neighbor
                ''',
                'passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rejected-passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rejected Passive opens for this
                neighbor
                ''',
                'rejected_passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reset flags, per thread
                ''',
                'reset_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reset Retries, per nbr
                ''',
                'reset_retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list 
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sync flags, per nbr
                ''',
                'sync_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read after being
                throttled
                ''',
                'time_since_last_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (milliseconds)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process sub-group
                message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group msgs processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'open',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive', 
                [], [], 
                '''                Keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification', 
                [], [], 
                '''                Notification
                ''',
                'notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open', REFERENCE_CLASS, 'Open' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open', 
                [], [], 
                '''                Open
                ''',
                'open',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refresh', REFERENCE_CLASS, 'RouteRefresh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh', 
                [], [], 
                '''                Route refresh
                ''',
                'route_refresh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total', 
                [], [], 
                '''                Total
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update', 
                [], [], 
                '''                Update
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-phase-two-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('processed-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages processed from the neighbor's
                write queue
                ''',
                'processed_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent from the neighbor's
                write queue
                ''',
                'sent_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_update_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_update_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_withdraw_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_withdraw_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-pending-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sub-group messages waiting to be sent out
                on this neighbor -- DEPRECATED -- 
                ''',
                'sub_group_pending_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo
                ''',
                'acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of default VRF import disable
                ''',
                'advertise_afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-eo-r-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EoR Can be sent for Advertise AFI
                ''',
                'advertise_afi_eo_r_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of VRF re-import disable
                ''',
                'advertise_afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 default VRF import disable
                ''',
                'advertise_evp_nv4afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 VRF re-import disable
                ''',
                'advertise_evp_nv4afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 default VRF import disable
                ''',
                'advertise_evp_nv6afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 VRF re-import disable
                ''',
                'advertise_evp_nv6afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-received-in-read-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                An EoR was received while in read-only mode
                ''',
                'eo_r_received_in_read_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default origination update sent
                ''',
                'is_default_originate_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding capability received
                ''',
                'is_ext_nh_encoding_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexhop encoding capability Sent
                ''',
                'is_ext_nh_encoding_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-leaving', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr leaving update-groupto another
                ''',
                'is_update_leaving',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Updates Throttled becausewrite limit is reached
                ''',
                'is_update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-performance-statistics', REFERENCE_CLASS, 'NeighborAfPerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics', 
                [], [], 
                '''                Neighbor AF statistics
                ''',
                'neighbor_af_performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor version
                ''',
                'neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-best-externalpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of best-external paths from this neighbor
                ''',
                'number_of_best_externalpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bestpaths from this neighbor
                ''',
                'number_of_bestpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes accepted
                ''',
                'prefixes_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes advertised
                ''',
                'prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-be-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No BE prefixes advertised
                ''',
                'prefixes_be_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied
                ''',
                'prefixes_denied',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-no-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because there was no
                inbound policy
                ''',
                'prefixes_denied_no_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-non-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes exactly denied (non cumulative)
                ''',
                'prefixes_denied_non_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-orf-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by prefix based ORF
                policy
                ''',
                'prefixes_denied_orf_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by inbound policy
                ''',
                'prefixes_denied_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-rt-permit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because RT extended
                community is not imported
                ''',
                'prefixes_denied_rt_permit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes suppressed
                ''',
                'prefixes_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-synced', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes synced to standby
                ''',
                'prefixes_synced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn
                ''',
                'prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn but not found
                ''',
                'prefixes_withdrawn_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version acked by the peer for refresh updates
                sent
                ''',
                'refresh_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version for refresh update generation
                ''',
                'refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version till which refresh updates have been
                generated
                ''',
                'refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests received
                ''',
                'route_refreshes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests sent
                ''',
                'route_refreshes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'synced_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write
                ''',
                'actual_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write before reset
                ''',
                'actual_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write
                ''',
                'actual_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write before reset
                ''',
                'actual_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attempted-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write
                ''',
                'attempted_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write before reset
                ''',
                'attempted_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write
                ''',
                'attempted_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write before reset
                ''',
                'attempted_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-created-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_created_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-state-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp since when nbr is in this bfd state
                ''',
                'bfd_state_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes read
                ''',
                'bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes written by write thread
                ''',
                'bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connect-retry-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time (in secs) for connect retry timer
                ''',
                'connect_retry_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-admin-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative status of connection
                ''',
                'connection_admin_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times connection was dropped
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-established-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) that the connection has been
                established
                ''',
                'connection_established_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local port for the connection
                ''',
                'connection_local_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote port for the connection
                ''',
                'connection_remote_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the connection was established
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('count-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-data-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining discard data (bytes) on Standby
                ''',
                'discard_data_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic neighbor
                ''',
                'dynamic_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications received on the
                connection
                ''',
                'error_notifies_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications sent on the
                connection
                ''',
                'error_notifies_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fpbsn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby PDU boundary SeqNo offset
                ''',
                'fpbsn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fssn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby SeqNo offset
                ''',
                'fssn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) negotiated for this
                connection
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for io
                control
                ''',
                'io_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability received
                ''',
                'is4_byte_as_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability Snt
                ''',
                'is4_byte_as_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation suppressed
                ''',
                'is_capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-as-league', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer belongs to AS League
                ''',
                'is_ebgp_peer_as_league',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-common-admin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer with common administation
                ''',
                'is_ebgp_peer_common_admin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-external-neighbor-not-directly-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                External neighbor not directly connected
                ''',
                'is_external_neighbor_not_directly_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-gr-aware', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GR awareness received
                ''',
                'is_gr_aware',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down during a SEVERE low memory
                condition
                ''',
                'is_out_of_memory_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-read-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket read isdisabled
                ''',
                'is_read_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh capability received
                ''',
                'is_route_refresh_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-old-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh old capability received
                ''',
                'is_route_refresh_old_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) negotiated for this
                connection
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-ackd-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SeqNo of the last Ackd byte
                ''',
                'last_ackd_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aerror-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that an error
                was encountered after KA expiry
                ''',
                'last_k_aerror_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last KA timer expiry before
                reset
                ''',
                'last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-anotsent-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that KA was
                not sent before reset
                ''',
                'last_k_anotsent_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the last KA timer start
                before reset
                ''',
                'last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Code for the last error notification seen on the
                connection
                ''',
                'last_notify_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode of the last error notification
                seen on the connection
                ''',
                'last_notify_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write thread event
                ''',
                'last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-statistics', REFERENCE_CLASS, 'MessageStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics', 
                [], [], 
                '''                Message statistics
                ''',
                'message_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages received
                ''',
                'messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent
                ''',
                'messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multi-protocol-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multi-protocol capability has been received
                ''',
                'multi_protocol_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('negotiated-protocol-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Negotiated protocol version
                ''',
                'negotiated_protocol_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Handle of Neighbor
                ''',
                'neighbor_interface_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open-check-error-code', REFERENCE_ENUM_CLASS, 'BgpOpenCheckErrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpOpenCheckErrEnum', 
                [], [], 
                '''                Open check error code
                ''',
                'open_check_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If peer closed, error received from transport
                ''',
                'peer_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-reset-reason', REFERENCE_ENUM_CLASS, 'BgpPeerResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpPeerResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last peer close event
                ''',
                'peer_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('previous-connection-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Previous state of connection
                ''',
                'previous_connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for read
                ''',
                'read_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-notification-info', REFERENCE_CLASS, 'ReceivedNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo', 
                [], [], 
                '''                Information on the last notification received
                ''',
                'received_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-notification-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification was sent during last reset
                ''',
                'reset_notification_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last connection reset
                ''',
                'reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the neighbor
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last KA timer expiry
                before reset
                ''',
                'second_last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the second last KA timer
                start before reset
                ''',
                'second_last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last write thread
                event
                ''',
                'second_last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-notification-info', REFERENCE_CLASS, 'SendNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo', 
                [], [], 
                '''                Information on the last notification sent
                ''',
                'send_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total read bytes value insocket-lib
                ''',
                'socket_read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-done-time-spec', REFERENCE_CLASS, 'TcpInitSyncDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Done
                ''',
                'tcp_init_sync_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-phase-two-time-spec', REFERENCE_CLASS, 'TcpInitSyncPhaseTwoTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Phase
                Two
                ''',
                'tcp_init_sync_phase_two_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-time-spec', REFERENCE_CLASS, 'TcpInitSyncTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec', 
                [], [], 
                '''                Time When neighbor entered TCP Init Sync
                ''',
                'tcp_init_sync_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CB
                ''',
                'time_last_cb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last CB before reset
                ''',
                'time_last_cb_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-fb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FB
                ''',
                'time_last_fb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-connection-last-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the connection last went down
                (seconds)
                ''',
                'time_since_connection_last_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read
                ''',
                'time_since_last_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read before last reset
                ''',
                'time_since_last_read_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last update message was
                received
                ''',
                'time_since_last_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write
                ''',
                'time_since_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second  last write
                ''',
                'time_since_second_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_second_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update bytes read
                ''',
                'update_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update msgs received
                ''',
                'update_messages_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for write
                ''',
                'write_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor', 
                [], [], 
                '''                A BGP Neighbor table entry
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd',
            False, 
            [
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds',
            False, 
            [
            _MetaInfoClassMember('network-rd', REFERENCE_LIST, 'NetworkRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd',
            False, 
            [
            _MetaInfoClassMember('network-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format (address
                part)
                ''',
                'network_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network in prefix/length format (address
                        part)
                        ''',
                        'network_addr',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network in prefix/length format (address
                        part)
                        ''',
                        'network_addr',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Network in prefix/length format (prefix
                part)
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('network-rds', REFERENCE_CLASS, 'NetworkRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-all-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds',
            False, 
            [
            _MetaInfoClassMember('network-all-rd', REFERENCE_LIST, 'NetworkAllRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_all_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-all-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-sub-group-add-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-sub-group-remove-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-filter-group-add-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-filter-group-remove-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-default-originate-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-default-originate-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-group-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-group-expiry-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-refresh-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-refresh-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor',
            False, 
            [
            _MetaInfoClassMember('ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack version
                ''',
                'ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Current Update-group address-family identifier
                ''',
                'current_update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-internal-context', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Default-origination context
                ''',
                'default_originate_internal_context',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Default-origination state
                ''',
                'default_originate_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter-group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-default-originate-timestamp', REFERENCE_CLASS, 'FirstDefaultOriginateTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp', 
                [], [], 
                '''                First default-origination time
                ''',
                'first_default_originate_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-queued-timestamp', REFERENCE_CLASS, 'FirstUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp', 
                [], [], 
                '''                First update queued time
                ''',
                'first_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-write-timestamp', REFERENCE_CLASS, 'FirstUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp', 
                [], [], 
                '''                First update write time
                ''',
                'first_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Inbound count
                ''',
                'inbound_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-eor-outstanding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Number of EORs outstanding
                ''',
                'is_eor_outstanding',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-group-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update-group timer running
                ''',
                'is_update_group_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-default-originate-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last default-origination event (in
                seconds)
                ''',
                'last_default_originate_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-default-originate-timestamp', REFERENCE_CLASS, 'LastDefaultOriginateTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp', 
                [], [], 
                '''                Last default-origination time
                ''',
                'last_default_originate_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-filter-group-add-timestamp', REFERENCE_CLASS, 'LastFilterGroupAddTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp', 
                [], [], 
                '''                Last added time
                ''',
                'last_filter_group_add_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-filter-group-remove-timestamp', REFERENCE_CLASS, 'LastFilterGroupRemoveTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp', 
                [], [], 
                '''                Last removed time
                ''',
                'last_filter_group_remove_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last refresh update queued event (in
                seconds)
                ''',
                'last_refresh_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-queued-timestamp', REFERENCE_CLASS, 'LastRefreshUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp', 
                [], [], 
                '''                Last refresh update queued time
                ''',
                'last_refresh_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-write-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last refresh update write event (in
                seconds)
                ''',
                'last_refresh_update_write_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-write-timestamp', REFERENCE_CLASS, 'LastRefreshUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp', 
                [], [], 
                '''                Last refresh update write time
                ''',
                'last_refresh_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sub-group-add-timestamp', REFERENCE_CLASS, 'LastSubGroupAddTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp', 
                [], [], 
                '''                Last added time
                ''',
                'last_sub_group_add_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sub-group-remove-timestamp', REFERENCE_CLASS, 'LastSubGroupRemoveTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp', 
                [], [], 
                '''                Last removed time
                ''',
                'last_sub_group_remove_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Last Update-group address-family identifier
                ''',
                'last_update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-expiry-timestamp', REFERENCE_CLASS, 'LastUpdateGroupExpiryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp', 
                [], [], 
                '''                Last update-group timer expiry
                ''',
                'last_update_group_expiry_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-start-timestamp', REFERENCE_CLASS, 'LastUpdateGroupStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp', 
                [], [], 
                '''                Last update-group timer start
                ''',
                'last_update_group_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update queued event (in seconds)
                ''',
                'last_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-timestamp', REFERENCE_CLASS, 'LastUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp', 
                [], [], 
                '''                Last update queued time
                ''',
                'last_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-write-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update write event (in seconds)
                ''',
                'last_update_write_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-write-timestamp', REFERENCE_CLASS, 'LastUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp', 
                [], [], 
                '''                Last update write time
                ''',
                'last_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resume version
                ''',
                'next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outbound-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Outbound count
                ''',
                'outbound_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outstanding version count
                ''',
                'outstanding_version_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending target version
                ''',
                'pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Ack version
                ''',
                'refresh_ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Filter-group index
                ''',
                'refresh_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh resume version
                ''',
                'refresh_next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending refresh target version
                ''',
                'refresh_pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-requested-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Requested refresh target version
                ''',
                'refresh_requested_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group ID
                ''',
                'refresh_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Sub-group index
                ''',
                'refresh_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh OutQueue messages
                ''',
                'refresh_update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh OutQueue size
                ''',
                'refresh_update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Synced ack version
                ''',
                'synced_ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group index
                ''',
                'update_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group messages
                ''',
                'update_filter_group_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh target version
                ''',
                'update_refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh version
                ''',
                'update_refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-generation-neighbor', REFERENCE_LIST, 'UpdateGenerationNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor', 
                [], [], 
                '''                Update generation for neighbor
                ''',
                'update_generation_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured AF update limit
                ''',
                'configured_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-update-limit-sub-group-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured IBGP sub-group update limit
                ''',
                'configured_update_limit_sub_group_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-update-limit-subgrp-ebgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured EBGP sub-group update limit
                ''',
                'configured_update_limit_subgrp_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current AF update limit
                ''',
                'current_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-sub-group-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current IBGP sub-group update limit
                ''',
                'current_update_limit_sub_group_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-subgrp-ebgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current EBGP sub-group update limit
                ''',
                'current_update_limit_subgrp_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table neighbor count
                ''',
                'table_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table refresh sub-group count
                ''',
                'table_refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table throttled refresh sub-group count
                ''',
                'table_refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table throttled sub-group count
                ''',
                'table_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table update-group count
                ''',
                'table_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-min-neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum Neighbor version
                ''',
                'update_min_neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messsages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'update_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics', 
                [], [], 
                '''                Upate statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table filter-group count
                ''',
                'update_table_filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table sub-group count
                ''',
                'update_table_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_table_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group count
                ''',
                'update_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-rd-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RD Version
                ''',
                'update_vrf_rd_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrfaf-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Address family identifier
                ''',
                'update_vrfaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Reuse array index
                ''',
                'reuse',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Version number
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings',
            False, 
            [
            _MetaInfoClassMember('dampening', REFERENCE_LIST, 'Dampening' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening', 
                [], [], 
                '''                A BGP Dampening table entry
                ''',
                'dampening',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dampenings',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst',
            False, 
            [
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-grant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE = permit, FALSE = deny
                ''',
                'is_prefix_grant',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum prefix length
                ''',
                'max_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minimum prefix length
                ''',
                'min_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-pfxlst',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo',
            False, 
            [
            _MetaInfoClassMember('bgp-pfxlst', REFERENCE_LIST, 'BgpPfxlst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst', 
                [], [], 
                '''                bgp pfxlst
                ''',
                'bgp_pfxlst',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-list-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identfier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-list-info', REFERENCE_CLASS, 'PrefixListInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo', 
                [], [], 
                '''                Prefix list
                ''',
                'prefix_list_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters',
            False, 
            [
            _MetaInfoClassMember('prefix-filter', REFERENCE_LIST, 'PrefixFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter', 
                [], [], 
                '''                A BGP prefix filter table entry
                ''',
                'prefix_filter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute',
            False, 
            [
            _MetaInfoClassMember('attribute-cache-bucket', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache bucket
                ''',
                'attribute_cache_bucket',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-cache-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache ID
                ''',
                'attribute_cache_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-iid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute IID
                ''',
                'attribute_iid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-info', REFERENCE_CLASS, 'AttributeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo', 
                [], [], 
                '''                Attributes
                ''',
                'attribute_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Instance ID
                ''',
                'attribute_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-hash-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hash value for attribute structure
                ''',
                'attribute_structure_hash_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ID of attribute structure
                ''',
                'attribute_structure_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths which use this attribute
                structure
                ''',
                'reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_LIST, 'Attribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute', 
                [], [], 
                '''                A BGP Attribute table entry
                ''',
                'attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('advertised-path-counts', REFERENCE_CLASS, 'AdvertisedPathCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathCounts', 
                [], [], 
                '''                The BGP Advertised paths table (bestpath)
                ''',
                'advertised_path_counts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertised-path-xr', REFERENCE_CLASS, 'AdvertisedPathXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr', 
                [], [], 
                '''                The BGP Advertised path table (bestpath)
                ''',
                'advertised_path_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertised-paths', REFERENCE_CLASS, 'AdvertisedPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths', 
                [], [], 
                '''                The BGP Advertised paths table (add-paths)
                ''',
                'advertised_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-process-info', REFERENCE_CLASS, 'AfProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo', 
                [], [], 
                '''                A BGP Process address family table entry
                ''',
                'af_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes', 
                [], [], 
                '''                The BGP Attribute table
                ''',
                'attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-paths', REFERENCE_CLASS, 'BmpPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths', 
                [], [], 
                '''                The paths in BMP Table
                ''',
                'bmp_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('convergence', REFERENCE_CLASS, 'Convergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Convergence', 
                [], [], 
                '''                A BGP Convergence table entry
                ''',
                'convergence',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampenings', REFERENCE_CLASS, 'Dampenings' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings', 
                [], [], 
                '''                The BGP Dampening table
                ''',
                'dampenings',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epes', REFERENCE_CLASS, 'Epes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes', 
                [], [], 
                '''                The BGP Egress Engineering table
                ''',
                'epes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-af-process-info', REFERENCE_CLASS, 'GlobalAfProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo', 
                [], [], 
                '''                The Global Address Family Process information
                table
                ''',
                'global_af_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-table', REFERENCE_CLASS, 'NeighborAfTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable', 
                [], [], 
                '''                The BGP Neighbor AF table
                ''',
                'neighbor_af_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-all-rds', REFERENCE_CLASS, 'NetworkAllRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds', 
                [], [], 
                '''                The BGP Network Lookup Table
                ''',
                'network_all_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-lookup-all-rds', REFERENCE_CLASS, 'NetworkLookupAllRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds', 
                [], [], 
                '''                The BGP Network Lookup Table
                ''',
                'network_lookup_all_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-prefixes', REFERENCE_CLASS, 'NetworkPrefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks', REFERENCE_CLASS, 'Networks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks', 
                [], [], 
                '''                The BGP Network Table
                ''',
                'networks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-address-families', REFERENCE_CLASS, 'NextHopAddressFamilies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies', 
                [], [], 
                '''                Address family of nexthop table
                ''',
                'next_hop_address_families',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-labeled-table', REFERENCE_CLASS, 'PathLabeledTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable', 
                [], [], 
                '''                The BGP Path Labeled Table
                ''',
                'path_labeled_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table', REFERENCE_CLASS, 'PathTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable', 
                [], [], 
                '''                The BGP Path Table
                ''',
                'path_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-used-table', REFERENCE_CLASS, 'PathUsedTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable', 
                [], [], 
                '''                The BGP Path Used Table
                ''',
                'path_used_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('policies', REFERENCE_CLASS, 'Policies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies', 
                [], [], 
                '''                The BGP Policy Table
                ''',
                'policies',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-filters', REFERENCE_CLASS, 'PrefixFilters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters', 
                [], [], 
                '''                The BGP Prefix Filter table
                ''',
                'prefix_filters',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpc-sets', REFERENCE_CLASS, 'RpcSets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets', 
                [], [], 
                '''                BGP next-hop set table
                ''',
                'rpc_sets',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-counters', REFERENCE_CLASS, 'RtSetCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters', 
                [], [], 
                '''                The RT-set counter table
                ''',
                'rt_set_counters',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sourced-networks', REFERENCE_CLASS, 'SourcedNetworks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks', 
                [], [], 
                '''                The BGP Convergence table
                ''',
                'sourced_networks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-address-family', REFERENCE_CLASS, 'UpdateGenerationAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily', 
                [], [], 
                '''                Update generation for address-family
                ''',
                'update_generation_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-filter-groups', REFERENCE_CLASS, 'UpdateGenerationFilterGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups', 
                [], [], 
                '''                Update generation for all filter-groups under
                a sub-group
                ''',
                'update_generation_filter_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-neighbors', REFERENCE_CLASS, 'UpdateGenerationNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors', 
                [], [], 
                '''                Update generation for all neighbors
                ''',
                'update_generation_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-sub-groups', REFERENCE_CLASS, 'UpdateGenerationSubGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups', 
                [], [], 
                '''                Update generation for all sub-groups
                ''',
                'update_generation_sub_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-update-groups', REFERENCE_CLASS, 'UpdateGenerationUpdateGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups', 
                [], [], 
                '''                Update generation for all update-groups
                ''',
                'update_generation_update_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-groups', REFERENCE_CLASS, 'UpdateGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups', 
                [], [], 
                '''                The BGP Update group table
                ''',
                'update_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_LIST, 'Af' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af', 
                [], [], 
                '''                A particular address family
                ''',
                'af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Information' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Information',
            False, 
            [
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterVrf',
            False, 
            [
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered messages received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last Filtered messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received filtered
                messages
                ''',
                'update_filtered_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbors-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborAf',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo',
            False, 
            [
            _MetaInfoClassMember('peer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Peer ID
                ''',
                'peer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Postit Afi
                ''',
                'postit_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Postit Direction
                ''',
                'postit_direction',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Postit Flags
                ''',
                'postit_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit ID
                ''',
                'postit_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-notification', REFERENCE_CLASS, 'PostitNotification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification', 
                [], [], 
                '''                Postit notification
                ''',
                'postit_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy
                ''',
                'postit_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-reset', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reset
                ''',
                'postit_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-subtype', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit Subtype
                ''',
                'postit_subtype',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Postit TS
                ''',
                'postit_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit Type
                ''',
                'postit_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('connect-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                State
                ''',
                'connect_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af', REFERENCE_LIST, 'NeighborAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborAf', 
                [], [], 
                '''                Neighbor Afi
                ''',
                'neighbor_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25, min_elements=25),
            _MetaInfoClassMember('neighbors-address', REFERENCE_CLASS, 'NeighborsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress', 
                [], [], 
                '''                Neighbor Addr
                ''',
                'neighbors_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-info', REFERENCE_LIST, 'PostitInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo', 
                [], [], 
                '''                Postit Info
                ''',
                'postit_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                StartTime
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits',
            False, 
            [
            _MetaInfoClassMember('postit', REFERENCE_LIST, 'Postit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit', 
                [], [], 
                '''                A BGP Postit table entry
                ''',
                'postit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postits',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Global_.ClusterIdEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Global_.ClusterIdEntry',
            False, 
            [
            _MetaInfoClassMember('cluster-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID type: number or IPv4 address
                ''',
                'cluster_id_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID 
                ''',
                'cluster_id_val',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster-id-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('asn-format', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP AS Number Format
                ''',
                'asn_format',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-current-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current value for BMP buffer 
                ''',
                'bmp_current_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-default-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Default value for BMP buffer limit when a value
                is not configured
                ''',
                'bmp_default_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-maximum-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum limit user can configure for
                max-buffer-size command under bmp-server
                ''',
                'bmp_maximum_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID
                ''',
                'cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-entry', REFERENCE_LIST, 'ClusterIdEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Global_.ClusterIdEntry', 
                [], [], 
                '''                All configured Cluster IDs
                ''',
                'cluster_id_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('confederation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Confederation ID
                ''',
                'confederation_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured cluster ID
                ''',
                'configured_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('generic-scan-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Period (in seconds) of generic scanner runs
                ''',
                'generic_scan_period',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maint-all-nbrs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance also for neighbors without
                GM configuration
                ''',
                'graceful_maint_all_nbrs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maint-retain-routes', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retaining routes in RIB when BGP process stops
                while in Graceful Maintenance
                ''',
                'graceful_maint_retain_routes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-standalone-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standalone or Distributed mode
                ''',
                'in_standalone_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of BGP instance
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-cluster-id-specified-as-ip', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Cluster ID specified as an IP address
                ''',
                'is_cluster_id_specified_as_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local autonomous system number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-rlimit', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Platform RLIMIT max for the process
                ''',
                'process_rlimit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No of times BGP has started
                ''',
                'restart_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-end', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In use Segment-routing Global Block end value
                ''',
                'srgb_end',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-end-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured segment-routing Global Block end
                value
                ''',
                'srgb_end_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In use segment-routing Global Block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-start-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured segment-routing Global Block start
                value
                ''',
                'srgb_start_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update delay timeout time (in seconds)
                ''',
                'update_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Vrf',
            False, 
            [
            _MetaInfoClassMember('configured-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured router ID
                ''',
                'configured_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default local preference
                ''',
                'default_local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default metric
                ''',
                'default_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default hold timer (seconds)
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-aigp-ignore-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Ignore AIGP unless both paths have
                AIGP attribute
                ''',
                'is_bestpath_aigp_ignore_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-always-compare-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Always compare MED
                ''',
                'is_bestpath_always_compare_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-as-path-mpath-relax-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Relax AS path for mpath
                ''',
                'is_bestpath_as_path_mpath_relax_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-compare-med-from-confed-peer-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Compare MED from confed peer
                ''',
                'is_bestpath_compare_med_from_confed_peer_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-compare-router-id-for-ebgp-peers-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Compare routerID for eBGP peers
                ''',
                'is_bestpath_compare_router_id_for_ebgp_peers_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-ignore-as-path-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Ignore AS path
                ''',
                'is_bestpath_ignore_as_path_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-missing-med-is-worst-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Treat missing MED as worst
                ''',
                'is_bestpath_missing_med_is_worst_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default metric configured
                ''',
                'is_default_metric_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default route originate configured
                ''',
                'is_default_originate_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-enforce-first-as-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enforce first AS
                ''',
                'is_enforce_first_as_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-fast-external-fallover-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast external fallover enabled
                ''',
                'is_fast_external_fallover_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful restart enabled
                ''',
                'is_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-multipath-as-path-ignore-onwards-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multipath: Ignore everything AS path onwards for
                mpath
                ''',
                'is_multipath_as_path_ignore_onwards_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-logging', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor logging enabled
                ''',
                'is_neighbor_logging',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-nsr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-stop routing enabled
                ''',
                'is_nsr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-redistribute-ibgp-to-ig-ps-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Redistribute iBGP into IGPs enabled
                ''',
                'is_redistribute_ibgp_to_ig_ps_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default keepalive timer (seconds)
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-acceptable-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default min acceptable hold time from
                neighbor(seconds)
                ''',
                'min_acceptable_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time (in seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the VRF
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF state
                ''',
                'vrf_is_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrfid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrfid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-error-handling-reset-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-error-handling-reset-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'establishment-action-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData',
            False, 
            [
            _MetaInfoClassMember('update-error-reset-notification-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Notification code
                ''',
                'update_error_reset_notification_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Notification data
                ''',
                'update_error_reset_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Notification data length
                ''',
                'update_error_reset_notification_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Notification sub code
                ''',
                'update_error_reset_notification_sub_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reset Reason
                ''',
                'update_error_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-reset-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement',
            False, 
            [
            _MetaInfoClassMember('update-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute code [RFC4271: BGP4]
                ''',
                'update_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Flags [RFC4271: BGP4]
                ''',
                'update_attribute_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Attribute Length [RFC4271: BGP4]
                ''',
                'update_attribute_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdErrActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdErrActionEnum', 
                [], [], 
                '''                Error action
                ''',
                'update_error_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Error data
                ''',
                'update_error_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Error data length
                ''',
                'update_error_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage',
            False, 
            [
            _MetaInfoClassMember('update-attribute-discard-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discarded attribute count
                ''',
                'update_attribute_discard_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-element', REFERENCE_LIST, 'UpdateErrorElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement', 
                [], [], 
                '''                Error element list
                ''',
                'update_error_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=3),
            _MetaInfoClassMember('update-error-final-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdErrActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdErrActionEnum', 
                [], [], 
                '''                Error final action
                ''',
                'update_error_final_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-address-family', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                NLRI address-family
                ''',
                'update_error_nlri_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                List of NLRIs in string format
                ''',
                'update_error_nlri_string',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-string-truncated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether NLRI string was truncated due
                to lack of space
                ''',
                'update_error_nlri_string_truncated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-data', REFERENCE_LIST, 'UpdateMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'update_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-reset-data', REFERENCE_CLASS, 'UpdateMessageResetData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData', 
                [], [], 
                '''                Reset data
                ''',
                'update_message_reset_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-timestamp', REFERENCE_CLASS, 'UpdateMessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp', 
                [], [], 
                '''                Message timestamp: time elapsed since 00:00:00
                UTC, January 1, 1970
                ''',
                'update_message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('establishment-action-count', REFERENCE_LIST, 'EstablishmentActionCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount', 
                [], [], 
                '''                Number of occurence of each action type since
                
                session establishment
                ''',
                'establishment_action_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('establishment-total-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count since session
                establishment
                ''',
                'establishment_total_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-error-handling-reset-timestamp', REFERENCE_CLASS, 'FirstUpdateErrorHandlingResetTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp', 
                [], [], 
                '''                First error-handling reset time: time elapsed
                since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_error_handling_reset_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-malformed-timestamp', REFERENCE_CLASS, 'FirstUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp', 
                [], [], 
                '''                First malformed message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'FirstUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                First memory allocation failure time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-error-handling-reset-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last error-handling reset event (in
                seconds)
                ''',
                'last_error_handling_reset_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-error-handling-reset-timestamp', REFERENCE_CLASS, 'LastErrorHandlingResetTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp', 
                [], [], 
                '''                Last error-handling reset time: time elapsed
                since 00:00:00 UTC, January 1, 1970
                ''',
                'last_error_handling_reset_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed message received event
                (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Last memory allocation failure time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count
                ''',
                'total_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-discard-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discarded attribute count
                ''',
                'update_attribute_discard_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-avoid-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure error-handling to avoid resets
                ''',
                'update_error_handling_avoid_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error-handling reset count
                ''',
                'update_error_handling_reset_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-message', REFERENCE_LIST, 'UpdateErrorMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage', 
                [], [], 
                '''                List of malformed messages
                ''',
                'update_error_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-message-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages list count
                ''',
                'update_error_message_list_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-inbound-error-neighbor', REFERENCE_LIST, 'UpdateInboundErrorNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor', 
                [], [], 
                '''                Update inbound error information for neighbor
                ''',
                'update_inbound_error_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filter-match-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes',
            False, 
            [
            _MetaInfoClassMember('establishment-update-filter-match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter match counter since last session
                establishment
                ''',
                'establishment_update_filter_match_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filter-match-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since this attribute was last filtered (in
                seconds)
                ''',
                'last_update_filter_match_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filter-match-timestamp', REFERENCE_CLASS, 'LastUpdateFilterMatchTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp', 
                [], [], 
                '''                Last attribute filtered time: time elapsed since
                00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filter_match_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering action
                ''',
                'update_filter_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter match counter
                ''',
                'update_filter_match_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-internal-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Internal attribute code [RFC4271: BGP4]
                ''',
                'update_internal_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-attribute-filter-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement',
            False, 
            [
            _MetaInfoClassMember('update-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute code [RFC4271: BGP4]
                ''',
                'update_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Flags [RFC4271: BGP4]
                ''',
                'update_attribute_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering action
                ''',
                'update_filter_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage',
            False, 
            [
            _MetaInfoClassMember('update-filter-element', REFERENCE_LIST, 'UpdateFilterElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement', 
                [], [], 
                '''                Filtering element list
                ''',
                'update_filter_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=3),
            _MetaInfoClassMember('update-filter-final-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering final action
                ''',
                'update_filter_final_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-data', REFERENCE_LIST, 'UpdateFilterMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'update_filter_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-timestamp', REFERENCE_CLASS, 'UpdateFilterMessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp', 
                [], [], 
                '''                Message timestamp: time elapsed since 00:00:00
                UTC, January 1, 1970
                ''',
                'update_filter_message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-address-family', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                NLRI address-family
                ''',
                'update_filter_nlri_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                List of NLRIs in string format
                ''',
                'update_filter_nlri_string',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-string-truncated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether NLRI string was truncated due
                to lack of space
                ''',
                'update_filter_nlri_string_truncated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-attribute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered attributes count
                ''',
                'update_filtered_attribute_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('configured-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Filtered message buffer count
                ''',
                'configured_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('establishment-total-filter-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count since session
                establishment
                ''',
                'establishment_total_filter_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('establishment-update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count since session
                establishment
                ''',
                'establishment_update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-filtered-timestamp', REFERENCE_CLASS, 'FirstUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp', 
                [], [], 
                '''                First filtered message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered message received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last filtered message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-update-attribute-filtering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute filtering is enabled for the current
                message being parsed
                ''',
                'message_update_attribute_filtering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('operational-update-attribute-filtering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute filtering is enabled
                ''',
                'operational_update_attribute_filtering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('operational-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Operational Filtered messages buffer count
                ''',
                'operational_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-filter-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count
                ''',
                'total_filter_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-filter-attributes', REFERENCE_LIST, 'UpdateAttributeFilterAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes', 
                [], [], 
                '''                List of attributes that can be filtered
                ''',
                'update_attribute_filter_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-filter-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Update attribute-filter group name
                ''',
                'update_attribute_filter_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Logging is enabled
                ''',
                'update_filter_logging_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message', REFERENCE_LIST, 'UpdateFilterMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage', 
                [], [], 
                '''                List of filtered messages
                ''',
                'update_filter_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-buffer-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the message buffers are circular
                ''',
                'update_filter_message_buffer_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages list count
                ''',
                'update_filter_message_list_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-inbound-filter-neighbor', REFERENCE_LIST, 'UpdateInboundFilterNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor', 
                [], [], 
                '''                Update inbound filtering information for
                neighbor
                ''',
                'update_inbound_filter_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-state-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-state-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-last-discon-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-send-version',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary',
            False, 
            [
            _MetaInfoClassMember('server-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                BMP Server ID
                ''',
                'server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('bmp-bytes-written-tcp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bytes sent to TCP
                ''',
                'bmp_bytes_written_tcp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-init-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Initiation Msgs sent by this BMP
                Server
                ''',
                'bmp_init_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-messages-wdraw-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ wdraw msgs discarded because of peer
                down
                ''',
                'bmp_messages_wdraw_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-drop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of messages dropped
                ''',
                'bmp_peer_msg_drop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bmpQ msgs pending
                ''',
                'bmp_peer_msg_pending_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count-hwts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bmpQ msgs pending max time
                ''',
                'bmp_peer_msg_pending_count_hwts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ msgs pending max
                ''',
                'bmp_peer_msg_pending_count_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-per-peer-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of per peer messages sent
                ''',
                'bmp_per_peer_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-per-peer-msg-route-mon-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of per peer route mon messages sent
                ''',
                'bmp_per_peer_msg_route_mon_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-pfx-wdraw-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ wdraw pfxes discarded because of peer
                down
                ''',
                'bmp_pfx_wdraw_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-send-version', REFERENCE_LIST, 'BmpSendVersion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion', 
                [], [], 
                '''                Table Version that this BMP server has caught
                
                upto
                ''',
                'bmp_send_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BMP Server Hostname
                ''',
                'bmp_server_host_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Server ID
                ''',
                'bmp_server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-is-flapping', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connection to the BMP server Flapping
                ''',
                'bmp_server_is_flapping',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-last-discon-time', REFERENCE_CLASS, 'BmpServerLastDisconTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime', 
                [], [], 
                '''                Timespec of Last Disconnect event received from
                BMP server
                ''',
                'bmp_server_last_discon_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-nbr-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count for the BMP Server
                ''',
                'bmp_server_nbr_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BMP Server Port Number
                ''',
                'bmp_server_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state', REFERENCE_ENUM_CLASS, 'BgpBmpStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBmpStateEnum', 
                [], [], 
                '''                Connection state of the BMP server
                ''',
                'bmp_server_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state-age', REFERENCE_CLASS, 'BmpServerStateAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge', 
                [], [], 
                '''                Age of current state of BMP Server
                ''',
                'bmp_server_state_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state-time-spec', REFERENCE_CLASS, 'BmpServerStateTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec', 
                [], [], 
                '''                Timespec of current state of BMP Server
                ''',
                'bmp_server_state_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-status-report-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Status ReportMessages sent by this BMP
                Server
                ''',
                'bmp_status_report_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-termination-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Termination Messages sent by this BMP
                Server
                ''',
                'bmp_termination_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-update-mode', REFERENCE_ENUM_CLASS, 'BgpBmpUpdModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBmpUpdModeEnum', 
                [], [], 
                '''                Update sending mode configured for this BMP
                server
                ''',
                'bmp_update_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID for the vrf name configured
                ''',
                'bmp_vrf_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name configured
                ''',
                'bmp_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-all-write-pulse-sent-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse Sent for all BMP servers 
                ''',
                'bmpq_last_all_write_pulse_sent_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-write-pulse-cb-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse callback time
                ''',
                'bmpq_last_write_pulse_cb_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-write-pulse-sent-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse Sent time
                ''',
                'bmpq_last_write_pulse_sent_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-upd-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ update msgs 
                ''',
                'bmpr_mon_upd_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-update-gen-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent in update generation(milliseconds)
                ''',
                'bmpr_mon_update_gen_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-wdraw-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ withdraw msgs 
                ''',
                'bmpr_mon_wdraw_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update sent 
                ''',
                'path_update_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-update-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update drop 
                ''',
                'path_update_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-withdraw-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw sent
                ''',
                'path_withdraw_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-withdraw-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw drop 
                ''',
                'path_withdraw_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-keep-alive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCP Keep alive interval configured
                ''',
                'tcp_keep_alive_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-cb-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last TCP Write CB time
                ''',
                'tcp_last_write_cb_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-result', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last TCP Socket write status
                ''',
                'tcp_last_write_result',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last TCP Write time
                ''',
                'tcp_last_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-maximum-segment-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCP Maximum Segments size configured
                ''',
                'tcp_maximum_segment_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-write-cb-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Are we waiting for TCP write callback ?
                ''',
                'tcp_write_cb_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sending msg to
                TCP(milliseconds)
                ''',
                'tcp_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence (0) or DSCP (1) type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-address', REFERENCE_CLASS, 'UpdateSourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress', 
                [], [], 
                '''                Address of Interface configured as Update Source
                ''',
                'update_source_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface configured as Update Source
                ''',
                'update_source_interface_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID of interface configured as Update Source
                ''',
                'update_source_vrf_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries',
            False, 
            [
            _MetaInfoClassMember('server-summary', REFERENCE_LIST, 'ServerSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary', 
                [], [], 
                '''                Summary Information about BMP server
                ''',
                'server_summary',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('bmp-neighbor-address', REFERENCE_CLASS, 'BmpNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress', 
                [], [], 
                '''                Address of Nbr that logs to BMP server
                ''',
                'bmp_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-msg-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages dropped sent from this
                neighbor
                ''',
                'bmp_neighbor_msg_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-msg-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages pending to be sent to BMP
                Server from this Neighbor
                ''',
                'bmp_neighbor_msg_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-update-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update drop 
                ''',
                'bmp_neighbor_path_update_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-update-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Path UpdateMessages sent
                ''',
                'bmp_neighbor_path_update_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-withdraw-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw drop 
                ''',
                'bmp_neighbor_path_withdraw_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-withdraw-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Path WithdrawMessages sent
                ''',
                'bmp_neighbor_path_withdraw_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-peer-down-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Peer DOWN Messages sent from this
                neighbor
                ''',
                'bmp_neighbor_peer_down_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-peer-up-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Peer UP Messages sent from this
                neighbor
                ''',
                'bmp_neighbor_peer_up_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-route-monitor-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Route Monitor Messages sent
                ''',
                'bmp_neighbor_route_monitor_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-upd-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of update message sent
                ''',
                'bmp_neighbor_upd_msg_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-wdraw-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of withdraw message sent
                ''',
                'bmp_neighbor_wdraw_msg_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'monitored-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors',
            False, 
            [
            _MetaInfoClassMember('monitored-neighbor', REFERENCE_LIST, 'MonitoredNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor', 
                [], [], 
                '''                Information about a neighbor monitored by
                BMP server
                ''',
                'monitored_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'monitored-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor',
            False, 
            [
            _MetaInfoClassMember('server-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BMP Server ID
                ''',
                'server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('monitored-neighbors', REFERENCE_CLASS, 'MonitoredNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors', 
                [], [], 
                '''                List of Neighbors under which BMP Server is
                confgiured
                ''',
                'monitored_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors',
            False, 
            [
            _MetaInfoClassMember('server-neighbor', REFERENCE_LIST, 'ServerNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor', 
                [], [], 
                '''                BMP Server under which neighbor info are
                needed
                ''',
                'server_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp',
            False, 
            [
            _MetaInfoClassMember('server-neighbors', REFERENCE_CLASS, 'ServerNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors', 
                [], [], 
                '''                Table of Neighbors for a BMP Server
                ''',
                'server_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('server-summaries', REFERENCE_CLASS, 'ServerSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries', 
                [], [], 
                '''                Table of BMP Servers
                ''',
                'server_summaries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('as-path-entries-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by AS-path entries
                ''',
                'as_path_entries_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AS-path entries
                ''',
                'as_path_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attr-set-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of ATTRSET entries
                ''',
                'attr_set_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attr-set-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by ATTRSET entries
                ''',
                'attr_set_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-pool-alloc-count', REFERENCE_LIST, 'BmpPoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolAllocCount', 
                [], [], 
                '''                bmp pool alloc count
                ''',
                'bmp_pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('bmp-pool-free-count', REFERENCE_LIST, 'BmpPoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolFreeCount', 
                [], [], 
                '''                bmp pool free count
                ''',
                'bmp_pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('bmp-pool-size', REFERENCE_LIST, 'BmpPoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolSize', 
                [], [], 
                '''                bmp pool size
                ''',
                'bmp_pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('community-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of community entries
                ''',
                'community_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by community entries
                ''',
                'community_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('established-neighbors-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total umber of established neighbors
                ''',
                'established_neighbors_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended community entries
                ''',
                'extended_community_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by extended community
                entries
                ''',
                'extended_community_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lindex-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LINDEX entries
                ''',
                'lindex_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lindex-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by LINDEX entries
                ''',
                'lindex_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local autonomous system number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsattr-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LASATTR entries
                ''',
                'lsattr_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsattr-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by LSATTR entries
                ''',
                'lsattr_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-pool-alloc-count', REFERENCE_LIST, 'MsgLogPoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolAllocCount', 
                [], [], 
                '''                msg log pool alloc count
                ''',
                'msg_log_pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('msg-log-pool-free-count', REFERENCE_LIST, 'MsgLogPoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolFreeCount', 
                [], [], 
                '''                msg log pool free count
                ''',
                'msg_log_pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('msg-log-pool-size', REFERENCE_LIST, 'MsgLogPoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolSize', 
                [], [], 
                '''                msg log pool size
                ''',
                'msg_log_pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('neighbors-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of neighbors
                ''',
                'neighbors_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nexthop attribute info entries
                ''',
                'nexthop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by nexthop attribute info
                entries
                ''',
                'nexthop_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-attribute-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (bytes) used by path attribute entries
                ''',
                'path_attribute_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-attributes-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of path attribute entries
                ''',
                'path_attributes_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PE distinguisher label entries
                ''',
                'pe_distinguisher_label_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PE distinguisher
                labels entries
                ''',
                'pe_distinguisher_label_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pool-alloc-count', REFERENCE_LIST, 'PoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolAllocCount', 
                [], [], 
                '''                pool alloc count
                ''',
                'pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('pool-free-count', REFERENCE_LIST, 'PoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolFreeCount', 
                [], [], 
                '''                pool free count
                ''',
                'pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('pool-size', REFERENCE_LIST, 'PoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolSize', 
                [], [], 
                '''                pool size
                ''',
                'pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('ppmp-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PPMP entries
                ''',
                'ppmp_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppmp-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PPMP entries
                ''',
                'ppmp_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-node', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Node the process instance is on
                ''',
                'process_instance_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pta-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PTA entries
                ''',
                'pta_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pta-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PTA entries
                ''',
                'pta_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times BGP has started
                ''',
                'restart_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIBRNH entries
                ''',
                'ribrnh_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by RIBRNH entries
                ''',
                'ribrnh_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflector-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by route reflector info
                entries
                ''',
                'route_reflector_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflectors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route reflector info entries
                ''',
                'route_reflectors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-num-non-dflt-vrf-nbrs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sn num non dflt vrf nbrs
                ''',
                'sn_num_non_dflt_vrf_nbrs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-num-non-dflt-vrf-nbrs-estab', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sn num non dflt vrf nbrs estab
                ''',
                'sn_num_non_dflt_vrf_nbrs_estab',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-vrf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                total vrf count
                ''',
                'total_vrf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Tunnel encap entries
                ''',
                'tunnel_encap_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by tunnel encap entries
                ''',
                'tunnel_encap_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Vrf',
            False, 
            [
            _MetaInfoClassMember('established-neighbors-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of established neighbors
                ''',
                'established_neighbors_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbors-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors
                ''',
                'neighbors_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of networks
                ''',
                'network_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notifications-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of notifications received
                ''',
                'notifications_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notifications-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of notifications sent
                ''',
                'notifications_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of update messages received
                ''',
                'update_messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer',
            False, 
            [
            _MetaInfoClassMember('first-rib-connection-down-timestamp', REFERENCE_CLASS, 'FirstRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp', 
                [], [], 
                '''                First RIB connection Down event timestamp
                ''',
                'first_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-connection-up-timestamp', REFERENCE_CLASS, 'FirstRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp', 
                [], [], 
                '''                First RIB connection Up event timestamp
                ''',
                'first_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RIB Connection Up?
                ''',
                'is_rib_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Down event (in
                seconds)
                ''',
                'last_rib_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-timestamp', REFERENCE_CLASS, 'LastRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp', 
                [], [], 
                '''                Last RIB connection Down event timestamp
                ''',
                'last_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Up event (in
                seconds)
                ''',
                'last_rib_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-timestamp', REFERENCE_CLASS, 'LastRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp', 
                [], [], 
                '''                Last RIB connection Up event timestamp
                ''',
                'last_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Down events
                ''',
                'rib_connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Up events
                ''',
                'rib_connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4rib-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer',
            False, 
            [
            _MetaInfoClassMember('first-rib-connection-down-timestamp', REFERENCE_CLASS, 'FirstRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp', 
                [], [], 
                '''                First RIB connection Down event timestamp
                ''',
                'first_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-connection-up-timestamp', REFERENCE_CLASS, 'FirstRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp', 
                [], [], 
                '''                First RIB connection Up event timestamp
                ''',
                'first_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RIB Connection Up?
                ''',
                'is_rib_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Down event (in
                seconds)
                ''',
                'last_rib_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-timestamp', REFERENCE_CLASS, 'LastRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp', 
                [], [], 
                '''                Last RIB connection Down event timestamp
                ''',
                'last_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Up event (in
                seconds)
                ''',
                'last_rib_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-timestamp', REFERENCE_CLASS, 'LastRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp', 
                [], [], 
                '''                Last RIB connection Up event timestamp
                ''',
                'last_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Down events
                ''',
                'rib_connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Up events
                ''',
                'rib_connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6rib-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection',
            False, 
            [
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection down events
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection Up events
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-down-timestamp', REFERENCE_CLASS, 'FirstConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp', 
                [], [], 
                '''                First connection Down event timestamp
                ''',
                'first_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-up-timestamp', REFERENCE_CLASS, 'FirstConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp', 
                [], [], 
                '''                First connection Up event timestamp
                ''',
                'first_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connection Up?
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Down event (in
                seconds)
                ''',
                'last_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-timestamp', REFERENCE_CLASS, 'LastConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp', 
                [], [], 
                '''                Last connection Down event timestamp
                ''',
                'last_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Up event (in seconds)
                ''',
                'last_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-timestamp', REFERENCE_CLASS, 'LastConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp', 
                [], [], 
                '''                Last connection Up event timestamp
                ''',
                'last_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'te-connection',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection',
            False, 
            [
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection down events
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection Up events
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-down-timestamp', REFERENCE_CLASS, 'FirstConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp', 
                [], [], 
                '''                First connection Down event timestamp
                ''',
                'first_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-up-timestamp', REFERENCE_CLASS, 'FirstConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp', 
                [], [], 
                '''                First connection Up event timestamp
                ''',
                'first_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connection Up?
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Down event (in
                seconds)
                ''',
                'last_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-timestamp', REFERENCE_CLASS, 'LastConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp', 
                [], [], 
                '''                Last connection Down event timestamp
                ''',
                'last_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Up event (in seconds)
                ''',
                'last_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-timestamp', REFERENCE_CLASS, 'LastConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp', 
                [], [], 
                '''                Last connection Up event timestamp
                ''',
                'last_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'lsd-connection',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-sent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-recv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-pl-send-drop-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-send-drop-array', REFERENCE_LIST, 'NsrPlSendDropArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray', 
                [], [], 
                '''                nsr pl send drop array
                ''',
                'nsr_pl_send_drop_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-sent-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-pl-recv-drop-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-recv-drop-array', REFERENCE_LIST, 'NsrPlRecvDropArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray', 
                [], [], 
                '''                nsr pl recv drop array
                ''',
                'nsr_pl_recv_drop_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-recv-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic',
            False, 
            [
            _MetaInfoClassMember('num-recv', REFERENCE_LIST, 'NumRecv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv', 
                [], [], 
                '''                Total recvd
                ''',
                'num_recv',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=6),
            _MetaInfoClassMember('num-recv-drop', REFERENCE_LIST, 'NumRecvDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop', 
                [], [], 
                '''                Recv Errors/drops
                ''',
                'num_recv_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=6),
            _MetaInfoClassMember('num-sent', REFERENCE_LIST, 'NumSent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent', 
                [], [], 
                '''                Total sent
                ''',
                'num_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('num-sent-drop', REFERENCE_LIST, 'NumSentDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop', 
                [], [], 
                '''                Sent Error/drops
                ''',
                'num_sent_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'npl-priority-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'endpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint',
            False, 
            [
            _MetaInfoClassMember('endpoint', REFERENCE_LIST, 'Endpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint', 
                [], [], 
                '''                NCD endpoint bytestream
                ''',
                'endpoint',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-active-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Endpoint active flag
                ''',
                'endpoint_active_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                NCD endpoint handle
                ''',
                'endpoint_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-issu-role', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Endpoint's ISSU Role. Values are 'Primary',
                'Secondary' and 'Tertiary'
                ''',
                'endpoint_issu_role',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Endpoint name
                ''',
                'endpoint_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-stale-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Endpoint stale flag
                ''',
                'endpoint_stale_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('expected-sequence-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expected sequence number
                ''',
                'expected_sequence_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message size for this entity
                ''',
                'msg_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Syncgroup associated with this endpoint
                ''',
                'sync_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('wheel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wheel ID for this endpoint
                ''',
                'wheel_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'npl-endpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl',
            False, 
            [
            _MetaInfoClassMember('dir-service-conn-state', REFERENCE_ENUM_CLASS, 'BgpDsConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpDsConnStateEnum', 
                [], [], 
                '''                Current Directory Service connectionstate
                ''',
                'dir_service_conn_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dsissu-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DS ISSU status flag
                ''',
                'dsissu_status_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-mgr-conn-state', REFERENCE_ENUM_CLASS, 'BgpIsmConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpIsmConnStateEnum', 
                [], [], 
                '''                Current ISSU Mgr connection state
                ''',
                'issu_mgr_conn_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-phase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Current ISSU Phase
                ''',
                'issu_phase',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-type-ng', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ISSU type is Next Gen
                ''',
                'issu_type_ng',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issuha-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Current ISSU HA option
                ''',
                'issuha_option',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-ds-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Local Directory Service handle
                ''',
                'local_ds_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('npl-endpoint', REFERENCE_LIST, 'NplEndpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint', 
                [], [], 
                '''                NPL endpoint information
                ''',
                'npl_endpoint',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('npl-priority-statistic', REFERENCE_LIST, 'NplPriorityStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic', 
                [], [], 
                '''                NPL priority statistics
                ''',
                'npl_priority_statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=2),
            _MetaInfoClassMember('service-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Local DS service name
                ''',
                'service_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ds-npl',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-nsr-mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'standby-nsr-mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-nsrfo-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of the number of postits for this nbr
                ''',
                'postit_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-count-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone',
            False, 
            [
            _MetaInfoClassMember('milestone-met-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Milestone met timestamp
                ''',
                'milestone_met_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('milestone-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Milestone name
                ''',
                'milestone_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('milestone-start-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Milestone start timestamp
                ''',
                'milestone_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'issu-milestone',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_',
            False, 
            [
            _MetaInfoClassMember('active-nsr-mode-enter-time', REFERENCE_LIST, 'ActiveNsrModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'active_nsr_mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=26),
            _MetaInfoClassMember('active-nsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Active BGP nsrstate
                ''',
                'active_nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-nsrfo-time', REFERENCE_LIST, 'ActiveNsrfoTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime', 
                [], [], 
                '''                Time that each thread isdone with its
                
                go-activeprocessing (seconds since Jan 1 1970)
                ''',
                'active_nsrfo_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=10),
            _MetaInfoClassMember('active-nsrtcp-phase-two-enter-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time that NSR TCP Init Sync Phase Two entered on
                active (seconds since Jan 1 1970)
                ''',
                'active_nsrtcp_phase_two_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-te-infra-tunnel-type', REFERENCE_ENUM_CLASS, 'BgpTeInfraTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTeInfraTunnelEnum', 
                [], [], 
                '''                BGP TE infra tunnel type
                ''',
                'bgp_te_infra_tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input bytes
                ''',
                'brib_api_input_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input messages
                ''',
                'brib_api_input_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-prefixes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input advertised prefixes received
                ''',
                'brib_api_input_prefixes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing input from bRIB API
                (milliseconds)
                ''',
                'brib_api_input_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input withdrawn prefixes received
                ''',
                'brib_api_input_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-bytes-generated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output bytes generated
                ''',
                'brib_api_output_bytes_generated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output bytes sent
                ''',
                'brib_api_output_bytes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API calls to generate output
                ''',
                'brib_api_output_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating output for bRIB API
                (milliseconds)
                ''',
                'brib_api_output_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output messages sent
                ''',
                'brib_api_output_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output prefixes advertised
                ''',
                'brib_api_output_prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output prefixes withdrawn
                ''',
                'brib_api_output_prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-sending-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending output to bRIB API (ms)
                ''',
                'brib_api_output_sending_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-items-processed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of config items processed
                ''',
                'configuration_items_processed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing config (milliseconds)
                ''',
                'configuration_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-clock-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current time
                ''',
                'current_clock_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ds-npl', REFERENCE_CLASS, 'DsNpl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl', 
                [], [], 
                '''                NSR related DS and NPL information
                ''',
                'ds_npl',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('edm-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing EDM requests (ms)
                ''',
                'edm_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('edm-requests-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of EDM requests processed
                ''',
                'edm_requests_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach  calls for input
                ''',
                'in_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-out-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach calls for input
                ''',
                'in_out_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('initial-sync-sessions-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, BGP has at least one established
                session when NSR initial synchronization is
                started
                ''',
                'initial_sync_sessions_added',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-node-role', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node role - active/passive
                ''',
                'instance_node_role',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-handler-tm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when IO timer handler got called
                ''',
                'io_handler_tm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-timer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IO master timer ID
                ''',
                'io_timer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-tree-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time as per tree->mtexptime
                ''',
                'io_tree_timer_expiry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-tree-timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time left before the QNX timer would expire
                ''',
                'io_tree_timer_left',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4rib-server', REFERENCE_CLASS, 'Ipv4RibServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer', 
                [], [], 
                '''                IPv4 RIB server global info
                ''',
                'ipv4rib_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6rib-server', REFERENCE_CLASS, 'Ipv6RibServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer', 
                [], [], 
                '''                IPv6 RIB server global info
                ''',
                'ipv6rib_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-milestone', REFERENCE_LIST, 'IssuMilestone' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone', 
                [], [], 
                '''                ISSU Milestones
                ''',
                'issu_milestone',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('issu-milestone-packed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate ISSU Milestones packed
                ''',
                'issu_milestone_packed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsd-connection', REFERENCE_CLASS, 'LsdConnection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection', 
                [], [], 
                '''                MPLS LSD server connection info
                ''',
                'lsd_connection',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-last-reset-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reason for last nsr state  machine reset
                ''',
                'nsr_last_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('out-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach  calls for output
                ''',
                'out_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-count-info', REFERENCE_LIST, 'PostitCountInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo', 
                [], [], 
                '''                List of neighbors and their postit counts
                ''',
                'postit_count_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proc-scoped-sync-state', REFERENCE_ENUM_CLASS, 'BgpScopedSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpScopedSyncStateEnum', 
                [], [], 
                '''                BGP scoped sync state
                ''',
                'proc_scoped_sync_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-ac-ks-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack failure on QAD 
                ''',
                'qad_ac_ks_failure',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-ac-ks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Acks received on QAD 
                ''',
                'qad_ac_ks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-init-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped on standby during initialization
                ''',
                'qad_init_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages received on QAD 
                ''',
                'qad_messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages sent on QAD 
                ''',
                'qad_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-processed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages processed
                ''',
                'qad_processed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-recv-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received packet dropped due to null peer 
                ''',
                'qad_recv_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-resumes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                QAD send resume 
                ''',
                'qad_resumes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-send-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send packets dropped due to null peer 
                ''',
                'qad_send_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-send-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send failure on QAD 
                ''',
                'qad_send_failure',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-suspends', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                QAD send suspend
                ''',
                'qad_suspends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-timeout-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timeouts received on QAD 
                ''',
                'qad_timeout_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-timeout-recvd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of packet send timeouts 
                ''',
                'qad_timeout_recvd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qadack-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Acks sent on QAD 
                ''',
                'qadack_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qadoos-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to  out of sequence
                packetreceived
                ''',
                'qadoos_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('redcon-nsr-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NSR state conveyed to Redcon  by bgp - nsr
                ready/unready
                ''',
                'redcon_nsr_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('redcon-state-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when nsr state wasconveyed to Redcon last
                ''',
                'redcon_state_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sec-active-nsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sec Active BGP nsrstate
                ''',
                'sec_active_nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sec-active-nsrtcp-phase-two-enter-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time that NSR TCP Init Sync Phase Two entered on
                active (seconds since Jan 1 1970)
                ''',
                'sec_active_nsrtcp_phase_two_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-nsr-mode-enter-time', REFERENCE_LIST, 'StandbyNsrModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'standby_nsr_mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('te-connection', REFERENCE_CLASS, 'TeConnection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection', 
                [], [], 
                '''                MPLS TE server connection info
                ''',
                'te_connection',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tep2p-auto-tunnel-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE support for P2P auto tunnel
                ''',
                'tep2p_auto_tunnel_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-neighbors-with-pending-postits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total nbrs with pending postits
                ''',
                'total_neighbors_with_pending_postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-outstanding-postits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total outstanding postits across all neighbors
                ''',
                'total_outstanding_postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-handler-tm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when updgen timer handler got called
                ''',
                'updgen_handler_tm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Updgen master timer ID
                ''',
                'updgen_timer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-tree-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time as per tree->mtexptime
                ''',
                'updgen_tree_timer_expiry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-tree-timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time left before the QNX timer would expire
                ''',
                'updgen_tree_timer_left',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Vrf',
            False, 
            [
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bytes of data written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of socket reads for nbrs above high
                threshold
                ''',
                'high_throttled_read_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing imbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (ms)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (ms)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of socket reads for nbrs above low
                threshold
                ''',
                'low_throttled_read_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lpts-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times LPTS socket opt set up
                ''',
                'lpts_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lpts-set-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent setting up LPTS socket opt (ms)
                ''',
                'lpts_set_up_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (ms)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to to funvction to process
                sub-group message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group messages processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ID for the BGP process instance
                ''',
                'process_instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-totals', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                per VRF counts aggregated across all VRFs
                ''',
                'vrf_totals',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr has postits pending
                ''',
                'postit_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions',
            False, 
            [
            _MetaInfoClassMember('session', REFERENCE_LIST, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session', 
                [], [], 
                '''                A BGP session table entry
                ''',
                'session',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sessions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'received-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('active-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Active connections for this
                neighbor due to collision 
                ''',
                'active_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Active opens for this neighbor
                ''',
                'actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-read-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger read
                thread
                ''',
                'control_to_read_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-write-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger write
                thread
                ''',
                'control_to_write_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of data bytes written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('failed-post-actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Active Opens that failed in the Post
                Active State for this neighbor
                ''',
                'failed_post_actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of socket reads after nbr crossed high
                threshold
                ''',
                'high_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing inbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (milliseconds)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (milliseconds)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-nsr-scoped-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last time NSR scoped syncwas done for the
                neighbor
                ''',
                'last_nsr_scoped_sync',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sent-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seq No of the last sent byte
                ''',
                'last_sent_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num socket reads after nbrs crossed low
                threshold
                ''',
                'low_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-read-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of largest socket (milliseconds)
                ''',
                'maximum_read_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-fd', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary FD, per nbr
                ''',
                'nbr_fd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr flags, per thread
                ''',
                'nbr_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket status, TRUE if socket closed
                ''',
                'network_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-oper-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times NSR scoped sync has been done
                ''',
                'nsr_oper_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passive-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Remote opens for this
                neighborneighbor due to collision 
                ''',
                'passive_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Passive opens for this
                neighbor
                ''',
                'passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rejected-passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rejected Passive opens for this
                neighbor
                ''',
                'rejected_passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reset flags, per thread
                ''',
                'reset_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reset Retries, per nbr
                ''',
                'reset_retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list 
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sync flags, per nbr
                ''',
                'sync_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read after being
                throttled
                ''',
                'time_since_last_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (milliseconds)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process sub-group
                message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group msgs processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'open',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive', 
                [], [], 
                '''                Keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification', 
                [], [], 
                '''                Notification
                ''',
                'notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open', REFERENCE_CLASS, 'Open' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open', 
                [], [], 
                '''                Open
                ''',
                'open',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refresh', REFERENCE_CLASS, 'RouteRefresh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh', 
                [], [], 
                '''                Route refresh
                ''',
                'route_refresh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total', 
                [], [], 
                '''                Total
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update', 
                [], [], 
                '''                Update
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-phase-two-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('processed-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages processed from the neighbor's
                write queue
                ''',
                'processed_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent from the neighbor's
                write queue
                ''',
                'sent_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_update_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_update_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_withdraw_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_withdraw_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-pending-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sub-group messages waiting to be sent out
                on this neighbor -- DEPRECATED -- 
                ''',
                'sub_group_pending_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo
                ''',
                'acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of default VRF import disable
                ''',
                'advertise_afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-eo-r-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EoR Can be sent for Advertise AFI
                ''',
                'advertise_afi_eo_r_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of VRF re-import disable
                ''',
                'advertise_afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 default VRF import disable
                ''',
                'advertise_evp_nv4afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 VRF re-import disable
                ''',
                'advertise_evp_nv4afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 default VRF import disable
                ''',
                'advertise_evp_nv6afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 VRF re-import disable
                ''',
                'advertise_evp_nv6afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-received-in-read-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                An EoR was received while in read-only mode
                ''',
                'eo_r_received_in_read_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default origination update sent
                ''',
                'is_default_originate_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding capability received
                ''',
                'is_ext_nh_encoding_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexhop encoding capability Sent
                ''',
                'is_ext_nh_encoding_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-leaving', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr leaving update-groupto another
                ''',
                'is_update_leaving',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Updates Throttled becausewrite limit is reached
                ''',
                'is_update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-performance-statistics', REFERENCE_CLASS, 'NeighborAfPerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics', 
                [], [], 
                '''                Neighbor AF statistics
                ''',
                'neighbor_af_performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor version
                ''',
                'neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-best-externalpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of best-external paths from this neighbor
                ''',
                'number_of_best_externalpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bestpaths from this neighbor
                ''',
                'number_of_bestpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes accepted
                ''',
                'prefixes_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes advertised
                ''',
                'prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-be-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No BE prefixes advertised
                ''',
                'prefixes_be_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied
                ''',
                'prefixes_denied',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-no-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because there was no
                inbound policy
                ''',
                'prefixes_denied_no_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-non-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes exactly denied (non cumulative)
                ''',
                'prefixes_denied_non_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-orf-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by prefix based ORF
                policy
                ''',
                'prefixes_denied_orf_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by inbound policy
                ''',
                'prefixes_denied_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-rt-permit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because RT extended
                community is not imported
                ''',
                'prefixes_denied_rt_permit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes suppressed
                ''',
                'prefixes_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-synced', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes synced to standby
                ''',
                'prefixes_synced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn
                ''',
                'prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn but not found
                ''',
                'prefixes_withdrawn_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version acked by the peer for refresh updates
                sent
                ''',
                'refresh_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version for refresh update generation
                ''',
                'refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version till which refresh updates have been
                generated
                ''',
                'refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests received
                ''',
                'route_refreshes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests sent
                ''',
                'route_refreshes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'synced_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write
                ''',
                'actual_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write before reset
                ''',
                'actual_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write
                ''',
                'actual_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write before reset
                ''',
                'actual_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attempted-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write
                ''',
                'attempted_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write before reset
                ''',
                'attempted_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write
                ''',
                'attempted_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write before reset
                ''',
                'attempted_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-created-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_created_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-state-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp since when nbr is in this bfd state
                ''',
                'bfd_state_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes read
                ''',
                'bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes written by write thread
                ''',
                'bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connect-retry-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time (in secs) for connect retry timer
                ''',
                'connect_retry_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-admin-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative status of connection
                ''',
                'connection_admin_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times connection was dropped
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-established-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) that the connection has been
                established
                ''',
                'connection_established_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local port for the connection
                ''',
                'connection_local_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote port for the connection
                ''',
                'connection_remote_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the connection was established
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('count-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-data-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining discard data (bytes) on Standby
                ''',
                'discard_data_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic neighbor
                ''',
                'dynamic_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications received on the
                connection
                ''',
                'error_notifies_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications sent on the
                connection
                ''',
                'error_notifies_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fpbsn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby PDU boundary SeqNo offset
                ''',
                'fpbsn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fssn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby SeqNo offset
                ''',
                'fssn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) negotiated for this
                connection
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for io
                control
                ''',
                'io_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability received
                ''',
                'is4_byte_as_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability Snt
                ''',
                'is4_byte_as_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation suppressed
                ''',
                'is_capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-as-league', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer belongs to AS League
                ''',
                'is_ebgp_peer_as_league',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-common-admin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer with common administation
                ''',
                'is_ebgp_peer_common_admin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-external-neighbor-not-directly-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                External neighbor not directly connected
                ''',
                'is_external_neighbor_not_directly_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-gr-aware', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GR awareness received
                ''',
                'is_gr_aware',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down during a SEVERE low memory
                condition
                ''',
                'is_out_of_memory_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-read-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket read isdisabled
                ''',
                'is_read_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh capability received
                ''',
                'is_route_refresh_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-old-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh old capability received
                ''',
                'is_route_refresh_old_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) negotiated for this
                connection
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-ackd-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SeqNo of the last Ackd byte
                ''',
                'last_ackd_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aerror-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that an error
                was encountered after KA expiry
                ''',
                'last_k_aerror_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last KA timer expiry before
                reset
                ''',
                'last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-anotsent-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that KA was
                not sent before reset
                ''',
                'last_k_anotsent_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the last KA timer start
                before reset
                ''',
                'last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Code for the last error notification seen on the
                connection
                ''',
                'last_notify_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode of the last error notification
                seen on the connection
                ''',
                'last_notify_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write thread event
                ''',
                'last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-statistics', REFERENCE_CLASS, 'MessageStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics', 
                [], [], 
                '''                Message statistics
                ''',
                'message_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages received
                ''',
                'messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent
                ''',
                'messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multi-protocol-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multi-protocol capability has been received
                ''',
                'multi_protocol_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('negotiated-protocol-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Negotiated protocol version
                ''',
                'negotiated_protocol_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Handle of Neighbor
                ''',
                'neighbor_interface_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open-check-error-code', REFERENCE_ENUM_CLASS, 'BgpOpenCheckErrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpOpenCheckErrEnum', 
                [], [], 
                '''                Open check error code
                ''',
                'open_check_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If peer closed, error received from transport
                ''',
                'peer_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-reset-reason', REFERENCE_ENUM_CLASS, 'BgpPeerResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpPeerResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last peer close event
                ''',
                'peer_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('previous-connection-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Previous state of connection
                ''',
                'previous_connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for read
                ''',
                'read_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-notification-info', REFERENCE_CLASS, 'ReceivedNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo', 
                [], [], 
                '''                Information on the last notification received
                ''',
                'received_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-notification-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification was sent during last reset
                ''',
                'reset_notification_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last connection reset
                ''',
                'reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the neighbor
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last KA timer expiry
                before reset
                ''',
                'second_last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the second last KA timer
                start before reset
                ''',
                'second_last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last write thread
                event
                ''',
                'second_last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-notification-info', REFERENCE_CLASS, 'SendNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo', 
                [], [], 
                '''                Information on the last notification sent
                ''',
                'send_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total read bytes value insocket-lib
                ''',
                'socket_read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-done-time-spec', REFERENCE_CLASS, 'TcpInitSyncDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Done
                ''',
                'tcp_init_sync_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-phase-two-time-spec', REFERENCE_CLASS, 'TcpInitSyncPhaseTwoTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Phase
                Two
                ''',
                'tcp_init_sync_phase_two_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-time-spec', REFERENCE_CLASS, 'TcpInitSyncTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncTimeSpec', 
                [], [], 
                '''                Time When neighbor entered TCP Init Sync
                ''',
                'tcp_init_sync_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CB
                ''',
                'time_last_cb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last CB before reset
                ''',
                'time_last_cb_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-fb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FB
                ''',
                'time_last_fb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-connection-last-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the connection last went down
                (seconds)
                ''',
                'time_since_connection_last_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read
                ''',
                'time_since_last_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read before last reset
                ''',
                'time_since_last_read_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last update message was
                received
                ''',
                'time_since_last_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write
                ''',
                'time_since_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second  last write
                ''',
                'time_since_second_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_second_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update bytes read
                ''',
                'update_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update msgs received
                ''',
                'update_messages_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for write
                ''',
                'write_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor', 
                [], [], 
                '''                A BGP Neighbor table entry
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NextHopVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NextHopVrf',
            False, 
            [
            _MetaInfoClassMember('last-notification-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Processing time for the last notification
                ''',
                'last_notification_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notificationication-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was received
                ''',
                'last_notificationication_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-notification-bestpath-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath changes caused by
                notification which resulted in maximum
                processing
                ''',
                'max_notification_bestpath_changes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-notification-bestpath-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath deletes caused by
                notification which resulted in maximum
                processing
                ''',
                'max_notification_bestpath_deletes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-proc-notification-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                How long since the maximum processing time
                notifcation was received
                ''',
                'max_proc_notification_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum time spent procesing a single batch
                notification
                ''',
                'maximum_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total time spent in processing
                ''',
                'total_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cfg-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                router does not change next-hop
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'idle-watch-timer-remaining-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_',
            False, 
            [
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-timer-remaining-value', REFERENCE_CLASS, 'IdleWatchTimerRemainingValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue', 
                [], [], 
                '''                Idle watch timer remaining time
                ''',
                'idle_watch_timer_remaining_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-idle-watch-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is idle watch timer running
                ''',
                'is_idle_watch_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress', 
                [], [], 
                '''                Dynamic Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-age', REFERENCE_CLASS, 'NeighborAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAge', 
                [], [], 
                '''                Neighbor age
                ''',
                'neighbor_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange',
            False, 
            [
            _MetaInfoClassMember('neighbor-range-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor Range prefix
                ''',
                'neighbor_range_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-range-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Neighbor Range prefix
                        ''',
                        'neighbor_range_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-range-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Neighbor Range prefix
                        ''',
                        'neighbor_range_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive Disabled
                ''',
                'addpath_receive_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive enable
                ''',
                'addpath_receive_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send Disabled
                ''',
                'addpath_send_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send enabled
                ''',
                'addpath_send_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attrf-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attrf Group Name
                ''',
                'attrf_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cfg-local-address', REFERENCE_CLASS, 'CfgLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress', 
                [], [], 
                '''                Configured local address
                ''',
                'cfg_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Dynamic nbrs in range
                ''',
                'current_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dynamic Neighbor idle-watch time (in seconds)
                ''',
                'idle_watch_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_', 
                [], [], 
                '''                Dynamic Neighbor Instance List
                ''',
                'instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('islocal-address-cfg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured
                ''',
                'islocal_address_cfg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max Dynamic nbrs in range
                ''',
                'max_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-buf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message Buf Count
                ''',
                'msg_buf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-bug-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Message Buf Circular
                ''',
                'msg_bug_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-rcv-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr Receive Size
                ''',
                'nbr_rcv_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-send-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr Send Size
                ''',
                'nbr_send_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-range-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor Range Prefix Length
                ''',
                'neighbor_range_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('oper-attrf-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Oper attrf Enable
                ''',
                'oper_attrf_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-inst-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error during instance creation
                ''',
                'range_inst_error',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-max-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                open drop due to max peers
                ''',
                'range_max_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-open-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                open accepted
                ''',
                'range_open_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-open-match', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Passive open matching range
                ''',
                'range_open_match',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote AS List Name
                ''',
                'remote_as_list_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('syslog-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                syslog enable
                ''',
                'syslog_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('upd-errh-noreset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update errh noreset
                ''',
                'upd_errh_noreset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Update Source
                ''',
                'update_source',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges',
            False, 
            [
            _MetaInfoClassMember('neighbor-range', REFERENCE_LIST, 'NeighborRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange', 
                [], [], 
                '''                A BGP Neighbor Range table entry
                ''',
                'neighbor_range',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'logged-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage',
            False, 
            [
            _MetaInfoClassMember('logged-message-data', REFERENCE_LIST, 'LoggedMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'logged_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Message data length
                ''',
                'message_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-timestamp', REFERENCE_CLASS, 'MessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp', 
                [], [], 
                '''                message received time: time elapsed since 00:00
                :00 UTC, January 1, 1970
                ''',
                'message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-type-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of messages Received
                ''',
                'message_type_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-logged-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total logged messages count
                ''',
                'total_logged_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog',
            False, 
            [
            _MetaInfoClassMember('direction', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Direction
                ''',
                'direction',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-message', REFERENCE_LIST, 'NeighborMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage', 
                [], [], 
                '''                Array of Neighbor Messages in one direction
                ''',
                'neighbor_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-log',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs',
            False, 
            [
            _MetaInfoClassMember('message-log', REFERENCE_LIST, 'MessageLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog', 
                [], [], 
                '''                A BGP Message log entry
                ''',
                'message_log',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-logs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.DefaultVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.DefaultVrf',
            False, 
            [
            _MetaInfoClassMember('afs', REFERENCE_CLASS, 'Afs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs', 
                [], [], 
                '''                BGP address family table
                ''',
                'afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp', REFERENCE_CLASS, 'Bmp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp', 
                [], [], 
                '''                BMP related Operational Data
                ''',
                'bmp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-process-info', REFERENCE_CLASS, 'GlobalProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo', 
                [], [], 
                '''                The Global Process information table
                ''',
                'global_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Information', 
                [], [], 
                '''                Meta data for VRF
                ''',
                'information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-logs', REFERENCE_CLASS, 'MessageLogs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs', 
                [], [], 
                '''                The BGP Neighbor Message table
                ''',
                'message_logs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-ranges', REFERENCE_CLASS, 'NeighborRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges', 
                [], [], 
                '''                The BGP Dynamic Neighbor Range table
                ''',
                'neighbor_ranges',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors', 
                [], [], 
                '''                The BGP Neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-vrf', REFERENCE_CLASS, 'NextHopVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.NextHopVrf', 
                [], [], 
                '''                A BGP Next-hop VRF table entry
                ''',
                'next_hop_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postits', REFERENCE_CLASS, 'Postits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits', 
                [], [], 
                '''                The BGP Neighbor table
                ''',
                'postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-info', REFERENCE_CLASS, 'ProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo', 
                [], [], 
                '''                A Process instance table entry
                ''',
                'process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sessions', REFERENCE_CLASS, 'Sessions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions', 
                [], [], 
                '''                The BGP session table
                ''',
                'sessions',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-neighbors', REFERENCE_CLASS, 'UpdateInboundErrorNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors', 
                [], [], 
                '''                Update inbound error information for all
                neighbors
                ''',
                'update_inbound_error_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-vrf', REFERENCE_CLASS, 'UpdateInboundErrorVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorVrf', 
                [], [], 
                '''                Update inbound error information for the VRF
                ''',
                'update_inbound_error_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-neighbors', REFERENCE_CLASS, 'UpdateInboundFilterNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors', 
                [], [], 
                '''                Update inbound filtering information for all
                neighbors
                ''',
                'update_inbound_filter_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-vrf', REFERENCE_CLASS, 'UpdateInboundFilterVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterVrf', 
                [], [], 
                '''                Update inbound filtering information for the VRF
                ''',
                'update_inbound_filter_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'default-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateInboundFilterProcess.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateInboundFilterProcess.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateInboundFilterProcess' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateInboundFilterProcess',
            False, 
            [
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered messages received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateInboundFilterProcess.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last filtered messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received filtered
                messages
                ''',
                'update_filtered_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes.Attribute',
            False, 
            [
            _MetaInfoClassMember('attribute-cache-bucket', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache bucket
                ''',
                'attribute_cache_bucket',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-cache-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache ID
                ''',
                'attribute_cache_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-iid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute IID
                ''',
                'attribute_iid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-info', REFERENCE_CLASS, 'AttributeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo', 
                [], [], 
                '''                Attributes
                ''',
                'attribute_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Instance ID
                ''',
                'attribute_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-hash-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hash value for attribute structure
                ''',
                'attribute_structure_hash_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ID of attribute structure
                ''',
                'attribute_structure_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths which use this attribute
                structure
                ''',
                'reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.Attributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.Attributes',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_LIST, 'Attribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes.Attribute', 
                [], [], 
                '''                A BGP Attribute table entry
                ''',
                'attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RtEntries.RtEntry.Rt' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RtEntries.RtEntry.Rt',
            False, 
            [
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                route target
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RtEntries.RtEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RtEntries.RtEntry',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                afs
                ''',
                'afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('request-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Random Request ID
                ''',
                'request_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-target-lower-bytes', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Lower 4 bytes of RT
                ''',
                'route_target_lower_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-target-upper-bytes', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upper 4 bytes of RT
                ''',
                'route_target_upper_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt', REFERENCE_CLASS, 'Rt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RtEntries.RtEntry.Rt', 
                [], [], 
                '''                rt
                ''',
                'rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RtEntries' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RtEntries',
            False, 
            [
            _MetaInfoClassMember('rt-entry', REFERENCE_LIST, 'RtEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RtEntries.RtEntry', 
                [], [], 
                '''                BGP Route Target Set Entry
                ''',
                'rt_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups.AttributeFilterGroup.AttributeFilterEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups.AttributeFilterGroup.AttributeFilterEntry',
            False, 
            [
            _MetaInfoClassMember('attribute-filter-entry-range-end', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                End of attribute range
                ''',
                'attribute_filter_entry_range_end',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-filter-entry-range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start of attribute range
                ''',
                'attribute_filter_entry_range_start',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-filter-entry-requested-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Requested filtering action
                ''',
                'attribute_filter_entry_requested_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-filter-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups.AttributeFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups.AttributeFilterGroup',
            False, 
            [
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Attribute-filter group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('attribute-filter-entry', REFERENCE_LIST, 'AttributeFilterEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups.AttributeFilterGroup.AttributeFilterEntry', 
                [], [], 
                '''                List of attriute-filter entries
                ''',
                'attribute_filter_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-filter-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute-filter group name
                ''',
                'attribute_filter_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-filter-total-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of attriute-filter groups
                ''',
                'attribute_filter_total_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups',
            False, 
            [
            _MetaInfoClassMember('attribute-filter-group', REFERENCE_LIST, 'AttributeFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups.AttributeFilterGroup', 
                [], [], 
                '''                Attribute-filter group
                ''',
                'attribute_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-filter-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RpkiServerList.RpkiServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RpkiServerList.RpkiServer',
            False, 
            [
            _MetaInfoClassMember('close-reason', REFERENCE_ENUM_CLASS, 'BgpRpkiCreasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiCreasonEnum', 
                [], [], 
                '''                Server close reason
                ''',
                'close_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('close-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server close elapsed time
                ''',
                'close_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('close-time-real', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server close real timestamp (unix time)
                ''',
                'close_time_real',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4roa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv4 ROAs currently recv'd from server
                ''',
                'ipv4roa',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4roa-announce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv4 ROAs announced by the server
                ''',
                'ipv4roa_announce',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4roa-withdraw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv4 ROAs withdrawn by the server
                ''',
                'ipv4roa_withdraw',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv6 ROAs currently recv'd from server
                ''',
                'ipv6roa',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa-announce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv6 ROAs announced by the server
                ''',
                'ipv6roa_announce',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa-withdraw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv6 ROAs withdrawn by the server
                ''',
                'ipv6roa_withdraw',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server Name
                ''',
                'name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nonce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server nonce
                ''',
                'nonce',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server SSH password
                ''',
                'password',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server TCP Port number
                ''',
                'port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server Preference
                ''',
                'preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proto-error', REFERENCE_ENUM_CLASS, 'BgpRpkiPerrorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiPerrorEnum', 
                [], [], 
                '''                Protocol Error Reason
                ''',
                'proto_error',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proto-state', REFERENCE_ENUM_CLASS, 'BgpRpkiPstateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiPstateEnum', 
                [], [], 
                '''                Server Protocol state
                ''',
                'proto_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proto-state-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server Protocol state timestamp (unix time)
                ''',
                'proto_state_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('purge-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Server purge time (seconds)
                ''',
                'purge_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bytes read from the server
                ''',
                'read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Server refresh time (seconds)
                ''',
                'refresh_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('response-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Server response time (seconds)
                ''',
                'response_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection retries
                ''',
                'retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('serial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server serial number
                ''',
                'serial',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Server Shutdown
                ''',
                'shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sshpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server SSH process ID
                ''',
                'sshpid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'BgpRpkiStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiStateEnum', 
                [], [], 
                '''                Server Internal State
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('state-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server Internal State timestamp (unix time)
                ''',
                'state_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('transport', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server transport type
                ''',
                'transport',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server SSH username
                ''',
                'username',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bytes written to the server
                ''',
                'write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RpkiServerList' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RpkiServerList',
            False, 
            [
            _MetaInfoClassMember('rpki-server', REFERENCE_LIST, 'RpkiServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RpkiServerList.RpkiServer', 
                [], [], 
                '''                Array of RPKI servers
                ''',
                'rpki_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-server-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RpkiRoutes.RpkiRoute.RpkiRoute_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RpkiRoutes.RpkiRoute.RpkiRoute_',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address Prefix
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpRpkiAfEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiAfEnum', 
                [], [], 
                '''                Address Family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS number
                ''',
                'as_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Prefix Length
                ''',
                'max_prefix_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minimum Prefix Length
                ''',
                'min_prefix_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Refcount
                ''',
                'refcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('server', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Server
                ''',
                'server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ROA is stale
                ''',
                'stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RpkiRoutes.RpkiRoute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RpkiRoutes.RpkiRoute',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Route Address (IPv4 / IPv6)
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpRpkiEdmAfEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiEdmAfEnum', 
                [], [], 
                '''                Address family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Maximum Prefix Length
                ''',
                'maximum',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Minimum Prefix Length
                ''',
                'minimum',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-route', REFERENCE_LIST, 'RpkiRoute_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RpkiRoutes.RpkiRoute.RpkiRoute_', 
                [], [], 
                '''                Array or RPKI routes
                ''',
                'rpki_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RpkiRoutes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RpkiRoutes',
            False, 
            [
            _MetaInfoClassMember('rpki-route', REFERENCE_LIST, 'RpkiRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RpkiRoutes.RpkiRoute', 
                [], [], 
                '''                RPKI Path Group
                ''',
                'rpki_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateInboundErrorProcess.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateInboundErrorProcess.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.UpdateInboundErrorProcess' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.UpdateInboundErrorProcess',
            False, 
            [
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed messages received
                event (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateInboundErrorProcess.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-basic-ebgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is basic error-handling for EBGP enabled
                ''',
                'update_error_handling_basic_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-basic-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is basic error-handling for IBGP enabled
                ''',
                'update_error_handling_basic_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-extended-ebgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is extended error-handling for EBGP enabled
                ''',
                'update_error_handling_extended_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-extended-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is extended error-handling for IBGP enabled
                ''',
                'update_error_handling_extended_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received malformed
                messages
                ''',
                'update_malformed_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive.RpkiSummary' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive.RpkiSummary',
            False, 
            [
            _MetaInfoClassMember('ipv4roa-nets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv4 ROA Nets
                ''',
                'ipv4roa_nets',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4roa-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv4 ROA Paths
                ''',
                'ipv4roa_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa-nets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 ROA Nets
                ''',
                'ipv6roa_nets',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 ROA Paths
                ''',
                'ipv6roa_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow invalid paths
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI Knob disabled
                ''',
                'rpki_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal RPKI validity to iBGP peers
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use RPKI validity for bestpath calculation
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPKI Servers configured
                ''',
                'servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceActive' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceActive',
            False, 
            [
            _MetaInfoClassMember('attribute-filter-groups', REFERENCE_CLASS, 'AttributeFilterGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups', 
                [], [], 
                '''                All attribute-filter groups in this instance
                ''',
                'attribute_filter_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Attributes', 
                [], [], 
                '''                The BGP Attribute table
                ''',
                'attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-vrf', REFERENCE_CLASS, 'DefaultVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.DefaultVrf', 
                [], [], 
                '''                Default VRF related operational data
                ''',
                'default_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-entries', REFERENCE_CLASS, 'LabelEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.LabelEntries', 
                [], [], 
                '''                BGP Label Table
                ''',
                'label_entries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-rpf-entries', REFERENCE_CLASS, 'LabelRpfEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.LabelRpfEntries', 
                [], [], 
                '''                BGP Label RPF Table
                ''',
                'label_rpf_entries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-summary', REFERENCE_CLASS, 'LabelSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.LabelSummary', 
                [], [], 
                '''                BGP Label Summary
                ''',
                'label_summary',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-refresh-afs', REFERENCE_CLASS, 'RpkiRefreshAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs', 
                [], [], 
                '''                RPKI Refresh Table (per AF)
                ''',
                'rpki_refresh_afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-routes', REFERENCE_CLASS, 'RpkiRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RpkiRoutes', 
                [], [], 
                '''                BGP RPKI ROA table
                ''',
                'rpki_routes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-server-list', REFERENCE_CLASS, 'RpkiServerList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RpkiServerList', 
                [], [], 
                '''                RPKI Server Table
                ''',
                'rpki_server_list',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-summary', REFERENCE_CLASS, 'RpkiSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RpkiSummary', 
                [], [], 
                '''                RPKI Summary Info
                ''',
                'rpki_summary',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-entries', REFERENCE_CLASS, 'RtEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.RtEntries', 
                [], [], 
                '''                BGP Route Target Sets Table
                ''',
                'rt_entries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-process', REFERENCE_CLASS, 'UpdateGenerationProcess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess', 
                [], [], 
                '''                Update generation for the process
                ''',
                'update_generation_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-process', REFERENCE_CLASS, 'UpdateInboundErrorProcess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateInboundErrorProcess', 
                [], [], 
                '''                Update inbound error information for the process
                ''',
                'update_inbound_error_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-process', REFERENCE_CLASS, 'UpdateInboundFilterProcess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.UpdateInboundFilterProcess', 
                [], [], 
                '''                Update inbound filtering information for the
                process
                ''',
                'update_inbound_filter_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive.Vrfs', 
                [], [], 
                '''                VRF related operational data
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'instance-active',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateAddressFamily',
            False, 
            [
            _MetaInfoClassMember('current-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current AF update limit
                ''',
                'current_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group count
                ''',
                'update_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-process', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Process update limit
                ''',
                'configured_update_limit_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-process', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Process update limit
                ''',
                'current_update_limit_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-address-family', REFERENCE_LIST, 'UpdateAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateAddressFamily', 
                [], [], 
                '''                List of address-families
                ''',
                'update_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-logging', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enable syslog messages for update generation
                events
                ''',
                'update_out_logging',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs.RpkiRefreshAf.RefreshEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs.RpkiRefreshAf.RefreshEntry',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpRpkiAfEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiAfEnum', 
                [], [], 
                '''                Address Family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP paths were dropped
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP paths modified or dropped
                ''',
                'paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Policy
                ''',
                'policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'refresh-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs.RpkiRefreshAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs.RpkiRefreshAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpRpkiEdmAfEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiEdmAfEnum', 
                [], [], 
                '''                Adress family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('refresh-entry', REFERENCE_LIST, 'RefreshEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs.RpkiRefreshAf.RefreshEntry', 
                [], [], 
                '''                Array of refresh entries
                ''',
                'refresh_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-refresh-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs',
            False, 
            [
            _MetaInfoClassMember('rpki-refresh-af', REFERENCE_LIST, 'RpkiRefreshAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs.RpkiRefreshAf', 
                [], [], 
                '''                RPKI Refresh List
                ''',
                'rpki_refresh_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-refresh-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorVrf',
            False, 
            [
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed messages received
                event (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received malformed
                messages
                ''',
                'update_malformed_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd',
            False, 
            [
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds',
            False, 
            [
            _MetaInfoClassMember('network-lookup-rd', REFERENCE_LIST, 'NetworkLookupRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network_lookup_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd',
            False, 
            [
            _MetaInfoClassMember('network-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network 
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network 
                        ''',
                        'network_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network 
                        ''',
                        'network_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('network-lookup-rds', REFERENCE_CLASS, 'NetworkLookupRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_lookup_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-all-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds',
            False, 
            [
            _MetaInfoClassMember('network-lookup-all-rd', REFERENCE_LIST, 'NetworkLookupAllRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_lookup_all_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-all-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-out', REFERENCE_CLASS, 'AttributesAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut', 
                [], [], 
                '''                Attributes after outbound policy
                ''',
                'attributes_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists All 'sp_path_in' fields except
                'sp_path_in->bag_prefix' are invalid.  All
                'sp_path_out' fields are invalid.
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-in', REFERENCE_CLASS, 'PathInfoAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn', 
                [], [], 
                '''                Path information after inbound policy
                ''',
                'path_info_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-out', REFERENCE_CLASS, 'PathInfoAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut', 
                [], [], 
                '''                Path information after outbound policy
                ''',
                'path_info_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy', 
                [], [], 
                '''                A BGP Policy table entry
                ''',
                'policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'policies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Convergence' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Convergence',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('are-write-queues-empty', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All neighbor write queues are empty
                ''',
                'are_write_queues_empty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Convergence has been reached
                ''',
                'has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-start-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-rib',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-import',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'install-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall',
            False, 
            [
            _MetaInfoClassMember('install-time', REFERENCE_CLASS, 'InstallTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime', 
                [], [], 
                '''                RIB install time
                ''',
                'install_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('installed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Installed routes
                ''',
                'installed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('modified-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Modified routes
                ''',
                'modified_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start version
                ''',
                'start_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version
                ''',
                'target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-time', REFERENCE_CLASS, 'UpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime', 
                [], [], 
                '''                RIB update time
                ''',
                'update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('withdrawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdrawn routes
                ''',
                'withdrawn_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rib-install',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('freed-rd-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of RDs freed
                ''',
                'freed_rd_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when Import thread is last triggered
                ''',
                'import_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Import thread is last triggered
                ''',
                'import_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Import thread triggers
                ''',
                'import_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by import thread
                ''',
                'import_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total imported paths memory
                ''',
                'imported_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total impoorted paths 
                ''',
                'imported_paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when label thread is last triggered
                ''',
                'label_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Label thread is last triggered
                ''',
                'label_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label thread triggers
                ''',
                'label_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by label thread
                ''',
                'label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-import-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Import thread version when last triggered
                ''',
                'last_import_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label thread version when last triggered
                ''',
                'last_label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB thread version when last triggered
                ''',
                'last_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks freed
                ''',
                'local_networks_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks malloced
                ''',
                'local_networks_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks memory
                ''',
                'local_networks_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks
                ''',
                'local_networks_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths freed
                ''',
                'local_paths_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths malloced
                ''',
                'local_paths_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths memory
                ''',
                'local_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths
                ''',
                'local_paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-rd-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of RDs malloced
                ''',
                'malloced_rd_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-active-pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Active Pelem Version
                ''',
                'max_active_pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('merged-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merged Table Version
                ''',
                'merged_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath network entries
                ''',
                'multipath_network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-network-entry-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used bymultipath network
                entries
                ''',
                'multipath_network_entry_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath paths
                ''',
                'multipath_paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used bymultimpath paths
                ''',
                'multipath_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks freed
                ''',
                'networks_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks malloced
                ''',
                'networks_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks memory
                ''',
                'networks_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of networks
                ''',
                'networks_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-init-sync-pfx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of prefix synced during Initsync
                ''',
                'num_init_sync_pfx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems freed
                ''',
                'path_elems_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems malloced
                ''',
                'path_elems_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems memory
                ''',
                'path_elems_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of path-elems
                ''',
                'path_elems_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths freed
                ''',
                'paths_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths malloced
                ''',
                'paths_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths memory
                ''',
                'paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of paths
                ''',
                'paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by RD data
                ''',
                'rd_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-ack-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack requests
                ''',
                'rib_ack_requests',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acked-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version acked by RIB
                ''',
                'rib_acked_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack received
                ''',
                'rib_acks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-brib-received-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version received from 
                ''',
                'rib_brib_received_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-install', REFERENCE_CLASS, 'RibInstall' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall', 
                [], [], 
                '''                RIB install info
                ''',
                'rib_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when RIB thread is last triggered
                ''',
                'rib_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-slow-acks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for slow RIB acks
                ''',
                'rib_slow_acks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB thread triggers
                ''',
                'rib_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribbgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when RIB thread is last triggered
                ''',
                'ribbgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-download-go-active-done-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Download Go Active Done Pending
                ''',
                'route_download_go_active_done_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-state', REFERENCE_ENUM_CLASS, 'BgpRtrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRtrStateEnum', 
                [], [], 
                '''                Router state
                ''',
                'router_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version for sending updates to peers
                ''',
                'send_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by sync thread
                ''',
                'standby_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version sent to RIB/bRIB
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP table version
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of RDs
                ''',
                'total_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-remote-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of remote RDs
                ''',
                'total_remote_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-same-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of same RDs
                ''',
                'total_same_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-import', REFERENCE_CLASS, 'TriggerImport' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport', 
                [], [], 
                '''                Trigger import
                ''',
                'trigger_import',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-label', REFERENCE_CLASS, 'TriggerLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel', 
                [], [], 
                '''                Trigger label
                ''',
                'trigger_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-rib', REFERENCE_CLASS, 'TriggerRib' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib', 
                [], [], 
                '''                Trigger RIB
                ''',
                'trigger_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-update', REFERENCE_CLASS, 'TriggerUpdate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate', 
                [], [], 
                '''                Trigger update
                ''',
                'trigger_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-gen-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when Update generation thread is
                last triggered
                ''',
                'update_gen_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-gen-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Update generation thread is last
                triggered
                ''',
                'update_gen_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update thread triggers
                ''',
                'update_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-wait-install-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update wait-install enabled
                ''',
                'update_wait_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-done-time-spec', REFERENCE_CLASS, 'VersionWrapDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec', 
                [], [], 
                '''                Version Wrap handle Done timestamp
                ''',
                'version_wrap_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-start-time-spec', REFERENCE_CLASS, 'VersionWrapStartTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec', 
                [], [], 
                '''                Version Wrap handle start timestamp
                ''',
                'version_wrap_start_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-time-spec', REFERENCE_CLASS, 'VersionWrapTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec', 
                [], [], 
                '''                Version Wrap timestamp
                ''',
                'version_wrap_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrapped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times Version Wrap happened
                ''',
                'version_wrapped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrapped-tid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version Wrapped trigger tid
                ''',
                'version_wrapped_tid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Vrf_',
            False, 
            [
            _MetaInfoClassMember('add-path-install-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Additional paths installation is disabled
                ''',
                'add_path_install_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-install-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Additional paths installation is enabled
                ''',
                'add_path_install_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('any-ebgp-neighbor-missing-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is there any neighbor which is missing either
                inbound or outbound or both routing policy for
                this address family?
                ''',
                'any_ebgp_neighbor_missing_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('asbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Router is an ASBR for this AF
                ''',
                'asbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-download', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute download is 
                ''',
                'attribute_download',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best External is enabled
                ''',
                'best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-external-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best External is enabled
                ''',
                'best_external_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BMP net entries
                ''',
                'bmp_network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by path data
                ''',
                'bmp_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Number of BMP paths
                ''',
                'bmp_paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-prefix-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by prefix data
                ''',
                'bmp_prefix_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('damped-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of dampened paths
                ''',
                'damped_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of paths freed
                ''',
                'freed_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-path-elem-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of pathelems freed
                ''',
                'freed_path_elem_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-prefix-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of prefixes freed
                ''',
                'freed_prefix_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('history-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of history paths (for dampening)
                ''',
                'history_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-nexthop-self-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of iBGP sessions configured with nh-self
                ''',
                'ibgp_nexthop_self_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by imported paths
                ''',
                'imported_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths
                ''',
                'imported_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Router is an RR for this AF
                ''',
                'is_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-retain', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label retention is enabled
                ''',
                'label_retain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-retainvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label retention value enabled
                ''',
                'label_retainvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by local paths
                ''',
                'local_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of local paths
                ''',
                'local_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of paths malloced
                ''',
                'malloced_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-path-elem-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of path elems malloced
                ''',
                'malloced_path_elem_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-prefix-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of prefixes malloced
                ''',
                'malloced_prefix_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of network entries
                ''',
                'network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elem-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by pathelem data
                ''',
                'path_elem_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path elems
                ''',
                'path_elems_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by path data
                ''',
                'path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by prefix data
                ''',
                'prefix_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of (unused) received paths for inbound
                soft reconfiguration
                ''',
                'received_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('retain-rt-all', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retain-RT-All enabled
                ''',
                'retain_rt_all',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-target-download', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Target download is enabled
                ''',
                'route_target_download',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tbl-bitf-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bitfield size on table
                ''',
                'tbl_bitf_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tbl-chunk-bitf-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Chunk Bitfield size on table
                ''',
                'tbl_chunk_bitf_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-igpsr-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use IGP SR label for resolution
                ''',
                'use_igpsr_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-install-add',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-install-del',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-add',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-del',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-add-local',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-del-local',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_',
            False, 
            [
            _MetaInfoClassMember('first-nbr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when first peer came up (seconds since Jan
                1 1970)
                ''',
                'first_nbr_up_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if process has converged
                ''',
                'has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mode-enter-time', REFERENCE_LIST, 'ModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-add', REFERENCE_LIST, 'TotalPimCallbackAdd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd', 
                [], [], 
                '''                Total number of Pim callbacks for add
                ''',
                'total_pim_callback_add',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-add-local', REFERENCE_LIST, 'TotalPimCallbackAddLocal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal', 
                [], [], 
                '''                Total number of Pim callbacks for local add
                ''',
                'total_pim_callback_add_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-batch', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pim callback batches
                ''',
                'total_pim_callback_batch',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-callback-del', REFERENCE_LIST, 'TotalPimCallbackDel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel', 
                [], [], 
                '''                Total number of Pim callbacks for del
                ''',
                'total_pim_callback_del',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-del-local', REFERENCE_LIST, 'TotalPimCallbackDelLocal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal', 
                [], [], 
                '''                Total number of Pim callbacks for Local del
                ''',
                'total_pim_callback_del_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callbacks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of PIM callbacks
                ''',
                'total_pim_callbacks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-install', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of install to PIM
                ''',
                'total_pim_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-install-add', REFERENCE_LIST, 'TotalPimInstallAdd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd', 
                [], [], 
                '''                Total number of install to PIM for add
                ''',
                'total_pim_install_add',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-install-del', REFERENCE_LIST, 'TotalPimInstallDel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel', 
                [], [], 
                '''                Total number of install to PIM for del
                ''',
                'total_pim_install_del',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibCoverged' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibCoverged',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-rib-coverged',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibDown' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibDown',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-rib-down',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableFullTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableFullTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-table-full-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableFullTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableFullTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-table-full-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableHasSpaceTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableHasSpaceTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-table-has-space-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableHasSpaceTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableHasSpaceTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-table-has-space-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeLabelRetain' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeLabelRetain',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-label-retain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_',
            False, 
            [
            _MetaInfoClassMember('attributes-recover-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes recovered from RIB
                ''',
                'attributes_recover_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes withdrawn from RIB
                ''',
                'attributes_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes sent to RIB
                ''',
                'attributes_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-full-timestamp', REFERENCE_CLASS, 'FirstRibTableFullTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableFullTimestamp', 
                [], [], 
                '''                Timestamp when RIB table was full for the first
                time
                ''',
                'first_rib_table_full_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table was full for the first
                time
                ''',
                'first_rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-has-space-timestamp', REFERENCE_CLASS, 'FirstRibTableHasSpaceTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableHasSpaceTimestamp', 
                [], [], 
                '''                Timestamp when RIB table had space for the first
                time
                ''',
                'first_rib_table_has_space_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-has-space-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table had space for the first
                time
                ''',
                'first_rib_table_has_space_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-added-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths added
                ''',
                'import_added_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of calls to import processing function
                ''',
                'import_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-dest-net-processed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of destination nets processed
                ''',
                'import_dest_net_processed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-removed-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths removed
                ''',
                'import_removed_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-replaced-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths 
                ''',
                'import_replaced_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-src-net-processed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of source nets processed
                ''',
                'import_src_net_processed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent in import processing (milliseconds)
                Note time accounted against source nets.
                ''',
                'import_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-table-full', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if RIB table is in prefix-limit state
                ''',
                'is_rib_table_full',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-added-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels requested
                ''',
                'label_added_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to label allocation processing
                function
                ''',
                'label_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-release-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels released
                ''',
                'label_release_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-rewrite-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of label rewrites created
                ''',
                'label_rewrite_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent running label processing
                (milliseconds)
                ''',
                'label_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since RIB table was full for the last time
                (in seconds)
                ''',
                'last_rib_table_full_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-timestamp', REFERENCE_CLASS, 'LastRibTableFullTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableFullTimestamp', 
                [], [], 
                '''                Timestamp when RIB table was full for the last
                time
                ''',
                'last_rib_table_full_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table was full for the last
                time
                ''',
                'last_rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Times since RIB table had space for the last
                time (in seconds)
                ''',
                'last_rib_table_has_space_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-timestamp', REFERENCE_CLASS, 'LastRibTableHasSpaceTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableHasSpaceTimestamp', 
                [], [], 
                '''                Timestamp when RIB table had space for the last
                time
                ''',
                'last_rib_table_has_space_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table had space for the last
                time
                ''',
                'last_rib_table_has_space_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn from RIB
                ''',
                'prefixes_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-resent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes re-sent to RIB
                ''',
                'prefixes_resent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes sent to RIB
                ''',
                'prefixes_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table became full (from
                non-full)
                ''',
                'rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-del-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped on account of table
                delete
                ''',
                'rib_tbl_del_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-invalid-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of  rib update skipped due to table invalid
                ''',
                'rib_tbl_invalid_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped. due to no local label
                ''',
                'rib_tbl_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-retry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of table rib retires.
                ''',
                'rib_tbl_retry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-skip-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped
                ''',
                'rib_tbl_skip_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-trigger', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rib trigger enabled
                ''',
                'rib_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-update-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to RIB update function
                ''',
                'rib_update_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending RIB updates (milliseconds)
                ''',
                'rib_update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-runs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                # of times scanner has run
                ''',
                'scanner_runs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent running scanner (milliseconds)
                ''',
                'scanner_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update subgroup
                ''',
                'subgroup_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-label-retain', REFERENCE_CLASS, 'TimeLabelRetain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeLabelRetain', 
                [], [], 
                '''                Time last label retentiontriggered 
                ''',
                'time_label_retain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-update-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time last update was sent (seconds since Jan 1
                1970)
                ''',
                'time_last_update_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-rib-coverged', REFERENCE_CLASS, 'TimeRibCoverged' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibCoverged', 
                [], [], 
                '''                Time last RIB ack was sent 
                ''',
                'time_rib_coverged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-rib-down', REFERENCE_CLASS, 'TimeRibDown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibDown', 
                [], [], 
                '''                Time last RIB down wassent. This field is
                deprecated
                ''',
                'time_rib_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-be-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of be prefixes updates generated for
                ''',
                'update_generation_be_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to update generation function
                ''',
                'update_generation_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages generated
                ''',
                'update_generation_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes updates generated for
                ''',
                'update_generation_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating updates (milliseconds)
                ''',
                'update_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update group
                ''',
                'update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF flags for debug display
                ''',
                'vrf_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family id
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ID for the BGP process instance
                ''',
                'process_instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-totals', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                per VRF information aggregated across all VRFs
                ''',
                'vrf_totals',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-used-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet',
            False, 
            [
            _MetaInfoClassMember('rpc-set-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Nexthop set index
                ''',
                'rpc_set_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label assigned to the RPCnext-hop set
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_LIST, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop', 
                [], [], 
                '''                List of multipath next-hops
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath next-hops
                ''',
                'next_hop_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ref-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcount
                ''',
                'ref_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpc-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets',
            False, 
            [
            _MetaInfoClassMember('rpc-set', REFERENCE_LIST, 'RpcSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet', 
                [], [], 
                '''                A BGP next-hop set
                ''',
                'rpc_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpc-sets',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'install-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall',
            False, 
            [
            _MetaInfoClassMember('install-time', REFERENCE_CLASS, 'InstallTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime', 
                [], [], 
                '''                RIB install time
                ''',
                'install_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('installed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Installed routes
                ''',
                'installed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('modified-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Modified routes
                ''',
                'modified_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start version
                ''',
                'start_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version
                ''',
                'target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-time', REFERENCE_CLASS, 'UpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime', 
                [], [], 
                '''                RIB update time
                ''',
                'update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('withdrawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdrawn routes
                ''',
                'withdrawn_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rib-install',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'syncgrp-version',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('gblafrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'gblafrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'gblafrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'gblafrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'gblafrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-mcast-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global table mcast enabled
                ''',
                'global_mcast_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inter-as-install-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is inter-AS install to pim on ASBR enabled
                ''',
                'inter_as_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-perm-net-cfg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network Enabled
                ''',
                'is_perm_net_cfg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-tunnel-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Tunnel Version
                ''',
                'nh_tunnel_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-nbr-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of neighbors configured with perm net
                ''',
                'perm_nbr_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-del-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of removed perm paths
                ''',
                'perm_net_del_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-existing-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of existing perm paths
                ''',
                'perm_net_existing_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-insert-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of inserted perm paths
                ''',
                'perm_net_insert_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-rpl-process-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm nets processed in RPL
                ''',
                'perm_net_rpl_process_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-rpl-query-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm nets given by RPL
                ''',
                'perm_net_rpl_query_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-stale-del-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of stale perm paths
                ''',
                'perm_net_stale_del_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-stale-mark-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of stale marked perm paths
                ''',
                'perm_net_stale_mark_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-path-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm paths refreshed
                ''',
                'perm_path_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-all-bump-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of bumped perm pelems
                ''',
                'perm_pelem_all_bump_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-bump-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of bumped perm pelems
                ''',
                'perm_pelem_bump_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-free-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of freed perm pelems
                ''',
                'perm_pelem_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-ack-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack requests
                ''',
                'rib_ack_requests',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack received
                ''',
                'rib_acks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-install', REFERENCE_CLASS, 'RibInstall' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall', 
                [], [], 
                '''                RIB install info
                ''',
                'rib_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-path-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_path_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-path-not-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_path_not_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-pelem-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_pelem_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-pelem-not-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_pelem_not_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-reg-path-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_reg_path_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-slow-acks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for slow RIB acks
                ''',
                'rib_slow_acks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total prefixes of address-family scanned
                ''',
                'scan_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-segment-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes scanned in a segment of
                address-family
                ''',
                'scan_segment_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-segments', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of segments to scan all prefixes of
                address-family
                ''',
                'scan_segments',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Period (in seconds) of address-family scanner
                runs
                ''',
                'scanner_period',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('segmented-mcast-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is segmented mcast enabled
                ''',
                'segmented_mcast_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('syncgrp-version', REFERENCE_LIST, 'SyncgrpVersion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion', 
                [], [], 
                '''                Sync-group Version
                ''',
                'syncgrp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=2),
            _MetaInfoClassMember('update-wait-install-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update wait-install enabled
                ''',
                'update_wait_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Vrf_',
            False, 
            [
            _MetaInfoClassMember('aggregates-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dist for aggregate routes (local)
                ''',
                'aggregates_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('client-reflection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Client reflection enabled
                ''',
                'client_reflection_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampening-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dampening enabled
                ''',
                'dampening_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update generation enabled for MED change
                ''',
                'dynamic_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Delay in update generation after a MED change
                (in minutes)
                ''',
                'dynamic_med_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-periodic-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic MED periodic timer running
                ''',
                'dynamic_med_periodic_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-periodic-timer-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dynamic MED periodic timer value (in seconds)
                left on the timer
                ''',
                'dynamic_med_periodic_timer_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic MED timer running
                ''',
                'dynamic_med_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-timer-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dynamic MED timer value (in seconds) left on the
                timer
                ''',
                'dynamic_med_timer_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Distance for eBGP routes (external)
                ''',
                'ebgp_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Distance for iBGP routes (internal)
                ''',
                'ibgp_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-table-full', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if RIB table is in prefix-limit state
                ''',
                'is_rib_table_full',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-resolution-minimum-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop resoultion minimum prefix-length
                ''',
                'nexthop_resolution_minimum_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-resolution-minimum-prefix-length-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is nexthop resoultion minimum prefix-length
                configured ?
                ''',
                'nexthop_resolution_minimum_prefix_length_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-conv-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR conv version
                ''',
                'nsr_conv_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-is-conv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NSR is converged
                ''',
                'nsr_is_conv',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RD version
                ''',
                'rd_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acked-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version acked by RIB
                ''',
                'rib_acked_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-convergence-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last convergence version received from RIB
                ''',
                'rib_convergence_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received convergence notification from RIB
                ''',
                'rib_has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table became full (from
                non-full)
                ''',
                'rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version synced to RIB
                ''',
                'rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-ebgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective eBGP multipath isenabled
                ''',
                'selective_ebgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-eibgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective eiBGP multipath isenabled
                ''',
                'selective_eibgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-ibgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective iBGP multipath isenabled
                ''',
                'selective_ibgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table state is active
                ''',
                'table_is_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family id
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-stop routing enabled
                ''',
                'is_nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global-af-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix',
            False, 
            [
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network prefix
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes',
            False, 
            [
            _MetaInfoClassMember('network-prefix', REFERENCE_LIST, 'NetworkPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix', 
                [], [], 
                '''                A BGP Network Lookup prefix entry
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr',
            False, 
            [
            _MetaInfoClassMember('advertised-path', REFERENCE_LIST, 'AdvertisedPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath', 
                [], [], 
                '''                A BGP Advertised path table entry (bestpath)
                ''',
                'advertised_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork',
            False, 
            [
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-backdoor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if net is a backdoor route
                ''',
                'is_backdoor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sourced-prefix', REFERENCE_CLASS, 'SourcedPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix', 
                [], [], 
                '''                Prefix length
                ''',
                'sourced_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks',
            False, 
            [
            _MetaInfoClassMember('sourced-network', REFERENCE_LIST, 'SourcedNetwork' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork', 
                [], [], 
                '''                A BGP network command table entry
                ''',
                'sourced_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-networks',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('update-generation-be-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of be prefixes updates generated for
                ''',
                'update_generation_be_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to update generation function
                ''',
                'update_generation_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages generated
                ''',
                'update_generation_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes updates generated for
                ''',
                'update_generation_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating updates (milliseconds)
                ''',
                'update_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-process-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer processed for updgrp
                ''',
                'updgen_timer_process_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer started for updgrp
                ''',
                'updgen_timer_start_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-stop-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer stopped for updgrp
                ''',
                'updgen_timer_stop_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup',
            False, 
            [
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-advertised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertised to filtergroup in
                last update walk
                ''',
                'fgroup_advertised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-created-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems created for filtergroup
                ''',
                'fgroup_created_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-deleted-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems deleted
                ''',
                'fgroup_deleted_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags per filter group
                ''',
                'fgroup_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Nbrs per filter group
                ''',
                'fgroup_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-queued-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems queued
                ''',
                'fgroup_queued_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-skipped-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes skipped for filtergroup in
                last update walk
                ''',
                'fgroup_skipped_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-suppressed-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes suppressed for filtergroup in
                last update walk
                ''',
                'fgroup_suppressed_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-advertised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertised to filtergroup in
                all update walk
                ''',
                'fgroup_total_advertised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-non-optimised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes  non-optm from filtergroupin
                all update walk
                ''',
                'fgroup_total_non_optimised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes withdrawn f`rom filtergroupin
                all update walk
                ''',
                'fgroup_total_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes withdrawn f`rom filtergroupin
                last update walk
                ''',
                'fgroup_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this update sub-group
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT count per filter group
                ''',
                'rts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update sub-group index
                ''',
                'update_filter_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup',
            False, 
            [
            _MetaInfoClassMember('filter-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Update sub-group fgrp-num
                ''',
                'filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this subgrp not in any filtergrp
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group', REFERENCE_LIST, 'UpdateFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup', 
                [], [], 
                '''                Update f-group list
                ''',
                'update_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update sub-group index
                ''',
                'update_sub_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('wait-for-eo-rs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Wait for  RT Nbr EoRs
                ''',
                'wait_for_eo_rs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('accepts-legacy-pe-rt-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                accept-legacy-pe-RT route
                ''',
                'accepts_legacy_pe_rt_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS Override option
                ''',
                'as_override',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('desync-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the update has been
                desynchronized
                ''',
                'desync_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-def-vrf-imp-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising default VRF  imported routes
                ''',
                'disable_def_vrf_imp_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-native-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising native routes
                ''',
                'disable_native_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-vrf-re-imp-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising VRF re-imported routes
                ''',
                'disable_vrf_re_imp_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ext-nh-encoding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding cap received
                ''',
                'ext_nh_encoding',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter group index
                ''',
                'filter_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT active
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GSHUT local preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT local preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                GSHUT AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-orf-receive-capability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORF receive capability
                ''',
                'has_orf_receive_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AS capable peers
                ''',
                'is4_byte_as_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Add-path capable peers
                ''',
                'is_addpath_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send tranlsated paths
                ''',
                'is_adv_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-perm-net-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent-Net capable peers
                ''',
                'is_adv_perm_net_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-reorg-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Re-orig paths
                ''',
                'is_adv_reorg_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP capable peers
                ''',
                'is_aigp_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send AIGP cost community to peers
                ''',
                'is_aigp_cost_community_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-med-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send AIGP cost in MED
                ''',
                'is_aigp_med_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-client-reflection-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if client-to-client reflection is disabled 
                ''',
                'is_client_reflection_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-common-admin-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Common admin peers
                ''',
                'is_common_admin_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-directly-connected-ebgp-v6-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Directly connected EBGP v6 peers
                ''',
                'is_directly_connected_ebgp_v6_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal peers
                ''',
                'is_internal_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-labeled-afi-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update group has labeled AFI enabled
                ''',
                'is_labeled_afi_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-llgr-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Long-lived Stale paths
                ''',
                'is_llgr_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route-reflector client
                ''',
                'is_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send mcast attribute enabled
                ''',
                'is_send_mcast_attr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-unlabeled-afi-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update group has unlabeled AFI enabled
                ''',
                'is_unlabeled_afi_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum-advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'minimum_advertisement_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum-advertisement-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'minimum_advertisement_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this update group which are not in
                any sub-group
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-subgrp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current count of refresh subgroups
                ''',
                'refresh_subgrp_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outbound route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('session-af-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor session Address family
                ''',
                'session_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-remove-private-a-ss', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Remove private AS numbers
                ''',
                'should_remove_private_a_ss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-remove-private-as-ent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Remove private AS numbersif the entire path
                consistsof private ASes
                ''',
                'should_remove_private_as_ent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-communities', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send communities
                ''',
                'should_send_communities',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-ext-communities', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Extended communities
                ''',
                'should_send_ext_communities',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-gshut-community', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send GSHUT community
                ''',
                'should_send_gshut_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-stitching-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Stitching RT
                ''',
                'should_send_stitching_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Site-of-origin option
                ''',
                'soo',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soo-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Site-of-origin value
                ''',
                'soo_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Split horizon check
                ''',
                'split_horizon',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgrp-merge-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times sub-groups have been merged
                ''',
                'subgrp_merge_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family for update group
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update group index
                ''',
                'update_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group', REFERENCE_LIST, 'UpdateSubGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup', 
                [], [], 
                '''                Update sub-group list
                ''',
                'update_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updates-formatted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of updates formatted
                ''',
                'updates_formatted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updates-replicated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of updates replicated
                ''',
                'updates_replicated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgrp-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID (populated ifclient-to-client
                reflectionis disabled)
                ''',
                'updgrp_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgrp-cluster-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID type:undefined/number/Ip address
                ''',
                'updgrp_cluster_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-next-hop-self', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop self
                ''',
                'use_next_hop_self',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-next-hop-unchanged-mpath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next-hop-unchanged multipath
                ''',
                'use_next_hop_unchanged_mpath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups',
            False, 
            [
            _MetaInfoClassMember('update-group', REFERENCE_LIST, 'UpdateGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup', 
                [], [], 
                '''                A BGP Update group table entry
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'creation-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-merge-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-walk-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-walk-end-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-walk-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-walk-end-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-sub-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured update limit
                ''',
                'configured_update_limit_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('creation-timestamp', REFERENCE_CLASS, 'CreationTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp', 
                [], [], 
                '''                Creation time
                ''',
                'creation_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-sub-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current update limit
                ''',
                'current_update_limit_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-attempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Sending EoR has been attempted
                ''',
                'eo_r_attempted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-walk-end-timestamp', REFERENCE_CLASS, 'FirstUpdateWalkEndTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp', 
                [], [], 
                '''                First update walk end time
                ''',
                'first_update_walk_end_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-walk-start-timestamp', REFERENCE_CLASS, 'FirstUpdateWalkStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp', 
                [], [], 
                '''                First update walk start time
                ''',
                'first_update_walk_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-event-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IO write event pending
                ''',
                'io_write_event_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-merge-timestamp', REFERENCE_CLASS, 'LastMergeTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp', 
                [], [], 
                '''                Last merge time
                ''',
                'last_merge_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-merged-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last merged sub-group index
                ''',
                'last_merged_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update queued event (in seconds)
                ''',
                'last_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-timestamp', REFERENCE_CLASS, 'LastUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp', 
                [], [], 
                '''                Last update queued time
                ''',
                'last_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-end-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update walk end event
                ''',
                'last_update_walk_end_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-end-timestamp', REFERENCE_CLASS, 'LastUpdateWalkEndTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp', 
                [], [], 
                '''                Last update walk end time
                ''',
                'last_update_walk_end_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-start-timestamp', REFERENCE_CLASS, 'LastUpdateWalkStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp', 
                [], [], 
                '''                Last update walk start time
                ''',
                'last_update_walk_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('merge-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge count
                ''',
                'merge_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next resume version
                ''',
                'next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group identifier
                ''',
                'parent_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group index
                ''',
                'parent_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending target version
                ''',
                'pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-default-route-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default route sent
                ''',
                'update_default_route_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh target version
                ''',
                'update_refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-sub-group', REFERENCE_LIST, 'UpdateGenerationSubGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup', 
                [], [], 
                '''                Update generation for sub-group
                ''',
                'update_generation_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-sub-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('critical-notf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of critical event notifications from RIB
                ''',
                'critical_notf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notf-bestpath-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath changes due to last
                notification
                ''',
                'last_notf_bestpath_changes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notf-bestpath-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath deletes due to last
                notification
                ''',
                'last_notf_bestpath_deletes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops withdrawn from RIB
                ''',
                'nexthops_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-resent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops re-sent to RIB
                ''',
                'nexthops_resent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops sent to RIB
                ''',
                'nexthops_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-batch-finish-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH batch finish calls
                ''',
                'nh_batch_finish_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-flush-timer-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH flush timer calls
                ''',
                'nh_flush_timer_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-a-sync-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last async Register TS
                ''',
                'nh_last_a_sync_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-a-sync-un-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last async UnRegister TS
                ''',
                'nh_last_a_sync_un_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-batch-finish-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last batch finish TS
                ''',
                'nh_last_batch_finish_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-flush-timer-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last flush timer TS
                ''',
                'nh_last_flush_timer_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-sync-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last sync Register TS
                ''',
                'nh_last_sync_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-peak-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Registration List Count Peak
                ''',
                'nh_peak_registrations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-pending-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Registration List Count
                ''',
                'nh_pending_registrations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-sync-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH sync register calls
                ''',
                'nh_sync_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nha-sync-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH async register calls
                ''',
                'nha_sync_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nha-sync-un-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH async unregister calls
                ''',
                'nha_sync_un_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhrib-update-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to RIB update function
                ''',
                'nhrib_update_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhrib-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending RIB updates (milliseconds)
                ''',
                'nhrib_update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('noncritical-notf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of non-critical event notifications from
                RIB
                ''',
                'noncritical_notf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-sync-registers-failed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sync registers with RIB that failed
                ''',
                'rib_sync_registers_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('riba-sync-registers-failed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of async registers with RIB that failed
                ''',
                'riba_sync_registers_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribnh-reg-failed-for-no-rib-conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nh registers failed because of no rib
                conn
                ''',
                'ribnh_reg_failed_for_no_rib_conn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribnh-reg-failed-for-no-tbl-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nh registers failed because of no tbl-id
                ''',
                'ribnh_reg_failed_for_no_tbl_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-backup-creates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times backup tid created during tunnel
                walk
                ''',
                'tunnel_walk_backup_creates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-gw-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times gw was not found during tunnel walk
                ''',
                'tunnel_walk_gw_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-nh-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times nexthop was not found during tunnel
                walk
                ''',
                'tunnel_walk_nh_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('critical-trigger-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Trigger delay for critical event processing
                ''',
                'critical_trigger_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-downloaded-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table downloaded
                ''',
                'epe_downloaded_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE label walk
                ''',
                'epe_label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-standby-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table processed by sync
                thread
                ''',
                'epe_standby_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table
                ''',
                'epe_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gwaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                GW Address family identifier
                ''',
                'gwaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-nexthop-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH version for gw_ctx
                ''',
                'nh_nexthop_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-rib-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the VRF is active
                ''',
                'nh_rib_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version for gw_ctx
                ''',
                'nh_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway context table id
                ''',
                'nh_table_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('non-critical-trigger-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Trigger delay for non-critical event processing
                ''',
                'non_critical_trigger_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the VRF is active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of nexthops
                ''',
                'total_nexthops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-af-vrf-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-metrice',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-refcount',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo',
            False, 
            [
            _MetaInfoClassMember('gateway-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway flags
                ''',
                'gateway_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('registration-since', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since registration
                ''',
                'registration_since',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('registration-type', REFERENCE_ENUM_CLASS, 'BgpNhValidateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhValidateEnum', 
                [], [], 
                '''                Nexthop registration type
                ''',
                'registration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-gateway-internal-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo',
            False, 
            [
            _MetaInfoClassMember('gateway-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway flags
                ''',
                'gateway_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-address', REFERENCE_CLASS, 'NexthopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress', 
                [], [], 
                '''                Nexthop address
                ''',
                'nexthop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-af-user-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bitmask indicating the AFs which share the
                nexthop
                ''',
                'nexthop_af_user_bits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop flags
                ''',
                'nexthop_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-internal-info', REFERENCE_LIST, 'NexthopGatewayInternalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo', 
                [], [], 
                '''                Internal nexthop Gateway info
                ''',
                'nexthop_gateway_internal_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Comm librray ID
                ''',
                'nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop ifhandle
                ''',
                'nexthop_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop label
                ''',
                'nexthop_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-metrice', REFERENCE_LIST, 'NexthopMetrice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice', 
                [], [], 
                '''                Nexthop metrices
                ''',
                'nexthop_metrice',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-refcount', REFERENCE_LIST, 'NexthopRefcount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount', 
                [], [], 
                '''                Nexthop refcounts
                ''',
                'nexthop_refcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version
                ''',
                'nexthop_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-internal-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo',
            False, 
            [
            _MetaInfoClassMember('critical-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of critical events received from RIB
                ''',
                'critical_events',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-event-since', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last event sent to or received
                from RIB
                ''',
                'last_event_since',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-event-type', REFERENCE_ENUM_CLASS, 'BgpNhEventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhEventEnum', 
                [], [], 
                '''                Last nexthop event type
                ''',
                'last_event_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_rib_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-type', REFERENCE_ENUM_CLASS, 'BgpNhUpdateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhUpdateEnum', 
                [], [], 
                '''                Last nexthop update type
                ''',
                'last_update_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-af-invalid-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bitmask indicating the AFs which have been
                invalidated for the nexthop
                ''',
                'nexthop_af_invalid_bits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric for nexthop
                ''',
                'nexthop_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if MPLS is configured for IAS/CsC
                application
                ''',
                'nexthop_mpls_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces on which MPLS is enabled
                ''',
                'nexthop_mpls_interfaces',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label allocated for IAS/CsC application
                ''',
                'nexthop_mpls_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route', REFERENCE_CLASS, 'NexthopRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute', 
                [], [], 
                '''                Route resolving the nethop
                ''',
                'nexthop_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-path', REFERENCE_LIST, 'NexthopRoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath', 
                [], [], 
                '''                Nexthops of the resolving route
                ''',
                'nexthop_route_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths in the resolving route
                ''',
                'nexthop_route_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length of the route resolving the nexthop
                ''',
                'nexthop_route_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-protocol', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protocol that resolves the route to the nexthop
                ''',
                'nexthop_route_protocol',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Nexthop status
                ''',
                'nexthop_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-tableid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Nexthop Table id
                ''',
                'nexthop_tableid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('non-critical-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of non-critical events received from RIB
                ''',
                'non_critical_events',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-gateway-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-set', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Attribute Set Name
                ''',
                'attribute_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_LIST, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress', 
                [], [], 
                '''                Neighbor Address List
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Next hop address
                        ''',
                        'next_hop_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Next hop address
                        ''',
                        'next_hop_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('nexthop-address', REFERENCE_CLASS, 'NexthopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress', 
                [], [], 
                '''                Nexthop address
                ''',
                'nexthop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AIGP metrice of nexthop
                ''',
                'nexthop_aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-info', REFERENCE_LIST, 'NexthopGatewayInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo', 
                [], [], 
                '''                Gateway related info, includingOptimal Route
                Reflector Gateways
                ''',
                'nexthop_gateway_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-prefix-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Gateway resolved through Connected route ?
                ''',
                'nexthop_gateway_prefix_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway prefix length
                ''',
                'nexthop_gateway_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Gateway reachable ?
                ''',
                'nexthop_gateway_reachable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-internal-info', REFERENCE_CLASS, 'NexthopInternalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo', 
                [], [], 
                '''                Internal nexthop info
                ''',
                'nexthop_internal_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-pending-registration', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Nexthop registration is pending
                ''',
                'nexthop_pending_registration',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors/prefixes referencing this
                nexthop
                ''',
                'nexthop_reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-first-hop-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                First-hop interface handle
                ''',
                'nh_first_hop_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-reference-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors/prefixes referencing this
                nexthop (AFs)
                ''',
                'nh_reference_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-nexthop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB Nexthop Id
                ''',
                'rib_nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs',
            False, 
            [
            _MetaInfoClassMember('next-hop-af', REFERENCE_LIST, 'NextHopAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf', 
                [], [], 
                '''                A BGP Next hop entry
                ''',
                'next_hop_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily',
            False, 
            [
            _MetaInfoClassMember('next-hop-af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'next_hop_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('next-hop-af-vrf-af', REFERENCE_CLASS, 'NextHopAfVrfAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf', 
                [], [], 
                '''                A BGP Next-hop VRF AF table entry
                ''',
                'next_hop_af_vrf_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-afs', REFERENCE_CLASS, 'NextHopAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs', 
                [], [], 
                '''                The BGP Next-hop table
                ''',
                'next_hop_afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies',
            False, 
            [
            _MetaInfoClassMember('next-hop-address-family', REFERENCE_LIST, 'NextHopAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily', 
                [], [], 
                '''                Nexthop Address family
                ''',
                'next_hop_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-address-families',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet',
            False, 
            [
            _MetaInfoClassMember('rt-set', REFERENCE_LIST, 'RtSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet', 
                [], [], 
                '''                Set of route targets
                ''',
                'rt_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier of the rtset
                ''',
                'rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length in bytes of set of route targets
                ''',
                'rt_set_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-net-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of nets with paths with the rtset
                ''',
                'rt_set_net_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-target-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter',
            False, 
            [
            _MetaInfoClassMember('rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RTSet ID
                ''',
                'rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('route-target-set', REFERENCE_CLASS, 'RouteTargetSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet', 
                [], [], 
                '''                Route Target set
                ''',
                'route_target_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters',
            False, 
            [
            _MetaInfoClassMember('rt-set-counter', REFERENCE_LIST, 'RtSetCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter', 
                [], [], 
                '''                One RT-set counter table entry
                ''',
                'rt_set_counter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_',
            False, 
            [
            _MetaInfoClassMember('bmp-nbr-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Paths Nbr bmp bit map
                ''',
                'bmp_nbr_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-adv-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path's Adv bit map
                ''',
                'bmp_path_adv_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with path
                ''',
                'bmp_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-snd-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path's pending snd bit map
                ''',
                'bmp_path_snd_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bpath-pointer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP Path pointer
                ''',
                'bpath_pointer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path originated locally?
                ''',
                'local_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label received from peer
                ''',
                'received_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with net
                ''',
                'bmp_net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-net-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net's version
                ''',
                'bmp_net_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path', REFERENCE_LIST, 'BmpPath_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_', 
                [], [], 
                '''                List of paths under the BMP net
                ''',
                'bmp_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for the net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionAge', 
                [], [], 
                '''                Net Version bump age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp', 
                [], [], 
                '''                Net Version bump timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths',
            False, 
            [
            _MetaInfoClassMember('bmp-path', REFERENCE_LIST, 'BmpPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath', 
                [], [], 
                '''                A BMP path table entry
                ''',
                'bmp_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-stop-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-expiry-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-remaining-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-delay-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent UG check
                ''',
                'is_permanent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update timer running
                ''',
                'is_update_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-delay-value', REFERENCE_CLASS, 'LastUpdateTimerDelayValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue', 
                [], [], 
                '''                Last update timer delay value
                ''',
                'last_update_timer_delay_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-expiry-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update timer expiry event
                ''',
                'last_update_timer_expiry_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-expiry-timestamp', REFERENCE_CLASS, 'LastUpdateTimerExpiryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp', 
                [], [], 
                '''                Last update timer expiry time
                ''',
                'last_update_timer_expiry_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-remaining-value', REFERENCE_CLASS, 'LastUpdateTimerRemainingValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue', 
                [], [], 
                '''                Update timer remaining time
                ''',
                'last_update_timer_remaining_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-start-timestamp', REFERENCE_CLASS, 'LastUpdateTimerStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp', 
                [], [], 
                '''                Last update timer start time
                ''',
                'last_update_timer_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-stop-timestamp', REFERENCE_CLASS, 'LastUpdateTimerStopTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp', 
                [], [], 
                '''                Last update timer stop time
                ''',
                'last_update_timer_stop_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-leaving-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors leaving the update-group
                ''',
                'neighbor_leaving_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-session-af-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor session address family
                ''',
                'neighbor_session_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems allowed by updgen
                ''',
                'perm_pelem_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-encountered', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems seen by updgen
                ''',
                'perm_pelem_encountered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-exp-wdr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems explicitly wdrn by updgen
                ''',
                'perm_pelem_exp_wdr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-not-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems not allowed by updgen
                ''',
                'perm_pelem_not_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-spur-wdr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems Spurious withdraws by
                updgen
                ''',
                'perm_pelem_spur_wdr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-recovery-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update generation recovery pending
                ''',
                'update_generation_recovery_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-flags2', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group internal flags2
                ''',
                'update_group_flags2',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-update-group', REFERENCE_LIST, 'UpdateGenerationUpdateGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup', 
                [], [], 
                '''                Update generation for update-group
                ''',
                'update_generation_update_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-update-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup',
            False, 
            [
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter-group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Filter-group index
                ''',
                'parent_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group identifier
                ''',
                'parent_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group index
                ''',
                'parent_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group identifier
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group index
                ''',
                'update_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-filter-group', REFERENCE_LIST, 'UpdateGenerationFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup', 
                [], [], 
                '''                Update generation for filter-group
                ''',
                'update_generation_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-filter-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network',
            False, 
            [
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks',
            False, 
            [
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'networks',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeKey' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeKey',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-key',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.NexthopId' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.NexthopId',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.Ifhandle' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.Ifhandle',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ifhandle',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe',
            False, 
            [
            _MetaInfoClassMember('epe-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EPE object's flags
                ''',
                'epe_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key', REFERENCE_LIST, 'EpeKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeKey', 
                [], [], 
                '''                Key of EPE object
                ''',
                'epe_key',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Epe Key Length
                ''',
                'epe_key_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EPE key length in bits
                ''',
                'epe_key_length_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-address', REFERENCE_CLASS, 'EpeLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress', 
                [], [], 
                '''                Local address
                ''',
                'epe_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS Number
                ''',
                'epe_local_asn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local router id
                ''',
                'epe_local_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-next-hop', REFERENCE_CLASS, 'EpeNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop', 
                [], [], 
                '''                Nexthop address
                ''',
                'epe_next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-remote-asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS Number
                ''',
                'epe_remote_asn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-remote-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote router id
                ''',
                'epe_remote_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-set-key', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Epe Set Key
                ''',
                'epe_set_key',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EPE object's version
                ''',
                'epe_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-hop', REFERENCE_LIST, 'FirstHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop', 
                [], [], 
                '''                List of firsthops of EPE
                ''',
                'first_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ifhandle', REFERENCE_LIST, 'Ifhandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.Ifhandle', 
                [], [], 
                '''                List of ifhandle of EPE
                ''',
                'ifhandle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label assigned to the RPCnext-hop set
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-id', REFERENCE_LIST, 'NexthopId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.NexthopId', 
                [], [], 
                '''                List of nexthop ID of EPE
                ''',
                'nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ref-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcount
                ''',
                'ref_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes',
            False, 
            [
            _MetaInfoClassMember('epe', REFERENCE_LIST, 'Epe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe', 
                [], [], 
                '''                A BGP Egress Engineering table entry
                ''',
                'epe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('max-prefix-advertisedcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertsied to neighbor
                ''',
                'max_prefix_advertisedcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts',
            False, 
            [
            _MetaInfoClassMember('advertised-path-count', REFERENCE_LIST, 'AdvertisedPathCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount', 
                [], [], 
                '''                The BGP Advertised path table Count
                (bestpath)
                ''',
                'advertised_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-labeled-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-out', REFERENCE_CLASS, 'AttributesAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut', 
                [], [], 
                '''                Attributes after outbound policy
                ''',
                'attributes_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists All 'sp_path_in' fields except
                'sp_path_in->bag_prefix' are invalid.  All
                'sp_path_out' fields are invalid.
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-in', REFERENCE_CLASS, 'PathInfoAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn', 
                [], [], 
                '''                Path information after inbound policy
                ''',
                'path_info_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-out', REFERENCE_CLASS, 'PathInfoAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut', 
                [], [], 
                '''                Path information after outbound policy
                ''',
                'path_info_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'adv-path-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath',
            False, 
            [
            _MetaInfoClassMember('adv-path-info', REFERENCE_LIST, 'AdvPathInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo', 
                [], [], 
                '''                Net Advertized Paths
                ''',
                'adv_path_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor 
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor 
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor 
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network in hex string bytes format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths', 
                [], [], 
                '''                paths
                ''',
                'paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths',
            False, 
            [
            _MetaInfoClassMember('advertised-path', REFERENCE_LIST, 'AdvertisedPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath', 
                [], [], 
                '''                A BGP Advertised paths table entry
                (add-paths)
                ''',
                'advertised_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'received-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('active-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Active connections for this
                neighbor due to collision 
                ''',
                'active_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Active opens for this neighbor
                ''',
                'actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-read-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger read
                thread
                ''',
                'control_to_read_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-write-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger write
                thread
                ''',
                'control_to_write_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of data bytes written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('failed-post-actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Active Opens that failed in the Post
                Active State for this neighbor
                ''',
                'failed_post_actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of socket reads after nbr crossed high
                threshold
                ''',
                'high_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing inbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (milliseconds)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (milliseconds)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-nsr-scoped-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last time NSR scoped syncwas done for the
                neighbor
                ''',
                'last_nsr_scoped_sync',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sent-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seq No of the last sent byte
                ''',
                'last_sent_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num socket reads after nbrs crossed low
                threshold
                ''',
                'low_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-read-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of largest socket (milliseconds)
                ''',
                'maximum_read_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-fd', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary FD, per nbr
                ''',
                'nbr_fd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr flags, per thread
                ''',
                'nbr_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket status, TRUE if socket closed
                ''',
                'network_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-oper-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times NSR scoped sync has been done
                ''',
                'nsr_oper_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passive-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Remote opens for this
                neighborneighbor due to collision 
                ''',
                'passive_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Passive opens for this
                neighbor
                ''',
                'passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rejected-passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rejected Passive opens for this
                neighbor
                ''',
                'rejected_passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reset flags, per thread
                ''',
                'reset_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reset Retries, per nbr
                ''',
                'reset_retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list 
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sync flags, per nbr
                ''',
                'sync_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read after being
                throttled
                ''',
                'time_since_last_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (milliseconds)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process sub-group
                message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group msgs processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'open',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive', 
                [], [], 
                '''                Keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification', 
                [], [], 
                '''                Notification
                ''',
                'notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open', REFERENCE_CLASS, 'Open' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open', 
                [], [], 
                '''                Open
                ''',
                'open',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refresh', REFERENCE_CLASS, 'RouteRefresh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh', 
                [], [], 
                '''                Route refresh
                ''',
                'route_refresh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total', 
                [], [], 
                '''                Total
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update', 
                [], [], 
                '''                Update
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-phase-two-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('processed-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages processed from the neighbor's
                write queue
                ''',
                'processed_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent from the neighbor's
                write queue
                ''',
                'sent_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_update_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_update_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_withdraw_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_withdraw_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-pending-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sub-group messages waiting to be sent out
                on this neighbor -- DEPRECATED -- 
                ''',
                'sub_group_pending_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo
                ''',
                'acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of default VRF import disable
                ''',
                'advertise_afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-eo-r-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EoR Can be sent for Advertise AFI
                ''',
                'advertise_afi_eo_r_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of VRF re-import disable
                ''',
                'advertise_afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 default VRF import disable
                ''',
                'advertise_evp_nv4afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 VRF re-import disable
                ''',
                'advertise_evp_nv4afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 default VRF import disable
                ''',
                'advertise_evp_nv6afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 VRF re-import disable
                ''',
                'advertise_evp_nv6afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-received-in-read-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                An EoR was received while in read-only mode
                ''',
                'eo_r_received_in_read_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default origination update sent
                ''',
                'is_default_originate_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding capability received
                ''',
                'is_ext_nh_encoding_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexhop encoding capability Sent
                ''',
                'is_ext_nh_encoding_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-leaving', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr leaving update-groupto another
                ''',
                'is_update_leaving',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Updates Throttled becausewrite limit is reached
                ''',
                'is_update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-performance-statistics', REFERENCE_CLASS, 'NeighborAfPerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics', 
                [], [], 
                '''                Neighbor AF statistics
                ''',
                'neighbor_af_performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor version
                ''',
                'neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-best-externalpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of best-external paths from this neighbor
                ''',
                'number_of_best_externalpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bestpaths from this neighbor
                ''',
                'number_of_bestpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes accepted
                ''',
                'prefixes_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes advertised
                ''',
                'prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-be-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No BE prefixes advertised
                ''',
                'prefixes_be_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied
                ''',
                'prefixes_denied',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-no-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because there was no
                inbound policy
                ''',
                'prefixes_denied_no_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-non-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes exactly denied (non cumulative)
                ''',
                'prefixes_denied_non_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-orf-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by prefix based ORF
                policy
                ''',
                'prefixes_denied_orf_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by inbound policy
                ''',
                'prefixes_denied_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-rt-permit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because RT extended
                community is not imported
                ''',
                'prefixes_denied_rt_permit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes suppressed
                ''',
                'prefixes_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-synced', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes synced to standby
                ''',
                'prefixes_synced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn
                ''',
                'prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn but not found
                ''',
                'prefixes_withdrawn_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version acked by the peer for refresh updates
                sent
                ''',
                'refresh_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version for refresh update generation
                ''',
                'refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version till which refresh updates have been
                generated
                ''',
                'refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests received
                ''',
                'route_refreshes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests sent
                ''',
                'route_refreshes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'synced_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write
                ''',
                'actual_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write before reset
                ''',
                'actual_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write
                ''',
                'actual_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write before reset
                ''',
                'actual_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attempted-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write
                ''',
                'attempted_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write before reset
                ''',
                'attempted_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write
                ''',
                'attempted_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write before reset
                ''',
                'attempted_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-created-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_created_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-state-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp since when nbr is in this bfd state
                ''',
                'bfd_state_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes read
                ''',
                'bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes written by write thread
                ''',
                'bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connect-retry-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time (in secs) for connect retry timer
                ''',
                'connect_retry_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-admin-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative status of connection
                ''',
                'connection_admin_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times connection was dropped
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-established-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) that the connection has been
                established
                ''',
                'connection_established_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local port for the connection
                ''',
                'connection_local_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote port for the connection
                ''',
                'connection_remote_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the connection was established
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('count-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-data-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining discard data (bytes) on Standby
                ''',
                'discard_data_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic neighbor
                ''',
                'dynamic_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications received on the
                connection
                ''',
                'error_notifies_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications sent on the
                connection
                ''',
                'error_notifies_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fpbsn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby PDU boundary SeqNo offset
                ''',
                'fpbsn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fssn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby SeqNo offset
                ''',
                'fssn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) negotiated for this
                connection
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for io
                control
                ''',
                'io_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability received
                ''',
                'is4_byte_as_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability Snt
                ''',
                'is4_byte_as_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation suppressed
                ''',
                'is_capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-as-league', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer belongs to AS League
                ''',
                'is_ebgp_peer_as_league',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-common-admin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer with common administation
                ''',
                'is_ebgp_peer_common_admin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-external-neighbor-not-directly-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                External neighbor not directly connected
                ''',
                'is_external_neighbor_not_directly_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-gr-aware', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GR awareness received
                ''',
                'is_gr_aware',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down during a SEVERE low memory
                condition
                ''',
                'is_out_of_memory_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-read-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket read isdisabled
                ''',
                'is_read_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh capability received
                ''',
                'is_route_refresh_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-old-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh old capability received
                ''',
                'is_route_refresh_old_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) negotiated for this
                connection
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-ackd-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SeqNo of the last Ackd byte
                ''',
                'last_ackd_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aerror-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that an error
                was encountered after KA expiry
                ''',
                'last_k_aerror_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last KA timer expiry before
                reset
                ''',
                'last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-anotsent-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that KA was
                not sent before reset
                ''',
                'last_k_anotsent_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the last KA timer start
                before reset
                ''',
                'last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Code for the last error notification seen on the
                connection
                ''',
                'last_notify_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode of the last error notification
                seen on the connection
                ''',
                'last_notify_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write thread event
                ''',
                'last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-statistics', REFERENCE_CLASS, 'MessageStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics', 
                [], [], 
                '''                Message statistics
                ''',
                'message_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages received
                ''',
                'messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent
                ''',
                'messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multi-protocol-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multi-protocol capability has been received
                ''',
                'multi_protocol_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('negotiated-protocol-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Negotiated protocol version
                ''',
                'negotiated_protocol_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Handle of Neighbor
                ''',
                'neighbor_interface_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open-check-error-code', REFERENCE_ENUM_CLASS, 'BgpOpenCheckErrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpOpenCheckErrEnum', 
                [], [], 
                '''                Open check error code
                ''',
                'open_check_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If peer closed, error received from transport
                ''',
                'peer_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-reset-reason', REFERENCE_ENUM_CLASS, 'BgpPeerResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpPeerResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last peer close event
                ''',
                'peer_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('previous-connection-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Previous state of connection
                ''',
                'previous_connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for read
                ''',
                'read_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-notification-info', REFERENCE_CLASS, 'ReceivedNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo', 
                [], [], 
                '''                Information on the last notification received
                ''',
                'received_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-notification-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification was sent during last reset
                ''',
                'reset_notification_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last connection reset
                ''',
                'reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the neighbor
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last KA timer expiry
                before reset
                ''',
                'second_last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the second last KA timer
                start before reset
                ''',
                'second_last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last write thread
                event
                ''',
                'second_last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-notification-info', REFERENCE_CLASS, 'SendNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo', 
                [], [], 
                '''                Information on the last notification sent
                ''',
                'send_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total read bytes value insocket-lib
                ''',
                'socket_read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-done-time-spec', REFERENCE_CLASS, 'TcpInitSyncDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Done
                ''',
                'tcp_init_sync_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-phase-two-time-spec', REFERENCE_CLASS, 'TcpInitSyncPhaseTwoTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Phase
                Two
                ''',
                'tcp_init_sync_phase_two_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-time-spec', REFERENCE_CLASS, 'TcpInitSyncTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec', 
                [], [], 
                '''                Time When neighbor entered TCP Init Sync
                ''',
                'tcp_init_sync_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CB
                ''',
                'time_last_cb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last CB before reset
                ''',
                'time_last_cb_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-fb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FB
                ''',
                'time_last_fb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-connection-last-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the connection last went down
                (seconds)
                ''',
                'time_since_connection_last_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read
                ''',
                'time_since_last_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read before last reset
                ''',
                'time_since_last_read_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last update message was
                received
                ''',
                'time_since_last_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write
                ''',
                'time_since_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second  last write
                ''',
                'time_since_second_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_second_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update bytes read
                ''',
                'update_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update msgs received
                ''',
                'update_messages_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for write
                ''',
                'write_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor', 
                [], [], 
                '''                A BGP Neighbor table entry
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd',
            False, 
            [
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds',
            False, 
            [
            _MetaInfoClassMember('network-rd', REFERENCE_LIST, 'NetworkRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd',
            False, 
            [
            _MetaInfoClassMember('network-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format (address
                part)
                ''',
                'network_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network in prefix/length format (address
                        part)
                        ''',
                        'network_addr',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network in prefix/length format (address
                        part)
                        ''',
                        'network_addr',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Network in prefix/length format (prefix
                part)
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('network-rds', REFERENCE_CLASS, 'NetworkRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-all-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds',
            False, 
            [
            _MetaInfoClassMember('network-all-rd', REFERENCE_LIST, 'NetworkAllRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_all_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-all-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-sub-group-add-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-sub-group-remove-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-filter-group-add-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-filter-group-remove-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-default-originate-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-default-originate-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-group-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-group-expiry-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-refresh-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-refresh-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor',
            False, 
            [
            _MetaInfoClassMember('ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack version
                ''',
                'ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Current Update-group address-family identifier
                ''',
                'current_update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-internal-context', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Default-origination context
                ''',
                'default_originate_internal_context',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Default-origination state
                ''',
                'default_originate_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter-group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-default-originate-timestamp', REFERENCE_CLASS, 'FirstDefaultOriginateTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp', 
                [], [], 
                '''                First default-origination time
                ''',
                'first_default_originate_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-queued-timestamp', REFERENCE_CLASS, 'FirstUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp', 
                [], [], 
                '''                First update queued time
                ''',
                'first_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-write-timestamp', REFERENCE_CLASS, 'FirstUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp', 
                [], [], 
                '''                First update write time
                ''',
                'first_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Inbound count
                ''',
                'inbound_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-eor-outstanding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Number of EORs outstanding
                ''',
                'is_eor_outstanding',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-group-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update-group timer running
                ''',
                'is_update_group_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-default-originate-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last default-origination event (in
                seconds)
                ''',
                'last_default_originate_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-default-originate-timestamp', REFERENCE_CLASS, 'LastDefaultOriginateTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp', 
                [], [], 
                '''                Last default-origination time
                ''',
                'last_default_originate_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-filter-group-add-timestamp', REFERENCE_CLASS, 'LastFilterGroupAddTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp', 
                [], [], 
                '''                Last added time
                ''',
                'last_filter_group_add_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-filter-group-remove-timestamp', REFERENCE_CLASS, 'LastFilterGroupRemoveTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp', 
                [], [], 
                '''                Last removed time
                ''',
                'last_filter_group_remove_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last refresh update queued event (in
                seconds)
                ''',
                'last_refresh_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-queued-timestamp', REFERENCE_CLASS, 'LastRefreshUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp', 
                [], [], 
                '''                Last refresh update queued time
                ''',
                'last_refresh_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-write-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last refresh update write event (in
                seconds)
                ''',
                'last_refresh_update_write_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-write-timestamp', REFERENCE_CLASS, 'LastRefreshUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp', 
                [], [], 
                '''                Last refresh update write time
                ''',
                'last_refresh_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sub-group-add-timestamp', REFERENCE_CLASS, 'LastSubGroupAddTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp', 
                [], [], 
                '''                Last added time
                ''',
                'last_sub_group_add_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sub-group-remove-timestamp', REFERENCE_CLASS, 'LastSubGroupRemoveTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp', 
                [], [], 
                '''                Last removed time
                ''',
                'last_sub_group_remove_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Last Update-group address-family identifier
                ''',
                'last_update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-expiry-timestamp', REFERENCE_CLASS, 'LastUpdateGroupExpiryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp', 
                [], [], 
                '''                Last update-group timer expiry
                ''',
                'last_update_group_expiry_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-start-timestamp', REFERENCE_CLASS, 'LastUpdateGroupStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp', 
                [], [], 
                '''                Last update-group timer start
                ''',
                'last_update_group_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update queued event (in seconds)
                ''',
                'last_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-timestamp', REFERENCE_CLASS, 'LastUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp', 
                [], [], 
                '''                Last update queued time
                ''',
                'last_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-write-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update write event (in seconds)
                ''',
                'last_update_write_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-write-timestamp', REFERENCE_CLASS, 'LastUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp', 
                [], [], 
                '''                Last update write time
                ''',
                'last_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resume version
                ''',
                'next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outbound-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Outbound count
                ''',
                'outbound_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outstanding version count
                ''',
                'outstanding_version_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending target version
                ''',
                'pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Ack version
                ''',
                'refresh_ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Filter-group index
                ''',
                'refresh_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh resume version
                ''',
                'refresh_next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending refresh target version
                ''',
                'refresh_pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-requested-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Requested refresh target version
                ''',
                'refresh_requested_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group ID
                ''',
                'refresh_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Sub-group index
                ''',
                'refresh_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh OutQueue messages
                ''',
                'refresh_update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh OutQueue size
                ''',
                'refresh_update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Synced ack version
                ''',
                'synced_ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group index
                ''',
                'update_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group messages
                ''',
                'update_filter_group_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh target version
                ''',
                'update_refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh version
                ''',
                'update_refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-generation-neighbor', REFERENCE_LIST, 'UpdateGenerationNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor', 
                [], [], 
                '''                Update generation for neighbor
                ''',
                'update_generation_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured AF update limit
                ''',
                'configured_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-update-limit-sub-group-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured IBGP sub-group update limit
                ''',
                'configured_update_limit_sub_group_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-update-limit-subgrp-ebgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured EBGP sub-group update limit
                ''',
                'configured_update_limit_subgrp_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current AF update limit
                ''',
                'current_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-sub-group-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current IBGP sub-group update limit
                ''',
                'current_update_limit_sub_group_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-subgrp-ebgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current EBGP sub-group update limit
                ''',
                'current_update_limit_subgrp_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table neighbor count
                ''',
                'table_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table refresh sub-group count
                ''',
                'table_refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table throttled refresh sub-group count
                ''',
                'table_refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table throttled sub-group count
                ''',
                'table_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table update-group count
                ''',
                'table_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-min-neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum Neighbor version
                ''',
                'update_min_neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messsages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'update_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics', 
                [], [], 
                '''                Upate statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table filter-group count
                ''',
                'update_table_filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table sub-group count
                ''',
                'update_table_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_table_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group count
                ''',
                'update_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-rd-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RD Version
                ''',
                'update_vrf_rd_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrfaf-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Address family identifier
                ''',
                'update_vrfaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Reuse array index
                ''',
                'reuse',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Version number
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings',
            False, 
            [
            _MetaInfoClassMember('dampening', REFERENCE_LIST, 'Dampening' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening', 
                [], [], 
                '''                A BGP Dampening table entry
                ''',
                'dampening',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dampenings',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst',
            False, 
            [
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-grant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE = permit, FALSE = deny
                ''',
                'is_prefix_grant',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum prefix length
                ''',
                'max_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minimum prefix length
                ''',
                'min_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-pfxlst',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo',
            False, 
            [
            _MetaInfoClassMember('bgp-pfxlst', REFERENCE_LIST, 'BgpPfxlst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst', 
                [], [], 
                '''                bgp pfxlst
                ''',
                'bgp_pfxlst',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-list-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identfier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-list-info', REFERENCE_CLASS, 'PrefixListInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo', 
                [], [], 
                '''                Prefix list
                ''',
                'prefix_list_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters',
            False, 
            [
            _MetaInfoClassMember('prefix-filter', REFERENCE_LIST, 'PrefixFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter', 
                [], [], 
                '''                A BGP prefix filter table entry
                ''',
                'prefix_filter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute',
            False, 
            [
            _MetaInfoClassMember('attribute-cache-bucket', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache bucket
                ''',
                'attribute_cache_bucket',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-cache-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache ID
                ''',
                'attribute_cache_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-iid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute IID
                ''',
                'attribute_iid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-info', REFERENCE_CLASS, 'AttributeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo', 
                [], [], 
                '''                Attributes
                ''',
                'attribute_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Instance ID
                ''',
                'attribute_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-hash-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hash value for attribute structure
                ''',
                'attribute_structure_hash_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ID of attribute structure
                ''',
                'attribute_structure_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths which use this attribute
                structure
                ''',
                'reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_LIST, 'Attribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute', 
                [], [], 
                '''                A BGP Attribute table entry
                ''',
                'attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('advertised-path-counts', REFERENCE_CLASS, 'AdvertisedPathCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts', 
                [], [], 
                '''                The BGP Advertised paths table (bestpath)
                ''',
                'advertised_path_counts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertised-path-xr', REFERENCE_CLASS, 'AdvertisedPathXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr', 
                [], [], 
                '''                The BGP Advertised path table (bestpath)
                ''',
                'advertised_path_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertised-paths', REFERENCE_CLASS, 'AdvertisedPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths', 
                [], [], 
                '''                The BGP Advertised paths table (add-paths)
                ''',
                'advertised_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-process-info', REFERENCE_CLASS, 'AfProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo', 
                [], [], 
                '''                A BGP Process address family table entry
                ''',
                'af_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes', 
                [], [], 
                '''                The BGP Attribute table
                ''',
                'attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-paths', REFERENCE_CLASS, 'BmpPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths', 
                [], [], 
                '''                The paths in BMP Table
                ''',
                'bmp_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('convergence', REFERENCE_CLASS, 'Convergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Convergence', 
                [], [], 
                '''                A BGP Convergence table entry
                ''',
                'convergence',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampenings', REFERENCE_CLASS, 'Dampenings' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings', 
                [], [], 
                '''                The BGP Dampening table
                ''',
                'dampenings',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epes', REFERENCE_CLASS, 'Epes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes', 
                [], [], 
                '''                The BGP Egress Engineering table
                ''',
                'epes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-af-process-info', REFERENCE_CLASS, 'GlobalAfProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo', 
                [], [], 
                '''                The Global Address Family Process information
                table
                ''',
                'global_af_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-table', REFERENCE_CLASS, 'NeighborAfTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable', 
                [], [], 
                '''                The BGP Neighbor AF table
                ''',
                'neighbor_af_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-all-rds', REFERENCE_CLASS, 'NetworkAllRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds', 
                [], [], 
                '''                The BGP Network Lookup Table
                ''',
                'network_all_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-lookup-all-rds', REFERENCE_CLASS, 'NetworkLookupAllRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds', 
                [], [], 
                '''                The BGP Network Lookup Table
                ''',
                'network_lookup_all_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-prefixes', REFERENCE_CLASS, 'NetworkPrefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks', REFERENCE_CLASS, 'Networks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks', 
                [], [], 
                '''                The BGP Network Table
                ''',
                'networks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-address-families', REFERENCE_CLASS, 'NextHopAddressFamilies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies', 
                [], [], 
                '''                Address family of nexthop table
                ''',
                'next_hop_address_families',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-labeled-table', REFERENCE_CLASS, 'PathLabeledTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable', 
                [], [], 
                '''                The BGP Path Labeled Table
                ''',
                'path_labeled_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table', REFERENCE_CLASS, 'PathTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable', 
                [], [], 
                '''                The BGP Path Table
                ''',
                'path_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-used-table', REFERENCE_CLASS, 'PathUsedTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable', 
                [], [], 
                '''                The BGP Path Used Table
                ''',
                'path_used_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('policies', REFERENCE_CLASS, 'Policies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies', 
                [], [], 
                '''                The BGP Policy Table
                ''',
                'policies',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-filters', REFERENCE_CLASS, 'PrefixFilters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters', 
                [], [], 
                '''                The BGP Prefix Filter table
                ''',
                'prefix_filters',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpc-sets', REFERENCE_CLASS, 'RpcSets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets', 
                [], [], 
                '''                BGP next-hop set table
                ''',
                'rpc_sets',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-counters', REFERENCE_CLASS, 'RtSetCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters', 
                [], [], 
                '''                The RT-set counter table
                ''',
                'rt_set_counters',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sourced-networks', REFERENCE_CLASS, 'SourcedNetworks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks', 
                [], [], 
                '''                The BGP Convergence table
                ''',
                'sourced_networks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-address-family', REFERENCE_CLASS, 'UpdateGenerationAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily', 
                [], [], 
                '''                Update generation for address-family
                ''',
                'update_generation_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-filter-groups', REFERENCE_CLASS, 'UpdateGenerationFilterGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups', 
                [], [], 
                '''                Update generation for all filter-groups under
                a sub-group
                ''',
                'update_generation_filter_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-neighbors', REFERENCE_CLASS, 'UpdateGenerationNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors', 
                [], [], 
                '''                Update generation for all neighbors
                ''',
                'update_generation_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-sub-groups', REFERENCE_CLASS, 'UpdateGenerationSubGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups', 
                [], [], 
                '''                Update generation for all sub-groups
                ''',
                'update_generation_sub_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-update-groups', REFERENCE_CLASS, 'UpdateGenerationUpdateGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups', 
                [], [], 
                '''                Update generation for all update-groups
                ''',
                'update_generation_update_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-groups', REFERENCE_CLASS, 'UpdateGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups', 
                [], [], 
                '''                The BGP Update group table
                ''',
                'update_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_LIST, 'Af' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af', 
                [], [], 
                '''                A particular address family
                ''',
                'af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Information' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Information',
            False, 
            [
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterVrf',
            False, 
            [
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered messages received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last Filtered messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received filtered
                messages
                ''',
                'update_filtered_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbors-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborAf',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo',
            False, 
            [
            _MetaInfoClassMember('peer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Peer ID
                ''',
                'peer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Postit Afi
                ''',
                'postit_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Postit Direction
                ''',
                'postit_direction',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Postit Flags
                ''',
                'postit_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit ID
                ''',
                'postit_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-notification', REFERENCE_CLASS, 'PostitNotification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification', 
                [], [], 
                '''                Postit notification
                ''',
                'postit_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy
                ''',
                'postit_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-reset', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reset
                ''',
                'postit_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-subtype', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit Subtype
                ''',
                'postit_subtype',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Postit TS
                ''',
                'postit_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit Type
                ''',
                'postit_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('connect-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                State
                ''',
                'connect_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af', REFERENCE_LIST, 'NeighborAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborAf', 
                [], [], 
                '''                Neighbor Afi
                ''',
                'neighbor_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25, min_elements=25),
            _MetaInfoClassMember('neighbors-address', REFERENCE_CLASS, 'NeighborsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress', 
                [], [], 
                '''                Neighbor Addr
                ''',
                'neighbors_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-info', REFERENCE_LIST, 'PostitInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo', 
                [], [], 
                '''                Postit Info
                ''',
                'postit_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                StartTime
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits',
            False, 
            [
            _MetaInfoClassMember('postit', REFERENCE_LIST, 'Postit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit', 
                [], [], 
                '''                A BGP Postit table entry
                ''',
                'postit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postits',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Global_.ClusterIdEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Global_.ClusterIdEntry',
            False, 
            [
            _MetaInfoClassMember('cluster-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID type: number or IPv4 address
                ''',
                'cluster_id_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID 
                ''',
                'cluster_id_val',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster-id-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('asn-format', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP AS Number Format
                ''',
                'asn_format',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-current-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current value for BMP buffer 
                ''',
                'bmp_current_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-default-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Default value for BMP buffer limit when a value
                is not configured
                ''',
                'bmp_default_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-maximum-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum limit user can configure for
                max-buffer-size command under bmp-server
                ''',
                'bmp_maximum_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID
                ''',
                'cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-entry', REFERENCE_LIST, 'ClusterIdEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Global_.ClusterIdEntry', 
                [], [], 
                '''                All configured Cluster IDs
                ''',
                'cluster_id_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('confederation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Confederation ID
                ''',
                'confederation_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured cluster ID
                ''',
                'configured_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('generic-scan-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Period (in seconds) of generic scanner runs
                ''',
                'generic_scan_period',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maint-all-nbrs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance also for neighbors without
                GM configuration
                ''',
                'graceful_maint_all_nbrs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maint-retain-routes', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retaining routes in RIB when BGP process stops
                while in Graceful Maintenance
                ''',
                'graceful_maint_retain_routes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-standalone-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standalone or Distributed mode
                ''',
                'in_standalone_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of BGP instance
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-cluster-id-specified-as-ip', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Cluster ID specified as an IP address
                ''',
                'is_cluster_id_specified_as_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local autonomous system number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-rlimit', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Platform RLIMIT max for the process
                ''',
                'process_rlimit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No of times BGP has started
                ''',
                'restart_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-end', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In use Segment-routing Global Block end value
                ''',
                'srgb_end',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-end-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured segment-routing Global Block end
                value
                ''',
                'srgb_end_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In use segment-routing Global Block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-start-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured segment-routing Global Block start
                value
                ''',
                'srgb_start_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update delay timeout time (in seconds)
                ''',
                'update_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Vrf_',
            False, 
            [
            _MetaInfoClassMember('configured-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured router ID
                ''',
                'configured_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default local preference
                ''',
                'default_local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default metric
                ''',
                'default_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default hold timer (seconds)
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-aigp-ignore-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Ignore AIGP unless both paths have
                AIGP attribute
                ''',
                'is_bestpath_aigp_ignore_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-always-compare-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Always compare MED
                ''',
                'is_bestpath_always_compare_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-as-path-mpath-relax-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Relax AS path for mpath
                ''',
                'is_bestpath_as_path_mpath_relax_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-compare-med-from-confed-peer-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Compare MED from confed peer
                ''',
                'is_bestpath_compare_med_from_confed_peer_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-compare-router-id-for-ebgp-peers-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Compare routerID for eBGP peers
                ''',
                'is_bestpath_compare_router_id_for_ebgp_peers_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-ignore-as-path-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Ignore AS path
                ''',
                'is_bestpath_ignore_as_path_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-missing-med-is-worst-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Treat missing MED as worst
                ''',
                'is_bestpath_missing_med_is_worst_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default metric configured
                ''',
                'is_default_metric_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default route originate configured
                ''',
                'is_default_originate_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-enforce-first-as-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enforce first AS
                ''',
                'is_enforce_first_as_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-fast-external-fallover-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast external fallover enabled
                ''',
                'is_fast_external_fallover_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful restart enabled
                ''',
                'is_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-multipath-as-path-ignore-onwards-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multipath: Ignore everything AS path onwards for
                mpath
                ''',
                'is_multipath_as_path_ignore_onwards_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-logging', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor logging enabled
                ''',
                'is_neighbor_logging',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-nsr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-stop routing enabled
                ''',
                'is_nsr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-redistribute-ibgp-to-ig-ps-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Redistribute iBGP into IGPs enabled
                ''',
                'is_redistribute_ibgp_to_ig_ps_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default keepalive timer (seconds)
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-acceptable-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default min acceptable hold time from
                neighbor(seconds)
                ''',
                'min_acceptable_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time (in seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the VRF
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF state
                ''',
                'vrf_is_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrfid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrfid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-error-handling-reset-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-error-handling-reset-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'establishment-action-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData',
            False, 
            [
            _MetaInfoClassMember('update-error-reset-notification-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Notification code
                ''',
                'update_error_reset_notification_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Notification data
                ''',
                'update_error_reset_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Notification data length
                ''',
                'update_error_reset_notification_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Notification sub code
                ''',
                'update_error_reset_notification_sub_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reset Reason
                ''',
                'update_error_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-reset-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement',
            False, 
            [
            _MetaInfoClassMember('update-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute code [RFC4271: BGP4]
                ''',
                'update_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Flags [RFC4271: BGP4]
                ''',
                'update_attribute_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Attribute Length [RFC4271: BGP4]
                ''',
                'update_attribute_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdErrActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdErrActionEnum', 
                [], [], 
                '''                Error action
                ''',
                'update_error_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Error data
                ''',
                'update_error_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Error data length
                ''',
                'update_error_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage',
            False, 
            [
            _MetaInfoClassMember('update-attribute-discard-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discarded attribute count
                ''',
                'update_attribute_discard_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-element', REFERENCE_LIST, 'UpdateErrorElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement', 
                [], [], 
                '''                Error element list
                ''',
                'update_error_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=3),
            _MetaInfoClassMember('update-error-final-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdErrActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdErrActionEnum', 
                [], [], 
                '''                Error final action
                ''',
                'update_error_final_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-address-family', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                NLRI address-family
                ''',
                'update_error_nlri_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                List of NLRIs in string format
                ''',
                'update_error_nlri_string',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-string-truncated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether NLRI string was truncated due
                to lack of space
                ''',
                'update_error_nlri_string_truncated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-data', REFERENCE_LIST, 'UpdateMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'update_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-reset-data', REFERENCE_CLASS, 'UpdateMessageResetData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData', 
                [], [], 
                '''                Reset data
                ''',
                'update_message_reset_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-timestamp', REFERENCE_CLASS, 'UpdateMessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp', 
                [], [], 
                '''                Message timestamp: time elapsed since 00:00:00
                UTC, January 1, 1970
                ''',
                'update_message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('establishment-action-count', REFERENCE_LIST, 'EstablishmentActionCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount', 
                [], [], 
                '''                Number of occurence of each action type since
                
                session establishment
                ''',
                'establishment_action_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('establishment-total-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count since session
                establishment
                ''',
                'establishment_total_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-error-handling-reset-timestamp', REFERENCE_CLASS, 'FirstUpdateErrorHandlingResetTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp', 
                [], [], 
                '''                First error-handling reset time: time elapsed
                since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_error_handling_reset_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-malformed-timestamp', REFERENCE_CLASS, 'FirstUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp', 
                [], [], 
                '''                First malformed message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'FirstUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                First memory allocation failure time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-error-handling-reset-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last error-handling reset event (in
                seconds)
                ''',
                'last_error_handling_reset_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-error-handling-reset-timestamp', REFERENCE_CLASS, 'LastErrorHandlingResetTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp', 
                [], [], 
                '''                Last error-handling reset time: time elapsed
                since 00:00:00 UTC, January 1, 1970
                ''',
                'last_error_handling_reset_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed message received event
                (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Last memory allocation failure time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count
                ''',
                'total_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-discard-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discarded attribute count
                ''',
                'update_attribute_discard_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-avoid-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure error-handling to avoid resets
                ''',
                'update_error_handling_avoid_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error-handling reset count
                ''',
                'update_error_handling_reset_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-message', REFERENCE_LIST, 'UpdateErrorMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage', 
                [], [], 
                '''                List of malformed messages
                ''',
                'update_error_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-message-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages list count
                ''',
                'update_error_message_list_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-inbound-error-neighbor', REFERENCE_LIST, 'UpdateInboundErrorNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor', 
                [], [], 
                '''                Update inbound error information for neighbor
                ''',
                'update_inbound_error_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filter-match-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes',
            False, 
            [
            _MetaInfoClassMember('establishment-update-filter-match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter match counter since last session
                establishment
                ''',
                'establishment_update_filter_match_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filter-match-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since this attribute was last filtered (in
                seconds)
                ''',
                'last_update_filter_match_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filter-match-timestamp', REFERENCE_CLASS, 'LastUpdateFilterMatchTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp', 
                [], [], 
                '''                Last attribute filtered time: time elapsed since
                00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filter_match_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering action
                ''',
                'update_filter_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter match counter
                ''',
                'update_filter_match_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-internal-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Internal attribute code [RFC4271: BGP4]
                ''',
                'update_internal_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-attribute-filter-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement',
            False, 
            [
            _MetaInfoClassMember('update-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute code [RFC4271: BGP4]
                ''',
                'update_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Flags [RFC4271: BGP4]
                ''',
                'update_attribute_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering action
                ''',
                'update_filter_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage',
            False, 
            [
            _MetaInfoClassMember('update-filter-element', REFERENCE_LIST, 'UpdateFilterElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement', 
                [], [], 
                '''                Filtering element list
                ''',
                'update_filter_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=3),
            _MetaInfoClassMember('update-filter-final-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering final action
                ''',
                'update_filter_final_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-data', REFERENCE_LIST, 'UpdateFilterMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'update_filter_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-timestamp', REFERENCE_CLASS, 'UpdateFilterMessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp', 
                [], [], 
                '''                Message timestamp: time elapsed since 00:00:00
                UTC, January 1, 1970
                ''',
                'update_filter_message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-address-family', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                NLRI address-family
                ''',
                'update_filter_nlri_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                List of NLRIs in string format
                ''',
                'update_filter_nlri_string',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-string-truncated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether NLRI string was truncated due
                to lack of space
                ''',
                'update_filter_nlri_string_truncated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-attribute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered attributes count
                ''',
                'update_filtered_attribute_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('configured-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Filtered message buffer count
                ''',
                'configured_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('establishment-total-filter-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count since session
                establishment
                ''',
                'establishment_total_filter_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('establishment-update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count since session
                establishment
                ''',
                'establishment_update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-filtered-timestamp', REFERENCE_CLASS, 'FirstUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp', 
                [], [], 
                '''                First filtered message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered message received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last filtered message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-update-attribute-filtering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute filtering is enabled for the current
                message being parsed
                ''',
                'message_update_attribute_filtering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('operational-update-attribute-filtering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute filtering is enabled
                ''',
                'operational_update_attribute_filtering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('operational-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Operational Filtered messages buffer count
                ''',
                'operational_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-filter-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count
                ''',
                'total_filter_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-filter-attributes', REFERENCE_LIST, 'UpdateAttributeFilterAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes', 
                [], [], 
                '''                List of attributes that can be filtered
                ''',
                'update_attribute_filter_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-filter-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Update attribute-filter group name
                ''',
                'update_attribute_filter_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Logging is enabled
                ''',
                'update_filter_logging_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message', REFERENCE_LIST, 'UpdateFilterMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage', 
                [], [], 
                '''                List of filtered messages
                ''',
                'update_filter_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-buffer-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the message buffers are circular
                ''',
                'update_filter_message_buffer_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages list count
                ''',
                'update_filter_message_list_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-inbound-filter-neighbor', REFERENCE_LIST, 'UpdateInboundFilterNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor', 
                [], [], 
                '''                Update inbound filtering information for
                neighbor
                ''',
                'update_inbound_filter_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-state-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-state-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-last-discon-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-send-version',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary',
            False, 
            [
            _MetaInfoClassMember('server-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                BMP Server ID
                ''',
                'server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('bmp-bytes-written-tcp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bytes sent to TCP
                ''',
                'bmp_bytes_written_tcp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-init-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Initiation Msgs sent by this BMP
                Server
                ''',
                'bmp_init_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-messages-wdraw-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ wdraw msgs discarded because of peer
                down
                ''',
                'bmp_messages_wdraw_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-drop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of messages dropped
                ''',
                'bmp_peer_msg_drop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bmpQ msgs pending
                ''',
                'bmp_peer_msg_pending_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count-hwts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bmpQ msgs pending max time
                ''',
                'bmp_peer_msg_pending_count_hwts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ msgs pending max
                ''',
                'bmp_peer_msg_pending_count_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-per-peer-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of per peer messages sent
                ''',
                'bmp_per_peer_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-per-peer-msg-route-mon-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of per peer route mon messages sent
                ''',
                'bmp_per_peer_msg_route_mon_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-pfx-wdraw-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ wdraw pfxes discarded because of peer
                down
                ''',
                'bmp_pfx_wdraw_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-send-version', REFERENCE_LIST, 'BmpSendVersion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion', 
                [], [], 
                '''                Table Version that this BMP server has caught
                
                upto
                ''',
                'bmp_send_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BMP Server Hostname
                ''',
                'bmp_server_host_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Server ID
                ''',
                'bmp_server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-is-flapping', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connection to the BMP server Flapping
                ''',
                'bmp_server_is_flapping',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-last-discon-time', REFERENCE_CLASS, 'BmpServerLastDisconTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime', 
                [], [], 
                '''                Timespec of Last Disconnect event received from
                BMP server
                ''',
                'bmp_server_last_discon_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-nbr-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count for the BMP Server
                ''',
                'bmp_server_nbr_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BMP Server Port Number
                ''',
                'bmp_server_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state', REFERENCE_ENUM_CLASS, 'BgpBmpStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBmpStateEnum', 
                [], [], 
                '''                Connection state of the BMP server
                ''',
                'bmp_server_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state-age', REFERENCE_CLASS, 'BmpServerStateAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge', 
                [], [], 
                '''                Age of current state of BMP Server
                ''',
                'bmp_server_state_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state-time-spec', REFERENCE_CLASS, 'BmpServerStateTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec', 
                [], [], 
                '''                Timespec of current state of BMP Server
                ''',
                'bmp_server_state_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-status-report-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Status ReportMessages sent by this BMP
                Server
                ''',
                'bmp_status_report_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-termination-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Termination Messages sent by this BMP
                Server
                ''',
                'bmp_termination_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-update-mode', REFERENCE_ENUM_CLASS, 'BgpBmpUpdModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBmpUpdModeEnum', 
                [], [], 
                '''                Update sending mode configured for this BMP
                server
                ''',
                'bmp_update_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID for the vrf name configured
                ''',
                'bmp_vrf_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name configured
                ''',
                'bmp_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-all-write-pulse-sent-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse Sent for all BMP servers 
                ''',
                'bmpq_last_all_write_pulse_sent_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-write-pulse-cb-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse callback time
                ''',
                'bmpq_last_write_pulse_cb_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-write-pulse-sent-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse Sent time
                ''',
                'bmpq_last_write_pulse_sent_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-upd-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ update msgs 
                ''',
                'bmpr_mon_upd_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-update-gen-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent in update generation(milliseconds)
                ''',
                'bmpr_mon_update_gen_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-wdraw-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ withdraw msgs 
                ''',
                'bmpr_mon_wdraw_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update sent 
                ''',
                'path_update_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-update-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update drop 
                ''',
                'path_update_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-withdraw-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw sent
                ''',
                'path_withdraw_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-withdraw-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw drop 
                ''',
                'path_withdraw_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-keep-alive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCP Keep alive interval configured
                ''',
                'tcp_keep_alive_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-cb-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last TCP Write CB time
                ''',
                'tcp_last_write_cb_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-result', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last TCP Socket write status
                ''',
                'tcp_last_write_result',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last TCP Write time
                ''',
                'tcp_last_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-maximum-segment-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCP Maximum Segments size configured
                ''',
                'tcp_maximum_segment_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-write-cb-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Are we waiting for TCP write callback ?
                ''',
                'tcp_write_cb_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sending msg to
                TCP(milliseconds)
                ''',
                'tcp_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence (0) or DSCP (1) type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-address', REFERENCE_CLASS, 'UpdateSourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress', 
                [], [], 
                '''                Address of Interface configured as Update Source
                ''',
                'update_source_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface configured as Update Source
                ''',
                'update_source_interface_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID of interface configured as Update Source
                ''',
                'update_source_vrf_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries',
            False, 
            [
            _MetaInfoClassMember('server-summary', REFERENCE_LIST, 'ServerSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary', 
                [], [], 
                '''                Summary Information about BMP server
                ''',
                'server_summary',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('bmp-neighbor-address', REFERENCE_CLASS, 'BmpNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress', 
                [], [], 
                '''                Address of Nbr that logs to BMP server
                ''',
                'bmp_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-msg-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages dropped sent from this
                neighbor
                ''',
                'bmp_neighbor_msg_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-msg-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages pending to be sent to BMP
                Server from this Neighbor
                ''',
                'bmp_neighbor_msg_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-update-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update drop 
                ''',
                'bmp_neighbor_path_update_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-update-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Path UpdateMessages sent
                ''',
                'bmp_neighbor_path_update_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-withdraw-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw drop 
                ''',
                'bmp_neighbor_path_withdraw_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-withdraw-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Path WithdrawMessages sent
                ''',
                'bmp_neighbor_path_withdraw_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-peer-down-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Peer DOWN Messages sent from this
                neighbor
                ''',
                'bmp_neighbor_peer_down_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-peer-up-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Peer UP Messages sent from this
                neighbor
                ''',
                'bmp_neighbor_peer_up_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-route-monitor-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Route Monitor Messages sent
                ''',
                'bmp_neighbor_route_monitor_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-upd-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of update message sent
                ''',
                'bmp_neighbor_upd_msg_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-wdraw-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of withdraw message sent
                ''',
                'bmp_neighbor_wdraw_msg_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'monitored-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors',
            False, 
            [
            _MetaInfoClassMember('monitored-neighbor', REFERENCE_LIST, 'MonitoredNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor', 
                [], [], 
                '''                Information about a neighbor monitored by
                BMP server
                ''',
                'monitored_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'monitored-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor',
            False, 
            [
            _MetaInfoClassMember('server-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BMP Server ID
                ''',
                'server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('monitored-neighbors', REFERENCE_CLASS, 'MonitoredNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors', 
                [], [], 
                '''                List of Neighbors under which BMP Server is
                confgiured
                ''',
                'monitored_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors',
            False, 
            [
            _MetaInfoClassMember('server-neighbor', REFERENCE_LIST, 'ServerNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor', 
                [], [], 
                '''                BMP Server under which neighbor info are
                needed
                ''',
                'server_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp',
            False, 
            [
            _MetaInfoClassMember('server-neighbors', REFERENCE_CLASS, 'ServerNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors', 
                [], [], 
                '''                Table of Neighbors for a BMP Server
                ''',
                'server_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('server-summaries', REFERENCE_CLASS, 'ServerSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries', 
                [], [], 
                '''                Table of BMP Servers
                ''',
                'server_summaries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('as-path-entries-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by AS-path entries
                ''',
                'as_path_entries_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AS-path entries
                ''',
                'as_path_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attr-set-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of ATTRSET entries
                ''',
                'attr_set_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attr-set-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by ATTRSET entries
                ''',
                'attr_set_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-pool-alloc-count', REFERENCE_LIST, 'BmpPoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolAllocCount', 
                [], [], 
                '''                bmp pool alloc count
                ''',
                'bmp_pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('bmp-pool-free-count', REFERENCE_LIST, 'BmpPoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolFreeCount', 
                [], [], 
                '''                bmp pool free count
                ''',
                'bmp_pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('bmp-pool-size', REFERENCE_LIST, 'BmpPoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolSize', 
                [], [], 
                '''                bmp pool size
                ''',
                'bmp_pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('community-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of community entries
                ''',
                'community_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by community entries
                ''',
                'community_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('established-neighbors-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total umber of established neighbors
                ''',
                'established_neighbors_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended community entries
                ''',
                'extended_community_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by extended community
                entries
                ''',
                'extended_community_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lindex-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LINDEX entries
                ''',
                'lindex_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lindex-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by LINDEX entries
                ''',
                'lindex_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local autonomous system number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsattr-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LASATTR entries
                ''',
                'lsattr_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsattr-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by LSATTR entries
                ''',
                'lsattr_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-pool-alloc-count', REFERENCE_LIST, 'MsgLogPoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolAllocCount', 
                [], [], 
                '''                msg log pool alloc count
                ''',
                'msg_log_pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('msg-log-pool-free-count', REFERENCE_LIST, 'MsgLogPoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolFreeCount', 
                [], [], 
                '''                msg log pool free count
                ''',
                'msg_log_pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('msg-log-pool-size', REFERENCE_LIST, 'MsgLogPoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolSize', 
                [], [], 
                '''                msg log pool size
                ''',
                'msg_log_pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('neighbors-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of neighbors
                ''',
                'neighbors_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nexthop attribute info entries
                ''',
                'nexthop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by nexthop attribute info
                entries
                ''',
                'nexthop_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-attribute-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (bytes) used by path attribute entries
                ''',
                'path_attribute_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-attributes-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of path attribute entries
                ''',
                'path_attributes_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PE distinguisher label entries
                ''',
                'pe_distinguisher_label_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PE distinguisher
                labels entries
                ''',
                'pe_distinguisher_label_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pool-alloc-count', REFERENCE_LIST, 'PoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolAllocCount', 
                [], [], 
                '''                pool alloc count
                ''',
                'pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('pool-free-count', REFERENCE_LIST, 'PoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolFreeCount', 
                [], [], 
                '''                pool free count
                ''',
                'pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('pool-size', REFERENCE_LIST, 'PoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolSize', 
                [], [], 
                '''                pool size
                ''',
                'pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('ppmp-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PPMP entries
                ''',
                'ppmp_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppmp-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PPMP entries
                ''',
                'ppmp_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-node', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Node the process instance is on
                ''',
                'process_instance_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pta-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PTA entries
                ''',
                'pta_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pta-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PTA entries
                ''',
                'pta_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times BGP has started
                ''',
                'restart_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIBRNH entries
                ''',
                'ribrnh_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by RIBRNH entries
                ''',
                'ribrnh_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflector-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by route reflector info
                entries
                ''',
                'route_reflector_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflectors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route reflector info entries
                ''',
                'route_reflectors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-num-non-dflt-vrf-nbrs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sn num non dflt vrf nbrs
                ''',
                'sn_num_non_dflt_vrf_nbrs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-num-non-dflt-vrf-nbrs-estab', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sn num non dflt vrf nbrs estab
                ''',
                'sn_num_non_dflt_vrf_nbrs_estab',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-vrf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                total vrf count
                ''',
                'total_vrf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Tunnel encap entries
                ''',
                'tunnel_encap_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by tunnel encap entries
                ''',
                'tunnel_encap_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Vrf_',
            False, 
            [
            _MetaInfoClassMember('established-neighbors-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of established neighbors
                ''',
                'established_neighbors_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbors-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors
                ''',
                'neighbors_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of networks
                ''',
                'network_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notifications-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of notifications received
                ''',
                'notifications_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notifications-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of notifications sent
                ''',
                'notifications_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of update messages received
                ''',
                'update_messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer',
            False, 
            [
            _MetaInfoClassMember('first-rib-connection-down-timestamp', REFERENCE_CLASS, 'FirstRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp', 
                [], [], 
                '''                First RIB connection Down event timestamp
                ''',
                'first_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-connection-up-timestamp', REFERENCE_CLASS, 'FirstRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp', 
                [], [], 
                '''                First RIB connection Up event timestamp
                ''',
                'first_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RIB Connection Up?
                ''',
                'is_rib_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Down event (in
                seconds)
                ''',
                'last_rib_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-timestamp', REFERENCE_CLASS, 'LastRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp', 
                [], [], 
                '''                Last RIB connection Down event timestamp
                ''',
                'last_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Up event (in
                seconds)
                ''',
                'last_rib_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-timestamp', REFERENCE_CLASS, 'LastRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp', 
                [], [], 
                '''                Last RIB connection Up event timestamp
                ''',
                'last_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Down events
                ''',
                'rib_connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Up events
                ''',
                'rib_connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4rib-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer',
            False, 
            [
            _MetaInfoClassMember('first-rib-connection-down-timestamp', REFERENCE_CLASS, 'FirstRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp', 
                [], [], 
                '''                First RIB connection Down event timestamp
                ''',
                'first_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-connection-up-timestamp', REFERENCE_CLASS, 'FirstRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp', 
                [], [], 
                '''                First RIB connection Up event timestamp
                ''',
                'first_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RIB Connection Up?
                ''',
                'is_rib_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Down event (in
                seconds)
                ''',
                'last_rib_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-timestamp', REFERENCE_CLASS, 'LastRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp', 
                [], [], 
                '''                Last RIB connection Down event timestamp
                ''',
                'last_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Up event (in
                seconds)
                ''',
                'last_rib_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-timestamp', REFERENCE_CLASS, 'LastRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp', 
                [], [], 
                '''                Last RIB connection Up event timestamp
                ''',
                'last_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Down events
                ''',
                'rib_connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Up events
                ''',
                'rib_connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6rib-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection',
            False, 
            [
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection down events
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection Up events
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-down-timestamp', REFERENCE_CLASS, 'FirstConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp', 
                [], [], 
                '''                First connection Down event timestamp
                ''',
                'first_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-up-timestamp', REFERENCE_CLASS, 'FirstConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp', 
                [], [], 
                '''                First connection Up event timestamp
                ''',
                'first_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connection Up?
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Down event (in
                seconds)
                ''',
                'last_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-timestamp', REFERENCE_CLASS, 'LastConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp', 
                [], [], 
                '''                Last connection Down event timestamp
                ''',
                'last_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Up event (in seconds)
                ''',
                'last_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-timestamp', REFERENCE_CLASS, 'LastConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp', 
                [], [], 
                '''                Last connection Up event timestamp
                ''',
                'last_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'te-connection',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection',
            False, 
            [
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection down events
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection Up events
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-down-timestamp', REFERENCE_CLASS, 'FirstConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp', 
                [], [], 
                '''                First connection Down event timestamp
                ''',
                'first_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-up-timestamp', REFERENCE_CLASS, 'FirstConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp', 
                [], [], 
                '''                First connection Up event timestamp
                ''',
                'first_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connection Up?
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Down event (in
                seconds)
                ''',
                'last_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-timestamp', REFERENCE_CLASS, 'LastConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp', 
                [], [], 
                '''                Last connection Down event timestamp
                ''',
                'last_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Up event (in seconds)
                ''',
                'last_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-timestamp', REFERENCE_CLASS, 'LastConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp', 
                [], [], 
                '''                Last connection Up event timestamp
                ''',
                'last_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'lsd-connection',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-sent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-recv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-pl-send-drop-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-send-drop-array', REFERENCE_LIST, 'NsrPlSendDropArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray', 
                [], [], 
                '''                nsr pl send drop array
                ''',
                'nsr_pl_send_drop_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-sent-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-pl-recv-drop-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-recv-drop-array', REFERENCE_LIST, 'NsrPlRecvDropArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray', 
                [], [], 
                '''                nsr pl recv drop array
                ''',
                'nsr_pl_recv_drop_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-recv-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic',
            False, 
            [
            _MetaInfoClassMember('num-recv', REFERENCE_LIST, 'NumRecv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv', 
                [], [], 
                '''                Total recvd
                ''',
                'num_recv',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=6),
            _MetaInfoClassMember('num-recv-drop', REFERENCE_LIST, 'NumRecvDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop', 
                [], [], 
                '''                Recv Errors/drops
                ''',
                'num_recv_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=6),
            _MetaInfoClassMember('num-sent', REFERENCE_LIST, 'NumSent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent', 
                [], [], 
                '''                Total sent
                ''',
                'num_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('num-sent-drop', REFERENCE_LIST, 'NumSentDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop', 
                [], [], 
                '''                Sent Error/drops
                ''',
                'num_sent_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'npl-priority-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'endpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint',
            False, 
            [
            _MetaInfoClassMember('endpoint', REFERENCE_LIST, 'Endpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint', 
                [], [], 
                '''                NCD endpoint bytestream
                ''',
                'endpoint',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-active-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Endpoint active flag
                ''',
                'endpoint_active_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                NCD endpoint handle
                ''',
                'endpoint_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-issu-role', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Endpoint's ISSU Role. Values are 'Primary',
                'Secondary' and 'Tertiary'
                ''',
                'endpoint_issu_role',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Endpoint name
                ''',
                'endpoint_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-stale-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Endpoint stale flag
                ''',
                'endpoint_stale_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('expected-sequence-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expected sequence number
                ''',
                'expected_sequence_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message size for this entity
                ''',
                'msg_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Syncgroup associated with this endpoint
                ''',
                'sync_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('wheel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wheel ID for this endpoint
                ''',
                'wheel_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'npl-endpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl',
            False, 
            [
            _MetaInfoClassMember('dir-service-conn-state', REFERENCE_ENUM_CLASS, 'BgpDsConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpDsConnStateEnum', 
                [], [], 
                '''                Current Directory Service connectionstate
                ''',
                'dir_service_conn_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dsissu-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DS ISSU status flag
                ''',
                'dsissu_status_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-mgr-conn-state', REFERENCE_ENUM_CLASS, 'BgpIsmConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpIsmConnStateEnum', 
                [], [], 
                '''                Current ISSU Mgr connection state
                ''',
                'issu_mgr_conn_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-phase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Current ISSU Phase
                ''',
                'issu_phase',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-type-ng', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ISSU type is Next Gen
                ''',
                'issu_type_ng',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issuha-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Current ISSU HA option
                ''',
                'issuha_option',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-ds-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Local Directory Service handle
                ''',
                'local_ds_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('npl-endpoint', REFERENCE_LIST, 'NplEndpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint', 
                [], [], 
                '''                NPL endpoint information
                ''',
                'npl_endpoint',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('npl-priority-statistic', REFERENCE_LIST, 'NplPriorityStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic', 
                [], [], 
                '''                NPL priority statistics
                ''',
                'npl_priority_statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=2),
            _MetaInfoClassMember('service-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Local DS service name
                ''',
                'service_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ds-npl',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-nsr-mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'standby-nsr-mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-nsrfo-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of the number of postits for this nbr
                ''',
                'postit_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-count-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone',
            False, 
            [
            _MetaInfoClassMember('milestone-met-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Milestone met timestamp
                ''',
                'milestone_met_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('milestone-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Milestone name
                ''',
                'milestone_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('milestone-start-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Milestone start timestamp
                ''',
                'milestone_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'issu-milestone',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_',
            False, 
            [
            _MetaInfoClassMember('active-nsr-mode-enter-time', REFERENCE_LIST, 'ActiveNsrModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'active_nsr_mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=26),
            _MetaInfoClassMember('active-nsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Active BGP nsrstate
                ''',
                'active_nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-nsrfo-time', REFERENCE_LIST, 'ActiveNsrfoTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime', 
                [], [], 
                '''                Time that each thread isdone with its
                
                go-activeprocessing (seconds since Jan 1 1970)
                ''',
                'active_nsrfo_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=10),
            _MetaInfoClassMember('active-nsrtcp-phase-two-enter-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time that NSR TCP Init Sync Phase Two entered on
                active (seconds since Jan 1 1970)
                ''',
                'active_nsrtcp_phase_two_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-te-infra-tunnel-type', REFERENCE_ENUM_CLASS, 'BgpTeInfraTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTeInfraTunnelEnum', 
                [], [], 
                '''                BGP TE infra tunnel type
                ''',
                'bgp_te_infra_tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input bytes
                ''',
                'brib_api_input_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input messages
                ''',
                'brib_api_input_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-prefixes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input advertised prefixes received
                ''',
                'brib_api_input_prefixes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing input from bRIB API
                (milliseconds)
                ''',
                'brib_api_input_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input withdrawn prefixes received
                ''',
                'brib_api_input_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-bytes-generated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output bytes generated
                ''',
                'brib_api_output_bytes_generated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output bytes sent
                ''',
                'brib_api_output_bytes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API calls to generate output
                ''',
                'brib_api_output_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating output for bRIB API
                (milliseconds)
                ''',
                'brib_api_output_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output messages sent
                ''',
                'brib_api_output_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output prefixes advertised
                ''',
                'brib_api_output_prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output prefixes withdrawn
                ''',
                'brib_api_output_prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-sending-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending output to bRIB API (ms)
                ''',
                'brib_api_output_sending_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-items-processed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of config items processed
                ''',
                'configuration_items_processed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing config (milliseconds)
                ''',
                'configuration_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-clock-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current time
                ''',
                'current_clock_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ds-npl', REFERENCE_CLASS, 'DsNpl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl', 
                [], [], 
                '''                NSR related DS and NPL information
                ''',
                'ds_npl',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('edm-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing EDM requests (ms)
                ''',
                'edm_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('edm-requests-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of EDM requests processed
                ''',
                'edm_requests_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach  calls for input
                ''',
                'in_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-out-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach calls for input
                ''',
                'in_out_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('initial-sync-sessions-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, BGP has at least one established
                session when NSR initial synchronization is
                started
                ''',
                'initial_sync_sessions_added',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-node-role', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node role - active/passive
                ''',
                'instance_node_role',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-handler-tm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when IO timer handler got called
                ''',
                'io_handler_tm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-timer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IO master timer ID
                ''',
                'io_timer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-tree-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time as per tree->mtexptime
                ''',
                'io_tree_timer_expiry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-tree-timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time left before the QNX timer would expire
                ''',
                'io_tree_timer_left',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4rib-server', REFERENCE_CLASS, 'Ipv4RibServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer', 
                [], [], 
                '''                IPv4 RIB server global info
                ''',
                'ipv4rib_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6rib-server', REFERENCE_CLASS, 'Ipv6RibServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer', 
                [], [], 
                '''                IPv6 RIB server global info
                ''',
                'ipv6rib_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-milestone', REFERENCE_LIST, 'IssuMilestone' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone', 
                [], [], 
                '''                ISSU Milestones
                ''',
                'issu_milestone',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('issu-milestone-packed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate ISSU Milestones packed
                ''',
                'issu_milestone_packed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsd-connection', REFERENCE_CLASS, 'LsdConnection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection', 
                [], [], 
                '''                MPLS LSD server connection info
                ''',
                'lsd_connection',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-last-reset-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reason for last nsr state  machine reset
                ''',
                'nsr_last_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('out-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach  calls for output
                ''',
                'out_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-count-info', REFERENCE_LIST, 'PostitCountInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo', 
                [], [], 
                '''                List of neighbors and their postit counts
                ''',
                'postit_count_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proc-scoped-sync-state', REFERENCE_ENUM_CLASS, 'BgpScopedSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpScopedSyncStateEnum', 
                [], [], 
                '''                BGP scoped sync state
                ''',
                'proc_scoped_sync_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-ac-ks-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack failure on QAD 
                ''',
                'qad_ac_ks_failure',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-ac-ks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Acks received on QAD 
                ''',
                'qad_ac_ks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-init-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped on standby during initialization
                ''',
                'qad_init_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages received on QAD 
                ''',
                'qad_messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages sent on QAD 
                ''',
                'qad_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-processed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages processed
                ''',
                'qad_processed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-recv-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received packet dropped due to null peer 
                ''',
                'qad_recv_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-resumes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                QAD send resume 
                ''',
                'qad_resumes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-send-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send packets dropped due to null peer 
                ''',
                'qad_send_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-send-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send failure on QAD 
                ''',
                'qad_send_failure',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-suspends', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                QAD send suspend
                ''',
                'qad_suspends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-timeout-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timeouts received on QAD 
                ''',
                'qad_timeout_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-timeout-recvd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of packet send timeouts 
                ''',
                'qad_timeout_recvd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qadack-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Acks sent on QAD 
                ''',
                'qadack_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qadoos-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to  out of sequence
                packetreceived
                ''',
                'qadoos_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('redcon-nsr-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NSR state conveyed to Redcon  by bgp - nsr
                ready/unready
                ''',
                'redcon_nsr_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('redcon-state-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when nsr state wasconveyed to Redcon last
                ''',
                'redcon_state_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sec-active-nsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sec Active BGP nsrstate
                ''',
                'sec_active_nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sec-active-nsrtcp-phase-two-enter-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time that NSR TCP Init Sync Phase Two entered on
                active (seconds since Jan 1 1970)
                ''',
                'sec_active_nsrtcp_phase_two_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-nsr-mode-enter-time', REFERENCE_LIST, 'StandbyNsrModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'standby_nsr_mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('te-connection', REFERENCE_CLASS, 'TeConnection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection', 
                [], [], 
                '''                MPLS TE server connection info
                ''',
                'te_connection',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tep2p-auto-tunnel-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE support for P2P auto tunnel
                ''',
                'tep2p_auto_tunnel_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-neighbors-with-pending-postits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total nbrs with pending postits
                ''',
                'total_neighbors_with_pending_postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-outstanding-postits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total outstanding postits across all neighbors
                ''',
                'total_outstanding_postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-handler-tm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when updgen timer handler got called
                ''',
                'updgen_handler_tm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Updgen master timer ID
                ''',
                'updgen_timer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-tree-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time as per tree->mtexptime
                ''',
                'updgen_tree_timer_expiry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-tree-timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time left before the QNX timer would expire
                ''',
                'updgen_tree_timer_left',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Vrf_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Vrf_',
            False, 
            [
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bytes of data written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of socket reads for nbrs above high
                threshold
                ''',
                'high_throttled_read_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing imbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (ms)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (ms)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of socket reads for nbrs above low
                threshold
                ''',
                'low_throttled_read_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lpts-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times LPTS socket opt set up
                ''',
                'lpts_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lpts-set-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent setting up LPTS socket opt (ms)
                ''',
                'lpts_set_up_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (ms)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to to funvction to process
                sub-group message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group messages processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ID for the BGP process instance
                ''',
                'process_instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Vrf_', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-totals', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                per VRF counts aggregated across all VRFs
                ''',
                'vrf_totals',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr has postits pending
                ''',
                'postit_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions',
            False, 
            [
            _MetaInfoClassMember('session', REFERENCE_LIST, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session', 
                [], [], 
                '''                A BGP session table entry
                ''',
                'session',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sessions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'received-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('active-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Active connections for this
                neighbor due to collision 
                ''',
                'active_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Active opens for this neighbor
                ''',
                'actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-read-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger read
                thread
                ''',
                'control_to_read_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-write-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger write
                thread
                ''',
                'control_to_write_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of data bytes written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('failed-post-actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Active Opens that failed in the Post
                Active State for this neighbor
                ''',
                'failed_post_actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of socket reads after nbr crossed high
                threshold
                ''',
                'high_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing inbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (milliseconds)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (milliseconds)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-nsr-scoped-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last time NSR scoped syncwas done for the
                neighbor
                ''',
                'last_nsr_scoped_sync',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sent-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seq No of the last sent byte
                ''',
                'last_sent_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num socket reads after nbrs crossed low
                threshold
                ''',
                'low_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-read-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of largest socket (milliseconds)
                ''',
                'maximum_read_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-fd', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary FD, per nbr
                ''',
                'nbr_fd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr flags, per thread
                ''',
                'nbr_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket status, TRUE if socket closed
                ''',
                'network_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-oper-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times NSR scoped sync has been done
                ''',
                'nsr_oper_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passive-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Remote opens for this
                neighborneighbor due to collision 
                ''',
                'passive_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Passive opens for this
                neighbor
                ''',
                'passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rejected-passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rejected Passive opens for this
                neighbor
                ''',
                'rejected_passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reset flags, per thread
                ''',
                'reset_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reset Retries, per nbr
                ''',
                'reset_retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list 
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sync flags, per nbr
                ''',
                'sync_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read after being
                throttled
                ''',
                'time_since_last_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (milliseconds)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process sub-group
                message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group msgs processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'open',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive', 
                [], [], 
                '''                Keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification', 
                [], [], 
                '''                Notification
                ''',
                'notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open', REFERENCE_CLASS, 'Open' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open', 
                [], [], 
                '''                Open
                ''',
                'open',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refresh', REFERENCE_CLASS, 'RouteRefresh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh', 
                [], [], 
                '''                Route refresh
                ''',
                'route_refresh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total', 
                [], [], 
                '''                Total
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update', 
                [], [], 
                '''                Update
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-phase-two-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('processed-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages processed from the neighbor's
                write queue
                ''',
                'processed_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent from the neighbor's
                write queue
                ''',
                'sent_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_update_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_update_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_withdraw_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_withdraw_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-pending-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sub-group messages waiting to be sent out
                on this neighbor -- DEPRECATED -- 
                ''',
                'sub_group_pending_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo
                ''',
                'acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of default VRF import disable
                ''',
                'advertise_afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-eo-r-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EoR Can be sent for Advertise AFI
                ''',
                'advertise_afi_eo_r_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of VRF re-import disable
                ''',
                'advertise_afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 default VRF import disable
                ''',
                'advertise_evp_nv4afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 VRF re-import disable
                ''',
                'advertise_evp_nv4afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 default VRF import disable
                ''',
                'advertise_evp_nv6afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 VRF re-import disable
                ''',
                'advertise_evp_nv6afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-received-in-read-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                An EoR was received while in read-only mode
                ''',
                'eo_r_received_in_read_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default origination update sent
                ''',
                'is_default_originate_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding capability received
                ''',
                'is_ext_nh_encoding_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexhop encoding capability Sent
                ''',
                'is_ext_nh_encoding_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-leaving', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr leaving update-groupto another
                ''',
                'is_update_leaving',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Updates Throttled becausewrite limit is reached
                ''',
                'is_update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-performance-statistics', REFERENCE_CLASS, 'NeighborAfPerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics', 
                [], [], 
                '''                Neighbor AF statistics
                ''',
                'neighbor_af_performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor version
                ''',
                'neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-best-externalpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of best-external paths from this neighbor
                ''',
                'number_of_best_externalpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bestpaths from this neighbor
                ''',
                'number_of_bestpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes accepted
                ''',
                'prefixes_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes advertised
                ''',
                'prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-be-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No BE prefixes advertised
                ''',
                'prefixes_be_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied
                ''',
                'prefixes_denied',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-no-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because there was no
                inbound policy
                ''',
                'prefixes_denied_no_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-non-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes exactly denied (non cumulative)
                ''',
                'prefixes_denied_non_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-orf-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by prefix based ORF
                policy
                ''',
                'prefixes_denied_orf_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by inbound policy
                ''',
                'prefixes_denied_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-rt-permit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because RT extended
                community is not imported
                ''',
                'prefixes_denied_rt_permit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes suppressed
                ''',
                'prefixes_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-synced', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes synced to standby
                ''',
                'prefixes_synced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn
                ''',
                'prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn but not found
                ''',
                'prefixes_withdrawn_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version acked by the peer for refresh updates
                sent
                ''',
                'refresh_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version for refresh update generation
                ''',
                'refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version till which refresh updates have been
                generated
                ''',
                'refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests received
                ''',
                'route_refreshes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests sent
                ''',
                'route_refreshes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'synced_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write
                ''',
                'actual_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write before reset
                ''',
                'actual_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write
                ''',
                'actual_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write before reset
                ''',
                'actual_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attempted-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write
                ''',
                'attempted_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write before reset
                ''',
                'attempted_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write
                ''',
                'attempted_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write before reset
                ''',
                'attempted_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-created-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_created_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-state-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp since when nbr is in this bfd state
                ''',
                'bfd_state_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes read
                ''',
                'bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes written by write thread
                ''',
                'bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connect-retry-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time (in secs) for connect retry timer
                ''',
                'connect_retry_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-admin-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative status of connection
                ''',
                'connection_admin_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times connection was dropped
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-established-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) that the connection has been
                established
                ''',
                'connection_established_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local port for the connection
                ''',
                'connection_local_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote port for the connection
                ''',
                'connection_remote_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the connection was established
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('count-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-data-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining discard data (bytes) on Standby
                ''',
                'discard_data_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic neighbor
                ''',
                'dynamic_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications received on the
                connection
                ''',
                'error_notifies_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications sent on the
                connection
                ''',
                'error_notifies_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fpbsn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby PDU boundary SeqNo offset
                ''',
                'fpbsn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fssn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby SeqNo offset
                ''',
                'fssn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) negotiated for this
                connection
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for io
                control
                ''',
                'io_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability received
                ''',
                'is4_byte_as_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability Snt
                ''',
                'is4_byte_as_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation suppressed
                ''',
                'is_capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-as-league', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer belongs to AS League
                ''',
                'is_ebgp_peer_as_league',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-common-admin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer with common administation
                ''',
                'is_ebgp_peer_common_admin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-external-neighbor-not-directly-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                External neighbor not directly connected
                ''',
                'is_external_neighbor_not_directly_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-gr-aware', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GR awareness received
                ''',
                'is_gr_aware',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down during a SEVERE low memory
                condition
                ''',
                'is_out_of_memory_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-read-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket read isdisabled
                ''',
                'is_read_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh capability received
                ''',
                'is_route_refresh_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-old-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh old capability received
                ''',
                'is_route_refresh_old_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) negotiated for this
                connection
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-ackd-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SeqNo of the last Ackd byte
                ''',
                'last_ackd_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aerror-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that an error
                was encountered after KA expiry
                ''',
                'last_k_aerror_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last KA timer expiry before
                reset
                ''',
                'last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-anotsent-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that KA was
                not sent before reset
                ''',
                'last_k_anotsent_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the last KA timer start
                before reset
                ''',
                'last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Code for the last error notification seen on the
                connection
                ''',
                'last_notify_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode of the last error notification
                seen on the connection
                ''',
                'last_notify_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write thread event
                ''',
                'last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-statistics', REFERENCE_CLASS, 'MessageStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics', 
                [], [], 
                '''                Message statistics
                ''',
                'message_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages received
                ''',
                'messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent
                ''',
                'messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multi-protocol-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multi-protocol capability has been received
                ''',
                'multi_protocol_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('negotiated-protocol-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Negotiated protocol version
                ''',
                'negotiated_protocol_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Handle of Neighbor
                ''',
                'neighbor_interface_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open-check-error-code', REFERENCE_ENUM_CLASS, 'BgpOpenCheckErrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpOpenCheckErrEnum', 
                [], [], 
                '''                Open check error code
                ''',
                'open_check_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If peer closed, error received from transport
                ''',
                'peer_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-reset-reason', REFERENCE_ENUM_CLASS, 'BgpPeerResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpPeerResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last peer close event
                ''',
                'peer_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('previous-connection-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Previous state of connection
                ''',
                'previous_connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for read
                ''',
                'read_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-notification-info', REFERENCE_CLASS, 'ReceivedNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo', 
                [], [], 
                '''                Information on the last notification received
                ''',
                'received_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-notification-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification was sent during last reset
                ''',
                'reset_notification_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last connection reset
                ''',
                'reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the neighbor
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last KA timer expiry
                before reset
                ''',
                'second_last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the second last KA timer
                start before reset
                ''',
                'second_last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last write thread
                event
                ''',
                'second_last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-notification-info', REFERENCE_CLASS, 'SendNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo', 
                [], [], 
                '''                Information on the last notification sent
                ''',
                'send_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total read bytes value insocket-lib
                ''',
                'socket_read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-done-time-spec', REFERENCE_CLASS, 'TcpInitSyncDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Done
                ''',
                'tcp_init_sync_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-phase-two-time-spec', REFERENCE_CLASS, 'TcpInitSyncPhaseTwoTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Phase
                Two
                ''',
                'tcp_init_sync_phase_two_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-time-spec', REFERENCE_CLASS, 'TcpInitSyncTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncTimeSpec', 
                [], [], 
                '''                Time When neighbor entered TCP Init Sync
                ''',
                'tcp_init_sync_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CB
                ''',
                'time_last_cb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last CB before reset
                ''',
                'time_last_cb_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-fb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FB
                ''',
                'time_last_fb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-connection-last-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the connection last went down
                (seconds)
                ''',
                'time_since_connection_last_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read
                ''',
                'time_since_last_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read before last reset
                ''',
                'time_since_last_read_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last update message was
                received
                ''',
                'time_since_last_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write
                ''',
                'time_since_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second  last write
                ''',
                'time_since_second_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_second_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update bytes read
                ''',
                'update_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update msgs received
                ''',
                'update_messages_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for write
                ''',
                'write_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor', 
                [], [], 
                '''                A BGP Neighbor table entry
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NextHopVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NextHopVrf',
            False, 
            [
            _MetaInfoClassMember('last-notification-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Processing time for the last notification
                ''',
                'last_notification_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notificationication-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was received
                ''',
                'last_notificationication_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-notification-bestpath-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath changes caused by
                notification which resulted in maximum
                processing
                ''',
                'max_notification_bestpath_changes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-notification-bestpath-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath deletes caused by
                notification which resulted in maximum
                processing
                ''',
                'max_notification_bestpath_deletes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-proc-notification-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                How long since the maximum processing time
                notifcation was received
                ''',
                'max_proc_notification_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum time spent procesing a single batch
                notification
                ''',
                'maximum_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total time spent in processing
                ''',
                'total_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cfg-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                router does not change next-hop
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'idle-watch-timer-remaining-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_',
            False, 
            [
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-timer-remaining-value', REFERENCE_CLASS, 'IdleWatchTimerRemainingValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue', 
                [], [], 
                '''                Idle watch timer remaining time
                ''',
                'idle_watch_timer_remaining_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-idle-watch-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is idle watch timer running
                ''',
                'is_idle_watch_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress', 
                [], [], 
                '''                Dynamic Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-age', REFERENCE_CLASS, 'NeighborAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAge', 
                [], [], 
                '''                Neighbor age
                ''',
                'neighbor_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange',
            False, 
            [
            _MetaInfoClassMember('neighbor-range-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor Range prefix
                ''',
                'neighbor_range_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-range-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Neighbor Range prefix
                        ''',
                        'neighbor_range_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-range-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Neighbor Range prefix
                        ''',
                        'neighbor_range_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive Disabled
                ''',
                'addpath_receive_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive enable
                ''',
                'addpath_receive_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send Disabled
                ''',
                'addpath_send_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send enabled
                ''',
                'addpath_send_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attrf-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attrf Group Name
                ''',
                'attrf_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cfg-local-address', REFERENCE_CLASS, 'CfgLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress', 
                [], [], 
                '''                Configured local address
                ''',
                'cfg_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Dynamic nbrs in range
                ''',
                'current_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dynamic Neighbor idle-watch time (in seconds)
                ''',
                'idle_watch_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_', 
                [], [], 
                '''                Dynamic Neighbor Instance List
                ''',
                'instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('islocal-address-cfg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured
                ''',
                'islocal_address_cfg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max Dynamic nbrs in range
                ''',
                'max_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-buf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message Buf Count
                ''',
                'msg_buf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-bug-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Message Buf Circular
                ''',
                'msg_bug_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-rcv-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr Receive Size
                ''',
                'nbr_rcv_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-send-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr Send Size
                ''',
                'nbr_send_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-range-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor Range Prefix Length
                ''',
                'neighbor_range_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('oper-attrf-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Oper attrf Enable
                ''',
                'oper_attrf_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-inst-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error during instance creation
                ''',
                'range_inst_error',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-max-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                open drop due to max peers
                ''',
                'range_max_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-open-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                open accepted
                ''',
                'range_open_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-open-match', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Passive open matching range
                ''',
                'range_open_match',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote AS List Name
                ''',
                'remote_as_list_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('syslog-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                syslog enable
                ''',
                'syslog_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('upd-errh-noreset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update errh noreset
                ''',
                'upd_errh_noreset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Update Source
                ''',
                'update_source',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges',
            False, 
            [
            _MetaInfoClassMember('neighbor-range', REFERENCE_LIST, 'NeighborRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange', 
                [], [], 
                '''                A BGP Neighbor Range table entry
                ''',
                'neighbor_range',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'logged-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage',
            False, 
            [
            _MetaInfoClassMember('logged-message-data', REFERENCE_LIST, 'LoggedMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'logged_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Message data length
                ''',
                'message_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-timestamp', REFERENCE_CLASS, 'MessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp', 
                [], [], 
                '''                message received time: time elapsed since 00:00
                :00 UTC, January 1, 1970
                ''',
                'message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-type-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of messages Received
                ''',
                'message_type_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-logged-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total logged messages count
                ''',
                'total_logged_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog',
            False, 
            [
            _MetaInfoClassMember('direction', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Direction
                ''',
                'direction',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-message', REFERENCE_LIST, 'NeighborMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage', 
                [], [], 
                '''                Array of Neighbor Messages in one direction
                ''',
                'neighbor_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-log',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs',
            False, 
            [
            _MetaInfoClassMember('message-log', REFERENCE_LIST, 'MessageLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog', 
                [], [], 
                '''                A BGP Message log entry
                ''',
                'message_log',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-logs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('afs', REFERENCE_CLASS, 'Afs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs', 
                [], [], 
                '''                BGP address family table
                ''',
                'afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp', REFERENCE_CLASS, 'Bmp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp', 
                [], [], 
                '''                BMP related Operational Data
                ''',
                'bmp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-process-info', REFERENCE_CLASS, 'GlobalProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo', 
                [], [], 
                '''                The Global Process information table
                ''',
                'global_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Information', 
                [], [], 
                '''                Meta data for VRF
                ''',
                'information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-logs', REFERENCE_CLASS, 'MessageLogs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs', 
                [], [], 
                '''                The BGP Neighbor Message table
                ''',
                'message_logs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-ranges', REFERENCE_CLASS, 'NeighborRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges', 
                [], [], 
                '''                The BGP Dynamic Neighbor Range table
                ''',
                'neighbor_ranges',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors', 
                [], [], 
                '''                The BGP Neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-vrf', REFERENCE_CLASS, 'NextHopVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NextHopVrf', 
                [], [], 
                '''                A BGP Next-hop VRF table entry
                ''',
                'next_hop_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postits', REFERENCE_CLASS, 'Postits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits', 
                [], [], 
                '''                The BGP Neighbor table
                ''',
                'postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-info', REFERENCE_CLASS, 'ProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo', 
                [], [], 
                '''                A Process instance table entry
                ''',
                'process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sessions', REFERENCE_CLASS, 'Sessions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions', 
                [], [], 
                '''                The BGP session table
                ''',
                'sessions',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-neighbors', REFERENCE_CLASS, 'UpdateInboundErrorNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors', 
                [], [], 
                '''                Update inbound error information for all
                neighbors
                ''',
                'update_inbound_error_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-vrf', REFERENCE_CLASS, 'UpdateInboundErrorVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorVrf', 
                [], [], 
                '''                Update inbound error information for the VRF
                ''',
                'update_inbound_error_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-neighbors', REFERENCE_CLASS, 'UpdateInboundFilterNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors', 
                [], [], 
                '''                Update inbound filtering information for all
                neighbors
                ''',
                'update_inbound_filter_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-vrf', REFERENCE_CLASS, 'UpdateInboundFilterVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterVrf', 
                [], [], 
                '''                Update inbound filtering information for the VRF
                ''',
                'update_inbound_filter_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Vrfs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf', 
                [], [], 
                '''                Operational data for a particular VRF
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorVrf',
            False, 
            [
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed messages received
                event (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received malformed
                messages
                ''',
                'update_malformed_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd',
            False, 
            [
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds',
            False, 
            [
            _MetaInfoClassMember('network-lookup-rd', REFERENCE_LIST, 'NetworkLookupRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network_lookup_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd',
            False, 
            [
            _MetaInfoClassMember('network-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network 
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network 
                        ''',
                        'network_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network 
                        ''',
                        'network_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('network-lookup-rds', REFERENCE_CLASS, 'NetworkLookupRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_lookup_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-all-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds',
            False, 
            [
            _MetaInfoClassMember('network-lookup-all-rd', REFERENCE_LIST, 'NetworkLookupAllRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_lookup_all_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-lookup-all-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-out', REFERENCE_CLASS, 'AttributesAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut', 
                [], [], 
                '''                Attributes after outbound policy
                ''',
                'attributes_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists All 'sp_path_in' fields except
                'sp_path_in->bag_prefix' are invalid.  All
                'sp_path_out' fields are invalid.
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-in', REFERENCE_CLASS, 'PathInfoAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn', 
                [], [], 
                '''                Path information after inbound policy
                ''',
                'path_info_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-out', REFERENCE_CLASS, 'PathInfoAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut', 
                [], [], 
                '''                Path information after outbound policy
                ''',
                'path_info_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_LIST, 'Policy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy', 
                [], [], 
                '''                A BGP Policy table entry
                ''',
                'policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'policies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Convergence' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Convergence',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('are-write-queues-empty', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All neighbor write queues are empty
                ''',
                'are_write_queues_empty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Convergence has been reached
                ''',
                'has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-start-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-wrap-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-rib',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-import',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic',
            False, 
            [
            _MetaInfoClassMember('trigger-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerTableVersion
                ''',
                'trigger_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-time-spec', REFERENCE_CLASS, 'TriggerTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec', 
                [], [], 
                '''                trigger time spec
                ''',
                'trigger_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TriggerVersion
                ''',
                'trigger_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic', 
                [], [], 
                '''                statistic
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Triggers
                ''',
                'triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'trigger-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'install-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall',
            False, 
            [
            _MetaInfoClassMember('install-time', REFERENCE_CLASS, 'InstallTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime', 
                [], [], 
                '''                RIB install time
                ''',
                'install_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('installed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Installed routes
                ''',
                'installed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('modified-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Modified routes
                ''',
                'modified_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start version
                ''',
                'start_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version
                ''',
                'target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-time', REFERENCE_CLASS, 'UpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime', 
                [], [], 
                '''                RIB update time
                ''',
                'update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('withdrawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdrawn routes
                ''',
                'withdrawn_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rib-install',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('freed-rd-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of RDs freed
                ''',
                'freed_rd_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when Import thread is last triggered
                ''',
                'import_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Import thread is last triggered
                ''',
                'import_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Import thread triggers
                ''',
                'import_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by import thread
                ''',
                'import_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total imported paths memory
                ''',
                'imported_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total impoorted paths 
                ''',
                'imported_paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when label thread is last triggered
                ''',
                'label_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Label thread is last triggered
                ''',
                'label_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label thread triggers
                ''',
                'label_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by label thread
                ''',
                'label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-import-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Import thread version when last triggered
                ''',
                'last_import_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label thread version when last triggered
                ''',
                'last_label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB thread version when last triggered
                ''',
                'last_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks freed
                ''',
                'local_networks_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks malloced
                ''',
                'local_networks_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks memory
                ''',
                'local_networks_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-networks-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local networks
                ''',
                'local_networks_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths freed
                ''',
                'local_paths_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths malloced
                ''',
                'local_paths_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths memory
                ''',
                'local_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total local paths
                ''',
                'local_paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-rd-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of RDs malloced
                ''',
                'malloced_rd_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-active-pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Active Pelem Version
                ''',
                'max_active_pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('merged-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merged Table Version
                ''',
                'merged_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath network entries
                ''',
                'multipath_network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-network-entry-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used bymultipath network
                entries
                ''',
                'multipath_network_entry_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath paths
                ''',
                'multipath_paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multipath-paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used bymultimpath paths
                ''',
                'multipath_paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks freed
                ''',
                'networks_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks malloced
                ''',
                'networks_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total networks memory
                ''',
                'networks_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of networks
                ''',
                'networks_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-init-sync-pfx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of prefix synced during Initsync
                ''',
                'num_init_sync_pfx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems freed
                ''',
                'path_elems_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems malloced
                ''',
                'path_elems_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total path-elems memory
                ''',
                'path_elems_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of path-elems
                ''',
                'path_elems_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-freed-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths freed
                ''',
                'paths_freed_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-malloced-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths malloced
                ''',
                'paths_malloced_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths memory
                ''',
                'paths_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of paths
                ''',
                'paths_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by RD data
                ''',
                'rd_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-ack-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack requests
                ''',
                'rib_ack_requests',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acked-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version acked by RIB
                ''',
                'rib_acked_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack received
                ''',
                'rib_acks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-brib-received-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version received from 
                ''',
                'rib_brib_received_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-install', REFERENCE_CLASS, 'RibInstall' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall', 
                [], [], 
                '''                RIB install info
                ''',
                'rib_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when RIB thread is last triggered
                ''',
                'rib_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-slow-acks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for slow RIB acks
                ''',
                'rib_slow_acks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB thread triggers
                ''',
                'rib_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribbgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when RIB thread is last triggered
                ''',
                'ribbgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-download-go-active-done-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Download Go Active Done Pending
                ''',
                'route_download_go_active_done_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-state', REFERENCE_ENUM_CLASS, 'BgpRtrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRtrStateEnum', 
                [], [], 
                '''                Router state
                ''',
                'router_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version for sending updates to peers
                ''',
                'send_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version updated by sync thread
                ''',
                'standby_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version sent to RIB/bRIB
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP table version
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of RDs
                ''',
                'total_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-remote-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of remote RDs
                ''',
                'total_remote_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-same-r-ds-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Num of same RDs
                ''',
                'total_same_r_ds_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-import', REFERENCE_CLASS, 'TriggerImport' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport', 
                [], [], 
                '''                Trigger import
                ''',
                'trigger_import',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-label', REFERENCE_CLASS, 'TriggerLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel', 
                [], [], 
                '''                Trigger label
                ''',
                'trigger_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-rib', REFERENCE_CLASS, 'TriggerRib' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib', 
                [], [], 
                '''                Trigger RIB
                ''',
                'trigger_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('trigger-update', REFERENCE_CLASS, 'TriggerUpdate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate', 
                [], [], 
                '''                Trigger update
                ''',
                'trigger_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-gen-bgp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP version when Update generation thread is
                last triggered
                ''',
                'update_gen_bgp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-gen-last-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when Update generation thread is last
                triggered
                ''',
                'update_gen_last_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-triggers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update thread triggers
                ''',
                'update_triggers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-wait-install-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update wait-install enabled
                ''',
                'update_wait_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-done-time-spec', REFERENCE_CLASS, 'VersionWrapDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec', 
                [], [], 
                '''                Version Wrap handle Done timestamp
                ''',
                'version_wrap_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-start-time-spec', REFERENCE_CLASS, 'VersionWrapStartTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec', 
                [], [], 
                '''                Version Wrap handle start timestamp
                ''',
                'version_wrap_start_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrap-time-spec', REFERENCE_CLASS, 'VersionWrapTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec', 
                [], [], 
                '''                Version Wrap timestamp
                ''',
                'version_wrap_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrapped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times Version Wrap happened
                ''',
                'version_wrapped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-wrapped-tid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version Wrapped trigger tid
                ''',
                'version_wrapped_tid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Vrf',
            False, 
            [
            _MetaInfoClassMember('add-path-install-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Additional paths installation is disabled
                ''',
                'add_path_install_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-install-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Additional paths installation is enabled
                ''',
                'add_path_install_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('any-ebgp-neighbor-missing-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is there any neighbor which is missing either
                inbound or outbound or both routing policy for
                this address family?
                ''',
                'any_ebgp_neighbor_missing_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('asbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Router is an ASBR for this AF
                ''',
                'asbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-download', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute download is 
                ''',
                'attribute_download',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best External is enabled
                ''',
                'best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-external-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best External is enabled
                ''',
                'best_external_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BMP net entries
                ''',
                'bmp_network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by path data
                ''',
                'bmp_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Number of BMP paths
                ''',
                'bmp_paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-prefix-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by prefix data
                ''',
                'bmp_prefix_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('damped-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of dampened paths
                ''',
                'damped_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of paths freed
                ''',
                'freed_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-path-elem-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of pathelems freed
                ''',
                'freed_path_elem_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('freed-prefix-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of prefixes freed
                ''',
                'freed_prefix_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('history-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of history paths (for dampening)
                ''',
                'history_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-nexthop-self-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of iBGP sessions configured with nh-self
                ''',
                'ibgp_nexthop_self_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by imported paths
                ''',
                'imported_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('imported-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths
                ''',
                'imported_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Router is an RR for this AF
                ''',
                'is_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-retain', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label retention is enabled
                ''',
                'label_retain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-retainvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label retention value enabled
                ''',
                'label_retainvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by local paths
                ''',
                'local_path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of local paths
                ''',
                'local_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of paths malloced
                ''',
                'malloced_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-path-elem-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of path elems malloced
                ''',
                'malloced_path_elem_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('malloced-prefix-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Activity: Number of prefixes malloced
                ''',
                'malloced_prefix_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of network entries
                ''',
                'network_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elem-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by pathelem data
                ''',
                'path_elem_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-elems-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path elems
                ''',
                'path_elems_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by path data
                ''',
                'path_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by prefix data
                ''',
                'prefix_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of (unused) received paths for inbound
                soft reconfiguration
                ''',
                'received_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('retain-rt-all', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retain-RT-All enabled
                ''',
                'retain_rt_all',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-target-download', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Target download is enabled
                ''',
                'route_target_download',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tbl-bitf-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bitfield size on table
                ''',
                'tbl_bitf_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tbl-chunk-bitf-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Chunk Bitfield size on table
                ''',
                'tbl_chunk_bitf_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-igpsr-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use IGP SR label for resolution
                ''',
                'use_igpsr_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-install-add',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-install-del',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-add',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-del',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-add-local',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total-pim-callback-del-local',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_',
            False, 
            [
            _MetaInfoClassMember('first-nbr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when first peer came up (seconds since Jan
                1 1970)
                ''',
                'first_nbr_up_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if process has converged
                ''',
                'has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mode-enter-time', REFERENCE_LIST, 'ModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-add', REFERENCE_LIST, 'TotalPimCallbackAdd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd', 
                [], [], 
                '''                Total number of Pim callbacks for add
                ''',
                'total_pim_callback_add',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-add-local', REFERENCE_LIST, 'TotalPimCallbackAddLocal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal', 
                [], [], 
                '''                Total number of Pim callbacks for local add
                ''',
                'total_pim_callback_add_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-batch', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pim callback batches
                ''',
                'total_pim_callback_batch',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-callback-del', REFERENCE_LIST, 'TotalPimCallbackDel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel', 
                [], [], 
                '''                Total number of Pim callbacks for del
                ''',
                'total_pim_callback_del',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callback-del-local', REFERENCE_LIST, 'TotalPimCallbackDelLocal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal', 
                [], [], 
                '''                Total number of Pim callbacks for Local del
                ''',
                'total_pim_callback_del_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-callbacks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of PIM callbacks
                ''',
                'total_pim_callbacks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-install', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of install to PIM
                ''',
                'total_pim_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-pim-install-add', REFERENCE_LIST, 'TotalPimInstallAdd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd', 
                [], [], 
                '''                Total number of install to PIM for add
                ''',
                'total_pim_install_add',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('total-pim-install-del', REFERENCE_LIST, 'TotalPimInstallDel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel', 
                [], [], 
                '''                Total number of install to PIM for del
                ''',
                'total_pim_install_del',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibCoverged' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibCoverged',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-rib-coverged',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibDown' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibDown',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-rib-down',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableFullTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableFullTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-table-full-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableFullTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableFullTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-table-full-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableHasSpaceTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableHasSpaceTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-table-has-space-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableHasSpaceTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableHasSpaceTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-table-has-space-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeLabelRetain' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeLabelRetain',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'time-label-retain',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf',
            False, 
            [
            _MetaInfoClassMember('attributes-recover-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes recovered from RIB
                ''',
                'attributes_recover_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes withdrawn from RIB
                ''',
                'attributes_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of attributes sent to RIB
                ''',
                'attributes_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-full-timestamp', REFERENCE_CLASS, 'FirstRibTableFullTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableFullTimestamp', 
                [], [], 
                '''                Timestamp when RIB table was full for the first
                time
                ''',
                'first_rib_table_full_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table was full for the first
                time
                ''',
                'first_rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-has-space-timestamp', REFERENCE_CLASS, 'FirstRibTableHasSpaceTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableHasSpaceTimestamp', 
                [], [], 
                '''                Timestamp when RIB table had space for the first
                time
                ''',
                'first_rib_table_has_space_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-table-has-space-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table had space for the first
                time
                ''',
                'first_rib_table_has_space_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-added-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths added
                ''',
                'import_added_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of calls to import processing function
                ''',
                'import_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-dest-net-processed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of destination nets processed
                ''',
                'import_dest_net_processed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-removed-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths removed
                ''',
                'import_removed_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-replaced-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of imported paths 
                ''',
                'import_replaced_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-src-net-processed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of source nets processed
                ''',
                'import_src_net_processed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent in import processing (milliseconds)
                Note time accounted against source nets.
                ''',
                'import_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-table-full', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if RIB table is in prefix-limit state
                ''',
                'is_rib_table_full',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-added-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels requested
                ''',
                'label_added_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to label allocation processing
                function
                ''',
                'label_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-release-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels released
                ''',
                'label_release_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-rewrite-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of label rewrites created
                ''',
                'label_rewrite_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent running label processing
                (milliseconds)
                ''',
                'label_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since RIB table was full for the last time
                (in seconds)
                ''',
                'last_rib_table_full_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-timestamp', REFERENCE_CLASS, 'LastRibTableFullTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableFullTimestamp', 
                [], [], 
                '''                Timestamp when RIB table was full for the last
                time
                ''',
                'last_rib_table_full_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table was full for the last
                time
                ''',
                'last_rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Times since RIB table had space for the last
                time (in seconds)
                ''',
                'last_rib_table_has_space_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-timestamp', REFERENCE_CLASS, 'LastRibTableHasSpaceTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableHasSpaceTimestamp', 
                [], [], 
                '''                Timestamp when RIB table had space for the last
                time
                ''',
                'last_rib_table_has_space_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-table-has-space-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table had space for the last
                time
                ''',
                'last_rib_table_has_space_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn from RIB
                ''',
                'prefixes_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-resent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes re-sent to RIB
                ''',
                'prefixes_resent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes sent to RIB
                ''',
                'prefixes_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table became full (from
                non-full)
                ''',
                'rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-del-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped on account of table
                delete
                ''',
                'rib_tbl_del_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-invalid-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of  rib update skipped due to table invalid
                ''',
                'rib_tbl_invalid_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped. due to no local label
                ''',
                'rib_tbl_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-retry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of table rib retires.
                ''',
                'rib_tbl_retry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-tbl-skip-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of rib update skipped
                ''',
                'rib_tbl_skip_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-trigger', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rib trigger enabled
                ''',
                'rib_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-update-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to RIB update function
                ''',
                'rib_update_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending RIB updates (milliseconds)
                ''',
                'rib_update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-runs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                # of times scanner has run
                ''',
                'scanner_runs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent running scanner (milliseconds)
                ''',
                'scanner_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update subgroup
                ''',
                'subgroup_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-label-retain', REFERENCE_CLASS, 'TimeLabelRetain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeLabelRetain', 
                [], [], 
                '''                Time last label retentiontriggered 
                ''',
                'time_label_retain',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-update-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time last update was sent (seconds since Jan 1
                1970)
                ''',
                'time_last_update_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-rib-coverged', REFERENCE_CLASS, 'TimeRibCoverged' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibCoverged', 
                [], [], 
                '''                Time last RIB ack was sent 
                ''',
                'time_rib_coverged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-rib-down', REFERENCE_CLASS, 'TimeRibDown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibDown', 
                [], [], 
                '''                Time last RIB down wassent. This field is
                deprecated
                ''',
                'time_rib_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-be-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of be prefixes updates generated for
                ''',
                'update_generation_be_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to update generation function
                ''',
                'update_generation_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages generated
                ''',
                'update_generation_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes updates generated for
                ''',
                'update_generation_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating updates (milliseconds)
                ''',
                'update_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update group
                ''',
                'update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF flags for debug display
                ''',
                'vrf_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family id
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ID for the BGP process instance
                ''',
                'process_instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-totals', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                per VRF information aggregated across all VRFs
                ''',
                'vrf_totals',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-used-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet',
            False, 
            [
            _MetaInfoClassMember('rpc-set-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Nexthop set index
                ''',
                'rpc_set_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label assigned to the RPCnext-hop set
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_LIST, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop', 
                [], [], 
                '''                List of multipath next-hops
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of multipath next-hops
                ''',
                'next_hop_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ref-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcount
                ''',
                'ref_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpc-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets',
            False, 
            [
            _MetaInfoClassMember('rpc-set', REFERENCE_LIST, 'RpcSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet', 
                [], [], 
                '''                A BGP next-hop set
                ''',
                'rpc_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpc-sets',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'install-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall',
            False, 
            [
            _MetaInfoClassMember('install-time', REFERENCE_CLASS, 'InstallTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime', 
                [], [], 
                '''                RIB install time
                ''',
                'install_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('installed-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Installed routes
                ''',
                'installed_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('modified-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Modified routes
                ''',
                'modified_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start version
                ''',
                'start_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version
                ''',
                'target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-time', REFERENCE_CLASS, 'UpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime', 
                [], [], 
                '''                RIB update time
                ''',
                'update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('withdrawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdrawn routes
                ''',
                'withdrawn_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rib-install',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'syncgrp-version',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('gblafrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'gblafrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'gblafrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'gblafrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gblafrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'gblafrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-mcast-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global table mcast enabled
                ''',
                'global_mcast_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inter-as-install-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is inter-AS install to pim on ASBR enabled
                ''',
                'inter_as_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-perm-net-cfg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network Enabled
                ''',
                'is_perm_net_cfg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-tunnel-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Tunnel Version
                ''',
                'nh_tunnel_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-nbr-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of neighbors configured with perm net
                ''',
                'perm_nbr_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-del-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of removed perm paths
                ''',
                'perm_net_del_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-existing-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of existing perm paths
                ''',
                'perm_net_existing_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-insert-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of inserted perm paths
                ''',
                'perm_net_insert_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-rpl-process-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm nets processed in RPL
                ''',
                'perm_net_rpl_process_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-rpl-query-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm nets given by RPL
                ''',
                'perm_net_rpl_query_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-stale-del-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of stale perm paths
                ''',
                'perm_net_stale_del_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-net-stale-mark-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of stale marked perm paths
                ''',
                'perm_net_stale_mark_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-path-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of perm paths refreshed
                ''',
                'perm_path_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-all-bump-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of bumped perm pelems
                ''',
                'perm_pelem_all_bump_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-bump-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of bumped perm pelems
                ''',
                'perm_pelem_bump_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-free-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of freed perm pelems
                ''',
                'perm_pelem_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-ack-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack requests
                ''',
                'rib_ack_requests',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for RIB ack received
                ''',
                'rib_acks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-install', REFERENCE_CLASS, 'RibInstall' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall', 
                [], [], 
                '''                RIB install info
                ''',
                'rib_install',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-path-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_path_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-path-not-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_path_not_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-pelem-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_pelem_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-perm-pelem-not-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_perm_pelem_not_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-reg-path-found-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                
                ''',
                'rib_reg_path_found_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-slow-acks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for slow RIB acks
                ''',
                'rib_slow_acks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total prefixes of address-family scanned
                ''',
                'scan_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-segment-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes scanned in a segment of
                address-family
                ''',
                'scan_segment_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scan-segments', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of segments to scan all prefixes of
                address-family
                ''',
                'scan_segments',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('scanner-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Period (in seconds) of address-family scanner
                runs
                ''',
                'scanner_period',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('segmented-mcast-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is segmented mcast enabled
                ''',
                'segmented_mcast_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('syncgrp-version', REFERENCE_LIST, 'SyncgrpVersion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion', 
                [], [], 
                '''                Sync-group Version
                ''',
                'syncgrp_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=2),
            _MetaInfoClassMember('update-wait-install-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update wait-install enabled
                ''',
                'update_wait_install_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Vrf',
            False, 
            [
            _MetaInfoClassMember('aggregates-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dist for aggregate routes (local)
                ''',
                'aggregates_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('client-reflection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Client reflection enabled
                ''',
                'client_reflection_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampening-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dampening enabled
                ''',
                'dampening_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update generation enabled for MED change
                ''',
                'dynamic_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Delay in update generation after a MED change
                (in minutes)
                ''',
                'dynamic_med_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-periodic-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic MED periodic timer running
                ''',
                'dynamic_med_periodic_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-periodic-timer-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dynamic MED periodic timer value (in seconds)
                left on the timer
                ''',
                'dynamic_med_periodic_timer_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic MED timer running
                ''',
                'dynamic_med_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-med-timer-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dynamic MED timer value (in seconds) left on the
                timer
                ''',
                'dynamic_med_timer_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Distance for eBGP routes (external)
                ''',
                'ebgp_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Distance for iBGP routes (internal)
                ''',
                'ibgp_distance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-table-full', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if RIB table is in prefix-limit state
                ''',
                'is_rib_table_full',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-resolution-minimum-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop resoultion minimum prefix-length
                ''',
                'nexthop_resolution_minimum_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-resolution-minimum-prefix-length-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is nexthop resoultion minimum prefix-length
                configured ?
                ''',
                'nexthop_resolution_minimum_prefix_length_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-conv-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR conv version
                ''',
                'nsr_conv_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-is-conv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NSR is converged
                ''',
                'nsr_is_conv',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RD version
                ''',
                'rd_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-acked-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version acked by RIB
                ''',
                'rib_acked_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-convergence-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last convergence version received from RIB
                ''',
                'rib_convergence_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-has-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received convergence notification from RIB
                ''',
                'rib_has_converged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-table-full-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version when RIB table became full (from
                non-full)
                ''',
                'rib_table_full_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version synced to RIB
                ''',
                'rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-ebgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective eBGP multipath isenabled
                ''',
                'selective_ebgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-eibgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective eiBGP multipath isenabled
                ''',
                'selective_eibgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-ibgp-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective iBGP multipath isenabled
                ''',
                'selective_ibgp_multipath_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table state is active
                ''',
                'table_is_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family id
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-stop routing enabled
                ''',
                'is_nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global-af-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix',
            False, 
            [
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network prefix
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes',
            False, 
            [
            _MetaInfoClassMember('network-prefix', REFERENCE_LIST, 'NetworkPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix', 
                [], [], 
                '''                A BGP Network Lookup prefix entry
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr',
            False, 
            [
            _MetaInfoClassMember('advertised-path', REFERENCE_LIST, 'AdvertisedPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath', 
                [], [], 
                '''                A BGP Advertised path table entry (bestpath)
                ''',
                'advertised_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork',
            False, 
            [
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-backdoor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if net is a backdoor route
                ''',
                'is_backdoor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sourced-prefix', REFERENCE_CLASS, 'SourcedPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix', 
                [], [], 
                '''                Prefix length
                ''',
                'sourced_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks',
            False, 
            [
            _MetaInfoClassMember('sourced-network', REFERENCE_LIST, 'SourcedNetwork' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork', 
                [], [], 
                '''                A BGP network command table entry
                ''',
                'sourced_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sourced-networks',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('update-generation-be-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of be prefixes updates generated for
                ''',
                'update_generation_be_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to update generation function
                ''',
                'update_generation_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages generated
                ''',
                'update_generation_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-prefixes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes updates generated for
                ''',
                'update_generation_prefixes_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating updates (milliseconds)
                ''',
                'update_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-process-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer processed for updgrp
                ''',
                'updgen_timer_process_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer started for updgrp
                ''',
                'updgen_timer_start_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-stop-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when update timer stopped for updgrp
                ''',
                'updgen_timer_stop_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup',
            False, 
            [
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-advertised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertised to filtergroup in
                last update walk
                ''',
                'fgroup_advertised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-created-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems created for filtergroup
                ''',
                'fgroup_created_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-deleted-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems deleted
                ''',
                'fgroup_deleted_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags per filter group
                ''',
                'fgroup_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Nbrs per filter group
                ''',
                'fgroup_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-queued-message-elements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of message elems queued
                ''',
                'fgroup_queued_message_elements',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-skipped-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes skipped for filtergroup in
                last update walk
                ''',
                'fgroup_skipped_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-suppressed-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes suppressed for filtergroup in
                last update walk
                ''',
                'fgroup_suppressed_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-advertised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertised to filtergroup in
                all update walk
                ''',
                'fgroup_total_advertised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-non-optimised-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes  non-optm from filtergroupin
                all update walk
                ''',
                'fgroup_total_non_optimised_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-total-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes withdrawn f`rom filtergroupin
                all update walk
                ''',
                'fgroup_total_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fgroup-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes withdrawn f`rom filtergroupin
                last update walk
                ''',
                'fgroup_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this update sub-group
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT count per filter group
                ''',
                'rts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update sub-group index
                ''',
                'update_filter_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup',
            False, 
            [
            _MetaInfoClassMember('filter-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Update sub-group fgrp-num
                ''',
                'filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this subgrp not in any filtergrp
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group', REFERENCE_LIST, 'UpdateFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup', 
                [], [], 
                '''                Update f-group list
                ''',
                'update_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update sub-group index
                ''',
                'update_sub_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('wait-for-eo-rs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Wait for  RT Nbr EoRs
                ''',
                'wait_for_eo_rs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup',
            False, 
            [
            _MetaInfoClassMember('accepts-legacy-pe-rt-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                accept-legacy-pe-RT route
                ''',
                'accepts_legacy_pe_rt_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS Override option
                ''',
                'as_override',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('desync-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the update has been
                desynchronized
                ''',
                'desync_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-def-vrf-imp-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising default VRF  imported routes
                ''',
                'disable_def_vrf_imp_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-native-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising native routes
                ''',
                'disable_native_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('disable-vrf-re-imp-advertisement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable advertising VRF re-imported routes
                ''',
                'disable_vrf_re_imp_advertisement',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ext-nh-encoding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding cap received
                ''',
                'ext_nh_encoding',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter group index
                ''',
                'filter_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT active
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GSHUT local preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT local preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                GSHUT AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-orf-receive-capability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORF receive capability
                ''',
                'has_orf_receive_capability',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AS capable peers
                ''',
                'is4_byte_as_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Add-path capable peers
                ''',
                'is_addpath_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send tranlsated paths
                ''',
                'is_adv_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-perm-net-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent-Net capable peers
                ''',
                'is_adv_perm_net_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-adv-reorg-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Re-orig paths
                ''',
                'is_adv_reorg_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP capable peers
                ''',
                'is_aigp_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-cost-community-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send AIGP cost community to peers
                ''',
                'is_aigp_cost_community_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-med-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send AIGP cost in MED
                ''',
                'is_aigp_med_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-client-reflection-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if client-to-client reflection is disabled 
                ''',
                'is_client_reflection_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-common-admin-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Common admin peers
                ''',
                'is_common_admin_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-directly-connected-ebgp-v6-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Directly connected EBGP v6 peers
                ''',
                'is_directly_connected_ebgp_v6_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-peers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal peers
                ''',
                'is_internal_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-labeled-afi-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update group has labeled AFI enabled
                ''',
                'is_labeled_afi_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-llgr-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Long-lived Stale paths
                ''',
                'is_llgr_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route-reflector client
                ''',
                'is_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send mcast attribute enabled
                ''',
                'is_send_mcast_attr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-unlabeled-afi-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update group has unlabeled AFI enabled
                ''',
                'is_unlabeled_afi_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum-advertisement-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'minimum_advertisement_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum-advertisement-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'minimum_advertisement_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor', 
                [], [], 
                '''                Neighbors in this update group which are not in
                any sub-group
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-subgrp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current count of refresh subgroups
                ''',
                'refresh_subgrp_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outbound route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('session-af-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor session Address family
                ''',
                'session_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-remove-private-a-ss', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Remove private AS numbers
                ''',
                'should_remove_private_a_ss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-remove-private-as-ent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Remove private AS numbersif the entire path
                consistsof private ASes
                ''',
                'should_remove_private_as_ent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-communities', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send communities
                ''',
                'should_send_communities',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-ext-communities', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Extended communities
                ''',
                'should_send_ext_communities',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-gshut-community', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send GSHUT community
                ''',
                'should_send_gshut_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('should-send-stitching-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Stitching RT
                ''',
                'should_send_stitching_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soo', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Site-of-origin option
                ''',
                'soo',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('soo-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Site-of-origin value
                ''',
                'soo_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Split horizon check
                ''',
                'split_horizon',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgrp-merge-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times sub-groups have been merged
                ''',
                'subgrp_merge_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family for update group
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update group index
                ''',
                'update_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group', REFERENCE_LIST, 'UpdateSubGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup', 
                [], [], 
                '''                Update sub-group list
                ''',
                'update_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updates-formatted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of updates formatted
                ''',
                'updates_formatted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updates-replicated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of updates replicated
                ''',
                'updates_replicated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgrp-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID (populated ifclient-to-client
                reflectionis disabled)
                ''',
                'updgrp_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgrp-cluster-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID type:undefined/number/Ip address
                ''',
                'updgrp_cluster_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-next-hop-self', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop self
                ''',
                'use_next_hop_self',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-next-hop-unchanged-mpath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next-hop-unchanged multipath
                ''',
                'use_next_hop_unchanged_mpath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups',
            False, 
            [
            _MetaInfoClassMember('update-group', REFERENCE_LIST, 'UpdateGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup', 
                [], [], 
                '''                A BGP Update group table entry
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'creation-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-merge-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-walk-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-walk-end-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-walk-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-walk-end-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-sub-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured update limit
                ''',
                'configured_update_limit_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('creation-timestamp', REFERENCE_CLASS, 'CreationTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp', 
                [], [], 
                '''                Creation time
                ''',
                'creation_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-sub-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current update limit
                ''',
                'current_update_limit_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-attempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Sending EoR has been attempted
                ''',
                'eo_r_attempted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-walk-end-timestamp', REFERENCE_CLASS, 'FirstUpdateWalkEndTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp', 
                [], [], 
                '''                First update walk end time
                ''',
                'first_update_walk_end_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-walk-start-timestamp', REFERENCE_CLASS, 'FirstUpdateWalkStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp', 
                [], [], 
                '''                First update walk start time
                ''',
                'first_update_walk_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-event-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IO write event pending
                ''',
                'io_write_event_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-merge-timestamp', REFERENCE_CLASS, 'LastMergeTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp', 
                [], [], 
                '''                Last merge time
                ''',
                'last_merge_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-merged-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last merged sub-group index
                ''',
                'last_merged_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update queued event (in seconds)
                ''',
                'last_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-timestamp', REFERENCE_CLASS, 'LastUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp', 
                [], [], 
                '''                Last update queued time
                ''',
                'last_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-end-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update walk end event
                ''',
                'last_update_walk_end_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-end-timestamp', REFERENCE_CLASS, 'LastUpdateWalkEndTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp', 
                [], [], 
                '''                Last update walk end time
                ''',
                'last_update_walk_end_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-walk-start-timestamp', REFERENCE_CLASS, 'LastUpdateWalkStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp', 
                [], [], 
                '''                Last update walk start time
                ''',
                'last_update_walk_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('merge-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge count
                ''',
                'merge_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next resume version
                ''',
                'next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group identifier
                ''',
                'parent_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group index
                ''',
                'parent_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending target version
                ''',
                'pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-default-route-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default route sent
                ''',
                'update_default_route_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh target version
                ''',
                'update_refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-sub-group', REFERENCE_LIST, 'UpdateGenerationSubGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup', 
                [], [], 
                '''                Update generation for sub-group
                ''',
                'update_generation_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-sub-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('critical-notf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of critical event notifications from RIB
                ''',
                'critical_notf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notf-bestpath-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath changes due to last
                notification
                ''',
                'last_notf_bestpath_changes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notf-bestpath-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath deletes due to last
                notification
                ''',
                'last_notf_bestpath_deletes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-removed-from-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops withdrawn from RIB
                ''',
                'nexthops_removed_from_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-resent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops re-sent to RIB
                ''',
                'nexthops_resent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthops-sent-to-rib', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nexthops sent to RIB
                ''',
                'nexthops_sent_to_rib',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-batch-finish-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH batch finish calls
                ''',
                'nh_batch_finish_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-flush-timer-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH flush timer calls
                ''',
                'nh_flush_timer_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-a-sync-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last async Register TS
                ''',
                'nh_last_a_sync_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-a-sync-un-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last async UnRegister TS
                ''',
                'nh_last_a_sync_un_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-batch-finish-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last batch finish TS
                ''',
                'nh_last_batch_finish_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-flush-timer-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last flush timer TS
                ''',
                'nh_last_flush_timer_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-last-sync-reg-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Last sync Register TS
                ''',
                'nh_last_sync_reg_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-peak-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Registration List Count Peak
                ''',
                'nh_peak_registrations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-pending-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH Registration List Count
                ''',
                'nh_pending_registrations',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-sync-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH sync register calls
                ''',
                'nh_sync_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nha-sync-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH async register calls
                ''',
                'nha_sync_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nha-sync-un-reg-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH async unregister calls
                ''',
                'nha_sync_un_reg_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhrib-update-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to RIB update function
                ''',
                'nhrib_update_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhrib-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending RIB updates (milliseconds)
                ''',
                'nhrib_update_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('noncritical-notf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of non-critical event notifications from
                RIB
                ''',
                'noncritical_notf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-sync-registers-failed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sync registers with RIB that failed
                ''',
                'rib_sync_registers_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('riba-sync-registers-failed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of async registers with RIB that failed
                ''',
                'riba_sync_registers_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribnh-reg-failed-for-no-rib-conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nh registers failed because of no rib
                conn
                ''',
                'ribnh_reg_failed_for_no_rib_conn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribnh-reg-failed-for-no-tbl-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of nh registers failed because of no tbl-id
                ''',
                'ribnh_reg_failed_for_no_tbl_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-backup-creates', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times backup tid created during tunnel
                walk
                ''',
                'tunnel_walk_backup_creates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-gw-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times gw was not found during tunnel walk
                ''',
                'tunnel_walk_gw_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-walk-nh-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times nexthop was not found during tunnel
                walk
                ''',
                'tunnel_walk_nh_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('critical-trigger-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Trigger delay for critical event processing
                ''',
                'critical_trigger_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-downloaded-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table downloaded
                ''',
                'epe_downloaded_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-label-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE label walk
                ''',
                'epe_label_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-standby-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table processed by sync
                thread
                ''',
                'epe_standby_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of the EPE table
                ''',
                'epe_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gwaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                GW Address family identifier
                ''',
                'gwaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-nexthop-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH version for gw_ctx
                ''',
                'nh_nexthop_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-rib-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the VRF is active
                ''',
                'nh_rib_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version for gw_ctx
                ''',
                'nh_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway context table id
                ''',
                'nh_table_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('non-critical-trigger-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Trigger delay for non-critical event processing
                ''',
                'non_critical_trigger_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the VRF is active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of nexthops
                ''',
                'total_nexthops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-af-vrf-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-metrice',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-refcount',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo',
            False, 
            [
            _MetaInfoClassMember('gateway-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway flags
                ''',
                'gateway_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('registration-since', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since registration
                ''',
                'registration_since',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('registration-type', REFERENCE_ENUM_CLASS, 'BgpNhValidateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhValidateEnum', 
                [], [], 
                '''                Nexthop registration type
                ''',
                'registration_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-gateway-internal-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo',
            False, 
            [
            _MetaInfoClassMember('gateway-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway flags
                ''',
                'gateway_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-address', REFERENCE_CLASS, 'NexthopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress', 
                [], [], 
                '''                Nexthop address
                ''',
                'nexthop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-af-user-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bitmask indicating the AFs which share the
                nexthop
                ''',
                'nexthop_af_user_bits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop flags
                ''',
                'nexthop_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-internal-info', REFERENCE_LIST, 'NexthopGatewayInternalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo', 
                [], [], 
                '''                Internal nexthop Gateway info
                ''',
                'nexthop_gateway_internal_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Comm librray ID
                ''',
                'nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop ifhandle
                ''',
                'nexthop_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop label
                ''',
                'nexthop_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-metrice', REFERENCE_LIST, 'NexthopMetrice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice', 
                [], [], 
                '''                Nexthop metrices
                ''',
                'nexthop_metrice',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-refcount', REFERENCE_LIST, 'NexthopRefcount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount', 
                [], [], 
                '''                Nexthop refcounts
                ''',
                'nexthop_refcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version
                ''',
                'nexthop_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-internal-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo',
            False, 
            [
            _MetaInfoClassMember('critical-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of critical events received from RIB
                ''',
                'critical_events',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-event-since', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last event sent to or received
                from RIB
                ''',
                'last_event_since',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-event-type', REFERENCE_ENUM_CLASS, 'BgpNhEventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhEventEnum', 
                [], [], 
                '''                Last nexthop event type
                ''',
                'last_event_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_rib_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-type', REFERENCE_ENUM_CLASS, 'BgpNhUpdateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpNhUpdateEnum', 
                [], [], 
                '''                Last nexthop update type
                ''',
                'last_update_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-af-invalid-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bitmask indicating the AFs which have been
                invalidated for the nexthop
                ''',
                'nexthop_af_invalid_bits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric for nexthop
                ''',
                'nexthop_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if MPLS is configured for IAS/CsC
                application
                ''',
                'nexthop_mpls_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces on which MPLS is enabled
                ''',
                'nexthop_mpls_interfaces',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label allocated for IAS/CsC application
                ''',
                'nexthop_mpls_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route', REFERENCE_CLASS, 'NexthopRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute', 
                [], [], 
                '''                Route resolving the nethop
                ''',
                'nexthop_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-path', REFERENCE_LIST, 'NexthopRoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath', 
                [], [], 
                '''                Nexthops of the resolving route
                ''',
                'nexthop_route_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths in the resolving route
                ''',
                'nexthop_route_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length of the route resolving the nexthop
                ''',
                'nexthop_route_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-route-protocol', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protocol that resolves the route to the nexthop
                ''',
                'nexthop_route_protocol',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Nexthop status
                ''',
                'nexthop_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-tableid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Nexthop Table id
                ''',
                'nexthop_tableid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('non-critical-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of non-critical events received from RIB
                ''',
                'non_critical_events',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-gateway-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-set', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Attribute Set Name
                ''',
                'attribute_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_LIST, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress', 
                [], [], 
                '''                Neighbor Address List
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Next hop address
                        ''',
                        'next_hop_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Next hop address
                        ''',
                        'next_hop_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('nexthop-address', REFERENCE_CLASS, 'NexthopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress', 
                [], [], 
                '''                Nexthop address
                ''',
                'nexthop_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AIGP metrice of nexthop
                ''',
                'nexthop_aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-info', REFERENCE_LIST, 'NexthopGatewayInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo', 
                [], [], 
                '''                Gateway related info, includingOptimal Route
                Reflector Gateways
                ''',
                'nexthop_gateway_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-prefix-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Gateway resolved through Connected route ?
                ''',
                'nexthop_gateway_prefix_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway prefix length
                ''',
                'nexthop_gateway_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-gateway-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Gateway reachable ?
                ''',
                'nexthop_gateway_reachable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-internal-info', REFERENCE_CLASS, 'NexthopInternalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo', 
                [], [], 
                '''                Internal nexthop info
                ''',
                'nexthop_internal_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-pending-registration', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Nexthop registration is pending
                ''',
                'nexthop_pending_registration',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors/prefixes referencing this
                nexthop
                ''',
                'nexthop_reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-first-hop-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                First-hop interface handle
                ''',
                'nh_first_hop_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nh-reference-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors/prefixes referencing this
                nexthop (AFs)
                ''',
                'nh_reference_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-nexthop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB Nexthop Id
                ''',
                'rib_nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs',
            False, 
            [
            _MetaInfoClassMember('next-hop-af', REFERENCE_LIST, 'NextHopAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf', 
                [], [], 
                '''                A BGP Next hop entry
                ''',
                'next_hop_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily',
            False, 
            [
            _MetaInfoClassMember('next-hop-af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'next_hop_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('next-hop-af-vrf-af', REFERENCE_CLASS, 'NextHopAfVrfAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf', 
                [], [], 
                '''                A BGP Next-hop VRF AF table entry
                ''',
                'next_hop_af_vrf_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-afs', REFERENCE_CLASS, 'NextHopAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs', 
                [], [], 
                '''                The BGP Next-hop table
                ''',
                'next_hop_afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies',
            False, 
            [
            _MetaInfoClassMember('next-hop-address-family', REFERENCE_LIST, 'NextHopAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily', 
                [], [], 
                '''                Nexthop Address family
                ''',
                'next_hop_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-address-families',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet',
            False, 
            [
            _MetaInfoClassMember('rt-set', REFERENCE_LIST, 'RtSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet', 
                [], [], 
                '''                Set of route targets
                ''',
                'rt_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier of the rtset
                ''',
                'rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length in bytes of set of route targets
                ''',
                'rt_set_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-net-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of nets with paths with the rtset
                ''',
                'rt_set_net_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-target-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter',
            False, 
            [
            _MetaInfoClassMember('rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RTSet ID
                ''',
                'rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('route-target-set', REFERENCE_CLASS, 'RouteTargetSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet', 
                [], [], 
                '''                Route Target set
                ''',
                'route_target_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters',
            False, 
            [
            _MetaInfoClassMember('rt-set-counter', REFERENCE_LIST, 'RtSetCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter', 
                [], [], 
                '''                One RT-set counter table entry
                ''',
                'rt_set_counter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-set-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_',
            False, 
            [
            _MetaInfoClassMember('bmp-nbr-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Paths Nbr bmp bit map
                ''',
                'bmp_nbr_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-adv-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path's Adv bit map
                ''',
                'bmp_path_adv_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with path
                ''',
                'bmp_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path-snd-bit-map', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path's pending snd bit map
                ''',
                'bmp_path_snd_bit_map',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bpath-pointer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP Path pointer
                ''',
                'bpath_pointer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path originated locally?
                ''',
                'local_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label received from peer
                ''',
                'received_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with net
                ''',
                'bmp_net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-net-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net's version
                ''',
                'bmp_net_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-path', REFERENCE_LIST, 'BmpPath_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_', 
                [], [], 
                '''                List of paths under the BMP net
                ''',
                'bmp_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for the net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionAge', 
                [], [], 
                '''                Net Version bump age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp', 
                [], [], 
                '''                Net Version bump timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths',
            False, 
            [
            _MetaInfoClassMember('bmp-path', REFERENCE_LIST, 'BmpPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath', 
                [], [], 
                '''                A BMP path table entry
                ''',
                'bmp_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-stop-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-expiry-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-remaining-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-timer-delay-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup',
            False, 
            [
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent UG check
                ''',
                'is_permanent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update timer running
                ''',
                'is_update_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-delay-value', REFERENCE_CLASS, 'LastUpdateTimerDelayValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue', 
                [], [], 
                '''                Last update timer delay value
                ''',
                'last_update_timer_delay_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-expiry-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update timer expiry event
                ''',
                'last_update_timer_expiry_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-expiry-timestamp', REFERENCE_CLASS, 'LastUpdateTimerExpiryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp', 
                [], [], 
                '''                Last update timer expiry time
                ''',
                'last_update_timer_expiry_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-remaining-value', REFERENCE_CLASS, 'LastUpdateTimerRemainingValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue', 
                [], [], 
                '''                Update timer remaining time
                ''',
                'last_update_timer_remaining_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-start-timestamp', REFERENCE_CLASS, 'LastUpdateTimerStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp', 
                [], [], 
                '''                Last update timer start time
                ''',
                'last_update_timer_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-timer-stop-timestamp', REFERENCE_CLASS, 'LastUpdateTimerStopTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp', 
                [], [], 
                '''                Last update timer stop time
                ''',
                'last_update_timer_stop_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-leaving-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors leaving the update-group
                ''',
                'neighbor_leaving_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-session-af-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor session address family
                ''',
                'neighbor_session_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems allowed by updgen
                ''',
                'perm_pelem_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-encountered', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems seen by updgen
                ''',
                'perm_pelem_encountered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-exp-wdr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems explicitly wdrn by updgen
                ''',
                'perm_pelem_exp_wdr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-not-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems not allowed by updgen
                ''',
                'perm_pelem_not_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('perm-pelem-spur-wdr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Perm Pelems Spurious withdraws by
                updgen
                ''',
                'perm_pelem_spur_wdr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-recovery-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update generation recovery pending
                ''',
                'update_generation_recovery_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-flags2', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group internal flags2
                ''',
                'update_group_flags2',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-update-group', REFERENCE_LIST, 'UpdateGenerationUpdateGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup', 
                [], [], 
                '''                Update generation for update-group
                ''',
                'update_generation_update_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-update-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup',
            False, 
            [
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter-group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Filter-group index
                ''',
                'parent_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group identifier
                ''',
                'parent_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('parent-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Parent Sub-group index
                ''',
                'parent_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group identifier
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group index
                ''',
                'update_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups',
            False, 
            [
            _MetaInfoClassMember('update-generation-filter-group', REFERENCE_LIST, 'UpdateGenerationFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup', 
                [], [], 
                '''                Update generation for filter-group
                ''',
                'update_generation_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-filter-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network',
            False, 
            [
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks',
            False, 
            [
            _MetaInfoClassMember('network', REFERENCE_LIST, 'Network' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'networks',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeKey' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeKey',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe-key',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.NexthopId' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.NexthopId',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nexthop-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.Ifhandle' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.Ifhandle',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ifhandle',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe',
            False, 
            [
            _MetaInfoClassMember('epe-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EPE object's flags
                ''',
                'epe_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key', REFERENCE_LIST, 'EpeKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeKey', 
                [], [], 
                '''                Key of EPE object
                ''',
                'epe_key',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Epe Key Length
                ''',
                'epe_key_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-key-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                EPE key length in bits
                ''',
                'epe_key_length_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-address', REFERENCE_CLASS, 'EpeLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress', 
                [], [], 
                '''                Local address
                ''',
                'epe_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS Number
                ''',
                'epe_local_asn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-local-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local router id
                ''',
                'epe_local_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-next-hop', REFERENCE_CLASS, 'EpeNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop', 
                [], [], 
                '''                Nexthop address
                ''',
                'epe_next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-remote-asn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS Number
                ''',
                'epe_remote_asn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-remote-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote router id
                ''',
                'epe_remote_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-set-key', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Epe Set Key
                ''',
                'epe_set_key',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epe-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EPE object's version
                ''',
                'epe_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-hop', REFERENCE_LIST, 'FirstHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop', 
                [], [], 
                '''                List of firsthops of EPE
                ''',
                'first_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ifhandle', REFERENCE_LIST, 'Ifhandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.Ifhandle', 
                [], [], 
                '''                List of ifhandle of EPE
                ''',
                'ifhandle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label assigned to the RPCnext-hop set
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-id', REFERENCE_LIST, 'NexthopId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.NexthopId', 
                [], [], 
                '''                List of nexthop ID of EPE
                ''',
                'nexthop_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ref-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcount
                ''',
                'ref_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epe',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes',
            False, 
            [
            _MetaInfoClassMember('epe', REFERENCE_LIST, 'Epe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe', 
                [], [], 
                '''                A BGP Egress Engineering table entry
                ''',
                'epe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'epes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('max-prefix-advertisedcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes advertsied to neighbor
                ''',
                'max_prefix_advertisedcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathCounts' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathCounts',
            False, 
            [
            _MetaInfoClassMember('advertised-path-count', REFERENCE_LIST, 'AdvertisedPathCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount', 
                [], [], 
                '''                The BGP Advertised path table Count
                (bestpath)
                ''',
                'advertised_path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor adddress
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor adddress
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network Prefix in Hex format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRouteEnum', 
                [], [], 
                '''                Route Type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable',
            False, 
            [
            _MetaInfoClassMember('path', REFERENCE_LIST, 'Path' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path', 
                [], [], 
                '''                A BGP path table entry
                ''',
                'path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-labeled-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-info-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-out', REFERENCE_CLASS, 'AttributesAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut', 
                [], [], 
                '''                Attributes after outbound policy
                ''',
                'attributes_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists All 'sp_path_in' fields except
                'sp_path_in->bag_prefix' are invalid.  All
                'sp_path_out' fields are invalid.
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-in', REFERENCE_CLASS, 'PathInfoAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn', 
                [], [], 
                '''                Path information after inbound policy
                ''',
                'path_info_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-info-after-policy-out', REFERENCE_CLASS, 'PathInfoAfterPolicyOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut', 
                [], [], 
                '''                Path information after outbound policy
                ''',
                'path_info_after_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'adv-path-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath',
            False, 
            [
            _MetaInfoClassMember('adv-path-info', REFERENCE_LIST, 'AdvPathInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo', 
                [], [], 
                '''                Net Advertized Paths
                ''',
                'adv_path_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor 
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor 
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor 
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Network in hex string bytes format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths', 
                [], [], 
                '''                paths
                ''',
                'paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Network prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths',
            False, 
            [
            _MetaInfoClassMember('advertised-path', REFERENCE_LIST, 'AdvertisedPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath', 
                [], [], 
                '''                A BGP Advertised paths table entry
                (add-paths)
                ''',
                'advertised_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'advertised-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'received-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('active-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Active connections for this
                neighbor due to collision 
                ''',
                'active_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Active opens for this neighbor
                ''',
                'actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-read-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger read
                thread
                ''',
                'control_to_read_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-write-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger write
                thread
                ''',
                'control_to_write_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of data bytes written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('failed-post-actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Active Opens that failed in the Post
                Active State for this neighbor
                ''',
                'failed_post_actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of socket reads after nbr crossed high
                threshold
                ''',
                'high_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing inbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (milliseconds)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (milliseconds)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-nsr-scoped-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last time NSR scoped syncwas done for the
                neighbor
                ''',
                'last_nsr_scoped_sync',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sent-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seq No of the last sent byte
                ''',
                'last_sent_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num socket reads after nbrs crossed low
                threshold
                ''',
                'low_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-read-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of largest socket (milliseconds)
                ''',
                'maximum_read_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-fd', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary FD, per nbr
                ''',
                'nbr_fd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr flags, per thread
                ''',
                'nbr_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket status, TRUE if socket closed
                ''',
                'network_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-oper-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times NSR scoped sync has been done
                ''',
                'nsr_oper_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passive-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Remote opens for this
                neighborneighbor due to collision 
                ''',
                'passive_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Passive opens for this
                neighbor
                ''',
                'passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rejected-passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rejected Passive opens for this
                neighbor
                ''',
                'rejected_passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reset flags, per thread
                ''',
                'reset_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reset Retries, per nbr
                ''',
                'reset_retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list 
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sync flags, per nbr
                ''',
                'sync_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read after being
                throttled
                ''',
                'time_since_last_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (milliseconds)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process sub-group
                message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group msgs processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'open',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive', 
                [], [], 
                '''                Keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification', 
                [], [], 
                '''                Notification
                ''',
                'notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open', REFERENCE_CLASS, 'Open' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open', 
                [], [], 
                '''                Open
                ''',
                'open',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refresh', REFERENCE_CLASS, 'RouteRefresh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh', 
                [], [], 
                '''                Route refresh
                ''',
                'route_refresh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total', 
                [], [], 
                '''                Total
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update', 
                [], [], 
                '''                Update
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-phase-two-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('processed-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages processed from the neighbor's
                write queue
                ''',
                'processed_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent from the neighbor's
                write queue
                ''',
                'sent_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_update_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_update_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_withdraw_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_withdraw_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-pending-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sub-group messages waiting to be sent out
                on this neighbor -- DEPRECATED -- 
                ''',
                'sub_group_pending_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo
                ''',
                'acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of default VRF import disable
                ''',
                'advertise_afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-eo-r-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EoR Can be sent for Advertise AFI
                ''',
                'advertise_afi_eo_r_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of VRF re-import disable
                ''',
                'advertise_afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 default VRF import disable
                ''',
                'advertise_evp_nv4afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 VRF re-import disable
                ''',
                'advertise_evp_nv4afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 default VRF import disable
                ''',
                'advertise_evp_nv6afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 VRF re-import disable
                ''',
                'advertise_evp_nv6afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-received-in-read-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                An EoR was received while in read-only mode
                ''',
                'eo_r_received_in_read_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default origination update sent
                ''',
                'is_default_originate_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding capability received
                ''',
                'is_ext_nh_encoding_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexhop encoding capability Sent
                ''',
                'is_ext_nh_encoding_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-leaving', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr leaving update-groupto another
                ''',
                'is_update_leaving',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Updates Throttled becausewrite limit is reached
                ''',
                'is_update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-performance-statistics', REFERENCE_CLASS, 'NeighborAfPerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics', 
                [], [], 
                '''                Neighbor AF statistics
                ''',
                'neighbor_af_performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor version
                ''',
                'neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-best-externalpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of best-external paths from this neighbor
                ''',
                'number_of_best_externalpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bestpaths from this neighbor
                ''',
                'number_of_bestpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes accepted
                ''',
                'prefixes_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes advertised
                ''',
                'prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-be-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No BE prefixes advertised
                ''',
                'prefixes_be_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied
                ''',
                'prefixes_denied',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-no-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because there was no
                inbound policy
                ''',
                'prefixes_denied_no_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-non-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes exactly denied (non cumulative)
                ''',
                'prefixes_denied_non_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-orf-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by prefix based ORF
                policy
                ''',
                'prefixes_denied_orf_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by inbound policy
                ''',
                'prefixes_denied_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-rt-permit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because RT extended
                community is not imported
                ''',
                'prefixes_denied_rt_permit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes suppressed
                ''',
                'prefixes_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-synced', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes synced to standby
                ''',
                'prefixes_synced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn
                ''',
                'prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn but not found
                ''',
                'prefixes_withdrawn_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version acked by the peer for refresh updates
                sent
                ''',
                'refresh_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version for refresh update generation
                ''',
                'refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version till which refresh updates have been
                generated
                ''',
                'refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests received
                ''',
                'route_refreshes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests sent
                ''',
                'route_refreshes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'synced_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write
                ''',
                'actual_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write before reset
                ''',
                'actual_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write
                ''',
                'actual_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write before reset
                ''',
                'actual_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attempted-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write
                ''',
                'attempted_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write before reset
                ''',
                'attempted_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write
                ''',
                'attempted_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write before reset
                ''',
                'attempted_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-created-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_created_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-state-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp since when nbr is in this bfd state
                ''',
                'bfd_state_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes read
                ''',
                'bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes written by write thread
                ''',
                'bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connect-retry-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time (in secs) for connect retry timer
                ''',
                'connect_retry_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-admin-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative status of connection
                ''',
                'connection_admin_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times connection was dropped
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-established-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) that the connection has been
                established
                ''',
                'connection_established_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local port for the connection
                ''',
                'connection_local_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote port for the connection
                ''',
                'connection_remote_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the connection was established
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('count-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-data-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining discard data (bytes) on Standby
                ''',
                'discard_data_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic neighbor
                ''',
                'dynamic_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications received on the
                connection
                ''',
                'error_notifies_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications sent on the
                connection
                ''',
                'error_notifies_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fpbsn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby PDU boundary SeqNo offset
                ''',
                'fpbsn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fssn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby SeqNo offset
                ''',
                'fssn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) negotiated for this
                connection
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for io
                control
                ''',
                'io_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability received
                ''',
                'is4_byte_as_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability Snt
                ''',
                'is4_byte_as_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation suppressed
                ''',
                'is_capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-as-league', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer belongs to AS League
                ''',
                'is_ebgp_peer_as_league',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-common-admin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer with common administation
                ''',
                'is_ebgp_peer_common_admin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-external-neighbor-not-directly-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                External neighbor not directly connected
                ''',
                'is_external_neighbor_not_directly_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-gr-aware', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GR awareness received
                ''',
                'is_gr_aware',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down during a SEVERE low memory
                condition
                ''',
                'is_out_of_memory_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-read-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket read isdisabled
                ''',
                'is_read_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh capability received
                ''',
                'is_route_refresh_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-old-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh old capability received
                ''',
                'is_route_refresh_old_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) negotiated for this
                connection
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-ackd-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SeqNo of the last Ackd byte
                ''',
                'last_ackd_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aerror-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that an error
                was encountered after KA expiry
                ''',
                'last_k_aerror_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last KA timer expiry before
                reset
                ''',
                'last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-anotsent-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that KA was
                not sent before reset
                ''',
                'last_k_anotsent_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the last KA timer start
                before reset
                ''',
                'last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Code for the last error notification seen on the
                connection
                ''',
                'last_notify_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode of the last error notification
                seen on the connection
                ''',
                'last_notify_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write thread event
                ''',
                'last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-statistics', REFERENCE_CLASS, 'MessageStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics', 
                [], [], 
                '''                Message statistics
                ''',
                'message_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages received
                ''',
                'messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent
                ''',
                'messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multi-protocol-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multi-protocol capability has been received
                ''',
                'multi_protocol_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('negotiated-protocol-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Negotiated protocol version
                ''',
                'negotiated_protocol_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Handle of Neighbor
                ''',
                'neighbor_interface_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open-check-error-code', REFERENCE_ENUM_CLASS, 'BgpOpenCheckErrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpOpenCheckErrEnum', 
                [], [], 
                '''                Open check error code
                ''',
                'open_check_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If peer closed, error received from transport
                ''',
                'peer_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-reset-reason', REFERENCE_ENUM_CLASS, 'BgpPeerResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpPeerResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last peer close event
                ''',
                'peer_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('previous-connection-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Previous state of connection
                ''',
                'previous_connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for read
                ''',
                'read_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-notification-info', REFERENCE_CLASS, 'ReceivedNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo', 
                [], [], 
                '''                Information on the last notification received
                ''',
                'received_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-notification-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification was sent during last reset
                ''',
                'reset_notification_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last connection reset
                ''',
                'reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the neighbor
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last KA timer expiry
                before reset
                ''',
                'second_last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the second last KA timer
                start before reset
                ''',
                'second_last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last write thread
                event
                ''',
                'second_last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-notification-info', REFERENCE_CLASS, 'SendNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo', 
                [], [], 
                '''                Information on the last notification sent
                ''',
                'send_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total read bytes value insocket-lib
                ''',
                'socket_read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-done-time-spec', REFERENCE_CLASS, 'TcpInitSyncDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Done
                ''',
                'tcp_init_sync_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-phase-two-time-spec', REFERENCE_CLASS, 'TcpInitSyncPhaseTwoTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Phase
                Two
                ''',
                'tcp_init_sync_phase_two_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-time-spec', REFERENCE_CLASS, 'TcpInitSyncTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec', 
                [], [], 
                '''                Time When neighbor entered TCP Init Sync
                ''',
                'tcp_init_sync_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CB
                ''',
                'time_last_cb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last CB before reset
                ''',
                'time_last_cb_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-fb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FB
                ''',
                'time_last_fb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-connection-last-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the connection last went down
                (seconds)
                ''',
                'time_since_connection_last_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read
                ''',
                'time_since_last_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read before last reset
                ''',
                'time_since_last_read_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last update message was
                received
                ''',
                'time_since_last_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write
                ''',
                'time_since_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second  last write
                ''',
                'time_since_second_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_second_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update bytes read
                ''',
                'update_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update msgs received
                ''',
                'update_messages_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for write
                ''',
                'write_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor', 
                [], [], 
                '''                A BGP Neighbor table entry
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'version-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-process-instance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pelem-path-neighbor-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement',
            False, 
            [
            _MetaInfoClassMember('is-perm-path-pelem', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pelem for permanent path
                ''',
                'is_perm_path_pelem',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'pelem_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-gw-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway metric
                ''',
                'pelem_gw_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-addpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-addpath Table Attr version
                ''',
                'pelem_no_addpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-no-bestpath-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No-bestpath Table Attr version
                ''',
                'pelem_no_bestpath_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path flags
                ''',
                'pelem_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Path ID
                ''',
                'pelem_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-neighbor-addr', REFERENCE_CLASS, 'PelemPathNeighborAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr', 
                [], [], 
                '''                Path neighbor address
                ''',
                'pelem_path_neighbor_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-nexthop', REFERENCE_CLASS, 'PelemPathNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop', 
                [], [], 
                '''                Path nexthop address
                ''',
                'pelem_path_nexthop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-peer-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path peer path ID
                ''',
                'pelem_path_peer_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-path-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Table Attr version
                ''',
                'pelem_path_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-table-attr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Attr version
                ''',
                'pelem_table_attr_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pelem-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'pelem_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-path-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd',
            False, 
            [
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('active-path-element', REFERENCE_LIST, 'ActivePathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement', 
                [], [], 
                '''                Path element list received from Active inst
                ''',
                'active_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-process-instance-path', REFERENCE_LIST, 'ActiveProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath', 
                [], [], 
                '''                Active's paths for this net 
                ''',
                'active_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bit', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit
                ''',
                'bit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gateway-array', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Gateway array ID
                ''',
                'gateway_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-inconsistent-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has inconsistent paths
                ''',
                'has_inconsistent_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-lbl-retained', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label retained
                ''',
                'has_lbl_retained',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has local label
                ''',
                'has_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net suppressed due to aggregation
                ''',
                'is_net_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-net-ldp-signaled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L2VPN Net LDP signaled  aggregation
                ''',
                'is_net_ldp_signaled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Permanent Network
                ''',
                'is_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-element', REFERENCE_LIST, 'LocalPathElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement', 
                [], [], 
                '''                Local path element list
                ''',
                'local_path_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-process-instance-path', REFERENCE_LIST, 'LocalProcessInstancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath', 
                [], [], 
                '''                Local (to process instance) paths for this net 
                ''',
                'local_process_instance_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has backup path
                ''',
                'net_backup_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-backup-label-rewrite-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has label rewrite for backup path
                ''',
                'net_backup_label_rewrite_available',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-eibgp-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has EIBGP multipaths
                ''',
                'net_eibgp_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net extended flags
                ''',
                'net_extended_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags associated with                           
                net
                ''',
                'net_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'net_local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-rewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label has rewrite
                ''',
                'net_local_label_rewrite',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-local-label-srgb', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net label allocated fromSegment routing global
                block
                ''',
                'net_local_label_srgb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('net-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net has multipaths
                ''',
                'net_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('num-of-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path for this net
                ''',
                'num_of_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('resilient-nexthop-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resilient nexthop set ID
                ''',
                'resilient_nexthop_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB install failed
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-brib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for updates
                ''',
                'table_brib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for net
                ''',
                'table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-age', REFERENCE_CLASS, 'VersionAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge', 
                [], [], 
                '''                Version age
                ''',
                'version_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version-timestamp', REFERENCE_CLASS, 'VersionTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp', 
                [], [], 
                '''                Version timestamp
                ''',
                'version_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds',
            False, 
            [
            _MetaInfoClassMember('network-rd', REFERENCE_LIST, 'NetworkRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd', 
                [], [], 
                '''                A BGP Network table entry
                ''',
                'network_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd',
            False, 
            [
            _MetaInfoClassMember('network-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format (address
                part)
                ''',
                'network_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('network-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network in prefix/length format (address
                        part)
                        ''',
                        'network_addr',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('network-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network in prefix/length format (address
                        part)
                        ''',
                        'network_addr',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('network-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Network in prefix/length format (prefix
                part)
                ''',
                'network_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('network-rds', REFERENCE_CLASS, 'NetworkRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-all-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds',
            False, 
            [
            _MetaInfoClassMember('network-all-rd', REFERENCE_LIST, 'NetworkAllRd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_all_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'network-all-rds',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-sub-group-add-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-sub-group-remove-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-filter-group-add-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-filter-group-remove-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-default-originate-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-default-originate-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-group-start-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-group-expiry-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-refresh-update-queued-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-refresh-update-write-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor',
            False, 
            [
            _MetaInfoClassMember('ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack version
                ''',
                'ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Current Update-group address-family identifier
                ''',
                'current_update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-internal-context', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Default-origination context
                ''',
                'default_originate_internal_context',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-originate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Default-origination state
                ''',
                'default_originate_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Filter-group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-default-originate-timestamp', REFERENCE_CLASS, 'FirstDefaultOriginateTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp', 
                [], [], 
                '''                First default-origination time
                ''',
                'first_default_originate_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-queued-timestamp', REFERENCE_CLASS, 'FirstUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp', 
                [], [], 
                '''                First update queued time
                ''',
                'first_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-write-timestamp', REFERENCE_CLASS, 'FirstUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp', 
                [], [], 
                '''                First update write time
                ''',
                'first_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Inbound count
                ''',
                'inbound_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-eor-outstanding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Number of EORs outstanding
                ''',
                'is_eor_outstanding',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-group-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is update-group timer running
                ''',
                'is_update_group_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-default-originate-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last default-origination event (in
                seconds)
                ''',
                'last_default_originate_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-default-originate-timestamp', REFERENCE_CLASS, 'LastDefaultOriginateTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp', 
                [], [], 
                '''                Last default-origination time
                ''',
                'last_default_originate_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-filter-group-add-timestamp', REFERENCE_CLASS, 'LastFilterGroupAddTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp', 
                [], [], 
                '''                Last added time
                ''',
                'last_filter_group_add_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-filter-group-remove-timestamp', REFERENCE_CLASS, 'LastFilterGroupRemoveTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp', 
                [], [], 
                '''                Last removed time
                ''',
                'last_filter_group_remove_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last refresh update queued event (in
                seconds)
                ''',
                'last_refresh_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-queued-timestamp', REFERENCE_CLASS, 'LastRefreshUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp', 
                [], [], 
                '''                Last refresh update queued time
                ''',
                'last_refresh_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-write-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last refresh update write event (in
                seconds)
                ''',
                'last_refresh_update_write_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-refresh-update-write-timestamp', REFERENCE_CLASS, 'LastRefreshUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp', 
                [], [], 
                '''                Last refresh update write time
                ''',
                'last_refresh_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sub-group-add-timestamp', REFERENCE_CLASS, 'LastSubGroupAddTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp', 
                [], [], 
                '''                Last added time
                ''',
                'last_sub_group_add_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sub-group-remove-timestamp', REFERENCE_CLASS, 'LastSubGroupRemoveTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp', 
                [], [], 
                '''                Last removed time
                ''',
                'last_sub_group_remove_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Last Update-group address-family identifier
                ''',
                'last_update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-expiry-timestamp', REFERENCE_CLASS, 'LastUpdateGroupExpiryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp', 
                [], [], 
                '''                Last update-group timer expiry
                ''',
                'last_update_group_expiry_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-group-start-timestamp', REFERENCE_CLASS, 'LastUpdateGroupStartTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp', 
                [], [], 
                '''                Last update-group timer start
                ''',
                'last_update_group_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update queued event (in seconds)
                ''',
                'last_update_queued_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-queued-timestamp', REFERENCE_CLASS, 'LastUpdateQueuedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp', 
                [], [], 
                '''                Last update queued time
                ''',
                'last_update_queued_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-write-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last update write event (in seconds)
                ''',
                'last_update_write_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-write-timestamp', REFERENCE_CLASS, 'LastUpdateWriteTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp', 
                [], [], 
                '''                Last update write time
                ''',
                'last_update_write_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Resume version
                ''',
                'next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outbound-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Outbound count
                ''',
                'outbound_refresh_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outstanding version count
                ''',
                'outstanding_version_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending target version
                ''',
                'pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ProcessID
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Ack version
                ''',
                'refresh_ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Filter-group index
                ''',
                'refresh_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-next-resume-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh resume version
                ''',
                'refresh_next_resume_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-pending-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pending refresh target version
                ''',
                'refresh_pending_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-requested-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Requested refresh target version
                ''',
                'refresh_requested_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group ID
                ''',
                'refresh_sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh Sub-group index
                ''',
                'refresh_sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh OutQueue messages
                ''',
                'refresh_update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh OutQueue size
                ''',
                'refresh_update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group index
                ''',
                'sub_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-ack-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Synced ack version
                ''',
                'synced_ack_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group index
                ''',
                'update_filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-group-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group messages
                ''',
                'update_filter_group_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Update-group index
                ''',
                'update_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-index-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group index
                ''',
                'update_group_index_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh target version
                ''',
                'update_refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh version
                ''',
                'update_refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics', 
                [], [], 
                '''                Update statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-generation-neighbor', REFERENCE_LIST, 'UpdateGenerationNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor', 
                [], [], 
                '''                Update generation for neighbor
                ''',
                'update_generation_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-discard-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-cleared-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-throttle-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-recovery-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('last-update-cleard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Clear event (in seconds)
                ''',
                'last_update_cleard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-cleared-timestamp', REFERENCE_CLASS, 'LastUpdateClearedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp', 
                [], [], 
                '''                Last Cleared time
                ''',
                'last_update_cleared_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Discard event (in seconds)
                ''',
                'last_update_discard_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-discard-timestamp', REFERENCE_CLASS, 'LastUpdateDiscardTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp', 
                [], [], 
                '''                Last Discarded time
                ''',
                'last_update_discard_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Memory allocation failure time
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Recovery event (in seconds)
                ''',
                'last_update_recovery_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-recovery-timestamp', REFERENCE_CLASS, 'LastUpdateRecoveryTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp', 
                [], [], 
                '''                Last Recovery time
                ''',
                'last_update_recovery_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Throttle event (in seconds)
                ''',
                'last_update_throttle_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-throttle-timestamp', REFERENCE_CLASS, 'LastUpdateThrottleTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp', 
                [], [], 
                '''                Last Throttled time
                ''',
                'last_update_throttle_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cleared Messages
                ''',
                'update_out_queue_messages_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Cumulative Messages
                ''',
                'update_out_queue_messages_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Discarded Messages
                ''',
                'update_out_queue_messages_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue High Messages
                ''',
                'update_out_queue_messages_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cleared', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cleared Size
                ''',
                'update_out_queue_size_cleared',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Cumulative Size
                ''',
                'update_out_queue_size_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                OutQueue Discarded Size
                ''',
                'update_out_queue_size_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue Hi Size
                ''',
                'update_out_queue_size_high',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-recovery-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Count
                ''',
                'update_recovery_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttle-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttle Count
                ''',
                'update_throttle_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily',
            False, 
            [
            _MetaInfoClassMember('configured-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured AF update limit
                ''',
                'configured_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-update-limit-sub-group-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured IBGP sub-group update limit
                ''',
                'configured_update_limit_sub_group_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-update-limit-subgrp-ebgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured EBGP sub-group update limit
                ''',
                'configured_update_limit_subgrp_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-af', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current AF update limit
                ''',
                'current_update_limit_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-sub-group-ibgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current IBGP sub-group update limit
                ''',
                'current_update_limit_sub_group_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-update-limit-subgrp-ebgp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current EBGP sub-group update limit
                ''',
                'current_update_limit_subgrp_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter-group count
                ''',
                'filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refresh sub-group count
                ''',
                'refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled refresh sub-group count
                ''',
                'refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Throttled sub-group count
                ''',
                'sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table neighbor count
                ''',
                'table_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-refresh-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table refresh sub-group count
                ''',
                'table_refresh_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-refresh-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table throttled refresh sub-group count
                ''',
                'table_refresh_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-sub-group-throttled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table throttled sub-group count
                ''',
                'table_sub_group_throttled_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('table-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table update-group count
                ''',
                'table_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'update_group_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-main-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Main table version
                ''',
                'update_main_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-min-neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum Neighbor version
                ''',
                'update_min_neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue messsages
                ''',
                'update_out_queue_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-out-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OutQueue size
                ''',
                'update_out_queue_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'update_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-statistics', REFERENCE_CLASS, 'UpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics', 
                [], [], 
                '''                Upate statistics
                ''',
                'update_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-group count
                ''',
                'update_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-filter-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table filter-group count
                ''',
                'update_table_filter_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-sub-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table sub-group count
                ''',
                'update_table_sub_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-table-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_table_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Update throttled
                ''',
                'update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-update-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update-group count
                ''',
                'update_update_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-rd-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RD Version
                ''',
                'update_vrf_rd_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-table-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF Table RIB version
                ''',
                'update_vrf_table_rib_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrfaf-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Address family identifier
                ''',
                'update_vrfaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-generation-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding label for the tunnel
                ''',
                'binding_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-te-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NH TE Tunnel info is present
                ''',
                'has_te_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-info-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel is stale
                ''',
                'is_tunnel_info_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel registered flag
                ''',
                'is_tunnel_registered',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up flag
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-tunnel-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last rib update happened
                ''',
                'last_tunnel_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-if-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface handle for the tunnel
                ''',
                'tunnel_if_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'BgpteTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpteTunnelEnum', 
                [], [], 
                '''                tunnel type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 enabled
                ''',
                'tunnel_v6_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-v6-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel need IPv6
                ''',
                'tunnel_v6_required',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nhte-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mdt-group-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi',
            False, 
            [
            _MetaInfoClassMember('esi', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                esi
                ''',
                'esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-evpn-esi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpGwAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpGwAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'gw-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-comp-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nbr-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-nexthop-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-circuit-status-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'mvpn-pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'local-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-peers-advertised-to',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'best-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield',
            False, 
            [
            _MetaInfoClassMember('is-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry is a neighbor (not an update group)
                ''',
                'is_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'add-path-orr-bitfield',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation',
            False, 
            [
            _MetaInfoClassMember('accept-own-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept Own
                ''',
                'accept_own_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('accept-own-self-originated-p-ath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own self-originated
                ''',
                'accept_own_self_originated_p_ath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('add-path-orr-bitfield', REFERENCE_LIST, 'AddPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield', 
                [], [], 
                '''                ORR Add path Bitfields
                ''',
                'add_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertisedto-pe', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Net could be advertised                         
                to PE peers
                ''',
                'advertisedto_pe',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total AIGP metric
                ''',
                'aigp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-stage', REFERENCE_ENUM_CLASS, 'BgpBpStageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBpStageEnum', 
                [], [], 
                '''                Stage where the path lost to the best path or
                group best
                ''',
                'best_path_comp_stage',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-comp-winner', REFERENCE_CLASS, 'BestPathCompWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner', 
                [], [], 
                '''                Neighbor address of the path which won best path
                comparison
                ''',
                'best_path_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Best path ID; DEPRECATED BYLocalPathId
                ''',
                'best_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-id-comp-winner', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID of the path which won best path
                comparison
                ''',
                'best_path_id_comp_winner',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('best-path-orr-bitfield', REFERENCE_LIST, 'BestPathOrrBitfield' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield', 
                [], [], 
                '''                ORR Best path Bitfields
                ''',
                'best_path_orr_bitfield',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampen-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening penalty
                ''',
                'dampen_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity', 
                [], [], 
                '''                Mvpn Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fspec-invalid-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Fspec invalid path
                ''',
                'fspec_invalid_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Marked for graceful shutdown
                ''',
                'graceful_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gw-addr', REFERENCE_CLASS, 'GwAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr', 
                [], [], 
                '''                Path GW Address
                ''',
                'gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('halflife-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Half-life time for the penalty
                ''',
                'halflife_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-esi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has EVPN ESI
                ''',
                'has_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-gw-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has GW Address
                ''',
                'has_gw_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-local-net-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local label
                ''',
                'has_local_net_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mdt-group-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MDT Group Address
                ''',
                'has_mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-extcomm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN EXTCOMM feedback
                ''',
                'has_mvpn_extcomm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nbr-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Mvpn nbr Address
                ''',
                'has_mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-nexthop-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN nexthop Address
                ''',
                'has_mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-mvpn-pmsi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has MVPN PMSI feedback
                ''',
                'has_mvpn_pmsi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-rcvd-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has received label
                ''',
                'has_rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-second-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has second received label
                ''',
                'has_second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ibgp-signaled-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IBGP signalled validation
                ''',
                'ibgp_signaled_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP metric to the gateway
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to aggregation
                ''',
                'is_aggregation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS
                ''',
                'is_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-best-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path
                ''',
                'is_best_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-dampened', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import dampened
                ''',
                'is_import_dampened',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-import-suspect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                net import suspect
                ''',
                'is_import_suspect',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-internal-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received over an internal link
                ''',
                'is_internal_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-partial-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partial best path within distributed speaker
                ''',
                'is_partial_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-additional-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is an additional-path
                ''',
                'is_path_additional_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-advertised-local-as-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised outside local AS
                ''',
                'is_path_advertised_local_as_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-af-install-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path can be installed in AF RIB
                ''',
                'is_path_af_install_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path 
                ''',
                'is_path_backup',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-backup-protect-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a backup path to protect multipaths
                ''',
                'is_path_backup_protect_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-best-external', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a best external path
                ''',
                'is_path_best_external',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-damped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path suppressed due to dampening
                ''',
                'is_path_damped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-confederation-peer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from confederation peer
                ''',
                'is_path_from_confederation_peer',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-network-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by network command
                ''',
                'is_path_from_network_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-redistribute-command', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced by redistribute command
                ''',
                'is_path_from_redistribute_command',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-from-route-reflector', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path received from route reflector
                ''',
                'is_path_from_route_reflector',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-history-held', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path entry held to remember history
                ''',
                'is_path_history_held',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imp-candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a candidate for multipath import
                ''',
                'is_path_imp_candidate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-imported', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is imported
                ''',
                'is_path_imported',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-local-aggregate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is a locally created aggregate
                ''',
                'is_path_local_aggregate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-locally-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path sourced locally
                ''',
                'is_path_locally_sourced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-long-lived-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long lived stale routes learnt before neighbor
                restarts
                ''',
                'is_path_long_lived_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-multipath', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is one of multipath best routes
                ''',
                'is_path_multipath',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-nexthop-discarded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is redirected to Null0
                ''',
                'is_path_nexthop_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to any peer
                ''',
                'is_path_not_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-not-advertised-to-ebg-ps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Not advertised to EBGPs
                ''',
                'is_path_not_advertised_to_ebg_ps',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-received-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is received only
                ''',
                'is_path_received_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated
                ''',
                'is_path_reoriginated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-reoriginated-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is reoriginated with stitching RTs
                ''',
                'is_path_reoriginated_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stale routes learnt before neighbor restarts
                ''',
                'is_path_stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-synced-with-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path synchronized with IGP
                ''',
                'is_path_synced_with_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path attributes are usable
                ''',
                'is_path_valid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-path-vpn-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is not in the vrf
                ''',
                'is_path_vpn_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-permanent-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is of type Permanent path
                ''',
                'is_permanent_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-path-not-modified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Received path used without modification
                ''',
                'is_received_path_not_modified',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-spkr-as-best', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Best available path within AS in speaker
                ''',
                'is_spkr_as_best',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-circuit-status-value', REFERENCE_LIST, 'L2VpnCircuitStatusValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue', 
                [], [], 
                '''                L2VPN Circuit Status Value
                ''',
                'l2vpn_circuit_status_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-esi', REFERENCE_CLASS, 'L2VpnEvpnEsi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi', 
                [], [], 
                '''                L2VPN EVPN ESI
                ''',
                'l2vpn_evpn_esi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path block size
                ''',
                'l2vpn_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('labeled-unicast-safi-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path was learnt by labeled-unicast SAFI
                ''',
                'labeled_unicast_safi_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-nh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has local nexthop
                ''',
                'local_nh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local path ID
                ''',
                'local_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-peers-advertised-to', REFERENCE_LIST, 'LocalPeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo', 
                [], [], 
                '''                Local peers that this prefix has been advertised
                to
                ''',
                'local_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-suppress-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum duration to suppress a stable route
                ''',
                'maximum_suppress_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mdt-group-addr', REFERENCE_CLASS, 'MdtGroupAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr', 
                [], [], 
                '''                IPv4 MDT Group Address for the path
                ''',
                'mdt_group_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nbr-addr', REFERENCE_CLASS, 'MvpnNbrAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr', 
                [], [], 
                '''                Mvpn nbr Address for the path
                ''',
                'mvpn_nbr_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-nexthop-addr', REFERENCE_CLASS, 'MvpnNexthopAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr', 
                [], [], 
                '''                Mvpn nexthop Address for the path
                ''',
                'mvpn_nexthop_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn path flags
                ''',
                'mvpn_path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mvpn PMSI label
                ''',
                'mvpn_pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Mvpn PMSI Type
                ''',
                'mvpn_pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-pmsi-value', REFERENCE_LIST, 'MvpnPmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue', 
                [], [], 
                '''                Mvpn PMSI Value
                ''',
                'mvpn_pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mvpn-sfs-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MVPN single forwarder PE path
                ''',
                'mvpn_sfs_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the neighbor for the path
                ''',
                'neighbor_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop', 
                [], [], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nhte-tunnel', REFERENCE_CLASS, 'NhteTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel', 
                [], [], 
                '''                NH TE tunnel information
                ''',
                'nhte_tunnel',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags associated with path
                ''',
                'path_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-flap-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this route has flapped
                ''',
                'path_flap_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-import-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path import flags
                ''',
                'path_import_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT-set id of the path
                ''',
                'path_rt_set_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-rt-set-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count in RT-set
                ''',
                'path_rt_set_route_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table version # for pelem
                ''',
                'path_table_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Weight for the path
                ''',
                'path_weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-peers-advertised-to', REFERENCE_LIST, 'PePeersAdvertisedTo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo', 
                [], [], 
                '''                PE peers that this prefix has been advertised to
                ''',
                'pe_peers_advertised_to',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path received label
                ''',
                'rcvd_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rcvd-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received path ID
                ''',
                'rcvd_path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start reusing a route
                ''',
                'reuse_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is net failed installed                         
                in RIB
                ''',
                'rib_failed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'BgpRoute1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRoute1Enum', 
                [], [], 
                '''                Route Type of path
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-origin-as-validation-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI originAS V. Disabled
                ''',
                'rpki_origin_as_validation_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-limit-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path subject to RT-set net limit
                ''',
                'rt_set_limit_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path second received label
                ''',
                'second_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds-since-first-flap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since route first flapped
                ''',
                'seconds_since_first_flap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('show-rpki-origin-as-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Display validity state ?
                ''',
                'show_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-rpki-origin-as-validity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RPKI origin validation state
                ''',
                'sn_rpki_origin_as_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value to start suppressing a route
                ''',
                'suppress_penalty',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-to-unsuppress', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds until route is unsuppressed
                ''',
                'time_to_unsuppress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'path-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes-after-policy-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes-after-policy-in', REFERENCE_CLASS, 'AttributesAfterPolicyIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn', 
                [], [], 
                '''                Attributes after inbound policy applied
                ''',
                'attributes_after_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-fail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label allocation failed 
                ''',
                'label_fail',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-o-or-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label Version when OOR happens
                ''',
                'label_o_or_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-oor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSD label space is exhausted
                ''',
                'label_oor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network in prefix/length format
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network in prefix/length format
                        ''',
                        'network',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('no-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                No path exists. All 'sp_path' fields except
                'sp_path->bag_prefix' are invalid
                ''',
                'no_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-information', REFERENCE_CLASS, 'PathInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation', 
                [], [], 
                '''                Path information
                ''',
                'path_information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version of BGP Prefix Table
                ''',
                'prefix_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Distinguisher value
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reuse', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Reuse array index
                ''',
                'reuse',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-rd', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Route Distinguisher value
                ''',
                'source_rd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Source Route Distinguisher
                ''',
                'source_route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('source-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the source VRF
                ''',
                'source_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srcaf-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'srcaf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Version number
                ''',
                'version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dampening',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings',
            False, 
            [
            _MetaInfoClassMember('dampening', REFERENCE_LIST, 'Dampening' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening', 
                [], [], 
                '''                A BGP Dampening table entry
                ''',
                'dampening',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'dampenings',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst',
            False, 
            [
            _MetaInfoClassMember('bgp-prefix', REFERENCE_CLASS, 'BgpPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix', 
                [], [], 
                '''                BGP prefix
                ''',
                'bgp_prefix',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-grant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE = permit, FALSE = deny
                ''',
                'is_prefix_grant',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum prefix length
                ''',
                'max_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minimum prefix length
                ''',
                'min_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp-pfxlst',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo',
            False, 
            [
            _MetaInfoClassMember('bgp-pfxlst', REFERENCE_LIST, 'BgpPfxlst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst', 
                [], [], 
                '''                bgp pfxlst
                ''',
                'bgp_pfxlst',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-list-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identfier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_CLASS, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-list-info', REFERENCE_CLASS, 'PrefixListInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo', 
                [], [], 
                '''                Prefix list
                ''',
                'prefix_list_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters',
            False, 
            [
            _MetaInfoClassMember('prefix-filter', REFERENCE_LIST, 'PrefixFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter', 
                [], [], 
                '''                A BGP prefix filter table entry
                ''',
                'prefix_filter',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'prefix-filters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute',
            False, 
            [
            _MetaInfoClassMember('attribute-cache-bucket', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache bucket
                ''',
                'attribute_cache_bucket',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-cache-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache ID
                ''',
                'attribute_cache_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-iid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute IID
                ''',
                'attribute_iid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-info', REFERENCE_CLASS, 'AttributeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo', 
                [], [], 
                '''                Attributes
                ''',
                'attribute_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Instance ID
                ''',
                'attribute_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-hash-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hash value for attribute structure
                ''',
                'attribute_structure_hash_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ID of attribute structure
                ''',
                'attribute_structure_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths which use this attribute
                structure
                ''',
                'reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_LIST, 'Attribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute', 
                [], [], 
                '''                A BGP Attribute table entry
                ''',
                'attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('advertised-path-counts', REFERENCE_CLASS, 'AdvertisedPathCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathCounts', 
                [], [], 
                '''                The BGP Advertised paths table (bestpath)
                ''',
                'advertised_path_counts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertised-path-xr', REFERENCE_CLASS, 'AdvertisedPathXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr', 
                [], [], 
                '''                The BGP Advertised path table (bestpath)
                ''',
                'advertised_path_xr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertised-paths', REFERENCE_CLASS, 'AdvertisedPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths', 
                [], [], 
                '''                The BGP Advertised paths table (add-paths)
                ''',
                'advertised_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-process-info', REFERENCE_CLASS, 'AfProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo', 
                [], [], 
                '''                A BGP Process address family table entry
                ''',
                'af_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes', 
                [], [], 
                '''                The BGP Attribute table
                ''',
                'attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-paths', REFERENCE_CLASS, 'BmpPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths', 
                [], [], 
                '''                The paths in BMP Table
                ''',
                'bmp_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('convergence', REFERENCE_CLASS, 'Convergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Convergence', 
                [], [], 
                '''                A BGP Convergence table entry
                ''',
                'convergence',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dampenings', REFERENCE_CLASS, 'Dampenings' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings', 
                [], [], 
                '''                The BGP Dampening table
                ''',
                'dampenings',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('epes', REFERENCE_CLASS, 'Epes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes', 
                [], [], 
                '''                The BGP Egress Engineering table
                ''',
                'epes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-af-process-info', REFERENCE_CLASS, 'GlobalAfProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo', 
                [], [], 
                '''                The Global Address Family Process information
                table
                ''',
                'global_af_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-table', REFERENCE_CLASS, 'NeighborAfTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable', 
                [], [], 
                '''                The BGP Neighbor AF table
                ''',
                'neighbor_af_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-all-rds', REFERENCE_CLASS, 'NetworkAllRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds', 
                [], [], 
                '''                The BGP Network Lookup Table
                ''',
                'network_all_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-lookup-all-rds', REFERENCE_CLASS, 'NetworkLookupAllRds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds', 
                [], [], 
                '''                The BGP Network Lookup Table
                ''',
                'network_lookup_all_rds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-prefixes', REFERENCE_CLASS, 'NetworkPrefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes', 
                [], [], 
                '''                The BGP Network Lookup table
                ''',
                'network_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('networks', REFERENCE_CLASS, 'Networks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks', 
                [], [], 
                '''                The BGP Network Table
                ''',
                'networks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-address-families', REFERENCE_CLASS, 'NextHopAddressFamilies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies', 
                [], [], 
                '''                Address family of nexthop table
                ''',
                'next_hop_address_families',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-labeled-table', REFERENCE_CLASS, 'PathLabeledTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable', 
                [], [], 
                '''                The BGP Path Labeled Table
                ''',
                'path_labeled_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-table', REFERENCE_CLASS, 'PathTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable', 
                [], [], 
                '''                The BGP Path Table
                ''',
                'path_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-used-table', REFERENCE_CLASS, 'PathUsedTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable', 
                [], [], 
                '''                The BGP Path Used Table
                ''',
                'path_used_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('policies', REFERENCE_CLASS, 'Policies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies', 
                [], [], 
                '''                The BGP Policy Table
                ''',
                'policies',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefix-filters', REFERENCE_CLASS, 'PrefixFilters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters', 
                [], [], 
                '''                The BGP Prefix Filter table
                ''',
                'prefix_filters',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpc-sets', REFERENCE_CLASS, 'RpcSets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets', 
                [], [], 
                '''                BGP next-hop set table
                ''',
                'rpc_sets',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-set-counters', REFERENCE_CLASS, 'RtSetCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters', 
                [], [], 
                '''                The RT-set counter table
                ''',
                'rt_set_counters',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sourced-networks', REFERENCE_CLASS, 'SourcedNetworks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks', 
                [], [], 
                '''                The BGP Convergence table
                ''',
                'sourced_networks',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-address-family', REFERENCE_CLASS, 'UpdateGenerationAddressFamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily', 
                [], [], 
                '''                Update generation for address-family
                ''',
                'update_generation_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-filter-groups', REFERENCE_CLASS, 'UpdateGenerationFilterGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups', 
                [], [], 
                '''                Update generation for all filter-groups under
                a sub-group
                ''',
                'update_generation_filter_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-neighbors', REFERENCE_CLASS, 'UpdateGenerationNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors', 
                [], [], 
                '''                Update generation for all neighbors
                ''',
                'update_generation_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-sub-groups', REFERENCE_CLASS, 'UpdateGenerationSubGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups', 
                [], [], 
                '''                Update generation for all sub-groups
                ''',
                'update_generation_sub_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-update-groups', REFERENCE_CLASS, 'UpdateGenerationUpdateGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups', 
                [], [], 
                '''                Update generation for all update-groups
                ''',
                'update_generation_update_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-groups', REFERENCE_CLASS, 'UpdateGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups', 
                [], [], 
                '''                The BGP Update group table
                ''',
                'update_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_LIST, 'Af' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af', 
                [], [], 
                '''                A particular address family
                ''',
                'af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Information' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Information',
            False, 
            [
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{16}'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterVrf',
            False, 
            [
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered messages received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last Filtered messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received filtered
                messages
                ''',
                'update_filtered_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbors-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborAf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborAf',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo',
            False, 
            [
            _MetaInfoClassMember('peer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Peer ID
                ''',
                'peer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Postit Afi
                ''',
                'postit_af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Postit Direction
                ''',
                'postit_direction',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Postit Flags
                ''',
                'postit_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit ID
                ''',
                'postit_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-notification', REFERENCE_CLASS, 'PostitNotification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification', 
                [], [], 
                '''                Postit notification
                ''',
                'postit_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Policy
                ''',
                'postit_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-reset', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reset
                ''',
                'postit_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-subtype', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit Subtype
                ''',
                'postit_subtype',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Postit TS
                ''',
                'postit_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Postit Type
                ''',
                'postit_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('connect-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                State
                ''',
                'connect_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af', REFERENCE_LIST, 'NeighborAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborAf', 
                [], [], 
                '''                Neighbor Afi
                ''',
                'neighbor_af',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25, min_elements=25),
            _MetaInfoClassMember('neighbors-address', REFERENCE_CLASS, 'NeighborsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress', 
                [], [], 
                '''                Neighbor Addr
                ''',
                'neighbors_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-info', REFERENCE_LIST, 'PostitInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo', 
                [], [], 
                '''                Postit Info
                ''',
                'postit_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                StartTime
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits',
            False, 
            [
            _MetaInfoClassMember('postit', REFERENCE_LIST, 'Postit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit', 
                [], [], 
                '''                A BGP Postit table entry
                ''',
                'postit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postits',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Global_.ClusterIdEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Global_.ClusterIdEntry',
            False, 
            [
            _MetaInfoClassMember('cluster-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cluster ID type: number or IPv4 address
                ''',
                'cluster_id_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID 
                ''',
                'cluster_id_val',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster-id-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('asn-format', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP AS Number Format
                ''',
                'asn_format',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-current-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current value for BMP buffer 
                ''',
                'bmp_current_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-default-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Default value for BMP buffer limit when a value
                is not configured
                ''',
                'bmp_default_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-maximum-buffer-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum limit user can configure for
                max-buffer-size command under bmp-server
                ''',
                'bmp_maximum_buffer_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster ID
                ''',
                'cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster-id-entry', REFERENCE_LIST, 'ClusterIdEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Global_.ClusterIdEntry', 
                [], [], 
                '''                All configured Cluster IDs
                ''',
                'cluster_id_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('confederation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Confederation ID
                ''',
                'confederation_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured cluster ID
                ''',
                'configured_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('generic-scan-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Period (in seconds) of generic scanner runs
                ''',
                'generic_scan_period',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maint-all-nbrs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance also for neighbors without
                GM configuration
                ''',
                'graceful_maint_all_nbrs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maint-retain-routes', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retaining routes in RIB when BGP process stops
                while in Graceful Maintenance
                ''',
                'graceful_maint_retain_routes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-standalone-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standalone or Distributed mode
                ''',
                'in_standalone_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of BGP instance
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-cluster-id-specified-as-ip', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Cluster ID specified as an IP address
                ''',
                'is_cluster_id_specified_as_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local autonomous system number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-rlimit', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Platform RLIMIT max for the process
                ''',
                'process_rlimit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No of times BGP has started
                ''',
                'restart_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-end', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In use Segment-routing Global Block end value
                ''',
                'srgb_end',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-end-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured segment-routing Global Block end
                value
                ''',
                'srgb_end_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In use segment-routing Global Block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-start-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured segment-routing Global Block start
                value
                ''',
                'srgb_start_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update delay timeout time (in seconds)
                ''',
                'update_delay',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Vrf',
            False, 
            [
            _MetaInfoClassMember('configured-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured router ID
                ''',
                'configured_router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default local preference
                ''',
                'default_local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default metric
                ''',
                'default_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default hold timer (seconds)
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-aigp-ignore-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Ignore AIGP unless both paths have
                AIGP attribute
                ''',
                'is_bestpath_aigp_ignore_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-always-compare-med-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Always compare MED
                ''',
                'is_bestpath_always_compare_med_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-as-path-mpath-relax-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Relax AS path for mpath
                ''',
                'is_bestpath_as_path_mpath_relax_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-compare-med-from-confed-peer-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Compare MED from confed peer
                ''',
                'is_bestpath_compare_med_from_confed_peer_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-compare-router-id-for-ebgp-peers-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Compare routerID for eBGP peers
                ''',
                'is_bestpath_compare_router_id_for_ebgp_peers_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-ignore-as-path-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Ignore AS path
                ''',
                'is_bestpath_ignore_as_path_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-bestpath-missing-med-is-worst-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bestpath: Treat missing MED as worst
                ''',
                'is_bestpath_missing_med_is_worst_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default metric configured
                ''',
                'is_default_metric_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default route originate configured
                ''',
                'is_default_originate_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-enforce-first-as-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enforce first AS
                ''',
                'is_enforce_first_as_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-fast-external-fallover-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast external fallover enabled
                ''',
                'is_fast_external_fallover_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful restart enabled
                ''',
                'is_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-multipath-as-path-ignore-onwards-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multipath: Ignore everything AS path onwards for
                mpath
                ''',
                'is_multipath_as_path_ignore_onwards_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-logging', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor logging enabled
                ''',
                'is_neighbor_logging',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-nsr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-stop routing enabled
                ''',
                'is_nsr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-redistribute-ibgp-to-ig-ps-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Redistribute iBGP into IGPs enabled
                ''',
                'is_redistribute_ibgp_to_ig_ps_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default keepalive timer (seconds)
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-acceptable-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default min acceptable hold time from
                neighbor(seconds)
                ''',
                'min_acceptable_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time (in seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the VRF
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF state
                ''',
                'vrf_is_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrfid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrfid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global-process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-memory-allocation-fail-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-error-handling-reset-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-error-handling-reset-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'establishment-action-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData',
            False, 
            [
            _MetaInfoClassMember('update-error-reset-notification-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Notification code
                ''',
                'update_error_reset_notification_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Notification data
                ''',
                'update_error_reset_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Notification data length
                ''',
                'update_error_reset_notification_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-notification-sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Notification sub code
                ''',
                'update_error_reset_notification_sub_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reset Reason
                ''',
                'update_error_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-reset-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement',
            False, 
            [
            _MetaInfoClassMember('update-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute code [RFC4271: BGP4]
                ''',
                'update_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Flags [RFC4271: BGP4]
                ''',
                'update_attribute_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Attribute Length [RFC4271: BGP4]
                ''',
                'update_attribute_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdErrActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdErrActionEnum', 
                [], [], 
                '''                Error action
                ''',
                'update_error_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Error data
                ''',
                'update_error_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Error data length
                ''',
                'update_error_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage',
            False, 
            [
            _MetaInfoClassMember('update-attribute-discard-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discarded attribute count
                ''',
                'update_attribute_discard_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-element', REFERENCE_LIST, 'UpdateErrorElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement', 
                [], [], 
                '''                Error element list
                ''',
                'update_error_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=3),
            _MetaInfoClassMember('update-error-final-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdErrActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdErrActionEnum', 
                [], [], 
                '''                Error final action
                ''',
                'update_error_final_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-address-family', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                NLRI address-family
                ''',
                'update_error_nlri_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                List of NLRIs in string format
                ''',
                'update_error_nlri_string',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-nlri-string-truncated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether NLRI string was truncated due
                to lack of space
                ''',
                'update_error_nlri_string_truncated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-data', REFERENCE_LIST, 'UpdateMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'update_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-reset-data', REFERENCE_CLASS, 'UpdateMessageResetData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData', 
                [], [], 
                '''                Reset data
                ''',
                'update_message_reset_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-message-timestamp', REFERENCE_CLASS, 'UpdateMessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp', 
                [], [], 
                '''                Message timestamp: time elapsed since 00:00:00
                UTC, January 1, 1970
                ''',
                'update_message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-error-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('establishment-action-count', REFERENCE_LIST, 'EstablishmentActionCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount', 
                [], [], 
                '''                Number of occurence of each action type since
                
                session establishment
                ''',
                'establishment_action_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('establishment-total-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count since session
                establishment
                ''',
                'establishment_total_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-error-handling-reset-timestamp', REFERENCE_CLASS, 'FirstUpdateErrorHandlingResetTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp', 
                [], [], 
                '''                First error-handling reset time: time elapsed
                since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_error_handling_reset_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-malformed-timestamp', REFERENCE_CLASS, 'FirstUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp', 
                [], [], 
                '''                First malformed message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'FirstUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                First memory allocation failure time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-error-handling-reset-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last error-handling reset event (in
                seconds)
                ''',
                'last_error_handling_reset_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-error-handling-reset-timestamp', REFERENCE_CLASS, 'LastErrorHandlingResetTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp', 
                [], [], 
                '''                Last error-handling reset time: time elapsed
                since 00:00:00 UTC, January 1, 1970
                ''',
                'last_error_handling_reset_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed message received event
                (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last memory allocation failure event
                (in seconds)
                ''',
                'last_update_memory_allocation_fail_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-memory-allocation-fail-timestamp', REFERENCE_CLASS, 'LastUpdateMemoryAllocationFailTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp', 
                [], [], 
                '''                Last memory allocation failure time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_memory_allocation_fail_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count
                ''',
                'total_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-discard-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discarded attribute count
                ''',
                'update_attribute_discard_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-avoid-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configure error-handling to avoid resets
                ''',
                'update_error_handling_avoid_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error-handling reset count
                ''',
                'update_error_handling_reset_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-message', REFERENCE_LIST, 'UpdateErrorMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage', 
                [], [], 
                '''                List of malformed messages
                ''',
                'update_error_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-message-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages list count
                ''',
                'update_error_message_list_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-memory-allocation-fail-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory allocation failure count
                ''',
                'update_memory_allocation_fail_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-inbound-error-neighbor', REFERENCE_LIST, 'UpdateInboundErrorNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor', 
                [], [], 
                '''                Update inbound error information for neighbor
                ''',
                'update_inbound_error_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filter-match-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes',
            False, 
            [
            _MetaInfoClassMember('establishment-update-filter-match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter match counter since last session
                establishment
                ''',
                'establishment_update_filter_match_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filter-match-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since this attribute was last filtered (in
                seconds)
                ''',
                'last_update_filter_match_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filter-match-timestamp', REFERENCE_CLASS, 'LastUpdateFilterMatchTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp', 
                [], [], 
                '''                Last attribute filtered time: time elapsed since
                00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filter_match_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering action
                ''',
                'update_filter_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter match counter
                ''',
                'update_filter_match_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-internal-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Internal attribute code [RFC4271: BGP4]
                ''',
                'update_internal_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-attribute-filter-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement',
            False, 
            [
            _MetaInfoClassMember('update-attribute-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute code [RFC4271: BGP4]
                ''',
                'update_attribute_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Flags [RFC4271: BGP4]
                ''',
                'update_attribute_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering action
                ''',
                'update_filter_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-element',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage',
            False, 
            [
            _MetaInfoClassMember('update-filter-element', REFERENCE_LIST, 'UpdateFilterElement' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement', 
                [], [], 
                '''                Filtering element list
                ''',
                'update_filter_element',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=3),
            _MetaInfoClassMember('update-filter-final-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Filtering final action
                ''',
                'update_filter_final_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-data', REFERENCE_LIST, 'UpdateFilterMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'update_filter_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-timestamp', REFERENCE_CLASS, 'UpdateFilterMessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp', 
                [], [], 
                '''                Message timestamp: time elapsed since 00:00:00
                UTC, January 1, 1970
                ''',
                'update_filter_message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-address-family', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                NLRI address-family
                ''',
                'update_filter_nlri_address_family',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-string', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                List of NLRIs in string format
                ''',
                'update_filter_nlri_string',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-nlri-string-truncated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether NLRI string was truncated due
                to lack of space
                ''',
                'update_filter_nlri_string_truncated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-attribute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered attributes count
                ''',
                'update_filtered_attribute_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-filter-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('configured-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Filtered message buffer count
                ''',
                'configured_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('establishment-total-filter-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count since session
                establishment
                ''',
                'establishment_total_filter_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('establishment-update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count since session
                establishment
                ''',
                'establishment_update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-update-filtered-timestamp', REFERENCE_CLASS, 'FirstUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp', 
                [], [], 
                '''                First filtered message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'first_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered message received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last filtered message received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-update-attribute-filtering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute filtering is enabled for the current
                message being parsed
                ''',
                'message_update_attribute_filtering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('operational-update-attribute-filtering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute filtering is enabled
                ''',
                'operational_update_attribute_filtering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('operational-update-filter-message-buffer-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Operational Filtered messages buffer count
                ''',
                'operational_update_filter_message_buffer_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-filter-update-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update messages count
                ''',
                'total_filter_update_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-filter-attributes', REFERENCE_LIST, 'UpdateAttributeFilterAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes', 
                [], [], 
                '''                List of attributes that can be filtered
                ''',
                'update_attribute_filter_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-attribute-filter-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Update attribute-filter group name
                ''',
                'update_attribute_filter_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Logging is enabled
                ''',
                'update_filter_logging_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message', REFERENCE_LIST, 'UpdateFilterMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage', 
                [], [], 
                '''                List of filtered messages
                ''',
                'update_filter_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-buffer-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the message buffers are circular
                ''',
                'update_filter_message_buffer_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filter-message-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages list count
                ''',
                'update_filter_message_list_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-neighbor-address', REFERENCE_CLASS, 'UpdateNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress', 
                [], [], 
                '''                Neighbor address
                ''',
                'update_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'update_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors',
            False, 
            [
            _MetaInfoClassMember('update-inbound-filter-neighbor', REFERENCE_LIST, 'UpdateInboundFilterNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor', 
                [], [], 
                '''                Update inbound filtering information for
                neighbor
                ''',
                'update_inbound_filter_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-state-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-state-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-server-last-discon-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-send-version',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary',
            False, 
            [
            _MetaInfoClassMember('server-id', ATTRIBUTE, 'int' , None, None, 
                [('1', '8')], [], 
                '''                BMP Server ID
                ''',
                'server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('bmp-bytes-written-tcp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bytes sent to TCP
                ''',
                'bmp_bytes_written_tcp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-init-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Initiation Msgs sent by this BMP
                Server
                ''',
                'bmp_init_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-messages-wdraw-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ wdraw msgs discarded because of peer
                down
                ''',
                'bmp_messages_wdraw_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-drop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of messages dropped
                ''',
                'bmp_peer_msg_drop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bmpQ msgs pending
                ''',
                'bmp_peer_msg_pending_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count-hwts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bmpQ msgs pending max time
                ''',
                'bmp_peer_msg_pending_count_hwts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-peer-msg-pending-count-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ msgs pending max
                ''',
                'bmp_peer_msg_pending_count_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-per-peer-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of per peer messages sent
                ''',
                'bmp_per_peer_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-per-peer-msg-route-mon-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of per peer route mon messages sent
                ''',
                'bmp_per_peer_msg_route_mon_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-pfx-wdraw-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ wdraw pfxes discarded because of peer
                down
                ''',
                'bmp_pfx_wdraw_discarded',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-send-version', REFERENCE_LIST, 'BmpSendVersion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion', 
                [], [], 
                '''                Table Version that this BMP server has caught
                
                upto
                ''',
                'bmp_send_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BMP Server Hostname
                ''',
                'bmp_server_host_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Server ID
                ''',
                'bmp_server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-is-flapping', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connection to the BMP server Flapping
                ''',
                'bmp_server_is_flapping',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-last-discon-time', REFERENCE_CLASS, 'BmpServerLastDisconTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime', 
                [], [], 
                '''                Timespec of Last Disconnect event received from
                BMP server
                ''',
                'bmp_server_last_discon_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-nbr-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor count for the BMP Server
                ''',
                'bmp_server_nbr_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BMP Server Port Number
                ''',
                'bmp_server_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state', REFERENCE_ENUM_CLASS, 'BgpBmpStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBmpStateEnum', 
                [], [], 
                '''                Connection state of the BMP server
                ''',
                'bmp_server_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state-age', REFERENCE_CLASS, 'BmpServerStateAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge', 
                [], [], 
                '''                Age of current state of BMP Server
                ''',
                'bmp_server_state_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-server-state-time-spec', REFERENCE_CLASS, 'BmpServerStateTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec', 
                [], [], 
                '''                Timespec of current state of BMP Server
                ''',
                'bmp_server_state_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-status-report-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Status ReportMessages sent by this BMP
                Server
                ''',
                'bmp_status_report_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-termination-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Termination Messages sent by this BMP
                Server
                ''',
                'bmp_termination_msg_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-update-mode', REFERENCE_ENUM_CLASS, 'BgpBmpUpdModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBmpUpdModeEnum', 
                [], [], 
                '''                Update sending mode configured for this BMP
                server
                ''',
                'bmp_update_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID for the vrf name configured
                ''',
                'bmp_vrf_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name configured
                ''',
                'bmp_vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-all-write-pulse-sent-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse Sent for all BMP servers 
                ''',
                'bmpq_last_all_write_pulse_sent_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-write-pulse-cb-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse callback time
                ''',
                'bmpq_last_write_pulse_cb_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpq-last-write-pulse-sent-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last BMPQ write pulse Sent time
                ''',
                'bmpq_last_write_pulse_sent_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-upd-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ update msgs 
                ''',
                'bmpr_mon_upd_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-update-gen-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent in update generation(milliseconds)
                ''',
                'bmpr_mon_update_gen_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmpr-mon-wdraw-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bmpQ withdraw msgs 
                ''',
                'bmpr_mon_wdraw_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update sent 
                ''',
                'path_update_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-update-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update drop 
                ''',
                'path_update_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-withdraw-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw sent
                ''',
                'path_withdraw_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-withdraw-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw drop 
                ''',
                'path_withdraw_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-keep-alive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCP Keep alive interval configured
                ''',
                'tcp_keep_alive_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-cb-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last TCP Write CB time
                ''',
                'tcp_last_write_cb_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-result', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last TCP Socket write status
                ''',
                'tcp_last_write_result',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-last-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last TCP Write time
                ''',
                'tcp_last_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-maximum-segment-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCP Maximum Segments size configured
                ''',
                'tcp_maximum_segment_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-write-cb-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Are we waiting for TCP write callback ?
                ''',
                'tcp_write_cb_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sending msg to
                TCP(milliseconds)
                ''',
                'tcp_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence (0) or DSCP (1) type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-address', REFERENCE_CLASS, 'UpdateSourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress', 
                [], [], 
                '''                Address of Interface configured as Update Source
                ''',
                'update_source_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface configured as Update Source
                ''',
                'update_source_interface_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID of interface configured as Update Source
                ''',
                'update_source_vrf_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries',
            False, 
            [
            _MetaInfoClassMember('server-summary', REFERENCE_LIST, 'ServerSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary', 
                [], [], 
                '''                Summary Information about BMP server
                ''',
                'server_summary',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('bmp-neighbor-address', REFERENCE_CLASS, 'BmpNeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress', 
                [], [], 
                '''                Address of Nbr that logs to BMP server
                ''',
                'bmp_neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-msg-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages dropped sent from this
                neighbor
                ''',
                'bmp_neighbor_msg_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-msg-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages pending to be sent to BMP
                Server from this Neighbor
                ''',
                'bmp_neighbor_msg_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-update-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path update drop 
                ''',
                'bmp_neighbor_path_update_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-update-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Path UpdateMessages sent
                ''',
                'bmp_neighbor_path_update_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-withdraw-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path wdraw drop 
                ''',
                'bmp_neighbor_path_withdraw_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-path-withdraw-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Path WithdrawMessages sent
                ''',
                'bmp_neighbor_path_withdraw_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-peer-down-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Peer DOWN Messages sent from this
                neighbor
                ''',
                'bmp_neighbor_peer_down_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-peer-up-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Peer UP Messages sent from this
                neighbor
                ''',
                'bmp_neighbor_peer_up_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-route-monitor-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Route Monitor Messages sent
                ''',
                'bmp_neighbor_route_monitor_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-upd-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of update message sent
                ''',
                'bmp_neighbor_upd_msg_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-neighbor-wdraw-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of withdraw message sent
                ''',
                'bmp_neighbor_wdraw_msg_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'monitored-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors',
            False, 
            [
            _MetaInfoClassMember('monitored-neighbor', REFERENCE_LIST, 'MonitoredNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor', 
                [], [], 
                '''                Information about a neighbor monitored by
                BMP server
                ''',
                'monitored_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'monitored-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor',
            False, 
            [
            _MetaInfoClassMember('server-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BMP Server ID
                ''',
                'server_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('monitored-neighbors', REFERENCE_CLASS, 'MonitoredNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors', 
                [], [], 
                '''                List of Neighbors under which BMP Server is
                confgiured
                ''',
                'monitored_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors',
            False, 
            [
            _MetaInfoClassMember('server-neighbor', REFERENCE_LIST, 'ServerNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor', 
                [], [], 
                '''                BMP Server under which neighbor info are
                needed
                ''',
                'server_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'server-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp',
            False, 
            [
            _MetaInfoClassMember('server-neighbors', REFERENCE_CLASS, 'ServerNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors', 
                [], [], 
                '''                Table of Neighbors for a BMP Server
                ''',
                'server_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('server-summaries', REFERENCE_CLASS, 'ServerSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries', 
                [], [], 
                '''                Table of BMP Servers
                ''',
                'server_summaries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'msg-log-pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolSize' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolSize',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-size',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolAllocCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolAllocCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-alloc-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolFreeCount' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolFreeCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bmp-pool-free-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_',
            False, 
            [
            _MetaInfoClassMember('as-path-entries-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by AS-path entries
                ''',
                'as_path_entries_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AS-path entries
                ''',
                'as_path_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attr-set-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of ATTRSET entries
                ''',
                'attr_set_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attr-set-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by ATTRSET entries
                ''',
                'attr_set_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp-pool-alloc-count', REFERENCE_LIST, 'BmpPoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolAllocCount', 
                [], [], 
                '''                bmp pool alloc count
                ''',
                'bmp_pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('bmp-pool-free-count', REFERENCE_LIST, 'BmpPoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolFreeCount', 
                [], [], 
                '''                bmp pool free count
                ''',
                'bmp_pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('bmp-pool-size', REFERENCE_LIST, 'BmpPoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolSize', 
                [], [], 
                '''                bmp pool size
                ''',
                'bmp_pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=20),
            _MetaInfoClassMember('community-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of community entries
                ''',
                'community_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by community entries
                ''',
                'community_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('established-neighbors-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total umber of established neighbors
                ''',
                'established_neighbors_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended community entries
                ''',
                'extended_community_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by extended community
                entries
                ''',
                'extended_community_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lindex-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LINDEX entries
                ''',
                'lindex_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lindex-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by LINDEX entries
                ''',
                'lindex_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local autonomous system number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsattr-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LASATTR entries
                ''',
                'lsattr_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsattr-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by LSATTR entries
                ''',
                'lsattr_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-pool-alloc-count', REFERENCE_LIST, 'MsgLogPoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolAllocCount', 
                [], [], 
                '''                msg log pool alloc count
                ''',
                'msg_log_pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('msg-log-pool-free-count', REFERENCE_LIST, 'MsgLogPoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolFreeCount', 
                [], [], 
                '''                msg log pool free count
                ''',
                'msg_log_pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('msg-log-pool-size', REFERENCE_LIST, 'MsgLogPoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolSize', 
                [], [], 
                '''                msg log pool size
                ''',
                'msg_log_pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('neighbors-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of neighbors
                ''',
                'neighbors_count_total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nexthop attribute info entries
                ''',
                'nexthop_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nexthop-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by nexthop attribute info
                entries
                ''',
                'nexthop_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-attribute-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (bytes) used by path attribute entries
                ''',
                'path_attribute_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-attributes-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of path attribute entries
                ''',
                'path_attributes_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PE distinguisher label entries
                ''',
                'pe_distinguisher_label_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PE distinguisher
                labels entries
                ''',
                'pe_distinguisher_label_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pool-alloc-count', REFERENCE_LIST, 'PoolAllocCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolAllocCount', 
                [], [], 
                '''                pool alloc count
                ''',
                'pool_alloc_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('pool-free-count', REFERENCE_LIST, 'PoolFreeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolFreeCount', 
                [], [], 
                '''                pool free count
                ''',
                'pool_free_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('pool-size', REFERENCE_LIST, 'PoolSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolSize', 
                [], [], 
                '''                pool size
                ''',
                'pool_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            _MetaInfoClassMember('ppmp-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PPMP entries
                ''',
                'ppmp_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppmp-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PPMP entries
                ''',
                'ppmp_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-node', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Node the process instance is on
                ''',
                'process_instance_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pta-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PTA entries
                ''',
                'pta_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pta-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by PTA entries
                ''',
                'pta_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times BGP has started
                ''',
                'restart_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIBRNH entries
                ''',
                'ribrnh_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by RIBRNH entries
                ''',
                'ribrnh_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflector-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by route reflector info
                entries
                ''',
                'route_reflector_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-reflectors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route reflector info entries
                ''',
                'route_reflectors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-num-non-dflt-vrf-nbrs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sn num non dflt vrf nbrs
                ''',
                'sn_num_non_dflt_vrf_nbrs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sn-num-non-dflt-vrf-nbrs-estab', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sn num non dflt vrf nbrs estab
                ''',
                'sn_num_non_dflt_vrf_nbrs_estab',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-vrf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                total vrf count
                ''',
                'total_vrf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-entry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Tunnel encap entries
                ''',
                'tunnel_encap_entry_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory (in bytes) used by tunnel encap entries
                ''',
                'tunnel_encap_memory',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Vrf',
            False, 
            [
            _MetaInfoClassMember('established-neighbors-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of established neighbors
                ''',
                'established_neighbors_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbors-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors
                ''',
                'neighbors_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of networks
                ''',
                'network_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notifications-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of notifications received
                ''',
                'notifications_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notifications-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of notifications sent
                ''',
                'notifications_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'path_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of update messages received
                ''',
                'update_messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer',
            False, 
            [
            _MetaInfoClassMember('first-rib-connection-down-timestamp', REFERENCE_CLASS, 'FirstRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp', 
                [], [], 
                '''                First RIB connection Down event timestamp
                ''',
                'first_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-connection-up-timestamp', REFERENCE_CLASS, 'FirstRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp', 
                [], [], 
                '''                First RIB connection Up event timestamp
                ''',
                'first_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RIB Connection Up?
                ''',
                'is_rib_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Down event (in
                seconds)
                ''',
                'last_rib_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-timestamp', REFERENCE_CLASS, 'LastRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp', 
                [], [], 
                '''                Last RIB connection Down event timestamp
                ''',
                'last_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Up event (in
                seconds)
                ''',
                'last_rib_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-timestamp', REFERENCE_CLASS, 'LastRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp', 
                [], [], 
                '''                Last RIB connection Up event timestamp
                ''',
                'last_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Down events
                ''',
                'rib_connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Up events
                ''',
                'rib_connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4rib-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-rib-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer',
            False, 
            [
            _MetaInfoClassMember('first-rib-connection-down-timestamp', REFERENCE_CLASS, 'FirstRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp', 
                [], [], 
                '''                First RIB connection Down event timestamp
                ''',
                'first_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-rib-connection-up-timestamp', REFERENCE_CLASS, 'FirstRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp', 
                [], [], 
                '''                First RIB connection Up event timestamp
                ''',
                'first_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rib-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RIB Connection Up?
                ''',
                'is_rib_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Down event (in
                seconds)
                ''',
                'last_rib_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-down-timestamp', REFERENCE_CLASS, 'LastRibConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp', 
                [], [], 
                '''                Last RIB connection Down event timestamp
                ''',
                'last_rib_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last RIB connection Up event (in
                seconds)
                ''',
                'last_rib_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-rib-connection-up-timestamp', REFERENCE_CLASS, 'LastRibConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp', 
                [], [], 
                '''                Last RIB connection Up event timestamp
                ''',
                'last_rib_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Down events
                ''',
                'rib_connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RIB connection Up events
                ''',
                'rib_connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6rib-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection',
            False, 
            [
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection down events
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection Up events
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-down-timestamp', REFERENCE_CLASS, 'FirstConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp', 
                [], [], 
                '''                First connection Down event timestamp
                ''',
                'first_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-up-timestamp', REFERENCE_CLASS, 'FirstConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp', 
                [], [], 
                '''                First connection Up event timestamp
                ''',
                'first_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connection Up?
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Down event (in
                seconds)
                ''',
                'last_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-timestamp', REFERENCE_CLASS, 'LastConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp', 
                [], [], 
                '''                Last connection Down event timestamp
                ''',
                'last_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Up event (in seconds)
                ''',
                'last_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-timestamp', REFERENCE_CLASS, 'LastConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp', 
                [], [], 
                '''                Last connection Up event timestamp
                ''',
                'last_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'te-connection',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-up-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'first-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-connection-down-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection',
            False, 
            [
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection down events
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection Up events
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-down-timestamp', REFERENCE_CLASS, 'FirstConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp', 
                [], [], 
                '''                First connection Down event timestamp
                ''',
                'first_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('first-connection-up-timestamp', REFERENCE_CLASS, 'FirstConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp', 
                [], [], 
                '''                First connection Up event timestamp
                ''',
                'first_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connection Up?
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Down event (in
                seconds)
                ''',
                'last_connection_down_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-down-timestamp', REFERENCE_CLASS, 'LastConnectionDownTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp', 
                [], [], 
                '''                Last connection Down event timestamp
                ''',
                'last_connection_down_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last connection Up event (in seconds)
                ''',
                'last_connection_up_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-connection-up-timestamp', REFERENCE_CLASS, 'LastConnectionUpTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp', 
                [], [], 
                '''                Last connection Up event timestamp
                ''',
                'last_connection_up_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'lsd-connection',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-sent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-recv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-pl-send-drop-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-send-drop-array', REFERENCE_LIST, 'NsrPlSendDropArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray', 
                [], [], 
                '''                nsr pl send drop array
                ''',
                'nsr_pl_send_drop_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-sent-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'nsr-pl-recv-drop-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-recv-drop-array', REFERENCE_LIST, 'NsrPlRecvDropArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray', 
                [], [], 
                '''                nsr pl recv drop array
                ''',
                'nsr_pl_recv_drop_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'num-recv-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic',
            False, 
            [
            _MetaInfoClassMember('num-recv', REFERENCE_LIST, 'NumRecv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv', 
                [], [], 
                '''                Total recvd
                ''',
                'num_recv',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=6),
            _MetaInfoClassMember('num-recv-drop', REFERENCE_LIST, 'NumRecvDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop', 
                [], [], 
                '''                Recv Errors/drops
                ''',
                'num_recv_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=6),
            _MetaInfoClassMember('num-sent', REFERENCE_LIST, 'NumSent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent', 
                [], [], 
                '''                Total sent
                ''',
                'num_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            _MetaInfoClassMember('num-sent-drop', REFERENCE_LIST, 'NumSentDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop', 
                [], [], 
                '''                Sent Error/drops
                ''',
                'num_sent_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'npl-priority-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'endpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint',
            False, 
            [
            _MetaInfoClassMember('endpoint', REFERENCE_LIST, 'Endpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint', 
                [], [], 
                '''                NCD endpoint bytestream
                ''',
                'endpoint',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-active-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Endpoint active flag
                ''',
                'endpoint_active_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                NCD endpoint handle
                ''',
                'endpoint_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-issu-role', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Endpoint's ISSU Role. Values are 'Primary',
                'Secondary' and 'Tertiary'
                ''',
                'endpoint_issu_role',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Endpoint name
                ''',
                'endpoint_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('endpoint-stale-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Endpoint stale flag
                ''',
                'endpoint_stale_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('expected-sequence-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expected sequence number
                ''',
                'expected_sequence_num',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message size for this entity
                ''',
                'msg_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Syncgroup associated with this endpoint
                ''',
                'sync_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('wheel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wheel ID for this endpoint
                ''',
                'wheel_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'npl-endpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl',
            False, 
            [
            _MetaInfoClassMember('dir-service-conn-state', REFERENCE_ENUM_CLASS, 'BgpDsConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpDsConnStateEnum', 
                [], [], 
                '''                Current Directory Service connectionstate
                ''',
                'dir_service_conn_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dsissu-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DS ISSU status flag
                ''',
                'dsissu_status_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-mgr-conn-state', REFERENCE_ENUM_CLASS, 'BgpIsmConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpIsmConnStateEnum', 
                [], [], 
                '''                Current ISSU Mgr connection state
                ''',
                'issu_mgr_conn_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-phase', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Current ISSU Phase
                ''',
                'issu_phase',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-type-ng', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ISSU type is Next Gen
                ''',
                'issu_type_ng',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issuha-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Current ISSU HA option
                ''',
                'issuha_option',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-ds-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Local Directory Service handle
                ''',
                'local_ds_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('npl-endpoint', REFERENCE_LIST, 'NplEndpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint', 
                [], [], 
                '''                NPL endpoint information
                ''',
                'npl_endpoint',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('npl-priority-statistic', REFERENCE_LIST, 'NplPriorityStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic', 
                [], [], 
                '''                NPL priority statistics
                ''',
                'npl_priority_statistic',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=2),
            _MetaInfoClassMember('service-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Local DS service name
                ''',
                'service_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ds-npl',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-nsr-mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'standby-nsr-mode-enter-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'active-nsrfo-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress', 
                [], [], 
                '''                Neighbor Address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of the number of postits for this nbr
                ''',
                'postit_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'postit-count-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone',
            False, 
            [
            _MetaInfoClassMember('milestone-met-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Milestone met timestamp
                ''',
                'milestone_met_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('milestone-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Milestone name
                ''',
                'milestone_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('milestone-start-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Milestone start timestamp
                ''',
                'milestone_start_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'issu-milestone',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_',
            False, 
            [
            _MetaInfoClassMember('active-nsr-mode-enter-time', REFERENCE_LIST, 'ActiveNsrModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'active_nsr_mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=26),
            _MetaInfoClassMember('active-nsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Active BGP nsrstate
                ''',
                'active_nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('active-nsrfo-time', REFERENCE_LIST, 'ActiveNsrfoTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime', 
                [], [], 
                '''                Time that each thread isdone with its
                
                go-activeprocessing (seconds since Jan 1 1970)
                ''',
                'active_nsrfo_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=10),
            _MetaInfoClassMember('active-nsrtcp-phase-two-enter-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time that NSR TCP Init Sync Phase Two entered on
                active (seconds since Jan 1 1970)
                ''',
                'active_nsrtcp_phase_two_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bgp-te-infra-tunnel-type', REFERENCE_ENUM_CLASS, 'BgpTeInfraTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTeInfraTunnelEnum', 
                [], [], 
                '''                BGP TE infra tunnel type
                ''',
                'bgp_te_infra_tunnel_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input bytes
                ''',
                'brib_api_input_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input messages
                ''',
                'brib_api_input_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-prefixes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input advertised prefixes received
                ''',
                'brib_api_input_prefixes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing input from bRIB API
                (milliseconds)
                ''',
                'brib_api_input_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-input-withdrawn-prefixes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API input withdrawn prefixes received
                ''',
                'brib_api_input_withdrawn_prefixes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-bytes-generated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output bytes generated
                ''',
                'brib_api_output_bytes_generated',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output bytes sent
                ''',
                'brib_api_output_bytes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API calls to generate output
                ''',
                'brib_api_output_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-generation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent generating output for bRIB API
                (milliseconds)
                ''',
                'brib_api_output_generation_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output messages sent
                ''',
                'brib_api_output_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output prefixes advertised
                ''',
                'brib_api_output_prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                bRIB API output prefixes withdrawn
                ''',
                'brib_api_output_prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('brib-api-output-sending-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent sending output to bRIB API (ms)
                ''',
                'brib_api_output_sending_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-items-processed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of config items processed
                ''',
                'configuration_items_processed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configuration-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing config (milliseconds)
                ''',
                'configuration_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-clock-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Current time
                ''',
                'current_clock_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ds-npl', REFERENCE_CLASS, 'DsNpl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl', 
                [], [], 
                '''                NSR related DS and NPL information
                ''',
                'ds_npl',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('edm-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing EDM requests (ms)
                ''',
                'edm_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('edm-requests-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of EDM requests processed
                ''',
                'edm_requests_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach  calls for input
                ''',
                'in_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('in-out-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach calls for input
                ''',
                'in_out_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('initial-sync-sessions-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, BGP has at least one established
                session when NSR initial synchronization is
                started
                ''',
                'initial_sync_sessions_added',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-node-role', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node role - active/passive
                ''',
                'instance_node_role',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-handler-tm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when IO timer handler got called
                ''',
                'io_handler_tm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-timer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IO master timer ID
                ''',
                'io_timer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-tree-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time as per tree->mtexptime
                ''',
                'io_tree_timer_expiry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-tree-timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time left before the QNX timer would expire
                ''',
                'io_tree_timer_left',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4rib-server', REFERENCE_CLASS, 'Ipv4RibServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer', 
                [], [], 
                '''                IPv4 RIB server global info
                ''',
                'ipv4rib_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6rib-server', REFERENCE_CLASS, 'Ipv6RibServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer', 
                [], [], 
                '''                IPv6 RIB server global info
                ''',
                'ipv6rib_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('issu-milestone', REFERENCE_LIST, 'IssuMilestone' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone', 
                [], [], 
                '''                ISSU Milestones
                ''',
                'issu_milestone',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('issu-milestone-packed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate ISSU Milestones packed
                ''',
                'issu_milestone_packed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lsd-connection', REFERENCE_CLASS, 'LsdConnection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection', 
                [], [], 
                '''                MPLS LSD server connection info
                ''',
                'lsd_connection',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-last-reset-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reason for last nsr state  machine reset
                ''',
                'nsr_last_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('out-event-attach-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                event_file_attach  calls for output
                ''',
                'out_event_attach_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-count-info', REFERENCE_LIST, 'PostitCountInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo', 
                [], [], 
                '''                List of neighbors and their postit counts
                ''',
                'postit_count_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proc-scoped-sync-state', REFERENCE_ENUM_CLASS, 'BgpScopedSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpScopedSyncStateEnum', 
                [], [], 
                '''                BGP scoped sync state
                ''',
                'proc_scoped_sync_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-ac-ks-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack failure on QAD 
                ''',
                'qad_ac_ks_failure',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-ac-ks-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Acks received on QAD 
                ''',
                'qad_ac_ks_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-init-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped on standby during initialization
                ''',
                'qad_init_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages received on QAD 
                ''',
                'qad_messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages sent on QAD 
                ''',
                'qad_messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-processed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages processed
                ''',
                'qad_processed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-recv-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received packet dropped due to null peer 
                ''',
                'qad_recv_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-resumes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                QAD send resume 
                ''',
                'qad_resumes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-send-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send packets dropped due to null peer 
                ''',
                'qad_send_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-send-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send failure on QAD 
                ''',
                'qad_send_failure',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-suspends', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                QAD send suspend
                ''',
                'qad_suspends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-timeout-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timeouts received on QAD 
                ''',
                'qad_timeout_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qad-timeout-recvd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of packet send timeouts 
                ''',
                'qad_timeout_recvd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qadack-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Acks sent on QAD 
                ''',
                'qadack_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('qadoos-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to  out of sequence
                packetreceived
                ''',
                'qadoos_drops',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('redcon-nsr-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                NSR state conveyed to Redcon  by bgp - nsr
                ready/unready
                ''',
                'redcon_nsr_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('redcon-state-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when nsr state wasconveyed to Redcon last
                ''',
                'redcon_state_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sec-active-nsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sec Active BGP nsrstate
                ''',
                'sec_active_nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sec-active-nsrtcp-phase-two-enter-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time that NSR TCP Init Sync Phase Two entered on
                active (seconds since Jan 1 1970)
                ''',
                'sec_active_nsrtcp_phase_two_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-nsr-mode-enter-time', REFERENCE_LIST, 'StandbyNsrModeEnterTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime', 
                [], [], 
                '''                Time that each mode was entered (seconds since
                
                Jan 1 1970)
                ''',
                'standby_nsr_mode_enter_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=7),
            _MetaInfoClassMember('te-connection', REFERENCE_CLASS, 'TeConnection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection', 
                [], [], 
                '''                MPLS TE server connection info
                ''',
                'te_connection',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tep2p-auto-tunnel-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE support for P2P auto tunnel
                ''',
                'tep2p_auto_tunnel_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-neighbors-with-pending-postits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total nbrs with pending postits
                ''',
                'total_neighbors_with_pending_postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-outstanding-postits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total outstanding postits across all neighbors
                ''',
                'total_outstanding_postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-handler-tm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp when updgen timer handler got called
                ''',
                'updgen_handler_tm',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-timer-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Updgen master timer ID
                ''',
                'updgen_timer_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-tree-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time as per tree->mtexptime
                ''',
                'updgen_tree_timer_expiry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('updgen-tree-timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time left before the QNX timer would expire
                ''',
                'updgen_tree_timer_left',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Vrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Vrf',
            False, 
            [
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bytes of data written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of socket reads for nbrs above high
                threshold
                ''',
                'high_throttled_read_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing imbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (ms)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (ms)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of socket reads for nbrs above low
                threshold
                ''',
                'low_throttled_read_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lpts-calls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times LPTS socket opt set up
                ''',
                'lpts_calls',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('lpts-set-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent setting up LPTS socket opt (ms)
                ''',
                'lpts_set_up_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (ms)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to to funvction to process
                sub-group message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group messages processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_', 
                [], [], 
                '''                Global information
                ''',
                'global_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ID for the BGP process instance
                ''',
                'process_instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf', REFERENCE_CLASS, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Vrf', 
                [], [], 
                '''                VRF information
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-totals', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                per VRF counts aggregated across all VRFs
                ''',
                'vrf_totals',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'process-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postit-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr has postits pending
                ''',
                'postit_pending',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions',
            False, 
            [
            _MetaInfoClassMember('session', REFERENCE_LIST, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session', 
                [], [], 
                '''                A BGP session table entry
                ''',
                'session',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sessions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'send-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-notification-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo',
            False, 
            [
            _MetaInfoClassMember('last-notification-data', REFERENCE_LIST, 'LastNotificationData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData', 
                [], [], 
                '''                Message data in last notification
                ''',
                'last_notification_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error code in last notification
                ''',
                'notification_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode in last notification
                ''',
                'notification_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-notification', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was sent or
                received (seconds)
                ''',
                'time_since_last_notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'received-notification-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.PerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.PerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('active-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Active connections for this
                neighbor due to collision 
                ''',
                'active_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Active opens for this neighbor
                ''',
                'actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-read-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger read
                thread
                ''',
                'control_to_read_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('control-to-write-thread-trigger', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times io-control thread trigger write
                thread
                ''',
                'control_to_write_thread_trigger',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bytes of data read
                ''',
                'data_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('data-bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of data bytes written
                ''',
                'data_bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('failed-post-actives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Active Opens that failed in the Post
                Active State for this neighbor
                ''',
                'failed_post_actives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('high-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num of socket reads after nbr crossed high
                threshold
                ''',
                'high_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of inbound update messages processed
                ''',
                'inbound_update_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('inbound-update-messages-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing inbound update messages
                (milliseconds)
                ''',
                'inbound_update_messages_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-read-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent reading inbound data (milliseconds)
                ''',
                'io_read_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-write-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent writing outbound data (milliseconds)
                ''',
                'io_write_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-nsr-scoped-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last time NSR scoped syncwas done for the
                neighbor
                ''',
                'last_nsr_scoped_sync',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-sent-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seq No of the last sent byte
                ''',
                'last_sent_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('low-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Num socket reads after nbrs crossed low
                threshold
                ''',
                'low_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-read-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of largest socket (milliseconds)
                ''',
                'maximum_read_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-fd', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary FD, per nbr
                ''',
                'nbr_fd',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr flags, per thread
                ''',
                'nbr_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('network-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket status, TRUE if socket closed
                ''',
                'network_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-oper-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times NSR scoped sync has been done
                ''',
                'nsr_oper_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passive-collision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Closed Remote opens for this
                neighborneighbor due to collision 
                ''',
                'passive_collision',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retried Passive opens for this
                neighbor
                ''',
                'passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to read inbound data
                ''',
                'read_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BGP messages read
                ''',
                'read_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-throttles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of partial read throttles
                ''',
                'read_throttles',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rejected-passives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rejected Passive opens for this
                neighbor
                ''',
                'rejected_passives',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reset flags, per thread
                ''',
                'reset_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reset Retries, per nbr
                ''',
                'reset_retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('subgroup-list-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing sub-group message list 
                (milliseconds)
                ''',
                'subgroup_list_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sync-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sync flags, per nbr
                ''',
                'sync_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-throttled-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read after being
                throttled
                ''',
                'time_since_last_throttled_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to write outbound data
                ''',
                'write_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process write queue
                ''',
                'write_queue_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of write queue messages processed
                ''',
                'write_queue_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-queue-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time spent processing write queue (milliseconds)
                ''',
                'write_queue_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-calls-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of calls to function to process sub-group
                message list
                ''',
                'write_subgroup_calls_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-subgroup-messages-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sub-group msgs processed
                ''',
                'write_subgroup_messages_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'open',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'notification',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'keepalive',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'route-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx',
            False, 
            [
            _MetaInfoClassMember('count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-time-spec', REFERENCE_CLASS, 'LastTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec', 
                [], [], 
                '''                Last timespec
                ''',
                'last_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rx',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total',
            False, 
            [
            _MetaInfoClassMember('rx', REFERENCE_CLASS, 'Rx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx', 
                [], [], 
                '''                Receive
                ''',
                'rx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tx', REFERENCE_CLASS, 'Tx' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx', 
                [], [], 
                '''                Transmit
                ''',
                'tx',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics',
            False, 
            [
            _MetaInfoClassMember('keepalive', REFERENCE_CLASS, 'Keepalive' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive', 
                [], [], 
                '''                Keepalive
                ''',
                'keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('notification', REFERENCE_CLASS, 'Notification' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification', 
                [], [], 
                '''                Notification
                ''',
                'notification',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open', REFERENCE_CLASS, 'Open' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open', 
                [], [], 
                '''                Open
                ''',
                'open',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refresh', REFERENCE_CLASS, 'RouteRefresh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh', 
                [], [], 
                '''                Route refresh
                ''',
                'route_refresh',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total', 
                [], [], 
                '''                Total
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_CLASS, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update', 
                [], [], 
                '''                Update
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-phase-two-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'tcp-init-sync-done-time-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics',
            False, 
            [
            _MetaInfoClassMember('processed-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages processed from the neighbor's
                write queue
                ''',
                'processed_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent from the neighbor's
                write queue
                ''',
                'sent_messages',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_update_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-update-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_update_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-blocked', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were blocked
                ''',
                'split_horizon_withdraw_blocked',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('split-horizon-withdraw-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of withdraw messages with split-horizon flag
                that were sent out
                ''',
                'split_horizon_withdraw_transmit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sub-group-pending-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sub-group messages waiting to be sent out
                on this neighbor -- DEPRECATED -- 
                ''',
                'sub_group_pending_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-af-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo
                ''',
                'acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of default VRF import disable
                ''',
                'advertise_afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-eo-r-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EoR Can be sent for Advertise AFI
                ''',
                'advertise_afi_eo_r_ready',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of VRF re-import disable
                ''',
                'advertise_afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 default VRF import disable
                ''',
                'advertise_evp_nv4afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv4afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v4 VRF re-import disable
                ''',
                'advertise_evp_nv4afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-def-vrf-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 default VRF import disable
                ''',
                'advertise_evp_nv6afi_def_vrf_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-evp-nv6afi-vrf-re-imp-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise of v6 VRF re-import disable
                ''',
                'advertise_evp_nv6afi_vrf_re_imp_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-local-labeled-route-unicast', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise routes with local-label via Unicast
                SAFI
                ''',
                'advertise_local_labeled_route_unicast',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Advertise RT type
                ''',
                'advertise_rt_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('encapsulation-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encapsulation type
                ''',
                'encapsulation_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('eo-r-received-in-read-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                An EoR was received while in read-only mode
                ''',
                'eo_r_received_in_read_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('filter-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filter group index
                ''',
                'filter_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-default-originate-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default origination update sent
                ''',
                'is_default_originate_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexthop encoding capability received
                ''',
                'is_ext_nh_encoding_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ext-nh-encoding-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended nexhop encoding capability Sent
                ''',
                'is_ext_nh_encoding_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-leaving', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr leaving update-groupto another
                ''',
                'is_update_leaving',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-throttled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Updates Throttled becausewrite limit is reached
                ''',
                'is_update_throttled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-af-performance-statistics', REFERENCE_CLASS, 'NeighborAfPerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics', 
                [], [], 
                '''                Neighbor AF statistics
                ''',
                'neighbor_af_performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor version
                ''',
                'neighbor_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-best-externalpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of best-external paths from this neighbor
                ''',
                'number_of_best_externalpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-bestpaths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of bestpaths from this neighbor
                ''',
                'number_of_bestpaths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('outstanding-version-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'outstanding_version_max',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes accepted
                ''',
                'prefixes_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes advertised
                ''',
                'prefixes_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-be-advertised', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No BE prefixes advertised
                ''',
                'prefixes_be_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied
                ''',
                'prefixes_denied',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-no-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because there was no
                inbound policy
                ''',
                'prefixes_denied_no_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-non-cumulative', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes exactly denied (non cumulative)
                ''',
                'prefixes_denied_non_cumulative',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-orf-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by prefix based ORF
                policy
                ''',
                'prefixes_denied_orf_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-policy', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied by inbound policy
                ''',
                'prefixes_denied_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-denied-rt-permit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes denied because RT extended
                community is not imported
                ''',
                'prefixes_denied_rt_permit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes suppressed
                ''',
                'prefixes_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-synced', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of prefixes synced to standby
                ''',
                'prefixes_synced',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn
                ''',
                'prefixes_withdrawn',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('prefixes-withdrawn-not-found', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of prefixes withdrawn but not found
                ''',
                'prefixes_withdrawn_not_found',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version acked by the peer for refresh updates
                sent
                ''',
                'refresh_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-target-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Target version for refresh update generation
                ''',
                'refresh_target_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version till which refresh updates have been
                generated
                ''',
                'refresh_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests received
                ''',
                'route_refreshes_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-refreshes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of route refresh requests sent
                ''',
                'route_refreshes_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('synced-acked-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version mapped from acked seqNo that was synced
                last
                ''',
                'synced_acked_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update group index
                ''',
                'update_group_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write
                ''',
                'actual_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of last write before reset
                ''',
                'actual_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write
                ''',
                'actual_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('actual-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual size of second last write before reset
                ''',
                'actual_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attempted-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write
                ''',
                'attempted_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of last write before reset
                ''',
                'attempted_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write
                ''',
                'attempted_second_last_write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attempted-second-last-write-reset-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attempted size of second last write before reset
                ''',
                'attempted_second_last_write_reset_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-created-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_created_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'BgpBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdStateEnum', 
                [], [], 
                '''                BFD state for this peer
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-state-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp since when nbr is in this bfd state
                ''',
                'bfd_state_ts',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes read
                ''',
                'bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bytes-written', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total bytes written by write thread
                ''',
                'bytes_written',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connect-retry-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time (in secs) for connect retry timer
                ''',
                'connect_retry_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-admin-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative status of connection
                ''',
                'connection_admin_status',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times connection was dropped
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-established-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) that the connection has been
                established
                ''',
                'connection_established_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local port for the connection
                ''',
                'connection_local_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote port for the connection
                ''',
                'connection_remote_port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times the connection was established
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('count-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count
                ''',
                'count_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-data-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining discard data (bytes) on Standby
                ''',
                'discard_data_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dynamic-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dynamic neighbor
                ''',
                'dynamic_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications received on the
                connection
                ''',
                'error_notifies_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('error-notifies-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of error notifications sent on the
                connection
                ''',
                'error_notifies_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fpbsn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby PDU boundary SeqNo offset
                ''',
                'fpbsn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('fssn-offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First standby SeqNo offset
                ''',
                'fssn_offset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) negotiated for this
                connection
                ''',
                'hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('io-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for io
                control
                ''',
                'io_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability received
                ''',
                'is4_byte_as_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is4-byte-as-capability-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                4-byte AScapability Snt
                ''',
                'is4_byte_as_capability_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation suppressed
                ''',
                'is_capability_negotiation_suppressed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-as-league', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer belongs to AS League
                ''',
                'is_ebgp_peer_as_league',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-peer-common-admin', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EBGP peer with common administation
                ''',
                'is_ebgp_peer_common_admin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-external-neighbor-not-directly-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                External neighbor not directly connected
                ''',
                'is_external_neighbor_not_directly_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-gr-aware', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GR awareness received
                ''',
                'is_gr_aware',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down during a SEVERE low memory
                condition
                ''',
                'is_out_of_memory_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-read-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket read isdisabled
                ''',
                'is_read_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh capability received
                ''',
                'is_route_refresh_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-route-refresh-old-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route refresh old capability received
                ''',
                'is_route_refresh_old_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('keep-alive-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) negotiated for this
                connection
                ''',
                'keep_alive_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-ackd-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SeqNo of the last Ackd byte
                ''',
                'last_ackd_seq_no',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aerror-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that an error
                was encountered after KA expiry
                ''',
                'last_k_aerror_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last KA timer expiry before
                reset
                ''',
                'last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-anotsent-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration (in secs) since last time that KA was
                not sent before reset
                ''',
                'last_k_anotsent_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the last KA timer start
                before reset
                ''',
                'last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Code for the last error notification seen on the
                connection
                ''',
                'last_notify_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notify-error-subcode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Error subcode of the last error notification
                seen on the connection
                ''',
                'last_notify_error_subcode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write thread event
                ''',
                'last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-statistics', REFERENCE_CLASS, 'MessageStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics', 
                [], [], 
                '''                Message statistics
                ''',
                'message_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of msgs on receive queue
                ''',
                'messages_queued_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-queued-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages on send queue
                ''',
                'messages_queued_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages received
                ''',
                'messages_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of messages sent
                ''',
                'messages_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('multi-protocol-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multi-protocol capability has been received
                ''',
                'multi_protocol_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('negotiated-protocol-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Negotiated protocol version
                ''',
                'negotiated_protocol_version',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Handle of Neighbor
                ''',
                'neighbor_interface_handle',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-state', REFERENCE_ENUM_CLASS, 'BgpSyncNbrNsrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSyncNbrNsrStateEnum', 
                [], [], 
                '''                NSR state
                ''',
                'nsr_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('open-check-error-code', REFERENCE_ENUM_CLASS, 'BgpOpenCheckErrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpOpenCheckErrEnum', 
                [], [], 
                '''                Open check error code
                ''',
                'open_check_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If peer closed, error received from transport
                ''',
                'peer_error_code',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('peer-reset-reason', REFERENCE_ENUM_CLASS, 'BgpPeerResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpPeerResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last peer close event
                ''',
                'peer_reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('performance-statistics', REFERENCE_CLASS, 'PerformanceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.PerformanceStatistics', 
                [], [], 
                '''                Performance statistics
                ''',
                'performance_statistics',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('previous-connection-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Previous state of connection
                ''',
                'previous_connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for read
                ''',
                'read_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('received-notification-info', REFERENCE_CLASS, 'ReceivedNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo', 
                [], [], 
                '''                Information on the last notification received
                ''',
                'received_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-notification-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification was sent during last reset
                ''',
                'reset_notification_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reset-reason', REFERENCE_ENUM_CLASS, 'BgpResetReasonIndexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpResetReasonIndexEnum', 
                [], [], 
                '''                Reason for last connection reset
                ''',
                'reset_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID for the neighbor
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-aexpiry-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last KA timer expiry
                before reset
                ''',
                'second_last_k_aexpiry_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-k-astart-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since the second last KA timer
                start before reset
                ''',
                'second_last_k_astart_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('second-last-write-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second last write thread
                event
                ''',
                'second_last_write_event',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('send-notification-info', REFERENCE_CLASS, 'SendNotificationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo', 
                [], [], 
                '''                Information on the last notification sent
                ''',
                'send_notification_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('socket-read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total read bytes value insocket-lib
                ''',
                'socket_read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-done-time-spec', REFERENCE_CLASS, 'TcpInitSyncDoneTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Done
                ''',
                'tcp_init_sync_done_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-phase-two-time-spec', REFERENCE_CLASS, 'TcpInitSyncPhaseTwoTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec', 
                [], [], 
                '''                Time when neighbor entered TCP Init Sync Phase
                Two
                ''',
                'tcp_init_sync_phase_two_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-init-sync-time-spec', REFERENCE_CLASS, 'TcpInitSyncTimeSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncTimeSpec', 
                [], [], 
                '''                Time When neighbor entered TCP Init Sync
                ''',
                'tcp_init_sync_time_spec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                CB
                ''',
                'time_last_cb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-cb-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last CB before reset
                ''',
                'time_last_cb_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-last-fb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FB
                ''',
                'time_last_fb',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-connection-last-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the connection last went down
                (seconds)
                ''',
                'time_since_connection_last_dropped',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read
                ''',
                'time_since_last_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-read-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last read before last reset
                ''',
                'time_since_last_read_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last update message was
                received
                ''',
                'time_since_last_update',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write
                ''',
                'time_since_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since second  last write
                ''',
                'time_since_second_last_write',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('time-since-second-last-write-reset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in secs) since last write before last
                reset
                ''',
                'time_since_second_last_write_reset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-bytes-read', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total update bytes read
                ''',
                'update_bytes_read',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update msgs received
                ''',
                'update_messages_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-messages-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of update messages sent
                ''',
                'update_messages_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-armed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, socket has beenauto-armed for write
                ''',
                'write_armed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor', 
                [], [], 
                '''                A BGP Neighbor table entry
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NextHopVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NextHopVrf',
            False, 
            [
            _MetaInfoClassMember('last-notification-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Processing time for the last notification
                ''',
                'last_notification_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-notificationication-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last notification was received
                ''',
                'last_notificationication_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-notification-bestpath-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath changes caused by
                notification which resulted in maximum
                processing
                ''',
                'max_notification_bestpath_changes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-notification-bestpath-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bestpath deletes caused by
                notification which resulted in maximum
                processing
                ''',
                'max_notification_bestpath_deletes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-proc-notification-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                How long since the maximum processing time
                notifcation was received
                ''',
                'max_proc_notification_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum time spent procesing a single batch
                notification
                ''',
                'maximum_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-processing-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total time spent in processing
                ''',
                'total_processing_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'next-hop-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connection-remote-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.GracefulMaintenance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.GracefulMaintenance',
            False, 
            [
            _MetaInfoClassMember('gshut-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance activated
                ''',
                'gshut_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance enabled
                ''',
                'gshut_exists',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-local-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance locally activated
                ''',
                'gshut_local_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Graceful Maintenance Local Preference
                ''',
                'gshut_locpref',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-locpref-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Maintenance Local Preference set
                ''',
                'gshut_locpref_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gshut-prepends', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Graceful Maintenance number of AS prepends
                ''',
                'gshut_prepends',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'graceful-maintenance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cfg-local-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData',
            False, 
            [
            _MetaInfoClassMember('accept-own-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accept-Own enabled
                ''',
                'accept_own_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('address-family-long-lived-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AF specific Long-lived-time config
                ''',
                'address_family_long_lived_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-afi-reorg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Encode in Advertise AFI
                ''',
                'advertise_afi_reorg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v4-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV4
                ''',
                'advertise_v4_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('advertise-v6-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertise options for VPNV6
                ''',
                'advertise_v6_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                Address family identifier
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'afrpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'afrpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'afrpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afrpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'afrpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('allow-as-in-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allowas-in count config
                ''',
                'allow_as_in_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('always-use-next-hop-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local router always used for next-hop
                ''',
                'always_use_next_hop_local',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-standby', REFERENCE_LIST, 'ExtendedCommunityStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-redirect-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Redirect Validation Disabled
                ''',
                'flowspec_redirect_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('flowspec-validation-d-isable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flowspec Validation Disabled
                ''',
                'flowspec_validation_d_isable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate enabled
                ''',
                'import_reoriginate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-reoriginate-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Reoriginate Stitching enabled
                ''',
                'import_reoriginate_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('import-stitching', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Import Stitching enabled
                ''',
                'import_stitching',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability advertised
                ''',
                'is_add_path_receive_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-receive-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive capability received
                ''',
                'is_add_path_receive_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-advertised', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability advertised
                ''',
                'is_add_path_send_capability_advertised',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-add-path-send-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send capability received
                ''',
                'is_add_path_send_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-receive-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on receive-side
                ''',
                'is_addpath_receive_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-addpath-send-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath is operational on send-side
                ''',
                'is_addpath_send_operational',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertise-permanent-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise Permanent Network
                ''',
                'is_advertise_permanent_network',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability advertised
                ''',
                'is_advertised_graceful_restart',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-receive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                advertised
                ''',
                'is_advertised_orf_receive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-advertised-orf-send', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability advertised
                ''',
                'is_advertised_orf_send',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set 
                ''',
                'is_aigp_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-allow-as-in-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allowas-in set 
                ''',
                'is_allow_as_in_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-override-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                As override set 
                ''',
                'is_as_override_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-graceful-restart-state-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Restart state flag enabled
                ''',
                'is_graceful_restart_state_flag',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-legacy-pe-rt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr accepts route from legacy PE for
                RT-Constraint AF 
                ''',
                'is_legacy_pe_rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-af-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address family capability received from neighbor
                ''',
                'is_neighbor_af_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-inbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured inbound policy
                ''',
                'is_neighbor_ebgp_without_inbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-ebgp-without-outbound-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                eBGP neighbor with no configured outbound policy
                ''',
                'is_neighbor_ebgp_without_outbound_policy',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-route-reflector-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Nbr is a route reflector client
                ''',
                'is_neighbor_route_reflector_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-send-scheduled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Scheduled to send prefix based ORF
                ''',
                'is_orf_send_scheduled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orf-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter sent to neighbor
                ''',
                'is_orf_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-orr-root-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ORR Root address configuredfor the neighbor
                connection
                ''',
                'is_orr_root_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-peer-orf-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Peer has outbound route filter capability
                ''',
                'is_peer_orf_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-prefix-orf-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outbound route filter prefix ORF present
                ''',
                'is_prefix_orf_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability received
                ''',
                'is_received_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-receive-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF receive mode capability
                received
                ''',
                'is_received_orf_receive_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-received-orf-send-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix based ORF send mode capability received
                ''',
                'is_received_orf_send_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rt-present-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT attribute list present
                ''',
                'is_rt_present_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-send-mcast-attr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Mcast Attr
                ''',
                'is_send_mcast_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-soft-reconfiguration-inbound-allowed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inbound soft reconfiguration allowed
                ''',
                'is_soft_reconfiguration_inbound_allowed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-update-deferred', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update deferred until ORF/route refresh received
                ''',
                'is_update_deferred',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-use-soft-reconfiguration-always-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft reconf overrides route refresh
                ''',
                'is_use_soft_reconfiguration_always_on',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Restart time (seconds)
                ''',
                'local_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-capability-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart capability received
                from the neighbor
                ''',
                'long_lived_graceful_restart_capability_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-accept', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum long-lived graceful-restart stale time
                acceptable from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_accept',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Long-lived graceful-restart stale time is
                configured
                ''',
                'long_lived_graceful_restart_stale_time_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Long-lived graceful-restart stale time received
                from the neighbor (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('long-lived-graceful-restart-stale-time-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale time sent in long-lived graceful-restart
                capability (seconds)
                ''',
                'long_lived_graceful_restart_stale_time_sent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-discard-extra-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Discard extra paths when prefix limit reached
                ''',
                'max_prefix_discard_extra_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-exceed-discard-paths', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Did we discard extra paths when prefix limit
                reached
                ''',
                'max_prefix_exceed_discard_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max limit for # of prefixes
                ''',
                'max_prefix_limit',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time interval (in minutes) after which peering
                session will be reestablished
                ''',
                'max_prefix_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Percentage of maximum no. of prefixes at which
                to generate warning
                ''',
                'max_prefix_threshold_percent',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-default-originate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor originates default
                ''',
                'neighbor_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Treat neighbor as long-lived graceful-restart
                capable
                ''',
                'neighbor_long_lived_graceful_restart_capable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-long-lived-graceful-restart-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining long-lived graceful-restart time
                ''',
                'neighbor_long_lived_graceful_restart_time_remaining',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved forwarding state
                ''',
                'neighbor_preserved_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-preserved-long-lived-forwarding-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor preserved long-lived forwarding state
                ''',
                'neighbor_preserved_long_lived_forwarding_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-unchanged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                router does not change next-hop
                ''',
                'next_hop_unchanged',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orf-entries-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outbound route filter entries received
                ''',
                'orf_entries_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ORR Group Index
                ''',
                'orr_group_index',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('orr-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ORR Group Name
                ''',
                'orr_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr only if the aspath has only private
                ASes
                ''',
                'remove_private_as_entire_aspath_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-entire-aspath-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to
                thisnbr only if the aspath hasonly private ASes
                ''',
                'remove_private_as_entire_aspath_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-inbound-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates from
                this nbr
                ''',
                'remove_private_as_from_inbound_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remove-private-as-from-updates', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Private AS numbers removed from updates to this
                nbr
                ''',
                'remove_private_as_from_updates',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time advertised (seconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rib-purge-timeout-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB purge timeout time (in seconds)
                ''',
                'rib_purge_timeout_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-default-originate', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default-originate route policy name
                ''',
                'route_policy_default_originate',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming route policy name
                ''',
                'route_policy_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-out', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing route policy name
                ''',
                'route_policy_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-policy-prefix-orf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Prefix based ORF for incoming updates
                ''',
                'route_policy_prefix_orf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('selective-multipath-eligible', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Selective multipath eligible
                ''',
                'selective_multipath_eligible',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute sent to neighbor
                ''',
                'sent_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-extended-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute sent to neighbor
                ''',
                'sent_extended_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sent-gshut-community-to-neighbor', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GSHUT Community attribute sent to neighbor
                ''',
                'sent_gshut_community_to_neighbor',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale-path-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stale path timeout time (in seconds)
                ''',
                'stale_path_timeout',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('use-max-prefix-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when maximum prefix limit reached
                ''',
                'use_max_prefix_warning_only',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-update-gen-trigger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RT Nbr enabled for updategento another
                ''',
                'vpn_update_gen_trigger_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight for this AF
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAge' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAge',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-age',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'idle-watch-timer-remaining-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_',
            False, 
            [
            _MetaInfoClassMember('connection-state', REFERENCE_ENUM_CLASS, 'BgpConnStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpConnStateEnum', 
                [], [], 
                '''                State of connection
                ''',
                'connection_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-timer-remaining-value', REFERENCE_CLASS, 'IdleWatchTimerRemainingValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue', 
                [], [], 
                '''                Idle watch timer remaining time
                ''',
                'idle_watch_timer_remaining_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-idle-watch-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is idle watch timer running
                ''',
                'is_idle_watch_timer_running',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_CLASS, 'NeighborAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress', 
                [], [], 
                '''                Dynamic Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-age', REFERENCE_CLASS, 'NeighborAge' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAge', 
                [], [], 
                '''                Neighbor age
                ''',
                'neighbor_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange',
            False, 
            [
            _MetaInfoClassMember('neighbor-range-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor Range prefix
                ''',
                'neighbor_range_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', True, [
                    _MetaInfoClassMember('neighbor-range-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Neighbor Range prefix
                        ''',
                        'neighbor_range_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                    _MetaInfoClassMember('neighbor-range-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Neighbor Range prefix
                        ''',
                        'neighbor_range_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', True),
                ]),
            _MetaInfoClassMember('active-bmp-servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BMP Servers to which the neighbor sends logs
                ''',
                'active_bmp_servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive Disabled
                ''',
                'addpath_receive_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-receive-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Receive enable
                ''',
                'addpath_receive_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send Disabled
                ''',
                'addpath_send_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('addpath-send-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Addpath Send enabled
                ''',
                'addpath_send_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-data', REFERENCE_LIST, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData', 
                [], [], 
                '''                Address family specific neighbor data
                ''',
                'af_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25),
            _MetaInfoClassMember('attrf-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attrf Group Name
                ''',
                'attrf_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-minintervalval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Mininterval for this peer
                ''',
                'bfd_minintervalval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-multiplierval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier for this peer
                ''',
                'bfd_multiplierval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bfd-session-enable-mode', REFERENCE_ENUM_CLASS, 'BgpBfdEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBfdEnableModeEnum', 
                [], [], 
                '''                BFD enable mode for this peer
                ''',
                'bfd_session_enable_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cfg-local-address', REFERENCE_CLASS, 'CfgLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress', 
                [], [], 
                '''                Configured local address
                ''',
                'cfg_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hold time (in secs) configured for this
                connection
                ''',
                'configured_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Keepalive time (in secs) configured for this
                connection
                ''',
                'configured_keepalive',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('configured-min-acc-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum acceptable hold time from neighbor (in
                secs) configured for this connection
                ''',
                'configured_min_acc_hold_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-local-address', REFERENCE_CLASS, 'ConnectionLocalAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress', 
                [], [], 
                '''                Local address for the connection
                ''',
                'connection_local_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connection-remote-address', REFERENCE_CLASS, 'ConnectionRemoteAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress', 
                [], [], 
                '''                Remote address for the connection
                ''',
                'connection_remote_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('current-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Dynamic nbrs in range
                ''',
                'current_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('discard-as4-path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discard AS4_PATH in case there is a discrepancy
                in merging AS_PATH and AS4_PATH,retain ASPATH
                ''',
                'discard_as4_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('dmz-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth of link to single-hop eBGP peer
                ''',
                'dmz_link_bandwidth',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-recv-dmz', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Receive Bandwidth of link to single-hop eBGP
                peer
                ''',
                'ebgp_recv_dmz',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-send-dmz-mode', REFERENCE_ENUM_CLASS, 'BgpEbgpSendDmzEnableModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpEbgpSendDmzEnableModeEnum', 
                [], [], 
                '''                Ebgp send dmz link bw mode
                ''',
                'ebgp_send_dmz_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ebgp-time-to-live', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of hops for external BGP neighbor
                ''',
                'ebgp_time_to_live',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('egress-peer-engineering-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if Egress Peer Engineering is enabled
                ''',
                'egress_peer_engineering_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor restart time (in seconds)
                ''',
                'gr_restart_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('gr-stale-path-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor stale-path time (in seconds)
                ''',
                'gr_stale_path_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-maintenance', REFERENCE_CLASS, 'GracefulMaintenance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.GracefulMaintenance', 
                [], [], 
                '''                Graceful Maintenance
                ''',
                'graceful_maintenance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('graceful-restart-enabled-nbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports graceful-restart
                ''',
                'graceful_restart_enabled_nbr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('has-internal-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Internal link to neighbor
                ''',
                'has_internal_link',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('idle-watch-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dynamic Neighbor idle-watch time (in seconds)
                ''',
                'idle_watch_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ignore-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the VPN client isan IBGP CE peer
                ''',
                'ignore_connected',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_', 
                [], [], 
                '''                Dynamic Neighbor Instance List
                ''',
                'instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('internal-vpn-client', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, don't do NHconnected check for nbr
                ''',
                'internal_vpn_client',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-administratively-shut-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor is administratively shut down
                ''',
                'is_administratively_shut_down',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-capability-negotiation-performed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Capability negotiation performed
                ''',
                'is_capability_negotiation_performed',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ebgp-multihop-bgpmpls-forwarding-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS and NULL rewrite is disabled; if
                false, it is enabled
                ''',
                'is_ebgp_multihop_bgpmpls_forwarding_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-address-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured for the neighbor
                connection
                ''',
                'is_local_address_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-neighbor-max-prefix-shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor shut down because it exceeded max prfx
                count
                ''',
                'is_neighbor_max_prefix_shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-out-of-memory-forced-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor forced up during a low memory condition
                ''',
                'is_out_of_memory_forced_up',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-passive-close', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, active socket canbe closed if passive
                openis received for a GRcapable neighbor
                ''',
                'is_passive_close',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('islocal-address-cfg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local address configured
                ''',
                'islocal_address_cfg',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS number
                ''',
                'local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Dual-AS option
                ''',
                'local_as_dual_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-dual-as-mode-native', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applies only if Local AS Dual-AS option is
                enabled. Indicates if Dual-AS mode is native.
                ''',
                'local_as_dual_as_mode_native',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-no-prepend', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Option to not prepend the Local AS to
                announcements
                ''',
                'local_as_no_prepend',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-as-replace-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local AS Replace-AS option
                ''',
                'local_as_replace_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-peers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max Dynamic nbrs in range
                ''',
                'max_peers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, secs part
                ''',
                'min_advertise_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-advertise-interval-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum advertisement interval, msecs part
                ''',
                'min_advertise_interval_msecs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-origination-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum origination interval (in secs)
                ''',
                'min_origination_interval',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-buf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message Buf Count
                ''',
                'msg_buf_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-bug-circular', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Message Buf Circular
                ''',
                'msg_bug_circular',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message in log count
                ''',
                'msg_log_in',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('msg-log-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message out log count
                ''',
                'msg_log_out',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-cluster-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cluster id
                ''',
                'nbr_cluster_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-enforce-first-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor enforce first AS
                ''',
                'nbr_enforce_first_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-in-cluster', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of cluster_id:undefined/number/Ip address
                ''',
                'nbr_in_cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-rcv-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr Receive Size
                ''',
                'nbr_rcv_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nbr-send-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nbr Send Size
                ''',
                'nbr_send_size',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-local-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local AS configured on the neighbor
                ''',
                'neighbor_local_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-range-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor Range Prefix Length
                ''',
                'neighbor_range_prefix_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Neighbor supports NSR
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('oper-attrf-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Oper attrf Enable
                ''',
                'oper_attrf_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-inst-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error during instance creation
                ''',
                'range_inst_error',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-max-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                open drop due to max peers
                ''',
                'range_max_drop',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-open-accepted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                open accepted
                ''',
                'range_open_accepted',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('range-open-match', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Passive open matching range
                ''',
                'range_open_match',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote AS List Name
                ''',
                'remote_as_list_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('remote-as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote AS number
                ''',
                'remote_as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. allow invalid
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix validation disabled
                ''',
                'rpki_disable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. signal ibgp
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix v. use validity
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('speaker-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Speaker this neighbor is allocated to
                ''',
                'speaker_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('standby-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby RP socket inited for Active Open
                ''',
                'standby_rp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('suppress4-byte-as', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress 4byteas capability
                ''',
                'suppress4_byte_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('syslog-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                syslog enable
                ''',
                'syslog_enable',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcp-session-open-mode', REFERENCE_ENUM_CLASS, 'BgpTcpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpTcpModeEnum', 
                [], [], 
                '''                The TCP mode to be used to set up BGP session
                with the neighbor
                ''',
                'tcp_session_open_mode',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tcpmss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TCP Maximum Segment                    
                size
                ''',
                'tcpmss',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP type
                ''',
                'tos_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tos-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Precedence or DSCP value
                ''',
                'tos_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL Security enabled
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('upd-errh-noreset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update errh noreset
                ''',
                'upd_errh_noreset',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Update Source
                ''',
                'update_source',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges',
            False, 
            [
            _MetaInfoClassMember('neighbor-range', REFERENCE_LIST, 'NeighborRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange', 
                [], [], 
                '''                A BGP Neighbor Range table entry
                ''',
                'neighbor_range',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'logged-message-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage',
            False, 
            [
            _MetaInfoClassMember('logged-message-data', REFERENCE_LIST, 'LoggedMessageData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData', 
                [], [], 
                '''                Raw Message data in binary format
                ''',
                'logged_message_data',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-data-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Message data length
                ''',
                'message_data_length',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-timestamp', REFERENCE_CLASS, 'MessageTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp', 
                [], [], 
                '''                message received time: time elapsed since 00:00
                :00 UTC, January 1, 1970
                ''',
                'message_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-type-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of messages Received
                ''',
                'message_type_received',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('total-logged-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total logged messages count
                ''',
                'total_logged_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'neighbor-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog',
            False, 
            [
            _MetaInfoClassMember('direction', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Direction
                ''',
                'direction',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-bgp-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-message', REFERENCE_LIST, 'NeighborMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage', 
                [], [], 
                '''                Array of Neighbor Messages in one direction
                ''',
                'neighbor_message',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-log',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs',
            False, 
            [
            _MetaInfoClassMember('message-log', REFERENCE_LIST, 'MessageLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog', 
                [], [], 
                '''                A BGP Message log entry
                ''',
                'message_log',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'message-logs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.DefaultVrf' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.DefaultVrf',
            False, 
            [
            _MetaInfoClassMember('afs', REFERENCE_CLASS, 'Afs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs', 
                [], [], 
                '''                BGP address family table
                ''',
                'afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('bmp', REFERENCE_CLASS, 'Bmp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp', 
                [], [], 
                '''                BMP related Operational Data
                ''',
                'bmp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('global-process-info', REFERENCE_CLASS, 'GlobalProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo', 
                [], [], 
                '''                The Global Process information table
                ''',
                'global_process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Information', 
                [], [], 
                '''                Meta data for VRF
                ''',
                'information',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('message-logs', REFERENCE_CLASS, 'MessageLogs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs', 
                [], [], 
                '''                The BGP Neighbor Message table
                ''',
                'message_logs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-ranges', REFERENCE_CLASS, 'NeighborRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges', 
                [], [], 
                '''                The BGP Dynamic Neighbor Range table
                ''',
                'neighbor_ranges',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors', 
                [], [], 
                '''                The BGP Neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('next-hop-vrf', REFERENCE_CLASS, 'NextHopVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NextHopVrf', 
                [], [], 
                '''                A BGP Next-hop VRF table entry
                ''',
                'next_hop_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('postits', REFERENCE_CLASS, 'Postits' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits', 
                [], [], 
                '''                The BGP Neighbor table
                ''',
                'postits',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-info', REFERENCE_CLASS, 'ProcessInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo', 
                [], [], 
                '''                A Process instance table entry
                ''',
                'process_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sessions', REFERENCE_CLASS, 'Sessions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions', 
                [], [], 
                '''                The BGP session table
                ''',
                'sessions',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-neighbors', REFERENCE_CLASS, 'UpdateInboundErrorNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors', 
                [], [], 
                '''                Update inbound error information for all
                neighbors
                ''',
                'update_inbound_error_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-vrf', REFERENCE_CLASS, 'UpdateInboundErrorVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorVrf', 
                [], [], 
                '''                Update inbound error information for the VRF
                ''',
                'update_inbound_error_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-neighbors', REFERENCE_CLASS, 'UpdateInboundFilterNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors', 
                [], [], 
                '''                Update inbound filtering information for all
                neighbors
                ''',
                'update_inbound_filter_neighbors',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-vrf', REFERENCE_CLASS, 'UpdateInboundFilterVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterVrf', 
                [], [], 
                '''                Update inbound filtering information for the VRF
                ''',
                'update_inbound_filter_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'default-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateInboundFilterProcess.LastUpdateFilteredTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateInboundFilterProcess.LastUpdateFilteredTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-filtered-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateInboundFilterProcess' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateInboundFilterProcess',
            False, 
            [
            _MetaInfoClassMember('last-update-filtered-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last filtered messages received event
                (in seconds)
                ''',
                'last_update_filtered_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-filtered-timestamp', REFERENCE_CLASS, 'LastUpdateFilteredTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateInboundFilterProcess.LastUpdateFilteredTimestamp', 
                [], [], 
                '''                Last filtered messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_filtered_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Filtered messages count
                ''',
                'update_filtered_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-filtered-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received filtered
                messages
                ''',
                'update_filtered_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-filter-process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'common-attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid',
            False, 
            [
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'BgpBindingSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBindingSidEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-allocated-binding-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.Community' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.Community',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'unknown-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.Cluster' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.Cluster',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'cluster',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2tpv3-cookie',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'connector-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pmsi-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ls-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'label-index-attr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                 PE address
                ''',
                'pe_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'pe-distinguisher-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid',
            False, 
            [
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Address sid
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address sid
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label sid
                ''',
                'label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Sid Type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sid',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath',
            False, 
            [
            _MetaInfoClassMember('sid', REFERENCE_LIST, 'Sid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid', 
                [], [], 
                '''                Sidlist for explicit path
                ''',
                'sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Weight of explicit path
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'sr-policy-explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet',
            False, 
            [
            _MetaInfoClassMember('aggregator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address where aggregation was performed
                ''',
                'aggregator_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aggregator-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS where aggregation was last performed
                ''',
                'aggregator_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('aigp-metric-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                AIGP metric value
                ''',
                'aigp_metric_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as-path', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AS path attribute
                ''',
                'as_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('cluster', REFERENCE_LIST, 'Cluster' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.Cluster', 
                [], [], 
                '''                Cluster list attribute
                ''',
                'cluster',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('community', REFERENCE_LIST, 'Community' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.Community', 
                [], [], 
                '''                Community attribute
                ''',
                'community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Connector Type
                ''',
                'connector_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('connector-value', REFERENCE_LIST, 'ConnectorValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue', 
                [], [], 
                '''                Connector Value
                ''',
                'connector_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community', REFERENCE_LIST, 'ExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity', 
                [], [], 
                '''                Extended community attribute
                ''',
                'extended_community',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('extended-community-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Extended community Flags
                ''',
                'extended_community_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aggregator-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Aggregator attribute present
                ''',
                'is_aggregator_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-aigp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP Present
                ''',
                'is_aigp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path attribute present
                ''',
                'is_as_path_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-atomic-aggregate-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Atomic aggregate attribute present
                ''',
                'is_atomic_aggregate_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Community attribute present
                ''',
                'is_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-connector-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector present
                ''',
                'is_connector_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-extended-community-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extended community attribute present
                ''',
                'is_extended_community_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-label-index-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label Index attribute present
                ''',
                'is_label_index_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-local-pref-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Preference attribute present
                ''',
                'is_local_pref_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ls-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP LS attribute present
                ''',
                'is_ls_attribute_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-metric-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Metric attribute present
                ''',
                'is_metric_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-origin-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Origin attribute present
                ''',
                'is_origin_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pe-distinguisher-label-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PE distinguisher label  attribute present
                ''',
                'is_pe_distinguisher_label_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pmsi-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PMSI Attribute  present
                ''',
                'is_pmsi_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-pppmp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PPMP Attribute  present
                ''',
                'is_pppmp_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ssa-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SSA attribute present
                ''',
                'is_ssa_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-tunnel-encap-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Encap attribute present 
                ''',
                'is_tunnel_encap_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-cookie', REFERENCE_LIST, 'L2Tpv3Cookie' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie', 
                [], [], 
                '''                L2TPv3 Cookie
                ''',
                'l2tpv3_cookie',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2tpv3-session-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2TPv3 session id
                ''',
                'l2tpv3_session_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('label-index-attr', REFERENCE_LIST, 'LabelIndexAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr', 
                [], [], 
                '''                Label Index attribute
                ''',
                'label_index_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('local-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local preference
                ''',
                'local_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-attr', REFERENCE_LIST, 'LsAttr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr', 
                [], [], 
                '''                BGP LS attribute
                ''',
                'ls_attr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('neighbor-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor AS number
                ''',
                'neighbor_as',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Origin
                ''',
                'origin',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originator attribute
                ''',
                'originator',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pe-distinguisher-label', REFERENCE_LIST, 'PeDistinguisherLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel', 
                [], [], 
                '''                PE distinguisher label attribute
                ''',
                'pe_distinguisher_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PMSI Value
                ''',
                'pmsi_flags',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PMSI label
                ''',
                'pmsi_label',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PMSI Type
                ''',
                'pmsi_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('pmsi-value', REFERENCE_LIST, 'PmsiValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue', 
                [], [], 
                '''                PMSI Value
                ''',
                'pmsi_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ppm-pvalue', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PPMP Value
                ''',
                'ppm_pvalue',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-allocated-binding-sid', REFERENCE_CLASS, 'SrPolicyAllocatedBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid', 
                [], [], 
                '''                SR Policy allocated Binding sid by the router
                ''',
                'sr_policy_allocated_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-binding-sid', REFERENCE_CLASS, 'SrPolicyBindingSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid', 
                [], [], 
                '''                SR Policy Binding sid
                ''',
                'sr_policy_binding_sid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-explicit-path', REFERENCE_LIST, 'SrPolicyExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath', 
                [], [], 
                '''                SR Policy Explicit paths
                ''',
                'sr_policy_explicit_path',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-policy-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Preference
                ''',
                'sr_policy_preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-request-state', REFERENCE_ENUM_CLASS, 'BgpSrpolicyTunReqStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpSrpolicyTunReqStateEnum', 
                [], [], 
                '''                SR Tunnel Request State
                ''',
                'sr_tunnel_request_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sr-tunnel-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Tunnel State
                ''',
                'sr_tunnel_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('tunnel-encap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel Encap Type
                ''',
                'tunnel_encap_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('unknown-attribute', REFERENCE_LIST, 'UnknownAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute', 
                [], [], 
                '''                Unknown attributes
                ''',
                'unknown_attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attr-set',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RnhAddr' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RnhAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('len', REFERENCE_ENUM_CLASS, 'BgpRnhAddrLenEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRnhAddrLenEnum', 
                [], [], 
                '''                len
                ''',
                'len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC Addr
                ''',
                'mac_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rnh-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpnvpls-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress',
            False, 
            [
            _MetaInfoClassMember('l2vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                l2vpn address
                ''',
                'l2vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'l2vpn-mspw-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv4-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv4 srpolicy address
                ''',
                'ipv4_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv4sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress',
            False, 
            [
            _MetaInfoClassMember('ipv6-srpolicy-address', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                ipv6 srpolicy address
                ''',
                'ipv6_srpolicy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ipv6sr-policy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'BgpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 Flowspec Addr
                ''',
                'ipv4_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Label Addr
                ''',
                'ipv4_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Mcast Addr
                ''',
                'ipv4_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4-tunnel-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((0:|[1-9][0-9]{0,4}:)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 Tunnel
                ''',
                'ipv4_tunnel_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mdt-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-f0-9]{16}-)(([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([1-9]?[0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5]))'], 
                '''                IPv4 MDT Addr
                ''',
                'ipv4mdt_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{56}'], 
                '''                MVPN4 addr
                ''',
                'ipv4mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4sr-policy-address', REFERENCE_CLASS, 'Ipv4SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress', 
                [], [], 
                '''                IPV4 Policy Addr
                ''',
                'ipv4sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Addr
                ''',
                'ipv4vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV4 VPN Flowspec Addr
                ''',
                'ipv4vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4vpna-mcastddress', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 VPN Mcast Addr
                ''',
                'ipv4vpna_mcastddress',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 Flowspec Addr
                ''',
                'ipv6_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-label-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Label Addr
                ''',
                'ipv6_label_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Mcast Addr
                ''',
                'ipv6_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6mvpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{104}'], 
                '''                MVPN addr
                ''',
                'ipv6mvpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6sr-policy-address', REFERENCE_CLASS, 'Ipv6SrPolicyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress', 
                [], [], 
                '''                IPV6 Policy Addr
                ''',
                'ipv6sr_policy_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Addr
                ''',
                'ipv6vpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-flowspec-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4096}'], 
                '''                IPV6 VPN Flowspec Addr
                ''',
                'ipv6vpn_flowspec_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6vpn-mcast-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 VPN Mcast Addr
                ''',
                'ipv6vpn_mcast_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-evpn-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{58}'], 
                '''                L2VPN EVPN Addr
                ''',
                'l2vpn_evpn_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpn-mspw-address', REFERENCE_CLASS, 'L2VpnMspwAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress', 
                [], [], 
                '''                L2VPN MSPW Addr
                ''',
                'l2vpn_mspw_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('l2vpnvpls-address', REFERENCE_CLASS, 'L2VpnvplsAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress', 
                [], [], 
                '''                L2VPN VPLS Addr
                ''',
                'l2vpnvpls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ls-ls-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]+'], 
                '''                LINKSTATE LINKSTATE Addr
                ''',
                'ls_ls_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-constraint-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{24}'], 
                '''                RT Constrt Addr
                ''',
                'rt_constraint_address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'ribrnh-ip',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo',
            False, 
            [
            _MetaInfoClassMember('attr-set', REFERENCE_CLASS, 'AttrSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet', 
                [], [], 
                '''                ATTR_SET attribute
                ''',
                'attr_set',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-key-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute key number
                ''',
                'attribute_key_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Attribute reuse ID Configured
                ''',
                'attribute_reuse_id_config',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID current ID
                ''',
                'attribute_reuse_id_current',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-keys', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID allocated keys
                ''',
                'attribute_reuse_id_keys',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-max-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID maximum ID
                ''',
                'attribute_reuse_id_max_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID nodes
                ''',
                'attribute_reuse_id_node',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-reuse-id-recover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute reuse ID timer in seconds
                ''',
                'attribute_reuse_id_recover_sec',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('common-attributes', REFERENCE_CLASS, 'CommonAttributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes', 
                [], [], 
                '''                Common attributes
                ''',
                'common_attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-application-gateway-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Application gateway present
                ''',
                'is_application_gateway_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-as-path2-byte', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AS path encoded as 2-byte
                ''',
                'is_as_path2_byte',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-attr-set-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP ATTR_SET attribute present
                ''',
                'is_attr_set_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-ribrnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB RNH Attribute  present
                ''',
                'is_ribrnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('is-rnh-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RNH Attribute  present
                ''',
                'is_rnh_present',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-encap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RIB RNH Encapsulation Type
                ''',
                'ribrnh_encap',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-ip', REFERENCE_CLASS, 'RibrnhIp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp', 
                [], [], 
                '''                RIB RNH IP Address
                ''',
                'ribrnh_ip',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-mac', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                RIB RNH MAC Address
                ''',
                'ribrnh_mac',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Table
                ''',
                'ribrnh_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnh-vni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH Vni
                ''',
                'ribrnh_vni',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ribrnhip-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB RNH IP Table
                ''',
                'ribrnhip_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr', REFERENCE_CLASS, 'RnhAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RnhAddr', 
                [], [], 
                '''                RNH Address
                ''',
                'rnh_addr',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-addr-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RNH Address Length
                ''',
                'rnh_addr_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RNH Length
                ''',
                'rnh_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rnh-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RNH Type
                ''',
                'rnh_type',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-igp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound IGP 
                ''',
                'set_aigp_inbound_igp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('set-aigp-inbound-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AIGP set by policy inbound metric
                ''',
                'set_aigp_inbound_metric',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vpn-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Distinguisher
                ''',
                'vpn_distinguisher',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute',
            False, 
            [
            _MetaInfoClassMember('attribute-cache-bucket', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache bucket
                ''',
                'attribute_cache_bucket',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-cache-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute cache ID
                ''',
                'attribute_cache_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-iid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Attribute IID
                ''',
                'attribute_iid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-info', REFERENCE_CLASS, 'AttributeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo', 
                [], [], 
                '''                Attributes
                ''',
                'attribute_info',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Attribute Instance ID
                ''',
                'attribute_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-hash-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hash value for attribute structure
                ''',
                'attribute_structure_hash_value',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-structure-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ID of attribute structure
                ''',
                'attribute_structure_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('process-instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Process instance ID
                ''',
                'process_instance_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('reference-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths which use this attribute
                structure
                ''',
                'reference_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.Attributes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.Attributes',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_LIST, 'Attribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute', 
                [], [], 
                '''                A BGP Attribute table entry
                ''',
                'attribute',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RtEntries.RtEntry.Rt' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RtEntries.RtEntry.Rt',
            False, 
            [
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                route target
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RtEntries.RtEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RtEntries.RtEntry',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_datatypes', 'BgpAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('afs', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                afs
                ''',
                'afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('request-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Random Request ID
                ''',
                'request_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-target-lower-bytes', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Lower 4 bytes of RT
                ''',
                'route_target_lower_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('route-target-upper-bytes', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upper 4 bytes of RT
                ''',
                'route_target_upper_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt', REFERENCE_CLASS, 'Rt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RtEntries.RtEntry.Rt', 
                [], [], 
                '''                rt
                ''',
                'rt',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RtEntries' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RtEntries',
            False, 
            [
            _MetaInfoClassMember('rt-entry', REFERENCE_LIST, 'RtEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RtEntries.RtEntry', 
                [], [], 
                '''                BGP Route Target Set Entry
                ''',
                'rt_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rt-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups.AttributeFilterGroup.AttributeFilterEntry' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups.AttributeFilterGroup.AttributeFilterEntry',
            False, 
            [
            _MetaInfoClassMember('attribute-filter-entry-range-end', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                End of attribute range
                ''',
                'attribute_filter_entry_range_end',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-filter-entry-range-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start of attribute range
                ''',
                'attribute_filter_entry_range_start',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-filter-entry-requested-action', REFERENCE_ENUM_CLASS, 'BgpBagUpdFilterActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpBagUpdFilterActionEnum', 
                [], [], 
                '''                Requested filtering action
                ''',
                'attribute_filter_entry_requested_action',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-filter-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups.AttributeFilterGroup' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups.AttributeFilterGroup',
            False, 
            [
            _MetaInfoClassMember('group-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Attribute-filter group name
                ''',
                'group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('attribute-filter-entry', REFERENCE_LIST, 'AttributeFilterEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups.AttributeFilterGroup.AttributeFilterEntry', 
                [], [], 
                '''                List of attriute-filter entries
                ''',
                'attribute_filter_entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-filter-group-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute-filter group name
                ''',
                'attribute_filter_group_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attribute-filter-total-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of attriute-filter groups
                ''',
                'attribute_filter_total_group_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-filter-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups',
            False, 
            [
            _MetaInfoClassMember('attribute-filter-group', REFERENCE_LIST, 'AttributeFilterGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups.AttributeFilterGroup', 
                [], [], 
                '''                Attribute-filter group
                ''',
                'attribute_filter_group',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'attribute-filter-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RpkiServerList.RpkiServer' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RpkiServerList.RpkiServer',
            False, 
            [
            _MetaInfoClassMember('close-reason', REFERENCE_ENUM_CLASS, 'BgpRpkiCreasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiCreasonEnum', 
                [], [], 
                '''                Server close reason
                ''',
                'close_reason',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('close-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server close elapsed time
                ''',
                'close_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('close-time-real', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server close real timestamp (unix time)
                ''',
                'close_time_real',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4roa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv4 ROAs currently recv'd from server
                ''',
                'ipv4roa',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4roa-announce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv4 ROAs announced by the server
                ''',
                'ipv4roa_announce',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4roa-withdraw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv4 ROAs withdrawn by the server
                ''',
                'ipv4roa_withdraw',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv6 ROAs currently recv'd from server
                ''',
                'ipv6roa',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa-announce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv6 ROAs announced by the server
                ''',
                'ipv6roa_announce',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa-withdraw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IPv6 ROAs withdrawn by the server
                ''',
                'ipv6roa_withdraw',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server Name
                ''',
                'name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('nonce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server nonce
                ''',
                'nonce',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server SSH password
                ''',
                'password',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server TCP Port number
                ''',
                'port',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server Preference
                ''',
                'preference',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proto-error', REFERENCE_ENUM_CLASS, 'BgpRpkiPerrorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiPerrorEnum', 
                [], [], 
                '''                Protocol Error Reason
                ''',
                'proto_error',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proto-state', REFERENCE_ENUM_CLASS, 'BgpRpkiPstateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiPstateEnum', 
                [], [], 
                '''                Server Protocol state
                ''',
                'proto_state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('proto-state-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server Protocol state timestamp (unix time)
                ''',
                'proto_state_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('purge-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Server purge time (seconds)
                ''',
                'purge_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bytes read from the server
                ''',
                'read_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refresh-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Server refresh time (seconds)
                ''',
                'refresh_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('response-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Server response time (seconds)
                ''',
                'response_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('retries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connection retries
                ''',
                'retries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('serial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server serial number
                ''',
                'serial',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('shutdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Server Shutdown
                ''',
                'shutdown',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('sshpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server SSH process ID
                ''',
                'sshpid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'BgpRpkiStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiStateEnum', 
                [], [], 
                '''                Server Internal State
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('state-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server Internal State timestamp (unix time)
                ''',
                'state_time',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('transport', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Server transport type
                ''',
                'transport',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('username', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Server SSH username
                ''',
                'username',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('write-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bytes written to the server
                ''',
                'write_bytes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RpkiServerList' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RpkiServerList',
            False, 
            [
            _MetaInfoClassMember('rpki-server', REFERENCE_LIST, 'RpkiServer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RpkiServerList.RpkiServer', 
                [], [], 
                '''                Array of RPKI servers
                ''',
                'rpki_server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-server-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RpkiRoutes.RpkiRoute.RpkiRoute_' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RpkiRoutes.RpkiRoute.RpkiRoute_',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address Prefix
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpRpkiAfEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiAfEnum', 
                [], [], 
                '''                Address Family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS number
                ''',
                'as_',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('max-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Prefix Length
                ''',
                'max_prefix_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('min-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minimum Prefix Length
                ''',
                'min_prefix_len',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Refcount
                ''',
                'refcount',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('server', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Source Server
                ''',
                'server',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ROA is stale
                ''',
                'stale',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RpkiRoutes.RpkiRoute' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RpkiRoutes.RpkiRoute',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Route Address (IPv4 / IPv6)
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'BgpRpkiEdmAfEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'BgpRpkiEdmAfEnum', 
                [], [], 
                '''                Address family
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('maximum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Maximum Prefix Length
                ''',
                'maximum',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('minimum', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Minimum Prefix Length
                ''',
                'minimum',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-route', REFERENCE_LIST, 'RpkiRoute_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RpkiRoutes.RpkiRoute.RpkiRoute_', 
                [], [], 
                '''                Array or RPKI routes
                ''',
                'rpki_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RpkiRoutes' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RpkiRoutes',
            False, 
            [
            _MetaInfoClassMember('rpki-route', REFERENCE_LIST, 'RpkiRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RpkiRoutes.RpkiRoute', 
                [], [], 
                '''                RPKI Path Group
                ''',
                'rpki_route',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateInboundErrorProcess.LastUpdateMalformedTimestamp' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateInboundErrorProcess.LastUpdateMalformedTimestamp',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanoseconds part of time value
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds part of time value
                ''',
                'seconds',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'last-update-malformed-timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.UpdateInboundErrorProcess' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.UpdateInboundErrorProcess',
            False, 
            [
            _MetaInfoClassMember('last-update-malformed-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last malformed messages received
                event (in seconds)
                ''',
                'last_update_malformed_age',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('last-update-malformed-timestamp', REFERENCE_CLASS, 'LastUpdateMalformedTimestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateInboundErrorProcess.LastUpdateMalformedTimestamp', 
                [], [], 
                '''                Last malformed messages received time: time
                elapsed since 00:00:00 UTC, January 1, 1970
                ''',
                'last_update_malformed_timestamp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-basic-ebgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is basic error-handling for EBGP enabled
                ''',
                'update_error_handling_basic_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-basic-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is basic error-handling for IBGP enabled
                ''',
                'update_error_handling_basic_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-extended-ebgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is extended error-handling for EBGP enabled
                ''',
                'update_error_handling_extended_ebgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-error-handling-extended-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is extended error-handling for IBGP enabled
                ''',
                'update_error_handling_extended_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-message-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed messages count
                ''',
                'update_malformed_message_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-malformed-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of neighbors that received malformed
                messages
                ''',
                'update_malformed_neighbor_count',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'update-inbound-error-process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby.RpkiSummary' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby.RpkiSummary',
            False, 
            [
            _MetaInfoClassMember('ipv4roa-nets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv4 ROA Nets
                ''',
                'ipv4roa_nets',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv4roa-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv4 ROA Paths
                ''',
                'ipv4roa_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa-nets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 ROA Nets
                ''',
                'ipv6roa_nets',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('ipv6roa-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 ROA Paths
                ''',
                'ipv6roa_paths',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-allow-invalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow invalid paths
                ''',
                'rpki_allow_invalid',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPKI Knob disabled
                ''',
                'rpki_disabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-signal-ibgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal RPKI validity to iBGP peers
                ''',
                'rpki_signal_ibgp',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-use-validity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use RPKI validity for bestpath calculation
                ''',
                'rpki_use_validity',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('servers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPKI Servers configured
                ''',
                'servers',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'rpki-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance.InstanceStandby' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance.InstanceStandby',
            False, 
            [
            _MetaInfoClassMember('attribute-filter-groups', REFERENCE_CLASS, 'AttributeFilterGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups', 
                [], [], 
                '''                All attribute-filter groups in this instance
                ''',
                'attribute_filter_groups',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Attributes', 
                [], [], 
                '''                The BGP Attribute table
                ''',
                'attributes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('default-vrf', REFERENCE_CLASS, 'DefaultVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.DefaultVrf', 
                [], [], 
                '''                Default VRF related operational data
                ''',
                'default_vrf',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-refresh-afs', REFERENCE_CLASS, 'RpkiRefreshAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs', 
                [], [], 
                '''                RPKI Refresh Table (per AF)
                ''',
                'rpki_refresh_afs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-routes', REFERENCE_CLASS, 'RpkiRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RpkiRoutes', 
                [], [], 
                '''                BGP RPKI ROA table
                ''',
                'rpki_routes',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-server-list', REFERENCE_CLASS, 'RpkiServerList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RpkiServerList', 
                [], [], 
                '''                RPKI Server Table
                ''',
                'rpki_server_list',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rpki-summary', REFERENCE_CLASS, 'RpkiSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RpkiSummary', 
                [], [], 
                '''                RPKI Summary Info
                ''',
                'rpki_summary',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('rt-entries', REFERENCE_CLASS, 'RtEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.RtEntries', 
                [], [], 
                '''                BGP Route Target Sets Table
                ''',
                'rt_entries',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-generation-process', REFERENCE_CLASS, 'UpdateGenerationProcess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess', 
                [], [], 
                '''                Update generation for the process
                ''',
                'update_generation_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-error-process', REFERENCE_CLASS, 'UpdateInboundErrorProcess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateInboundErrorProcess', 
                [], [], 
                '''                Update inbound error information for the process
                ''',
                'update_inbound_error_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('update-inbound-filter-process', REFERENCE_CLASS, 'UpdateInboundFilterProcess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.UpdateInboundFilterProcess', 
                [], [], 
                '''                Update inbound filtering information for the
                process
                ''',
                'update_inbound_filter_process',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby.Vrfs', 
                [], [], 
                '''                VRF related operational data
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'instance-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances.Instance' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances.Instance',
            False, 
            [
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the BGP instance
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-oper', True),
            _MetaInfoClassMember('instance-active', REFERENCE_CLASS, 'InstanceActive' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceActive', 
                [], [], 
                '''                Active BGP operational data
                ''',
                'instance_active',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-standby', REFERENCE_CLASS, 'InstanceStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance.InstanceStandby', 
                [], [], 
                '''                Standby BGP operational data
                ''',
                'instance_standby',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.Instances' : {
        'meta_info' : _MetaInfoClass('Bgp.Instances',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances.Instance', 
                [], [], 
                '''                Instance specific BGP data
                ''',
                'instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'instances',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.BpmInstancesTable.BpmInstances.Instance.AfArray' : {
        'meta_info' : _MetaInfoClass('Bgp.BpmInstancesTable.BpmInstances.Instance.AfArray',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'af-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.BpmInstancesTable.BpmInstances.Instance' : {
        'meta_info' : _MetaInfoClass('Bgp.BpmInstancesTable.BpmInstances.Instance',
            False, 
            [
            _MetaInfoClassMember('af-array', REFERENCE_LIST, 'AfArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.BpmInstancesTable.BpmInstances.Instance.AfArray', 
                [], [], 
                '''                Array of Address Families
                ''',
                'af_array',
                'Cisco-IOS-XR-ipv4-bgp-oper', False, max_elements=25, min_elements=25),
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS Number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('install-diversion-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Install diversion is enabled
                ''',
                'install_diversion_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Instance Identifier
                ''',
                'instance_identifier',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instance-name-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance Name
                ''',
                'instance_name_str',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('number-of-vrfs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of VRFs
                ''',
                'number_of_vrfs',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('placed-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Placed Group Identifier
                ''',
                'placed_group_id',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('read-only-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Read-only is enabled
                ''',
                'read_only_enabled',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-end-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured end value of Segment-routing global
                block
                ''',
                'srgb_end_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('srgb-start-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured start value of Segment-routing global
                block
                ''',
                'srgb_start_configured',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.BpmInstancesTable.BpmInstances' : {
        'meta_info' : _MetaInfoClass('Bgp.BpmInstancesTable.BpmInstances',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.BpmInstancesTable.BpmInstances.Instance', 
                [], [], 
                '''                Array of instance information
                ''',
                'instance',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bpm-instances',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp.BpmInstancesTable' : {
        'meta_info' : _MetaInfoClass('Bgp.BpmInstancesTable',
            False, 
            [
            _MetaInfoClassMember('bpm-instances', REFERENCE_CLASS, 'BpmInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.BpmInstancesTable.BpmInstances', 
                [], [], 
                '''                BGP instances information
                ''',
                'bpm_instances',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bpm-instances-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
    'Bgp' : {
        'meta_info' : _MetaInfoClass('Bgp',
            False, 
            [
            _MetaInfoClassMember('bpm-instances-table', REFERENCE_CLASS, 'BpmInstancesTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.BpmInstancesTable', 
                [], [], 
                '''                BGP instances information
                ''',
                'bpm_instances_table',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('config-instances', REFERENCE_CLASS, 'ConfigInstances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.ConfigInstances', 
                [], [], 
                '''                Instance specific BGP data
                ''',
                'config_instances',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            _MetaInfoClassMember('instances', REFERENCE_CLASS, 'Instances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper', 'Bgp.Instances', 
                [], [], 
                '''                Instance specific BGP data
                ''',
                'instances',
                'Cisco-IOS-XR-ipv4-bgp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-oper',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_oper'
        ),
    },
}
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations.EntityConfiguration']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers.ConfigurationUser']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances.ConfigurationInheritance']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.EntityConfigurations']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationUsers']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf.ConfigurationInheritances']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalIpAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.RemoteAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SpeakerIdInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MinAdvertisementInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DescriptionInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpHopCountInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TcpmssInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BmpServersInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.KeychainInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PasswordInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ReceiveBufferInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SendBufferInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ShutdownInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TimersInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.LocalAddressInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogInInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MsgLogOutInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateSourceInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.DmzLinkBandwidthInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpRecvDmzInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EbgpSendDmzInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TtlSecurityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.Suppress4BbyteAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.SessionOpenModeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMinintervalInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.BfdMultiplierInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.TosInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NsrDisabledInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulRestartDisabledInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrRestartTimeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrStalePathTimeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NbrEnforceFirstAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.ClusterIdInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IgnoreConnectedInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.InternalVpnClientInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathSendCapabilityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.AddpathReceiveCapabilityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.EgressPeerEngineeringInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.UpdateErrorHandlingNoResetInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationDisableInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationUseValiditInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationAllowInvalidInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.PrefixValidationSignalIbgpInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterExistsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterMessageBufferCountInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterSyslogDisableInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborUpdateFilterAttributeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownLocPrefInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownAsPrependsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.GracefulShutdownActivateInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.CapabilityNegotiationSuppressedInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.NeighborRemoteAsListInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.MaxPeersInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig.IdleWatchTimeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo.InheritanceChain']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrRootAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrfCapabilityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.DefaultOriginateInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MaxPrefixesInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.OrrInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopSelfInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyInInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RoutePolicyOutInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PrefixFilterInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RemovePrivateAsInInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.RouteReflectorInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.LegacyPeRtInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEnabledInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendCommunityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendGracefulShutdownCommunityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendExtendedCommunityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoftReconfigInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SoOInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.WeightInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AllowasInInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartStaleTimeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfLongLivedGracefulStartCapableInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AsOverrideInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpCostCommunityInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AigpMed']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AcceptOwnInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.MultipathInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.FspecValidInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.NextHopUnchangedMpathInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.PermanentNetworkInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.SendMcastAttrInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV4AfiInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseV6AfiInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseL2VpnevpnAfiInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDisInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV4Info']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseDefVrfImpDisableAfiV6Info']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV4Info']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseVrfReImpDisableAfiV6Info']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AfEncapsulationTypeInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.ImportAfiInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig.AdvertiseLocalLabeledRouteInfo']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfIndependentConfig']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration.AfDependentConfig']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations.EntityConfiguration']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfIndependentRelatives']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser.AfDependentRelative']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers.ConfigurationUser']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative.BgpConfigEntid']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfIndependentRelatives']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance.AfDependentRelative']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances.ConfigurationInheritance']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.EntityConfigurations']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationUsers']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf.ConfigurationInheritances']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs.ConfigVrf']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigInstanceDefaultVrf']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance.ConfigVrfs']['meta_info'].parent =_meta_table['Bgp.ConfigInstances.ConfigInstance']['meta_info']
_meta_table['Bgp.ConfigInstances.ConfigInstance']['meta_info'].parent =_meta_table['Bgp.ConfigInstances']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.LabelEntries.LabelEntry.Entry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.LabelEntries.LabelEntry']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.LabelEntries.LabelEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.LabelEntries']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.LabelSummary.Stats']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.LabelSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry.Rpf.Rpf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry.Rpf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry.Rpf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.LabelRpfEntries.LabelRpfEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.LabelRpfEntries']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess.UpdateAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs.RpkiRefreshAf.RefreshEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs.RpkiRefreshAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs.RpkiRefreshAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibCoverged']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibDown']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableFullTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableFullTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableHasSpaceTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableHasSpaceTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeLabelRetain']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeKey']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.NexthopId']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.Ifhandle']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings.Dampening']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes.Attribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Policies']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Convergence']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AfProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathUsedTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RpcSets']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkPrefixes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.SourcedNetworks']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.RtSetCounters']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.BmpPaths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Networks']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Epes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PathLabeledTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.AdvertisedPaths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NeighborAfTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.NetworkAllRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Dampenings']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.PrefixFilters']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af.Attributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs.Af']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.NeighborAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit.PostitInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits.Postit']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Global_.ClusterIdEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerSummaries']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp.ServerNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.PoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions.Session']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs.MessageLog']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Afs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Information']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Postits']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.GlobalProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundErrorNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.UpdateInboundFilterNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Bmp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.ProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Sessions']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.Neighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NextHopVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.NeighborRanges']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf.MessageLogs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies.Policy']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibCoverged']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibDown']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableFullTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableFullTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableHasSpaceTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableHasSpaceTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeLabelRetain']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets.RpcSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks.Network']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.EpeKey']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.NexthopId']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.Ifhandle']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes.Epe']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathCounts']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings.Dampening']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes.Attribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkLookupAllRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Policies']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Convergence']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AfProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathUsedTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RpcSets']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.GlobalAfProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkPrefixes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.SourcedNetworks']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationSubGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NextHopAddressFamilies']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.RtSetCounters']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.BmpPaths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Networks']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Epes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPathCounts']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PathLabeledTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.AdvertisedPaths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NeighborAfTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.NetworkAllRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Dampenings']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.PrefixFilters']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af.Attributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs.Af']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.NeighborAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit.PostitInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits.Postit']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Global_.ClusterIdEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerSummaries']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp.ServerNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.PoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.MsgLogPoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_.BmpPoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions.Session']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange.Instance_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges.NeighborRange']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog.NeighborMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs.MessageLog']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Afs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Information']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Postits']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.GlobalProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundErrorNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.UpdateInboundFilterNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Bmp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.ProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Sessions']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.Neighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NextHopVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.NeighborRanges']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf.MessageLogs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateInboundFilterProcess.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateInboundFilterProcess']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute.AttributeInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes.Attribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RtEntries.RtEntry.Rt']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.RtEntries.RtEntry']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RtEntries.RtEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.RtEntries']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups.AttributeFilterGroup.AttributeFilterEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups.AttributeFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups.AttributeFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiServerList.RpkiServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiServerList']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRoutes.RpkiRoute.RpkiRoute_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRoutes.RpkiRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRoutes.RpkiRoute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRoutes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateInboundErrorProcess.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateInboundErrorProcess']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.LabelEntries']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.LabelSummary']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.LabelRpfEntries']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateGenerationProcess']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRefreshAfs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Vrfs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.DefaultVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateInboundFilterProcess']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.Attributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RtEntries']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.AttributeFilterGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiServerList']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiRoutes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.UpdateInboundErrorProcess']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive.RpkiSummary']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess.UpdateAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs.RpkiRefreshAf.RefreshEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs.RpkiRefreshAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs.RpkiRefreshAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies.Policy']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerRib']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerImport']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibCoverged']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeRibDown']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableFullTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableFullTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.FirstRibTableHasSpaceTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.LastRibTableHasSpaceTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_.TimeLabelRetain']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets.RpcSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks.SourcedNetwork']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters.RtSetCounter']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath.BmpPath_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths.BmpPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks.Network']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.EpeKey']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.NexthopId']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.Ifhandle']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe.FirstHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes.Epe']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds.NetworkAllRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings.Dampening']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes.Attribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkLookupAllRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Policies']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Convergence']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AfProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathUsedTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RpcSets']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.GlobalAfProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkPrefixes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.SourcedNetworks']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationSubGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NextHopAddressFamilies']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.RtSetCounters']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.BmpPaths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationUpdateGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationFilterGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Networks']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Epes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPathCounts']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PathLabeledTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.AdvertisedPaths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NeighborAfTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.NetworkAllRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.UpdateGenerationAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Dampenings']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.PrefixFilters']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af.Attributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs.Af']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo.PostitNotification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.NeighborAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit.PostitInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits.Postit']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Global_.ClusterIdEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries.ServerSummary']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors.ServerNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerSummaries']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp.ServerNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.PoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.MsgLogPoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_.BmpPoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.Vrf_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions.Session']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.SendNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.ReceivedNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.MessageStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.NeighborAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange.Instance_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges.NeighborRange']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog.NeighborMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs.MessageLog']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Afs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Information']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Postits']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.GlobalProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundErrorNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.UpdateInboundFilterNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Bmp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.ProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Sessions']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.Neighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NextHopVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.NeighborRanges']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf.MessageLogs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorVrf.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds.NetworkLookupRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd.NetworkLookupRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds.NetworkLookupAllRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.PathInfoAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy.AttributesAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies.Policy']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic.TriggerTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel.Statistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.UpdateTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall.InstallTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapStartTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.VersionWrapDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerRib']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerImport']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerUpdate']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.TriggerLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_.RibInstall']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.ModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallAdd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimInstallDel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAdd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackAddLocal']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_.TotalPimCallbackDelLocal']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibCoverged']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeRibDown']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableFullTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableFullTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.FirstRibTableHasSpaceTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.LastRibTableHasSpaceTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf.TimeLabelRetain']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets.RpcSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.UpdateTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall.InstallTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.RibInstall']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_.SyncgrpVersion']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes.NetworkPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr.AdvertisedPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork.SourcedPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks.SourcedNetwork']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.UpdateFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup.UpdateSubGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups.UpdateGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.CreationTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastMergeTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.FirstUpdateWalkEndTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateWalkEndTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.LastUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups.UpdateGenerationSubGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopMetrice']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopRefcount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo.NexthopGatewayInternalInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo.NexthopRoutePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopInternalInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NexthopGatewayInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs.NextHopAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfVrfAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily.NextHopAfs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies.NextHopAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet.RtSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter.RouteTargetSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters.RtSetCounter']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath.BmpPath_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths.BmpPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerStopTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerExpiryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerRemainingValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.LastUpdateTimerDelayValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups.UpdateGenerationUpdateGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups.UpdateGenerationFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks.Network']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeNextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.EpeKey']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.NexthopId']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.Ifhandle']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe.FirstHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes.Epe']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathCounts.AdvertisedPathCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathCounts']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable.Path']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.PathInfoAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo.AttributesAfterPolicyOut']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.Paths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath.AdvPathInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths.AdvertisedPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Open']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Notification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Update']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Keepalive']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.RouteRefresh']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics.Total']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.NeighborAfPerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.SendNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.ReceivedNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.MessageStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncPhaseTwoTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.TcpInitSyncDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNexthop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement.PelemPathNeighborAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.VersionAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActiveProcessInstancePath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.LocalPathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd.ActivePathElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds.NetworkRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd.NetworkRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds.NetworkAllRd']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupAddTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastSubGroupRemoveTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupAddTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastFilterGroupRemoveTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstDefaultOriginateTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastDefaultOriginateTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupStartTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateGroupExpiryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateQueuedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.FirstUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.LastRefreshUpdateWriteTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors.UpdateGenerationNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateDiscardTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateClearedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateThrottleTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateRecoveryTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily.UpdateStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NextHop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.NhteTunnel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MdtGroupAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnEvpnEsi']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.GwAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathCompWinner']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNbrAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnNexthopAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.L2VpnCircuitStatusValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.MvpnPmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.LocalPeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.PePeersAdvertisedTo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.BestPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation.AddPathOrrBitfield']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.PathInformation']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening.AttributesAfterPolicyIn']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings.Dampening']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix.Prefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst.BgpPrefix']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo.BgpPfxlst']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.NeighborAddressXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter.PrefixListInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters.PrefixFilter']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute.AttributeInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes.Attribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkLookupAllRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Policies']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Convergence']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AfProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathUsedTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RpcSets']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.GlobalAfProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkPrefixes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathXr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.SourcedNetworks']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationSubGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NextHopAddressFamilies']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.RtSetCounters']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.BmpPaths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationUpdateGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationFilterGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Networks']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Epes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPathCounts']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PathLabeledTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.AdvertisedPaths']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NeighborAfTable']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.NetworkAllRds']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.UpdateGenerationAddressFamily']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Dampenings']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.PrefixFilters']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af.Attributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs.Af']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterVrf.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo.PostitNotification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.NeighborAf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit.PostitInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits.Postit']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Global_.ClusterIdEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageResetData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage.UpdateErrorElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastUpdateMemoryAllocationFailTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.FirstUpdateErrorHandlingResetTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.LastErrorHandlingResetTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.EstablishmentActionCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor.UpdateErrorMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors.UpdateInboundErrorNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes.LastUpdateFilterMatchTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage.UpdateFilterElement']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.FirstUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateAttributeFilterAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor.UpdateFilterMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors.UpdateInboundFilterNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerStateTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpServerLastDisconTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.UpdateSourceAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary.BmpSendVersion']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries.ServerSummary']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor.BmpNeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors.MonitoredNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor.MonitoredNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors.ServerNeighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerSummaries']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp.ServerNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.PoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.MsgLogPoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolSize']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolAllocCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_.BmpPoolFreeCount']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.FirstRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer.LastRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.FirstRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer.LastRibConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.FirstConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection.LastConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionUpTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.FirstConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection.LastConnectionDownTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop.NsrPlSendDropArray']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop.NsrPlRecvDropArray']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSent']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecv']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumSentDrop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic.NumRecvDrop']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint.Endpoint']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplPriorityStatistic']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl.NplEndpoint']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv4RibServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.Ipv6RibServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.TeConnection']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.LsdConnection']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.DsNpl']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.StandbyNsrModeEnterTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.ActiveNsrfoTime']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.PostitCountInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_.IssuMilestone']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Global_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.Vrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions.Session']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo.LastNotificationData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx.LastTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Tx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total.Rx']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Open']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Notification']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Update']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Keepalive']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.RouteRefresh']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics.Total']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.NeighborAfPerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.SendNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.ReceivedNotificationInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.PerformanceStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.MessageStatistics']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncPhaseTwoTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.TcpInitSyncDoneTimeSpec']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData.ExtendedCommunityStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.NeighborAge']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_.IdleWatchTimerRemainingValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.ConnectionRemoteAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.GracefulMaintenance']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.CfgLocalAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.AfData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange.Instance_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges.NeighborRange']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.MessageTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage.LoggedMessageData']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog.NeighborMessage']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs.MessageLog']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Afs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Information']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Postits']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.GlobalProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundErrorNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.UpdateInboundFilterNeighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Bmp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.ProcessInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Sessions']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.Neighbors']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NextHopVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.NeighborRanges']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf.MessageLogs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateInboundFilterProcess.LastUpdateFilteredTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateInboundFilterProcess']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath.Sid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyAllocatedBindingSid']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.Community']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.ExtendedCommunity']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.UnknownAttribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.Cluster']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.L2Tpv3Cookie']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.ConnectorValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.PmsiValue']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.LsAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.LabelIndexAttr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.PeDistinguisherLabel']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet.SrPolicyExplicitPath']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnvplsAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.L2VpnMspwAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv4SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp.Ipv6SrPolicyAddress']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.CommonAttributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.AttrSet']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RnhAddr']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo.RibrnhIp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute.AttributeInfo']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes.Attribute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RtEntries.RtEntry.Rt']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.RtEntries.RtEntry']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RtEntries.RtEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.RtEntries']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups.AttributeFilterGroup.AttributeFilterEntry']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups.AttributeFilterGroup']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups.AttributeFilterGroup']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiServerList.RpkiServer']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiServerList']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRoutes.RpkiRoute.RpkiRoute_']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRoutes.RpkiRoute']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRoutes.RpkiRoute']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRoutes']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateInboundErrorProcess.LastUpdateMalformedTimestamp']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateInboundErrorProcess']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateGenerationProcess']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRefreshAfs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Vrfs']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.DefaultVrf']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateInboundFilterProcess']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.Attributes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RtEntries']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.AttributeFilterGroups']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiServerList']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiRoutes']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.UpdateInboundErrorProcess']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby.RpkiSummary']['meta_info'].parent =_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceActive']['meta_info'].parent =_meta_table['Bgp.Instances.Instance']['meta_info']
_meta_table['Bgp.Instances.Instance.InstanceStandby']['meta_info'].parent =_meta_table['Bgp.Instances.Instance']['meta_info']
_meta_table['Bgp.Instances.Instance']['meta_info'].parent =_meta_table['Bgp.Instances']['meta_info']
_meta_table['Bgp.BpmInstancesTable.BpmInstances.Instance.AfArray']['meta_info'].parent =_meta_table['Bgp.BpmInstancesTable.BpmInstances.Instance']['meta_info']
_meta_table['Bgp.BpmInstancesTable.BpmInstances.Instance']['meta_info'].parent =_meta_table['Bgp.BpmInstancesTable.BpmInstances']['meta_info']
_meta_table['Bgp.BpmInstancesTable.BpmInstances']['meta_info'].parent =_meta_table['Bgp.BpmInstancesTable']['meta_info']
_meta_table['Bgp.ConfigInstances']['meta_info'].parent =_meta_table['Bgp']['meta_info']
_meta_table['Bgp.Instances']['meta_info'].parent =_meta_table['Bgp']['meta_info']
_meta_table['Bgp.BpmInstancesTable']['meta_info'].parent =_meta_table['Bgp']['meta_info']
